# Provides test data to be used in tests.
class TestData
  def self.test_login
    # curl -X POST --data "email=secureboot@gmail.com" --data "password=password" https://www.strava.com/api/v2/authentication/login
    '{"token":"thetoken","athlete":{"id":7976,"name":"Luke StClair","agreed_to_terms":true,"super_user":false,"iphone_tester":false,"push_token":null,"default_settings":{"sample_rate":3,"continuous_gps":true,"accuracy":0,"distance_filter":3,"max_search_time":30,"min_stale_time":300,"min_accuracy":150,"map_threshold":25,"max_sync_time":60,"max_waypoint_stale_time":300,"update_ride_poll_interval":2}},"activity_data":[]}'
  end

  def self.test_rides_no_params()
    # curl http://app.strava.com/api/v1/rides
    '{"rides":[{"id":52005087,"name":"5-2-13"},{"id":52005085,"name":"Home to Office"},{"id":52005084,"name":"04/29/2013 Tucson, AZ"},{"id":52005083,"name":"Afternoon Ride"},{"id":52005081,"name":"05/02/2013 Princeton, NJ"},{"id":52005080,"name":"02/05/2013 Brookline, MA"},{"id":52005078,"name":"Afternoon Ride"},{"id":52005077,"name":"05/02/2013 Folsom, CA"},{"id":52005076,"name":"May 2, 2013"},{"id":52005075,"name":"04/20/2013 Miami, FL"},{"id":52005074,"name":"02/05/2013"},{"id":52005072,"name":"05/02/2013 Hillsborough, NJ"},{"id":52005071,"name":"Mtb morning"},{"id":52005070,"name":"05/02/2013"},{"id":52005068,"name":"05/02/2013"},{"id":52005067,"name":"Morning Ride"},{"id":52005066,"name":"01/05/2013 Belgi\u00eb"},{"id":52005065,"name":"Morning Ride"},{"id":52005064,"name":"07/05/2010 Santa Monica, CA"},{"id":52005062,"name":"01/14/2013"},{"id":52005061,"name":"Catch the bus"},{"id":52005060,"name":"05/02/2013 Stony Brook, NY"},{"id":52005057,"name":"08/01/2010 Oakland, CA"},{"id":52005056,"name":"05/02/2013"},{"id":52005054,"name":"05/03/2013"},{"id":52005053,"name":"08/02/2010 Oakland, CA"},{"id":52005052,"name":"07/30/2010 Oakland, CA"},{"id":52005051,"name":"03/05/2013 Paddington, QLD, Australia"},{"id":52005050,"name":"05/02/2013 Leighton Buzzard LU7, UK, England, United Kingdom"},{"id":52005049,"name":"Commute home 05/02/2013"},{"id":52005048,"name":"01/05/2013"},{"id":52005047,"name":"07/28/2010 Chico, CA"},{"id":52005046,"name":"CV trail to N Valley"},{"id":52005044,"name":"02/05/2013"},{"id":52005043,"name":"05/02/2013 Oxford, OH"},{"id":52005042,"name":"greenbelt/bladensburg"},{"id":52005040,"name":"03/05/2013 Marrickville, NSW, Australia"},{"id":52005038,"name":"Afternoon Ride"},{"id":52005036,"name":"05/01/2013"},{"id":52005035,"name":"Afternoon Ride"},{"id":52005034,"name":"07/27/2010 Chico, CA"},{"id":52005032,"name":"ER In"},{"id":52005031,"name":"Nice Day for Some Slow Solo Miles"},{"id":52005029,"name":"03/05/2013"},{"id":52005028,"name":"07/03/2010 Los Angeles, CA"},{"id":52005027,"name":"07/29/2010 Chico, CA"},{"id":52005026,"name":"07/11/2010 Los Angeles, CA"},{"id":52005025,"name":"Morning Ride"},{"id":52005024,"name":"05/02/2013"},{"id":52005023,"name":"02/05/2013 Madrid, Community of Madrid, Spain"}]}'
  end

  def self.test_ride_start_id_and_offset()
    # curl http://www.strava.com/api/v1/rides?startId=77563&offset=50
    '{"rides":[{"id":52127040,"name":"03/05/2013 Cambridge, Cambridgeshire, United Kingdom"},{"id":52127038,"name":"03/05/2013 Burwell, England, United Kingdom"},{"id":52127036,"name":"03/05/2013"},{"id":52127035,"name":"05/03/2013"},{"id":52127033,"name":"Evening Ride 03/05/13"},{"id":52127032,"name":"05/03/2013 Chipping Norton, Oxfordshire, United Kingdom"},{"id":52127031,"name":"work to home long"},{"id":52127030,"name":"03/05/2013 Ryde, Isle of Wight, United Kingdom"},{"id":52127029,"name":"05/03/2013 Den Dolder, wat een verschil met vorige week "},{"id":52127028,"name":"05/03/2013 Medfield, MA"},{"id":52127027,"name":"RM"},{"id":52127026,"name":"Morning Ride"},{"id":52127025,"name":"Lunch Ride"},{"id":52127024,"name":"Night Ride"},{"id":52127023,"name":"Evening Ride"},{"id":52127022,"name":"17 Km Veghel - Den Bosch"},{"id":52127021,"name":"05/03/2013 St. George, UT"},{"id":52127019,"name":"03/05/2013"},{"id":52127018,"name":"Evening Ride"},{"id":52127014,"name":"Afternoon Ride"},{"id":52127013,"name":"05/03/2013 Chilliwack, BC, Canada"},{"id":52127012,"name":"03/05/2013 London, England, United Kingdom"},{"id":52127011,"name":"05/03/2013"},{"id":52127010,"name":"03/05/2013 London, Greater London, United Kingdom"},{"id":52127009,"name":"Morning Ride"},{"id":52127008,"name":"05/03/2013"},{"id":52127007,"name":"Afternoon Ride"},{"id":52127006,"name":"Well..... Windy Wan.."},{"id":52127005,"name":"Ride Home"},{"id":52127004,"name":"Teatime trot"},{"id":52127003,"name":"03/05/2013 Bexley, Greater London, United Kingdom"},{"id":52127002,"name":"Club 10 1st May"},{"id":52127001,"name":"03/05/2013"},{"id":52126999,"name":"03/05/2013 London, Greater London, United Kingdom"},{"id":52126998,"name":"Volta Manresa"},{"id":52126997,"name":"Nessy loop"},{"id":52126996,"name":"02/05/13 Abingdon, Oxfordshire, United Kingdom"},{"id":52126995,"name":"03/05/2013"},{"id":52126994,"name":"Morning Ride"},{"id":52126993,"name":"50 min"},{"id":52126992,"name":"01/05/2013 Pouso Alegre, Minas Gerais, Brazil"},{"id":52126991,"name":"03/05/2013"},{"id":52126990,"name":"03/05/2013 Fra jobb via Mosseveien"},{"id":52126987,"name":"Commute 05/03/2013"},{"id":52126986,"name":"Crazy Enduro"},{"id":52126985,"name":"3 May 2013"},{"id":52126984,"name":"05/03/2013 Olympia, WA"},{"id":52126983,"name":"03/05/2013"},{"id":52126982,"name":"Evening Ride"},{"id":52126981,"name":"05/03/2013"}]}'
  end

  def self.test_show_ride_deets()
    # curl http://app.strava.com/api/v1/rides/77563
    '{"ride":{"id":77563,"startDate":"2010-02-28T16:31:35Z","startDateLocal":"2010-02-28T08:31:35Z","timeZoneOffset":0,"elapsedTime":14579,"movingTime":12748,"distance":82369.1,"averageSpeed":6.461335111390023,"averageWatts":175.112,"maximumSpeed":64251.72,"elevationGain":1441.02,"location":"San Francisco, CA","name":"02/28/10 San Francisco, CA","bike":{"id":903,"name":"Serotta Legend Ti"},"athlete":{"id":1139,"name":"Julian Bill","username":"julianbill"},"description":null,"commute":false,"trainer":false}}'
  end

  def self.test_stream()
    # curl http://app.strava.com/api/v1/streams/49807853
    '{"latlng":[[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.412099,-122.30681],[37.41201,-122.306886],[37.411981,-122.306886],[37.411948,-122.30687],[37.411929,-122.306851],[37.411914,-122.306837],[37.411891,-122.306825],[37.41187,-122.306812],[37.411849,-122.306801],[37.411832,-122.306792],[37.41181,-122.306783],[37.411785,-122.306778],[37.411763,-122.306768],[37.411741,-122.306758],[37.411717,-122.30675],[37.411696,-122.306744],[37.411676,-122.306739],[37.411657,-122.306734],[37.411633,-122.30673],[37.41161,-122.306728],[37.41158,-122.306719],[37.41154,-122.306708],[37.411507,-122.306697],[37.411487,-122.306688],[37.411449,-122.306675],[37.411422,-122.306669],[37.411397,-122.30667],[37.411319,-122.306686],[37.4113,-122.306689],[37.41128,-122.306701],[37.411267,-122.306713],[37.411245,-122.306718],[37.411157,-122.306759],[37.411144,-122.30677],[37.411128,-122.306783],[37.411118,-122.306792],[37.411112,-122.306798],[37.411051,-122.306877],[37.411038,-122.306885],[37.411024,-122.306897],[37.411008,-122.306908],[37.410994,-122.306918],[37.410978,-122.306924],[37.410969,-122.30694],[37.410963,-122.306961],[37.410957,-122.306984],[37.410957,-122.306999],[37.410955,-122.307006],[37.410941,-122.307023],[37.410925,-122.30703],[37.41089,-122.307069],[37.41088,-122.307092],[37.410868,-122.307094],[37.410862,-122.3071],[37.41085,-122.307119],[37.410816,-122.307145],[37.410791,-122.307148],[37.410786,-122.307158],[37.410768,-122.307166],[37.410758,-122.307186],[37.410755,-122.307208],[37.410748,-122.307217],[37.41074,-122.307229],[37.410728,-122.307234],[37.410721,-122.307243],[37.410707,-122.307252],[37.410664,-122.307291],[37.410635,-122.307374],[37.410627,-122.307405],[37.410624,-122.307423],[37.410616,-122.307435],[37.410607,-122.307447],[37.410599,-122.307458],[37.410569,-122.307492],[37.410489,-122.307504],[37.410437,-122.307549],[37.410381,-122.307555],[37.410346,-122.30759],[37.410323,-122.307588],[37.410281,-122.307593],[37.410266,-122.307599],[37.41024,-122.307606],[37.410225,-122.307607],[37.410205,-122.307609],[37.410127,-122.307657],[37.410112,-122.307662],[37.410081,-122.307722],[37.410035,-122.30771],[37.409997,-122.307691],[37.409958,-122.307672],[37.409919,-122.307652],[37.40988,-122.307633],[37.409842,-122.307614],[37.409797,-122.307592],[37.409794,-122.307645],[37.40981,-122.307707],[37.409799,-122.30774],[37.409866,-122.307829],[37.409877,-122.307909],[37.409976,-122.308105],[37.410071,-122.308312],[37.410127,-122.308471],[37.410254,-122.308781],[37.410287,-122.308906],[37.410304,-122.308999],[37.410353,-122.309137],[37.410376,-122.309418],[37.41037,-122.309643],[37.410346,-122.309739],[37.410212,-122.309938],[37.410196,-122.309984],[37.410182,-122.310031],[37.410168,-122.310082],[37.410153,-122.310138],[37.410145,-122.310196],[37.410138,-122.31025],[37.410129,-122.310311],[37.410104,-122.310371],[37.410077,-122.310434],[37.410043,-122.310509],[37.409984,-122.310593],[37.409884,-122.310658],[37.409809,-122.310729],[37.409729,-122.310808],[37.409657,-122.310873],[37.409594,-122.310933],[37.409542,-122.31098],[37.40949,-122.311027],[37.40945,-122.311074],[37.409357,-122.311165],[37.409287,-122.311234],[37.409231,-122.31126],[37.409169,-122.311282],[37.409101,-122.311301],[37.408991,-122.31136],[37.408875,-122.311513],[37.408843,-122.311572],[37.408797,-122.311627],[37.408739,-122.31166],[37.408686,-122.311705],[37.408617,-122.311754],[37.40857,-122.31181],[37.408537,-122.311888],[37.408509,-122.311977],[37.408472,-122.312073],[37.408424,-122.312182],[37.408366,-122.312273],[37.408309,-122.312354],[37.408232,-122.312427],[37.408168,-122.312484],[37.408102,-122.312539],[37.407979,-122.312656],[37.407925,-122.312705],[37.407872,-122.312754],[37.407831,-122.312819],[37.407799,-122.312857],[37.407769,-122.312888],[37.407739,-122.31292],[37.407717,-122.312944],[37.407698,-122.312972],[37.407645,-122.313023],[37.407618,-122.313058],[37.407484,-122.313262],[37.407408,-122.313322],[37.407238,-122.313506],[37.407167,-122.313584],[37.407069,-122.313737],[37.407021,-122.313813],[37.406996,-122.313854],[37.406971,-122.313876],[37.406954,-122.313904],[37.406929,-122.313927],[37.40691,-122.313955],[37.406896,-122.313983],[37.406876,-122.314006],[37.406863,-122.314028],[37.406851,-122.31405],[37.406843,-122.314073],[37.406828,-122.314104],[37.406807,-122.314131],[37.406775,-122.314164],[37.406761,-122.314197],[37.406783,-122.314476],[37.406814,-122.314664],[37.406816,-122.314713],[37.406832,-122.314824],[37.406868,-122.315024],[37.40691,-122.315314],[37.40693,-122.315418],[37.406958,-122.315589],[37.406994,-122.315709],[37.406998,-122.315752],[37.407025,-122.315845],[37.407038,-122.315911],[37.407058,-122.315986],[37.407075,-122.31607],[37.407083,-122.31618],[37.40711,-122.316289],[37.407124,-122.316387],[37.407141,-122.316481],[37.407162,-122.316575],[37.407188,-122.316656],[37.40721,-122.316741],[37.407238,-122.316834],[37.407266,-122.316933],[37.407263,-122.317036],[37.40729,-122.317151],[37.407315,-122.317317],[37.407306,-122.317475],[37.407281,-122.317557],[37.407255,-122.317632],[37.407212,-122.317702],[37.407149,-122.317795],[37.40712,-122.317878],[37.407104,-122.317946],[37.407067,-122.318001],[37.407057,-122.318055],[37.407055,-122.318102],[37.407051,-122.318154],[37.407027,-122.318303],[37.407011,-122.318378],[37.406983,-122.318459],[37.406927,-122.318562],[37.406865,-122.318689],[37.406835,-122.31882],[37.406816,-122.318957],[37.406787,-122.31907],[37.406761,-122.319194],[37.406729,-122.319299],[37.406686,-122.319397],[37.406636,-122.31948],[37.406569,-122.319607],[37.406504,-122.319713],[37.406441,-122.319764],[37.406378,-122.319795],[37.406207,-122.319902],[37.406141,-122.319932],[37.406081,-122.319945],[37.406017,-122.319973],[37.405964,-122.319994],[37.40581,-122.32004],[37.405764,-122.320047],[37.405717,-122.320053],[37.405668,-122.320042],[37.405633,-122.320044],[37.405561,-122.320024],[37.405504,-122.320046],[37.405427,-122.320072],[37.405361,-122.3201],[37.405299,-122.32015],[37.405231,-122.320199],[37.405181,-122.320262],[37.405133,-122.320333],[37.405097,-122.320404],[37.40507,-122.32047],[37.404997,-122.320696],[37.405029,-122.320801],[37.405097,-122.320818],[37.405162,-122.320856],[37.405177,-122.320879],[37.405199,-122.320894],[37.405225,-122.320907],[37.405247,-122.320925],[37.405264,-122.32095],[37.405276,-122.320979],[37.405281,-122.321014],[37.405274,-122.321055],[37.405268,-122.321093],[37.405258,-122.321128],[37.405252,-122.32116],[37.405262,-122.321189],[37.40528,-122.321215],[37.405289,-122.321232],[37.405307,-122.321237],[37.405329,-122.321239],[37.405351,-122.321248],[37.405372,-122.321261],[37.40539,-122.321278],[37.405398,-122.321297],[37.405409,-122.321321],[37.40541,-122.32134],[37.405407,-122.321361],[37.405416,-122.321398],[37.405414,-122.321423],[37.405413,-122.321447],[37.405392,-122.321526],[37.405382,-122.32147],[37.405366,-122.321447],[37.405344,-122.321434],[37.405298,-122.321421],[37.405241,-122.321391],[37.405214,-122.321366],[37.405183,-122.321333],[37.405166,-122.321308],[37.405148,-122.321284],[37.405107,-122.321291],[37.405083,-122.321308],[37.405052,-122.32134],[37.405033,-122.321381],[37.405013,-122.321421],[37.404993,-122.321453],[37.404972,-122.32148],[37.40495,-122.321501],[37.404936,-122.321513],[37.404925,-122.321529],[37.404911,-122.321529],[37.404894,-122.321529],[37.404889,-122.321529],[37.404886,-122.321544],[37.404882,-122.321565],[37.404872,-122.321589],[37.404844,-122.321608],[37.404822,-122.321632],[37.404766,-122.321685],[37.404731,-122.321704],[37.404698,-122.321717],[37.404669,-122.32173],[37.404625,-122.321751],[37.404521,-122.321809],[37.40452,-122.321858],[37.404507,-122.321901],[37.404496,-122.321936],[37.404477,-122.321969],[37.404459,-122.321991],[37.404442,-122.322002],[37.40442,-122.322011],[37.404393,-122.322012],[37.404373,-122.322013],[37.404366,-122.322014],[37.404356,-122.32201],[37.404337,-122.322014],[37.404297,-122.322074],[37.404267,-122.322159],[37.404094,-122.322215],[37.404076,-122.322218],[37.404049,-122.32223],[37.404024,-122.322228],[37.404005,-122.322235],[37.403989,-122.322237],[37.403939,-122.322205],[37.403897,-122.322151],[37.403891,-122.322128],[37.403883,-122.322112],[37.403871,-122.322099],[37.403863,-122.322084],[37.403833,-122.321992],[37.403846,-122.321938],[37.403845,-122.321925],[37.403839,-122.321915],[37.403833,-122.321905],[37.40383,-122.321899],[37.403824,-122.321889],[37.403806,-122.321881],[37.403791,-122.321881],[37.403776,-122.32187],[37.403633,-122.32193],[37.403625,-122.321928],[37.403624,-122.321934],[37.403623,-122.321983],[37.403638,-122.322038],[37.40365,-122.322092],[37.403649,-122.322108],[37.403645,-122.322123],[37.403639,-122.32214],[37.403637,-122.322158],[37.403636,-122.322173],[37.403637,-122.322223],[37.40363,-122.322277],[37.403597,-122.322328],[37.403572,-122.322335],[37.403558,-122.322337],[37.403546,-122.322336],[37.403535,-122.322334],[37.403511,-122.322332],[37.403443,-122.322307],[37.403419,-122.322467],[37.40343,-122.322519],[37.403455,-122.322593],[37.403462,-122.322646],[37.40346,-122.322703],[37.403463,-122.322754],[37.40347,-122.322823],[37.403453,-122.322873],[37.403451,-122.322913],[37.403455,-122.322944],[37.403455,-122.322963],[37.403456,-122.322989],[37.403456,-122.32301],[37.403457,-122.323024],[37.403456,-122.323025],[37.40344,-122.322968],[37.403438,-122.32292],[37.40345,-122.322792],[37.403454,-122.322758],[37.403462,-122.322718],[37.403473,-122.322692],[37.40348,-122.322678],[37.403488,-122.322669],[37.403503,-122.322656],[37.403513,-122.322647],[37.40352,-122.322643],[37.403539,-122.322679],[37.403555,-122.322702],[37.403682,-122.322828],[37.403798,-122.32291],[37.403861,-122.322934],[37.403876,-122.322942],[37.40389,-122.322951],[37.403922,-122.322919],[37.403937,-122.322903],[37.403958,-122.322863],[37.403962,-122.322831],[37.403973,-122.32281],[37.403986,-122.322786],[37.404002,-122.322762],[37.404022,-122.322745],[37.40408,-122.322756],[37.404147,-122.322769],[37.40417,-122.322773],[37.40419,-122.322766],[37.404206,-122.322744],[37.404227,-122.322724],[37.404252,-122.322712],[37.404274,-122.322696],[37.404308,-122.322682],[37.404329,-122.32269],[37.404373,-122.322711],[37.40444,-122.3228],[37.40447,-122.322848],[37.404488,-122.32289],[37.404498,-122.322922],[37.404505,-122.322947],[37.40451,-122.322966],[37.404514,-122.322982],[37.404514,-122.322993],[37.404504,-122.322991],[37.404532,-122.32302],[37.404545,-122.323025],[37.404557,-122.323025],[37.404571,-122.323005],[37.404592,-122.322974],[37.404609,-122.322944],[37.404628,-122.32285],[37.404629,-122.32275],[37.404669,-122.322717],[37.404703,-122.32271],[37.404725,-122.322692],[37.40473,-122.322668],[37.404754,-122.322645],[37.404802,-122.322611],[37.404834,-122.322587],[37.404867,-122.322578],[37.404896,-122.322579],[37.404949,-122.322624],[37.404977,-122.322638],[37.40509,-122.322779],[37.405112,-122.322819],[37.405141,-122.322864],[37.405158,-122.322895],[37.405185,-122.322922],[37.405228,-122.322966],[37.405248,-122.322992],[37.405271,-122.323108],[37.405265,-122.323178],[37.405254,-122.323206],[37.405256,-122.323239],[37.405251,-122.323268],[37.405256,-122.3233],[37.40529,-122.323408],[37.405337,-122.323464],[37.405358,-122.323481],[37.405359,-122.323485],[37.405359,-122.323504],[37.4053,-122.323693],[37.40528,-122.323742],[37.405267,-122.323793],[37.405252,-122.323835],[37.405222,-122.323868],[37.405225,-122.323982],[37.405224,-122.3241],[37.405228,-122.324142],[37.405236,-122.324182],[37.405256,-122.324225],[37.405277,-122.324267],[37.40528,-122.324296],[37.40527,-122.324324],[37.405253,-122.324353],[37.405244,-122.324394],[37.405251,-122.324438],[37.405227,-122.324525],[37.405175,-122.324576],[37.405137,-122.324593],[37.405094,-122.32464],[37.405084,-122.324768],[37.405131,-122.324994],[37.40513,-122.325064],[37.405145,-122.325215],[37.405183,-122.325406],[37.40523,-122.325642],[37.405254,-122.325689],[37.405252,-122.325729],[37.405249,-122.325767],[37.405243,-122.325802],[37.405244,-122.325843],[37.405247,-122.325876],[37.405254,-122.325904],[37.40525,-122.325935],[37.405262,-122.325988],[37.405263,-122.32603],[37.40526,-122.326064],[37.405267,-122.32611],[37.405268,-122.326139],[37.405274,-122.326155],[37.405288,-122.326173],[37.405311,-122.326186],[37.405325,-122.326187],[37.405353,-122.326199],[37.40537,-122.326205],[37.405466,-122.326189],[37.405487,-122.326186],[37.405502,-122.326189],[37.405524,-122.326211],[37.405548,-122.326252],[37.405678,-122.326434],[37.405699,-122.326472],[37.405713,-122.326502],[37.405726,-122.326527],[37.405742,-122.326541],[37.405761,-122.326565],[37.40577,-122.326658],[37.405762,-122.326708],[37.405753,-122.326747],[37.40574,-122.326777],[37.405728,-122.326805],[37.405719,-122.326832],[37.405707,-122.32686],[37.405696,-122.326886],[37.405699,-122.326919],[37.405706,-122.326966],[37.405717,-122.327017],[37.405742,-122.327064],[37.405759,-122.327101],[37.405787,-122.327132],[37.405804,-122.32715],[37.405897,-122.327211],[37.405913,-122.32722],[37.405946,-122.327236],[37.405998,-122.327279],[37.406037,-122.327315],[37.406073,-122.327347],[37.406105,-122.327388],[37.406125,-122.327439],[37.40612,-122.327475],[37.40613,-122.327516],[37.406143,-122.327545],[37.406161,-122.327583],[37.406185,-122.327609],[37.40628,-122.327702],[37.40629,-122.327708],[37.406303,-122.327705],[37.406316,-122.327689],[37.406333,-122.327661],[37.406358,-122.327634],[37.406505,-122.327584],[37.406537,-122.327594],[37.406569,-122.327603],[37.406603,-122.327598],[37.406631,-122.327583],[37.406661,-122.327559],[37.406673,-122.327513],[37.406701,-122.327478],[37.406736,-122.327378],[37.406744,-122.327312],[37.406765,-122.327237],[37.406771,-122.327173],[37.406767,-122.327122],[37.406768,-122.327082],[37.406754,-122.326759],[37.406764,-122.326681],[37.406774,-122.326623],[37.406787,-122.326589],[37.406787,-122.326567],[37.406776,-122.326533],[37.406761,-122.326509],[37.4068,-122.326529],[37.406828,-122.326551],[37.406851,-122.326567],[37.40689,-122.326595],[37.406924,-122.326617],[37.406944,-122.326654],[37.406989,-122.326698],[37.407089,-122.32678],[37.407144,-122.32682],[37.4072,-122.326858],[37.407258,-122.326879],[37.407297,-122.326895],[37.407335,-122.326913],[37.407363,-122.326927],[37.407387,-122.32694],[37.407419,-122.326962],[37.407444,-122.326978],[37.407468,-122.326993],[37.407493,-122.327008],[37.407517,-122.327024],[37.407542,-122.327039],[37.407566,-122.327055],[37.407591,-122.32707],[37.407616,-122.327085],[37.40764,-122.327101],[37.407665,-122.327116],[37.407699,-122.327138],[37.407744,-122.32716],[37.407795,-122.327179],[37.407871,-122.327195],[37.407915,-122.327201],[37.407944,-122.327197],[37.407995,-122.327211],[37.40805,-122.327218],[37.408123,-122.327193],[37.408168,-122.327164],[37.408204,-122.327126],[37.408247,-122.327101],[37.408289,-122.327069],[37.408326,-122.327078],[37.408358,-122.327082],[37.408374,-122.327093],[37.408401,-122.327121],[37.408372,-122.32713],[37.408355,-122.327165],[37.408283,-122.327362],[37.408239,-122.327412],[37.408197,-122.327463],[37.408153,-122.327509],[37.408102,-122.327549],[37.408056,-122.327613],[37.408028,-122.32768],[37.407996,-122.327749],[37.40796,-122.327808],[37.407928,-122.327875],[37.407909,-122.32798],[37.407801,-122.328173],[37.40778,-122.328396],[37.407607,-122.328626],[37.407599,-122.328711],[37.407603,-122.328785],[37.40761,-122.328848],[37.407652,-122.328919],[37.407694,-122.328955],[37.407725,-122.328987],[37.407768,-122.328994],[37.40781,-122.329011],[37.40787,-122.329046],[37.408019,-122.329181],[37.408161,-122.329387],[37.408204,-122.329431],[37.408249,-122.32946],[37.40831,-122.329494],[37.40834,-122.329489],[37.408388,-122.329515],[37.408443,-122.329563],[37.408483,-122.329589],[37.408524,-122.329616],[37.408575,-122.329627],[37.408619,-122.329642],[37.408668,-122.329651],[37.408734,-122.329667],[37.408785,-122.329679],[37.408847,-122.32972],[37.408903,-122.329762],[37.408959,-122.329802],[37.409003,-122.329833],[37.409053,-122.329864],[37.409114,-122.329898],[37.409188,-122.329967],[37.409237,-122.330004],[37.409312,-122.330022],[37.409343,-122.330033],[37.409671,-122.33027],[37.409885,-122.330452],[37.409924,-122.330478],[37.40996,-122.330505],[37.409997,-122.330527],[37.410024,-122.33054],[37.41009,-122.330554],[37.410106,-122.330556],[37.410134,-122.330564],[37.410252,-122.330557],[37.410331,-122.330564],[37.410364,-122.330575],[37.410391,-122.330567],[37.410428,-122.330571],[37.410461,-122.330581],[37.410565,-122.33063],[37.410595,-122.330636],[37.410618,-122.33064],[37.410645,-122.330647],[37.410687,-122.330655],[37.410717,-122.330665],[37.410783,-122.330673],[37.410802,-122.330683],[37.41084,-122.330697],[37.410848,-122.330687],[37.410866,-122.330681],[37.410887,-122.330675],[37.410914,-122.330667],[37.410923,-122.330662],[37.410931,-122.330659],[37.41094,-122.330656],[37.410963,-122.33065],[37.411062,-122.330667],[37.411109,-122.330679],[37.411115,-122.330675],[37.411127,-122.33068],[37.411134,-122.330675],[37.411144,-122.33067],[37.411158,-122.330668],[37.411181,-122.330659],[37.411202,-122.330657],[37.411231,-122.33066],[37.411263,-122.330663],[37.411323,-122.330669],[37.411404,-122.330685],[37.411439,-122.330676],[37.411439,-122.330668],[37.411655,-122.330569],[37.411691,-122.330576],[37.411716,-122.330569],[37.411794,-122.330557],[37.411814,-122.330551],[37.41187,-122.330518],[37.412001,-122.330467],[37.412019,-122.330465],[37.412081,-122.330462],[37.412126,-122.330464],[37.412223,-122.330481],[37.412326,-122.330554],[37.412323,-122.330565],[37.412308,-122.330558],[37.41232,-122.33058],[37.412296,-122.330586],[37.412216,-122.330583],[37.412212,-122.330591],[37.412201,-122.330593],[37.412206,-122.330603],[37.412216,-122.330613],[37.412209,-122.330624],[37.412193,-122.330623],[37.412176,-122.330616],[37.41216,-122.330615],[37.412132,-122.330612],[37.41211,-122.330612],[37.412095,-122.330618],[37.41196,-122.330615],[37.411934,-122.330613],[37.411851,-122.330595],[37.411828,-122.330593],[37.411804,-122.330592],[37.411769,-122.330582],[37.411756,-122.330584],[37.41174,-122.330581],[37.411617,-122.33058],[37.4116,-122.330599],[37.411589,-122.330625],[37.411582,-122.330656],[37.411584,-122.330684],[37.411591,-122.330704],[37.411504,-122.330738],[37.411392,-122.330728],[37.411374,-122.330738],[37.411347,-122.33073],[37.411315,-122.330722],[37.411301,-122.330722],[37.411257,-122.330718],[37.41123,-122.330709],[37.411166,-122.330715],[37.411055,-122.330719],[37.411012,-122.330702],[37.410994,-122.33071],[37.410984,-122.330729],[37.410964,-122.330748],[37.410948,-122.330764],[37.410922,-122.330766],[37.410886,-122.330795],[37.410832,-122.330812],[37.410745,-122.330825],[37.410709,-122.330815],[37.41068,-122.330812],[37.410644,-122.330808],[37.41061,-122.330797],[37.41058,-122.33079],[37.410588,-122.330842],[37.410498,-122.330859],[37.410462,-122.330837],[37.410439,-122.33083],[37.410427,-122.33082],[37.410417,-122.330825],[37.410369,-122.33082],[37.41028,-122.330872],[37.410275,-122.330906],[37.410246,-122.330929],[37.410234,-122.330957],[37.410219,-122.330997],[37.410119,-122.33118],[37.410103,-122.331203],[37.410086,-122.331218],[37.410073,-122.331235],[37.410061,-122.331253],[37.410047,-122.331396],[37.409993,-122.331409],[37.409998,-122.331442],[37.40997,-122.331455],[37.409957,-122.331476],[37.409962,-122.331511],[37.409954,-122.331535],[37.40992,-122.331531],[37.4099,-122.331521],[37.409892,-122.331525],[37.409933,-122.331548],[37.409934,-122.331562],[37.40993,-122.331558],[37.409926,-122.331555],[37.409917,-122.331557],[37.409927,-122.331575],[37.409877,-122.331573],[37.409874,-122.331593],[37.409865,-122.331591],[37.409855,-122.331591],[37.409856,-122.331596],[37.409852,-122.331598],[37.40983,-122.331598],[37.409782,-122.331592],[37.409765,-122.331598],[37.409742,-122.331605],[37.40973,-122.331599],[37.409718,-122.331592],[37.409709,-122.33161],[37.409658,-122.331618],[37.409623,-122.331622],[37.409606,-122.331623],[37.409589,-122.331629],[37.409575,-122.331634],[37.409566,-122.331644],[37.409546,-122.331685],[37.409571,-122.33173],[37.409568,-122.33174],[37.409555,-122.331749],[37.40956,-122.331773],[37.409587,-122.331803],[37.409537,-122.331806],[37.40952,-122.3318],[37.409494,-122.33179],[37.409498,-122.33182],[37.409461,-122.331806],[37.409447,-122.331802],[37.409454,-122.331905],[37.409436,-122.331893],[37.409408,-122.331878],[37.40937,-122.331862],[37.40934,-122.331848],[37.40922,-122.331764],[37.409212,-122.331758],[37.4092,-122.331755],[37.409185,-122.331752],[37.409196,-122.331756],[37.409182,-122.331752],[37.409179,-122.331763],[37.409063,-122.331717],[37.409048,-122.331736],[37.409028,-122.331746],[37.409032,-122.331765],[37.409051,-122.331803],[37.409035,-122.331814],[37.409003,-122.331841],[37.408989,-122.331853],[37.408972,-122.331855],[37.408977,-122.331871],[37.408955,-122.331873],[37.408969,-122.332014],[37.409014,-122.332105],[37.409058,-122.332196],[37.409102,-122.332287],[37.409177,-122.33244],[37.409161,-122.332404],[37.409111,-122.332309],[37.409104,-122.332305],[37.409093,-122.332304],[37.409094,-122.332298],[37.409059,-122.33228],[37.408832,-122.332235],[37.408795,-122.332245],[37.408739,-122.332229],[37.408714,-122.332227],[37.408684,-122.332222],[37.408662,-122.332225],[37.408633,-122.332247],[37.408503,-122.332267],[37.408516,-122.332282],[37.408474,-122.332295],[37.408452,-122.332305],[37.40843,-122.332317],[37.408409,-122.332357],[37.40839,-122.332388],[37.408384,-122.332413],[37.408363,-122.332428],[37.40831,-122.332408],[37.408207,-122.332373],[37.408167,-122.33237],[37.408055,-122.332372],[37.407987,-122.332336],[37.407934,-122.332302],[37.407888,-122.33224],[37.407869,-122.332216],[37.407836,-122.332183],[37.407803,-122.332148],[37.407775,-122.332124],[37.407721,-122.332103],[37.407697,-122.332085],[37.40767,-122.332086],[37.407652,-122.332095],[37.40753,-122.3321],[37.407504,-122.332133],[37.407486,-122.332142],[37.407478,-122.332152],[37.407479,-122.332164],[37.407486,-122.332182],[37.40751,-122.332219],[37.407513,-122.332369],[37.407547,-122.332463],[37.407577,-122.332508],[37.407592,-122.33258],[37.407582,-122.332603],[37.407575,-122.332626],[37.407571,-122.332647],[37.407584,-122.332704],[37.407577,-122.332788],[37.407595,-122.332875],[37.407582,-122.332945],[37.40756,-122.332995],[37.407429,-122.332986],[37.407337,-122.332976],[37.407296,-122.332976],[37.407276,-122.332979],[37.407221,-122.332981],[37.407183,-122.332984],[37.407155,-122.332991],[37.407138,-122.333032],[37.407084,-122.333048],[37.407067,-122.333079],[37.406966,-122.333136],[37.406857,-122.333196],[37.406848,-122.333231],[37.406825,-122.333248],[37.406814,-122.333275],[37.406799,-122.333294],[37.406781,-122.333343],[37.406779,-122.333366],[37.406758,-122.333385],[37.406721,-122.333401],[37.406712,-122.333443],[37.406637,-122.33346],[37.406627,-122.333476],[37.406609,-122.333482],[37.406602,-122.333504],[37.406619,-122.333554],[37.406623,-122.333574],[37.406488,-122.333562],[37.406448,-122.33355],[37.406371,-122.333513],[37.406352,-122.333512],[37.406261,-122.33342],[37.406232,-122.333427],[37.40621,-122.333481],[37.40623,-122.333491],[37.406181,-122.333581],[37.406164,-122.333602],[37.406192,-122.33381],[37.406174,-122.333899],[37.406177,-122.333929],[37.406163,-122.333957],[37.406149,-122.333982],[37.406128,-122.334004],[37.406064,-122.333994],[37.406044,-122.334024],[37.40608,-122.334069],[37.406045,-122.334049],[37.406024,-122.334035],[37.406003,-122.334015],[37.405967,-122.333986],[37.405942,-122.334012],[37.405874,-122.334029],[37.405854,-122.334144],[37.405852,-122.33418],[37.405841,-122.334208],[37.405847,-122.334261],[37.405803,-122.334291],[37.405697,-122.334347],[37.405428,-122.33434],[37.405382,-122.334348],[37.40532,-122.334315],[37.405299,-122.334291],[37.405297,-122.334213],[37.405287,-122.334167],[37.405268,-122.334113],[37.40526,-122.334077],[37.405242,-122.334019],[37.405249,-122.333979],[37.405267,-122.33396],[37.40525,-122.333915],[37.405248,-122.333883],[37.405234,-122.333848],[37.405203,-122.333782],[37.405195,-122.333738],[37.405181,-122.333698],[37.405134,-122.333636],[37.405122,-122.333602],[37.405114,-122.333585],[37.405094,-122.333575],[37.405048,-122.333545],[37.405022,-122.333539],[37.404991,-122.333538],[37.404939,-122.33353],[37.404895,-122.333529],[37.404861,-122.333534],[37.404779,-122.333542],[37.404774,-122.33362],[37.404772,-122.333656],[37.404758,-122.3337],[37.404737,-122.333733],[37.404732,-122.333773],[37.404728,-122.333798],[37.404678,-122.3338],[37.404662,-122.333812],[37.404647,-122.333838],[37.404588,-122.333852],[37.404447,-122.33379],[37.404421,-122.333763],[37.404385,-122.333663],[37.404286,-122.333577],[37.404261,-122.333533],[37.404187,-122.333483],[37.404134,-122.333433],[37.404085,-122.333376],[37.404049,-122.333325],[37.40402,-122.33327],[37.403987,-122.33321],[37.40395,-122.333148],[37.403935,-122.3331],[37.403925,-122.333064],[37.40391,-122.333025],[37.403894,-122.332994],[37.40391,-122.332996],[37.403874,-122.332967],[37.403847,-122.332947],[37.403825,-122.332938],[37.403797,-122.332926],[37.403772,-122.332917],[37.40372,-122.332908],[37.40362,-122.332884],[37.403595,-122.332906],[37.403561,-122.332935],[37.403545,-122.33298],[37.403513,-122.333023],[37.403426,-122.333215],[37.403417,-122.333279],[37.403395,-122.333336],[37.403366,-122.333393],[37.403348,-122.33345],[37.403347,-122.333535],[37.403347,-122.33359],[37.403222,-122.333681],[37.403239,-122.333797],[37.403271,-122.333834],[37.403278,-122.333838],[37.403292,-122.333859],[37.40334,-122.3339],[37.403356,-122.333914],[37.403365,-122.333922],[37.403403,-122.33395],[37.403467,-122.334022],[37.403505,-122.334047],[37.403507,-122.334086],[37.403503,-122.334106],[37.403479,-122.334177],[37.403467,-122.334222],[37.403475,-122.334311],[37.40349,-122.334337],[37.403503,-122.33436],[37.403532,-122.334394],[37.403561,-122.334424],[37.403587,-122.334454],[37.403615,-122.334482],[37.40363,-122.334512],[37.403647,-122.334546],[37.403671,-122.334587],[37.403687,-122.334617],[37.403698,-122.334644],[37.403671,-122.334674],[37.403638,-122.334712],[37.403592,-122.334725],[37.403534,-122.334741],[37.40348,-122.334781],[37.40346,-122.334797],[37.403422,-122.334821],[37.403406,-122.334841],[37.403391,-122.334861],[37.403372,-122.334916],[37.403261,-122.334924],[37.403129,-122.334914],[37.403039,-122.334923],[37.402963,-122.334938],[37.402927,-122.334961],[37.402863,-122.334976],[37.402833,-122.334973],[37.402796,-122.334991],[37.40277,-122.334998],[37.402658,-122.334997],[37.402629,-122.335025],[37.402572,-122.33504],[37.402544,-122.335059],[37.402488,-122.335077],[37.40244,-122.335088],[37.40251,-122.3352],[37.402529,-122.335265],[37.402508,-122.335306],[37.402447,-122.335293],[37.402429,-122.335291],[37.402395,-122.335278],[37.402363,-122.335265],[37.402321,-122.335208],[37.402271,-122.335149],[37.402214,-122.335088],[37.402163,-122.33503],[37.402104,-122.334974],[37.402068,-122.334945],[37.402037,-122.334925],[37.401975,-122.334905],[37.401942,-122.334901],[37.401878,-122.334894],[37.401825,-122.334885],[37.401776,-122.334844],[37.401739,-122.334795],[37.401774,-122.334764],[37.401776,-122.334706],[37.401787,-122.334677],[37.401795,-122.33464],[37.401803,-122.334616],[37.401807,-122.334592],[37.401815,-122.334579],[37.401834,-122.334585],[37.401831,-122.33461],[37.401847,-122.334647],[37.401866,-122.334676],[37.401891,-122.334697],[37.401922,-122.334724],[37.401961,-122.334748],[37.401989,-122.334764],[37.402018,-122.334783],[37.402039,-122.334798],[37.40207,-122.334821],[37.402089,-122.334842],[37.402115,-122.334852],[37.40214,-122.334867],[37.402167,-122.334886],[37.4022,-122.334898],[37.402231,-122.33491],[37.402274,-122.334925],[37.402285,-122.334935],[37.402286,-122.334937],[37.402308,-122.334957],[37.402343,-122.335013],[37.402352,-122.335043],[37.402373,-122.335073],[37.402354,-122.335061],[37.402367,-122.335059],[37.402384,-122.335043],[37.402385,-122.335011],[37.402387,-122.33499],[37.402343,-122.33496],[37.402268,-122.334918],[37.402227,-122.334882],[37.402195,-122.33484],[37.402168,-122.334785],[37.40224,-122.334741],[37.402238,-122.334667],[37.402238,-122.334606],[37.402247,-122.334542],[37.402222,-122.334472],[37.402192,-122.3344],[37.402169,-122.334339],[37.40213,-122.334285],[37.402097,-122.334234],[37.402067,-122.334189],[37.402034,-122.334133],[37.402014,-122.334059],[37.402,-122.333997],[37.401941,-122.333882],[37.401902,-122.333801],[37.401879,-122.333733],[37.401848,-122.333667],[37.401815,-122.333624],[37.401768,-122.333596],[37.401716,-122.333561],[37.401682,-122.333559],[37.401659,-122.333579],[37.401646,-122.333605],[37.401628,-122.333625],[37.401627,-122.333659],[37.401634,-122.333745],[37.401647,-122.333808],[37.401673,-122.333873],[37.401693,-122.333931],[37.4017,-122.333968],[37.401692,-122.334005],[37.401682,-122.334039],[37.401645,-122.334081],[37.401619,-122.33411],[37.401566,-122.334137],[37.401518,-122.334164],[37.401495,-122.334204],[37.401481,-122.334251],[37.401476,-122.33432],[37.401486,-122.334408],[37.401475,-122.334464],[37.401465,-122.334514],[37.401386,-122.334552],[37.401358,-122.334576],[37.401307,-122.334593],[37.401279,-122.334599],[37.40126,-122.334599],[37.40128,-122.334554],[37.401298,-122.334544],[37.401288,-122.334498],[37.401282,-122.334442],[37.401276,-122.334378],[37.401254,-122.334295],[37.401286,-122.334229],[37.4013,-122.334167],[37.401339,-122.334139],[37.401354,-122.334099],[37.401389,-122.334067],[37.401435,-122.334053],[37.401473,-122.334047],[37.401489,-122.334045],[37.40151,-122.334046],[37.401521,-122.334038],[37.401626,-122.333905],[37.401587,-122.333758],[37.401538,-122.33366],[37.401486,-122.333567],[37.401491,-122.333505],[37.401502,-122.333433],[37.401466,-122.333354],[37.401444,-122.333295],[37.401434,-122.333247],[37.40142,-122.333192],[37.40141,-122.333138],[37.401397,-122.333077],[37.401397,-122.333034],[37.401381,-122.332986],[37.401349,-122.332949],[37.401324,-122.332906],[37.401324,-122.332875],[37.401327,-122.332853],[37.401361,-122.332841],[37.401447,-122.332839],[37.401538,-122.332834],[37.401605,-122.332798],[37.401715,-122.332794],[37.401766,-122.332777],[37.401827,-122.332778],[37.401879,-122.332783],[37.401952,-122.332791],[37.402014,-122.332796],[37.402164,-122.332828],[37.402262,-122.332817],[37.402321,-122.332823],[37.40237,-122.332834],[37.402446,-122.332844],[37.402521,-122.332856],[37.402579,-122.332867],[37.402631,-122.332875],[37.40268,-122.33288],[37.402738,-122.332897],[37.402778,-122.332903],[37.402854,-122.332915],[37.402907,-122.332918],[37.402976,-122.332927],[37.403008,-122.332924],[37.403047,-122.332927],[37.403076,-122.332926],[37.403099,-122.332926],[37.403104,-122.332923],[37.403133,-122.332931],[37.403205,-122.33296],[37.403259,-122.332979],[37.403268,-122.332962],[37.40327,-122.332953],[37.40328,-122.332946],[37.403258,-122.332873],[37.403263,-122.332844],[37.403276,-122.332852],[37.403304,-122.332866],[37.403313,-122.332873],[37.403337,-122.332879],[37.403358,-122.332877],[37.403397,-122.33288],[37.403541,-122.333021],[37.403652,-122.333042],[37.403656,-122.333034],[37.403642,-122.333016],[37.403651,-122.333024],[37.403675,-122.333035],[37.403714,-122.333059],[37.403753,-122.333084],[37.403792,-122.333108],[37.403832,-122.333132],[37.403871,-122.333156],[37.40391,-122.33318],[37.403949,-122.333204],[37.403998,-122.333234],[37.404341,-122.333446],[37.40368,-122.332083],[37.402837,-122.330347],[37.402736,-122.330245],[37.401961,-122.329764],[37.401945,-122.329749],[37.401936,-122.329782],[37.401919,-122.329796],[37.401928,-122.329832],[37.401784,-122.329782],[37.401755,-122.329775],[37.401733,-122.329775],[37.401562,-122.329664],[37.401474,-122.329598],[37.401365,-122.329533],[37.40134,-122.329555],[37.401351,-122.329579],[37.401376,-122.329634],[37.401315,-122.329593],[37.401314,-122.329588],[37.400947,-122.32922],[37.400662,-122.328995],[37.400844,-122.329197],[37.400934,-122.329287],[37.401256,-122.329582],[37.401288,-122.329598],[37.401325,-122.329625],[37.401341,-122.329638],[37.401349,-122.32965],[37.401371,-122.329684],[37.401403,-122.329688],[37.401415,-122.329722],[37.401451,-122.329718],[37.401447,-122.329709],[37.401352,-122.329563],[37.401349,-122.329542],[37.401348,-122.329529],[37.401349,-122.329516],[37.401345,-122.329506],[37.401342,-122.329499],[37.40135,-122.329495],[37.401358,-122.329475],[37.401367,-122.329472],[37.401376,-122.329469],[37.401382,-122.32947],[37.401388,-122.329482],[37.40132,-122.329482],[37.401308,-122.329475],[37.401302,-122.329476],[37.401291,-122.329477],[37.401286,-122.329477],[37.401258,-122.329455],[37.401239,-122.329439],[37.401183,-122.329405],[37.401144,-122.329387],[37.401123,-122.329384],[37.401106,-122.329383],[37.401088,-122.329377],[37.401068,-122.329368],[37.401059,-122.329364],[37.401043,-122.329354],[37.401023,-122.329349],[37.400958,-122.329319],[37.400939,-122.329315],[37.400926,-122.329319],[37.400906,-122.329318],[37.400875,-122.329317],[37.400851,-122.329318],[37.400821,-122.329315],[37.400793,-122.329297],[37.400771,-122.329291],[37.400747,-122.329288],[37.400731,-122.329283],[37.400674,-122.329263],[37.400643,-122.329247],[37.40063,-122.329251],[37.400613,-122.329252],[37.400578,-122.329244],[37.40055,-122.32924],[37.400529,-122.329239],[37.400515,-122.329234],[37.400483,-122.329208],[37.400465,-122.329192],[37.400449,-122.329178],[37.400441,-122.329163],[37.4004,-122.329103],[37.400387,-122.329076],[37.400385,-122.329059],[37.400375,-122.329039],[37.400327,-122.328971],[37.400315,-122.328952],[37.400304,-122.328928],[37.400295,-122.328911],[37.400296,-122.328903],[37.400222,-122.328807],[37.400203,-122.328784],[37.400183,-122.328761],[37.400162,-122.328743],[37.400147,-122.328703],[37.400072,-122.328601],[37.400049,-122.328519],[37.400045,-122.328484],[37.400044,-122.328461],[37.400035,-122.328441],[37.400027,-122.328419],[37.399961,-122.328282],[37.399898,-122.328184],[37.399838,-122.328073],[37.399834,-122.328081],[37.399828,-122.328087],[37.399818,-122.328096],[37.399813,-122.328114],[37.399806,-122.328136],[37.399771,-122.328145],[37.399752,-122.328147],[37.399739,-122.328153],[37.399725,-122.328147],[37.399719,-122.328128],[37.399718,-122.328125],[37.39977,-122.328227],[37.399777,-122.328265],[37.399791,-122.328315],[37.399775,-122.328344],[37.399757,-122.328364],[37.399692,-122.32839],[37.399665,-122.328402],[37.399615,-122.328404],[37.399571,-122.328397],[37.399553,-122.328411],[37.399527,-122.328404],[37.399453,-122.328268],[37.39943,-122.328226],[37.399414,-122.328193],[37.399396,-122.328165],[37.399371,-122.328139],[37.3993,-122.328054],[37.399243,-122.328004],[37.399223,-122.327979],[37.399207,-122.32796],[37.399194,-122.327942],[37.399182,-122.327923],[37.399161,-122.327826],[37.399146,-122.327798],[37.399138,-122.327776],[37.399124,-122.327754],[37.399107,-122.327728],[37.399024,-122.327639],[37.399001,-122.327614],[37.398988,-122.327597],[37.398973,-122.327573],[37.398959,-122.327553],[37.39892,-122.327464],[37.398722,-122.327258],[37.398706,-122.327199],[37.398684,-122.327161],[37.398668,-122.327126],[37.39865,-122.327086],[37.398631,-122.327047],[37.398592,-122.326983],[37.398497,-122.326846],[37.398457,-122.326805],[37.398424,-122.326787],[37.398403,-122.326778],[37.398407,-122.326768],[37.398413,-122.326766],[37.398366,-122.326724],[37.398387,-122.326787],[37.398453,-122.326983],[37.398473,-122.327065],[37.398491,-122.327099],[37.398515,-122.327126],[37.398537,-122.327146],[37.398568,-122.327185],[37.398586,-122.327212],[37.398697,-122.327454],[37.398739,-122.327704],[37.398752,-122.327781],[37.398767,-122.327867],[37.398775,-122.327916],[37.398797,-122.327986],[37.398809,-122.328033],[37.398819,-122.328069],[37.398823,-122.328094],[37.398824,-122.328116],[37.398833,-122.328105],[37.398821,-122.328091],[37.398704,-122.327918],[37.39868,-122.327895],[37.398658,-122.327868],[37.39864,-122.327837],[37.398627,-122.327811],[37.398585,-122.32771],[37.39858,-122.327681],[37.398583,-122.327642],[37.398571,-122.327617],[37.398564,-122.327601],[37.398563,-122.327597],[37.398566,-122.327592],[37.398572,-122.32758],[37.398558,-122.327542],[37.398538,-122.327491],[37.398519,-122.327449],[37.398498,-122.327401],[37.398465,-122.32736],[37.398433,-122.327323],[37.398401,-122.32729],[37.398382,-122.327261],[37.398295,-122.326951],[37.398284,-122.32691],[37.398233,-122.326766],[37.398206,-122.326722],[37.398171,-122.326671],[37.398024,-122.326368],[37.397996,-122.326284],[37.397978,-122.326198],[37.397971,-122.326117],[37.397968,-122.326057],[37.397969,-122.326007],[37.397967,-122.325965],[37.397951,-122.325911],[37.397928,-122.32588],[37.397919,-122.325848],[37.397922,-122.325829],[37.397932,-122.325812],[37.397956,-122.325809],[37.397944,-122.325783],[37.397929,-122.325742],[37.397904,-122.325698],[37.397858,-122.325612],[37.397864,-122.325617],[37.397888,-122.325287],[37.397902,-122.325272],[37.397919,-122.325215],[37.39791,-122.325155],[37.397904,-122.325142],[37.397919,-122.325112],[37.397923,-122.325085],[37.397913,-122.325051],[37.397917,-122.325033],[37.397917,-122.324988],[37.397912,-122.324967],[37.397908,-122.324949],[37.397924,-122.324937],[37.397924,-122.324915],[37.397925,-122.324891],[37.397894,-122.324844],[37.397875,-122.324812],[37.397862,-122.324802],[37.397865,-122.324809],[37.397866,-122.32481],[37.39787,-122.324814],[37.397857,-122.32482],[37.397864,-122.324853],[37.397853,-122.324865],[37.397825,-122.324865],[37.397802,-122.324866],[37.397766,-122.324859],[37.397753,-122.324869],[37.397744,-122.324876],[37.39773,-122.324869],[37.397735,-122.324886],[37.397744,-122.324908],[37.397756,-122.324937],[37.397767,-122.324973],[37.397709,-122.324966],[37.397691,-122.324987],[37.397567,-122.324957],[37.397478,-122.324958],[37.397426,-122.324972],[37.397408,-122.325003],[37.397388,-122.325026],[37.397365,-122.325043],[37.397361,-122.325076],[37.39737,-122.325124],[37.397367,-122.325153],[37.397327,-122.325211],[37.397309,-122.325214],[37.397287,-122.325212],[37.397268,-122.325206],[37.397258,-122.325204],[37.397227,-122.325173],[37.39719,-122.325121],[37.397179,-122.325097],[37.397163,-122.325072],[37.397143,-122.325041],[37.397128,-122.325013],[37.397122,-122.324987],[37.397114,-122.324964],[37.397105,-122.324937],[37.397089,-122.324907],[37.397072,-122.324874],[37.39706,-122.324845],[37.397012,-122.324786],[37.396996,-122.324745],[37.396977,-122.324704],[37.396952,-122.324644],[37.396929,-122.3246],[37.396866,-122.324432],[37.396862,-122.324399],[37.396847,-122.324352],[37.396832,-122.324279],[37.396824,-122.324226],[37.39681,-122.324088],[37.396827,-122.323975],[37.396845,-122.32394],[37.396873,-122.323912],[37.396903,-122.323884],[37.396939,-122.323863],[37.396977,-122.323762],[37.396965,-122.323711],[37.396963,-122.32368],[37.396971,-122.323656],[37.39695,-122.323599],[37.396948,-122.323564],[37.396819,-122.32334],[37.396757,-122.323274],[37.396726,-122.323242],[37.396702,-122.323209],[37.396669,-122.32312],[37.396646,-122.323043],[37.396624,-122.322837],[37.396629,-122.322783],[37.396628,-122.32274],[37.39661,-122.322685],[37.396603,-122.322637],[37.396615,-122.32253],[37.396635,-122.322501],[37.396649,-122.322476],[37.396652,-122.322447],[37.396667,-122.322414],[37.396729,-122.322319],[37.396758,-122.322283],[37.396787,-122.322262],[37.39681,-122.322244],[37.396823,-122.32222],[37.39683,-122.322181],[37.396863,-122.322079],[37.396882,-122.322041],[37.39691,-122.322011],[37.396954,-122.321984],[37.397036,-122.321973],[37.397205,-122.321965],[37.397316,-122.322007],[37.39735,-122.322012],[37.397392,-122.322017],[37.397434,-122.322019],[37.397475,-122.322027],[37.397552,-122.322042],[37.397574,-122.322042],[37.397595,-122.322046],[37.397641,-122.322066],[37.397665,-122.322073],[37.397706,-122.322088],[37.397768,-122.322107],[37.397794,-122.322113],[37.397818,-122.322119],[37.397878,-122.322121],[37.397906,-122.322113],[37.397943,-122.322109],[37.397983,-122.322089],[37.398035,-122.322096],[37.398054,-122.322101],[37.398081,-122.322108],[37.398156,-122.322103],[37.39819,-122.322115],[37.398227,-122.322127],[37.398261,-122.32214],[37.398295,-122.322148],[37.398392,-122.322179],[37.398421,-122.322191],[37.398448,-122.322204],[37.398483,-122.322215],[37.398508,-122.32222],[37.398592,-122.322186],[37.398595,-122.322166],[37.398607,-122.32215],[37.398621,-122.322132],[37.39863,-122.322105],[37.398666,-122.322056],[37.398699,-122.322034],[37.398726,-122.322012],[37.398757,-122.321998],[37.398801,-122.321945],[37.398862,-122.321916],[37.398935,-122.321897],[37.398971,-122.321898],[37.398997,-122.321896],[37.399021,-122.321886],[37.399064,-122.321892],[37.399145,-122.321893],[37.399185,-122.321898],[37.399224,-122.321899],[37.399269,-122.321901],[37.399305,-122.321906],[37.399343,-122.321915],[37.399472,-122.321952],[37.39951,-122.321953],[37.399558,-122.321942],[37.399597,-122.321936],[37.399637,-122.321937],[37.399803,-122.321892],[37.399821,-122.32186],[37.399844,-122.321831],[37.399861,-122.321796],[37.399875,-122.32176],[37.399957,-122.321675],[37.40002,-122.321648],[37.40005,-122.32165],[37.400076,-122.321659],[37.400096,-122.321671],[37.400116,-122.321683],[37.400211,-122.321727],[37.40023,-122.321728],[37.400253,-122.321736],[37.400281,-122.321747],[37.400306,-122.321752],[37.400347,-122.32176],[37.400376,-122.321765],[37.400399,-122.321767],[37.400421,-122.321772],[37.400455,-122.321753],[37.400479,-122.32173],[37.400498,-122.321713],[37.400524,-122.321713],[37.400536,-122.32168],[37.400566,-122.32168],[37.400603,-122.321685],[37.400775,-122.321739],[37.400827,-122.321756],[37.400847,-122.321755],[37.400868,-122.321756],[37.400881,-122.321753],[37.40089,-122.321745],[37.400907,-122.32172],[37.400922,-122.321714],[37.400924,-122.321689],[37.400928,-122.321658],[37.400932,-122.321623],[37.400969,-122.321539],[37.400953,-122.321488],[37.400961,-122.321445],[37.400962,-122.321396],[37.40096,-122.321353],[37.400964,-122.321325],[37.401025,-122.321236],[37.401029,-122.321213],[37.401043,-122.321197],[37.401053,-122.321183],[37.401057,-122.321154],[37.401112,-122.3211],[37.401139,-122.321085],[37.401174,-122.321082],[37.401202,-122.321072],[37.401232,-122.321052],[37.401321,-122.321009],[37.401361,-122.320953],[37.401386,-122.320922],[37.40142,-122.320891],[37.401475,-122.320866],[37.401665,-122.320846],[37.401705,-122.320849],[37.40175,-122.320848],[37.401799,-122.320856],[37.401855,-122.320864],[37.402065,-122.320889],[37.402448,-122.320968],[37.402501,-122.320981],[37.402556,-122.320996],[37.402608,-122.321001],[37.402661,-122.321016],[37.402837,-122.321034],[37.40287,-122.321029],[37.40279,-122.320948],[37.40281,-122.320931],[37.402855,-122.320874],[37.402882,-122.320849],[37.402911,-122.32083],[37.402945,-122.320811],[37.402983,-122.320794],[37.403026,-122.3208],[37.403086,-122.320786],[37.403114,-122.32078],[37.40303,-122.320702],[37.402961,-122.320642],[37.402979,-122.320639],[37.402861,-122.320534],[37.402807,-122.320487],[37.402751,-122.32043],[37.402749,-122.320412],[37.402719,-122.320376],[37.402618,-122.320243],[37.402631,-122.320227],[37.40265,-122.32022],[37.402672,-122.320212],[37.402671,-122.320189],[37.402763,-122.320081],[37.402801,-122.320018],[37.402815,-122.32],[37.402815,-122.319969],[37.402837,-122.319953],[37.402842,-122.319923],[37.402867,-122.319917],[37.402914,-122.319842],[37.402938,-122.319821],[37.402943,-122.319792],[37.402962,-122.319773],[37.402984,-122.319761],[37.403016,-122.319685],[37.403024,-122.319645],[37.403035,-122.319611],[37.403045,-122.319572],[37.403051,-122.319522],[37.403067,-122.319438],[37.403079,-122.3194],[37.403076,-122.319367],[37.403083,-122.319347],[37.403098,-122.319339],[37.403098,-122.319339],[37.403138,-122.319273],[37.403153,-122.319274],[37.403153,-122.319274],[37.403166,-122.31925],[37.403157,-122.319225],[37.403473,-122.319266],[37.403751,-122.319322],[37.404115,-122.319383],[37.40448,-122.319444],[37.404586,-122.319439],[37.404655,-122.319412],[37.404701,-122.319413],[37.404613,-122.319264],[37.404614,-122.319243],[37.404605,-122.319222],[37.404549,-122.319154],[37.404491,-122.319084],[37.40439,-122.318867],[37.404348,-122.318788],[37.404303,-122.318692],[37.404389,-122.318691],[37.404422,-122.318657],[37.404456,-122.318641],[37.404462,-122.318593],[37.40445,-122.318509],[37.404463,-122.318264],[37.40449,-122.318253],[37.404527,-122.318216],[37.404545,-122.318198],[37.404559,-122.318163],[37.404554,-122.318112],[37.404546,-122.318058],[37.404591,-122.317989],[37.404605,-122.317969],[37.404631,-122.317965],[37.404646,-122.317957],[37.404659,-122.317944],[37.404672,-122.317933],[37.404715,-122.3179],[37.404715,-122.317855],[37.404715,-122.317812],[37.40469,-122.317736],[37.404629,-122.317596],[37.404686,-122.317564],[37.404693,-122.317558],[37.404703,-122.317557],[37.404709,-122.317545],[37.404706,-122.317528],[37.404699,-122.317514],[37.404671,-122.317446],[37.404666,-122.317425],[37.404671,-122.317425],[37.404672,-122.317416],[37.404674,-122.317412],[37.404696,-122.317359],[37.404707,-122.317331],[37.404712,-122.317307],[37.404719,-122.317284],[37.404766,-122.317295],[37.404838,-122.317254],[37.404837,-122.317221],[37.404873,-122.317204],[37.4049,-122.317203],[37.404949,-122.317201],[37.405009,-122.317213],[37.405004,-122.317206],[37.404991,-122.317195],[37.404982,-122.317186],[37.40498,-122.317182],[37.404967,-122.317173],[37.404958,-122.317162],[37.404949,-122.317155],[37.404906,-122.317133],[37.404895,-122.317135],[37.40489,-122.317146],[37.404884,-122.317152],[37.404874,-122.317162],[37.404847,-122.317146],[37.404826,-122.317159],[37.40481,-122.317164],[37.404794,-122.317168],[37.404778,-122.317173],[37.404752,-122.317171],[37.404721,-122.317157],[37.404678,-122.317139],[37.404572,-122.317083],[37.404448,-122.317018],[37.404293,-122.316984],[37.404277,-122.316987],[37.404276,-122.317007],[37.404259,-122.317021],[37.40425,-122.317031],[37.404248,-122.317051],[37.40426,-122.31711],[37.404276,-122.317164],[37.404285,-122.317199],[37.404296,-122.317234],[37.404339,-122.317318],[37.404363,-122.317412],[37.40436,-122.31744],[37.404356,-122.317458],[37.404347,-122.31747],[37.404324,-122.317475],[37.40434,-122.317507],[37.404356,-122.317506],[37.404376,-122.317505],[37.4044,-122.317506],[37.404429,-122.31751],[37.404459,-122.317517],[37.404488,-122.317525],[37.404573,-122.317577],[37.404597,-122.317598],[37.404626,-122.31762],[37.404664,-122.317654],[37.404689,-122.317673],[37.404717,-122.317691],[37.404799,-122.317731],[37.40482,-122.317738],[37.404837,-122.317744],[37.404864,-122.317757],[37.404886,-122.317767],[37.404923,-122.317818],[37.404908,-122.317814],[37.404905,-122.317812],[37.405142,-122.31807],[37.405167,-122.318111],[37.405181,-122.31813],[37.40523,-122.318165],[37.405271,-122.318197],[37.40534,-122.318239],[37.405368,-122.318258],[37.405389,-122.318274],[37.405424,-122.318292],[37.405456,-122.318305],[37.40554,-122.318344],[37.405551,-122.318343],[37.405559,-122.318351],[37.405561,-122.318351],[37.405575,-122.318364],[37.405581,-122.318371],[37.405592,-122.318374],[37.405601,-122.318367],[37.405598,-122.318327],[37.405595,-122.318309],[37.405587,-122.318288],[37.405578,-122.318268],[37.405608,-122.318216],[37.40561,-122.318208],[37.405621,-122.318205],[37.405632,-122.318203],[37.405643,-122.318211],[37.405592,-122.318101],[37.405577,-122.318078],[37.405551,-122.318054],[37.40552,-122.318015],[37.405509,-122.317992],[37.405485,-122.317968],[37.405474,-122.317943],[37.40545,-122.31791],[37.405429,-122.317885],[37.405408,-122.317866],[37.405374,-122.317837],[37.405324,-122.317791],[37.405303,-122.317787],[37.40527,-122.31777],[37.405251,-122.317762],[37.405204,-122.317739],[37.405176,-122.317718],[37.405152,-122.317701],[37.405134,-122.317689],[37.405115,-122.317671],[37.405103,-122.317661],[37.405075,-122.317623],[37.405068,-122.31761],[37.405062,-122.317593],[37.405017,-122.317493],[37.405004,-122.317462],[37.40499,-122.317435],[37.40497,-122.317412],[37.404959,-122.3174],[37.404942,-122.317392],[37.404907,-122.317366],[37.404887,-122.317325],[37.4048,-122.317274],[37.404774,-122.31726],[37.404751,-122.317243],[37.40473,-122.317222],[37.404697,-122.317176],[37.404665,-122.317119],[37.404601,-122.316991],[37.404577,-122.316948],[37.404558,-122.316891],[37.404546,-122.316857],[37.404537,-122.316832],[37.404478,-122.31665],[37.404478,-122.316623],[37.404479,-122.316603],[37.404481,-122.316586],[37.404486,-122.316571],[37.404491,-122.316559],[37.404514,-122.316513],[37.404522,-122.316497],[37.404526,-122.316475],[37.404528,-122.316453],[37.404529,-122.316424],[37.404548,-122.316398],[37.404567,-122.316348],[37.404575,-122.31633],[37.404582,-122.316307],[37.40458,-122.316281],[37.404579,-122.316256],[37.404585,-122.316218],[37.404586,-122.316195],[37.404589,-122.316165],[37.404599,-122.316145],[37.404608,-122.31613],[37.404622,-122.316105],[37.404619,-122.316072],[37.404623,-122.316065],[37.404635,-122.316061],[37.404634,-122.316051],[37.404651,-122.316048],[37.404659,-122.31602],[37.404683,-122.315981],[37.40469,-122.315972],[37.404699,-122.315964],[37.404722,-122.315963],[37.404749,-122.31595],[37.404762,-122.31591],[37.404758,-122.315882],[37.404776,-122.315874],[37.404784,-122.31587],[37.404791,-122.315866],[37.404804,-122.315861],[37.404823,-122.315858],[37.40486,-122.315857],[37.404874,-122.315851],[37.404898,-122.315821],[37.404906,-122.315806],[37.404908,-122.315794],[37.404902,-122.315773],[37.404907,-122.315755],[37.40491,-122.315735],[37.404902,-122.315688],[37.404897,-122.315672],[37.404903,-122.315655],[37.404936,-122.31565],[37.404947,-122.315649],[37.40493,-122.315607],[37.404917,-122.31558],[37.404906,-122.315552],[37.404902,-122.315537],[37.4049,-122.315522],[37.404892,-122.315473],[37.404886,-122.315449],[37.404878,-122.315429],[37.404876,-122.315411],[37.404876,-122.315392],[37.404877,-122.315362],[37.40487,-122.315241],[37.404882,-122.315227],[37.404889,-122.315213],[37.404898,-122.315201],[37.404897,-122.315177],[37.404918,-122.315094],[37.404921,-122.315068],[37.404928,-122.315038],[37.404942,-122.31502],[37.404954,-122.315],[37.404983,-122.314934],[37.405024,-122.314731],[37.405025,-122.314676],[37.405031,-122.314616],[37.405047,-122.314573],[37.405062,-122.314534],[37.405069,-122.314485],[37.405086,-122.314443],[37.405167,-122.314309],[37.405225,-122.314271],[37.405245,-122.31425],[37.405263,-122.314233],[37.405277,-122.314206],[37.405286,-122.314174],[37.405334,-122.314147],[37.405357,-122.314146],[37.405377,-122.31414],[37.405406,-122.314139],[37.405434,-122.314133],[37.405444,-122.314108],[37.405438,-122.314047],[37.405417,-122.31399],[37.405396,-122.313933],[37.405362,-122.313839],[37.405341,-122.313796],[37.405295,-122.313677],[37.405285,-122.31365],[37.405278,-122.313628],[37.405272,-122.31361],[37.405259,-122.313574],[37.405206,-122.313453],[37.405194,-122.313431],[37.40518,-122.313409],[37.405164,-122.313378],[37.405145,-122.313333],[37.40508,-122.31318],[37.404877,-122.312818],[37.404863,-122.312743],[37.404856,-122.312691],[37.40486,-122.312648],[37.404867,-122.312617],[37.404844,-122.31256],[37.404825,-122.312532],[37.404821,-122.31251],[37.404813,-122.312494],[37.404827,-122.31249],[37.404841,-122.312499],[37.404855,-122.312516],[37.404886,-122.312547],[37.404893,-122.312554],[37.404945,-122.312604],[37.404921,-122.312649],[37.404928,-122.312734],[37.404946,-122.31279],[37.404967,-122.312845],[37.404986,-122.312894],[37.405031,-122.31295],[37.405057,-122.312995],[37.405079,-122.313034],[37.405108,-122.313071],[37.405145,-122.313105],[37.405179,-122.313138],[37.405212,-122.313175],[37.405242,-122.313206],[37.405265,-122.313225],[37.405288,-122.313244],[37.405297,-122.313253],[37.40532,-122.313251],[37.405322,-122.31325],[37.405374,-122.313334],[37.405429,-122.313472],[37.405471,-122.31354],[37.4055,-122.313571],[37.40556,-122.313651],[37.405588,-122.3137],[37.405614,-122.313747],[37.405653,-122.313814],[37.405679,-122.313874],[37.40569,-122.313937],[37.40568,-122.314009],[37.405655,-122.314092],[37.405584,-122.314184],[37.405527,-122.314246],[37.405482,-122.314302],[37.405441,-122.314359],[37.405385,-122.314407],[37.40534,-122.314467],[37.405302,-122.314538],[37.405278,-122.314612],[37.405262,-122.31469],[37.405251,-122.31477],[37.405228,-122.314835],[37.405193,-122.31489],[37.405157,-122.314933],[37.405122,-122.31496],[37.405082,-122.314984],[37.405044,-122.31501],[37.405022,-122.315042],[37.40501,-122.31509],[37.405022,-122.315168],[37.405014,-122.31521],[37.405017,-122.315254],[37.405026,-122.315301],[37.405056,-122.315364],[37.405065,-122.315412],[37.405086,-122.315465],[37.405097,-122.315512],[37.405107,-122.315557],[37.405117,-122.315607],[37.405109,-122.315646],[37.405093,-122.315679],[37.404994,-122.315676],[37.404916,-122.315673],[37.40486,-122.315681],[37.404831,-122.315696],[37.404795,-122.315704],[37.404746,-122.315707],[37.404698,-122.315712],[37.404646,-122.315714],[37.404622,-122.315776],[37.40458,-122.315817],[37.4045,-122.31584],[37.404442,-122.315877],[37.40438,-122.315907],[37.404321,-122.315962],[37.404274,-122.316012],[37.40423,-122.316056],[37.4042,-122.316122],[37.404177,-122.316193],[37.40418,-122.316302],[37.404157,-122.316352],[37.404144,-122.3164],[37.404134,-122.316438],[37.404142,-122.316491],[37.404152,-122.316533],[37.404161,-122.316561],[37.404187,-122.316587],[37.404226,-122.316601],[37.404264,-122.316613],[37.4043,-122.316624],[37.404329,-122.316641],[37.404366,-122.316702],[37.404392,-122.316756],[37.404411,-122.316803],[37.404428,-122.316847],[37.404438,-122.316883],[37.404464,-122.316938],[37.404492,-122.316987],[37.404529,-122.317033],[37.404565,-122.317074],[37.404605,-122.317105],[37.404655,-122.317144],[37.404696,-122.317171],[37.404733,-122.317205],[37.40477,-122.317268],[37.404805,-122.317323],[37.40484,-122.317381],[37.404868,-122.317424],[37.404932,-122.317524],[37.404962,-122.317568],[37.405009,-122.317639],[37.405031,-122.317674],[37.405051,-122.317704],[37.405062,-122.317725],[37.405074,-122.317743],[37.405083,-122.317757],[37.405076,-122.317757],[37.405038,-122.317663],[37.405032,-122.317645],[37.405017,-122.317628],[37.404972,-122.317598],[37.404954,-122.317588],[37.404908,-122.317563],[37.404894,-122.31756],[37.404869,-122.317548],[37.404852,-122.31754],[37.404832999999996,-122.317547],[37.404815,-122.317542],[37.404809,-122.317536],[37.404807,-122.31753],[37.404798,-122.317519],[37.404795,-122.31751],[37.404791,-122.317519],[37.404721,-122.317341],[37.404711,-122.317323],[37.404702,-122.317311],[37.404687,-122.317298],[37.404678,-122.31729],[37.404665,-122.317276],[37.404612,-122.3172],[37.40456,-122.317147],[37.404525,-122.317118],[37.404504,-122.3171],[37.404482,-122.317088],[37.40446,-122.317076],[37.404445,-122.317068],[37.404422,-122.317046],[37.404383,-122.316982],[37.404346,-122.316861],[37.404326,-122.316815],[37.404326,-122.316779],[37.40433,-122.316749],[37.404334,-122.316726],[37.404338,-122.316698],[37.404339,-122.316664],[37.404366,-122.316488],[37.404369,-122.316471],[37.404375,-122.31646],[37.404382,-122.316443],[37.404386,-122.316431],[37.404402,-122.316419],[37.404418,-122.316396],[37.404428,-122.316385],[37.404443,-122.316376],[37.404455,-122.31637],[37.404469,-122.31636],[37.404488,-122.316331],[37.404503,-122.316312],[37.404514,-122.316302],[37.404528,-122.316296],[37.404539,-122.316289],[37.404556,-122.316286],[37.404584,-122.316268],[37.404647,-122.316207],[37.404656,-122.3162],[37.404666,-122.31619],[37.404688,-122.316178],[37.404702,-122.316165],[37.404732,-122.316144],[37.404783,-122.316119],[37.404799,-122.31612],[37.404815,-122.316123],[37.404829,-122.316122],[37.404854,-122.316135],[37.404986,-122.316166],[37.405009,-122.316165],[37.405022,-122.316149],[37.405035,-122.316131],[37.405048,-122.316125],[37.405061,-122.316119],[37.405071,-122.316116],[37.405115,-122.316085],[37.405122,-122.316068],[37.405132,-122.316058],[37.405138,-122.316046],[37.405142,-122.316031],[37.405164,-122.315995],[37.405173,-122.315983],[37.405187,-122.315977],[37.405197,-122.315967],[37.405203,-122.315958],[37.405209,-122.315942],[37.405217,-122.315928],[37.405214,-122.31589],[37.405213,-122.31587],[37.40521,-122.315852],[37.405207,-122.315838],[37.40521,-122.315829],[37.405217,-122.315825],[37.405226,-122.315814],[37.405193,-122.315661],[37.405177,-122.315636],[37.405168,-122.315616],[37.405159,-122.315594],[37.405149,-122.315574],[37.405136,-122.315551],[37.405127,-122.315531],[37.40511,-122.315481],[37.405106,-122.315453],[37.405106,-122.315425],[37.405107,-122.315399],[37.405105,-122.31538],[37.405092,-122.315307],[37.405101,-122.3153],[37.405113,-122.315288],[37.405119,-122.315274],[37.40513,-122.315252],[37.405135,-122.31523],[37.405144,-122.315211],[37.405153,-122.315195],[37.405164,-122.315184],[37.405174,-122.315172],[37.405183,-122.315158],[37.405194,-122.315149],[37.405235,-122.315109],[37.405299,-122.315053],[37.405326,-122.315019],[37.405347,-122.314984],[37.405369,-122.314975],[37.405376,-122.314962],[37.405383,-122.314945],[37.405397,-122.314904],[37.40542,-122.314851],[37.405442,-122.314759],[37.405478,-122.314677],[37.405479,-122.314664],[37.405535,-122.314598],[37.405547,-122.314588],[37.405599,-122.314534],[37.405608,-122.314526],[37.405613,-122.314515],[37.405626,-122.314504],[37.405643,-122.314497],[37.405677,-122.314487],[37.405705,-122.314453],[37.40571,-122.314438],[37.405771,-122.314397],[37.405804,-122.314345],[37.405816,-122.314338],[37.405821,-122.314331],[37.405826,-122.314326],[37.405835,-122.314323],[37.405852,-122.314222],[37.405836,-122.314148],[37.405829,-122.314132],[37.405823,-122.31411],[37.405816,-122.314097],[37.405773,-122.314023],[37.405764,-122.314007],[37.405755,-122.313994],[37.405748,-122.313982],[37.405739,-122.313961],[37.405688,-122.313836],[37.405676,-122.313816],[37.40567,-122.313797],[37.405649,-122.313761],[37.405638,-122.31374],[37.405615,-122.313709],[37.405599,-122.31368],[37.405564,-122.313535],[37.405563,-122.313518],[37.405566,-122.313506],[37.405562,-122.313487],[37.405561,-122.313476],[37.405557,-122.313447],[37.405539,-122.313376],[37.405534,-122.313347],[37.405528,-122.313318],[37.405518,-122.313267],[37.405517,-122.31323],[37.4055,-122.313177],[37.405493,-122.313139],[37.405449,-122.312932],[37.405435,-122.312896],[37.405429,-122.312868],[37.405423,-122.312842],[37.405413,-122.312817],[37.405401,-122.312783],[37.4054,-122.312844],[37.405385,-122.312869],[37.405359,-122.312895],[37.405328,-122.312911],[37.405309,-122.312928],[37.405291,-122.312949],[37.40528,-122.312977],[37.405245,-122.313047],[37.405218,-122.313085],[37.405178,-122.313127],[37.40515,-122.313157],[37.405129,-122.313177],[37.405105,-122.3132],[37.405093,-122.313214],[37.40508,-122.313231],[37.405079,-122.313247],[37.405082,-122.31326],[37.405079,-122.31327],[37.4051,-122.313265],[37.405112,-122.313263],[37.405135,-122.313251],[37.405247,-122.313193],[37.405272,-122.313187],[37.405291,-122.313203],[37.405305,-122.313214],[37.405298,-122.313232],[37.405264,-122.31326],[37.405239,-122.313289],[37.405219,-122.31332],[37.405201,-122.313349],[37.405181,-122.313374],[37.405099,-122.313435],[37.405062,-122.313457],[37.405034,-122.313472],[37.405,-122.313494],[37.404964,-122.313509],[37.40492,-122.31351],[37.404891,-122.313511],[37.404856,-122.313502],[37.404824,-122.313481],[37.404751,-122.313426],[37.404725,-122.313389],[37.404706,-122.313352],[37.404683,-122.313313],[37.404659,-122.313275],[37.404638,-122.313236],[37.404615,-122.313198],[37.404593,-122.313173],[37.404569,-122.313153],[37.404536,-122.313141],[37.404489,-122.313141],[37.404447,-122.313147],[37.404401,-122.313163],[37.404337,-122.313165],[37.404288,-122.313189],[37.404248,-122.313221],[37.404219,-122.31325],[37.404154,-122.313308],[37.404125,-122.313326],[37.404093,-122.313334],[37.404059,-122.313335],[37.404022,-122.313324],[37.403987,-122.313302],[37.403891,-122.313234],[37.403855,-122.313232],[37.403818,-122.313241],[37.403766,-122.313272],[37.403673,-122.313313],[37.403617,-122.313313],[37.403544,-122.313371],[37.403484,-122.313411],[37.403429,-122.313463],[37.403376,-122.313519],[37.403333,-122.31357],[37.403298,-122.313623],[37.403097,-122.313776],[37.402945,-122.313848],[37.402908,-122.313893],[37.402882,-122.313935],[37.402857,-122.313982],[37.402829,-122.314027],[37.402801,-122.314064],[37.402769,-122.314088],[37.402728,-122.314103],[37.402683,-122.314119],[37.402647,-122.314143],[37.402619,-122.314175],[37.402591,-122.314208],[37.402564,-122.314232],[37.402538,-122.314236],[37.402508,-122.31423],[37.402465,-122.31422],[37.402369,-122.314163],[37.402334,-122.314131],[37.402292,-122.314109],[37.40225,-122.314101],[37.402207,-122.314108],[37.402175,-122.314126],[37.402143,-122.314133],[37.402109,-122.314139],[37.40206,-122.314131],[37.402012,-122.31413],[37.401964,-122.314131],[37.401918,-122.314135],[37.401877,-122.314153],[37.401856,-122.314173],[37.401828,-122.314197],[37.401798,-122.314214],[37.401771,-122.314216],[37.401748,-122.314208],[37.401725,-122.314194],[37.401702,-122.314174],[37.401682,-122.314116],[37.401673,-122.314085],[37.401656,-122.314052],[37.40164,-122.314013],[37.401621,-122.313984],[37.401604,-122.313961],[37.401583,-122.313943],[37.401565,-122.313912],[37.401535,-122.313874],[37.401507,-122.313836],[37.401481,-122.313803],[37.401463,-122.313777],[37.40145,-122.313744],[37.401448,-122.313717],[37.401308,-122.313684],[37.401275,-122.31368],[37.401057,-122.313661],[37.400986,-122.313634],[37.400674,-122.313576],[37.400637,-122.313573],[37.400616,-122.31357],[37.40058,-122.313584],[37.400559,-122.3136],[37.400521,-122.313618],[37.400254,-122.313702],[37.400213,-122.313725],[37.400005,-122.313858],[37.400033,-122.313981],[37.400049,-122.31403],[37.400055,-122.314074],[37.400057,-122.314106],[37.400052,-122.314127],[37.400047,-122.314144],[37.400042,-122.314158],[37.400037,-122.314172],[37.400036,-122.314182],[37.40003,-122.314192],[37.400029,-122.314202],[37.400019,-122.314209],[37.399991,-122.314304],[37.399951,-122.314302],[37.399924,-122.314302],[37.399888,-122.314301],[37.399856,-122.314303],[37.399821,-122.31432],[37.399793,-122.314348],[37.399775,-122.314384],[37.399776,-122.314442],[37.399765,-122.314496],[37.399739,-122.314589],[37.399728,-122.314633],[37.399708,-122.314688],[37.399693,-122.314753],[37.399682,-122.314816],[37.399671,-122.314884],[37.399661,-122.314953],[37.39966,-122.315003],[37.399655,-122.315044],[37.399637,-122.315107],[37.399625,-122.315129],[37.399591,-122.315216],[37.39958,-122.31525],[37.39957,-122.315292],[37.399565,-122.315336],[37.399569,-122.315382],[37.399568,-122.315421],[37.399539,-122.315484],[37.399491,-122.315558],[37.399466,-122.315599],[37.399441,-122.315637],[37.399415,-122.315679],[37.399392,-122.315723],[37.399378,-122.315764],[37.39937,-122.315803],[37.399357,-122.315832],[37.399334,-122.315857],[37.399267,-122.315846],[37.399262,-122.315836],[37.399263,-122.315832],[37.399273,-122.315786],[37.399283,-122.315747],[37.399372,-122.315555],[37.399388,-122.315502],[37.39941,-122.315352],[37.399418,-122.315298],[37.399481,-122.315085],[37.399501,-122.315039],[37.399529,-122.314999],[37.399569,-122.314816],[37.399551,-122.31477],[37.39949,-122.314688],[37.399454,-122.314647],[37.399419,-122.314625],[37.399388,-122.314612],[37.399336,-122.314547],[37.399321,-122.314499],[37.399314,-122.314455],[37.3993,-122.314409],[37.399283,-122.314363],[37.399267,-122.314333],[37.399232,-122.314311],[37.399207,-122.314295],[37.399165,-122.314172],[37.39918,-122.314094],[37.399176,-122.313939],[37.399151,-122.313904],[37.399119,-122.313876],[37.399085,-122.313854],[37.399047,-122.313825],[37.398985,-122.313777],[37.398967,-122.313762],[37.398948,-122.313741],[37.398951,-122.313727],[37.398963,-122.313709],[37.398995,-122.313696],[37.399027,-122.313694],[37.399061,-122.313514],[37.399107,-122.313345],[37.39915,-122.31327],[37.399182,-122.313227],[37.399263,-122.313109],[37.399301,-122.313087],[37.399368,-122.313024],[37.399404,-122.312912],[37.399371,-122.31288],[37.399352,-122.31285],[37.399314,-122.312774],[37.399296,-122.312735],[37.399291,-122.312689],[37.399288,-122.312652],[37.399297,-122.312618],[37.39932,-122.312555],[37.399321,-122.312512],[37.399316,-122.312473],[37.399311,-122.312437],[37.3993,-122.312402],[37.399229,-122.31225],[37.399201,-122.312185],[37.399196,-122.312168],[37.39919,-122.312149],[37.399183,-122.312125],[37.399179,-122.312101],[37.399172,-122.312084],[37.399161,-122.312066],[37.399153,-122.312053],[37.39915,-122.312041],[37.399139,-122.312024],[37.399105,-122.311978],[37.399103,-122.311969],[37.399099,-122.311958],[37.399093,-122.311949],[37.399083,-122.311935],[37.399053,-122.311916],[37.399041,-122.3119],[37.399035,-122.311889],[37.399015,-122.311873],[37.399008,-122.311865],[37.398996,-122.311853],[37.398985,-122.311843],[37.398965,-122.311831],[37.398956,-122.311821],[37.398875,-122.311764],[37.398818,-122.311682],[37.398807,-122.311649],[37.398802,-122.311605],[37.398803,-122.311574],[37.39879,-122.311542],[37.398662,-122.311473],[37.398641,-122.311457],[37.398618,-122.311432],[37.398598,-122.311394],[37.398589,-122.31136],[37.398586,-122.31131],[37.398573,-122.311283],[37.39855,-122.311266],[37.398523,-122.311255],[37.398499,-122.311218],[37.398477,-122.311191],[37.398454,-122.311162],[37.398415,-122.311113],[37.398389,-122.311084],[37.398365,-122.311065],[37.398343,-122.311044],[37.398318,-122.311045],[37.398299,-122.311043],[37.398159,-122.311137],[37.398114,-122.311206],[37.398093,-122.311233],[37.398069,-122.311244],[37.398048,-122.311247],[37.397979,-122.311169],[37.397958,-122.311135],[37.397937,-122.311099],[37.397908,-122.311039],[37.397888,-122.310995],[37.397869,-122.310955],[37.397853,-122.310927],[37.397842,-122.310897],[37.397834,-122.310884],[37.397832,-122.310884],[37.39783,-122.310883],[37.397826,-122.310738],[37.397765,-122.310673],[37.397749,-122.310589],[37.397745,-122.310539],[37.397751,-122.310478],[37.397762,-122.310416],[37.397774,-122.310359],[37.397784,-122.310312],[37.397802,-122.310273],[37.397818,-122.310243],[37.397837,-122.310209],[37.397855,-122.310173],[37.397884,-122.310151],[37.39791,-122.310139],[37.397963,-122.310126],[37.398022,-122.310116],[37.398074,-122.310098],[37.398118,-122.310084],[37.398165,-122.310066],[37.398205,-122.310038],[37.398241,-122.310022],[37.398269,-122.31001],[37.398314,-122.310007],[37.398345,-122.310021],[37.398376,-122.310046],[37.398399,-122.31008],[37.398419,-122.310113],[37.398454,-122.310159],[37.398495,-122.310194],[37.398529,-122.31023],[37.39856,-122.310268],[37.398601,-122.3103],[37.398643,-122.310323],[37.398693,-122.310343],[37.398739,-122.310355],[37.398782,-122.310378],[37.398828,-122.310405],[37.398927,-122.310427],[37.399016,-122.31044],[37.399073,-122.310445],[37.39913,-122.310453],[37.399185,-122.310461],[37.399237,-122.310482],[37.399301,-122.310525],[37.399355,-122.310575],[37.399396,-122.310604],[37.399435,-122.310626],[37.399469,-122.310615],[37.39952,-122.310609],[37.399549,-122.310596],[37.399564,-122.310585],[37.399578,-122.31055],[37.399558,-122.310466],[37.399533,-122.310436],[37.399496,-122.310397],[37.399462,-122.310363],[37.399411,-122.310332],[37.399356,-122.310314],[37.399313,-122.3103],[37.39928,-122.310287],[37.399247,-122.310273],[37.399219,-122.310258],[37.399174,-122.310183],[37.39911,-122.310037],[37.399044,-122.309904],[37.398975,-122.309837],[37.398933,-122.309807],[37.398897,-122.309768],[37.398855,-122.309726],[37.398817,-122.309674],[37.398692,-122.309466],[37.398477,-122.309171],[37.398292,-122.308938],[37.398263,-122.308877],[37.398239,-122.308813],[37.398215,-122.308752],[37.398204,-122.308709],[37.398186,-122.30868],[37.39815,-122.308657],[37.39812,-122.308619],[37.398113,-122.308567],[37.398078,-122.308495],[37.398028,-122.3084],[37.398017,-122.308372],[37.398014,-122.308277],[37.39801,-122.308241],[37.398003,-122.308203],[37.398039,-122.308187],[37.398047,-122.308188],[37.398067,-122.308187],[37.398073,-122.308194],[37.398081,-122.308203],[37.398093,-122.308214],[37.398113,-122.308229],[37.398127,-122.308247],[37.398132,-122.308259],[37.398139,-122.308265],[37.398138,-122.308284],[37.398141,-122.30839],[37.398233,-122.308442],[37.398261,-122.308446],[37.398287,-122.308455],[37.39831,-122.308459],[37.398331,-122.30845],[37.398348,-122.308445],[37.398365,-122.308452],[37.398385,-122.308465],[37.398405,-122.308486],[37.398423,-122.308497],[37.398474,-122.308503],[37.398509,-122.308518],[37.398539,-122.308527],[37.398571,-122.308541],[37.398609,-122.30855],[37.398663,-122.308559],[37.398672,-122.308551],[37.398656,-122.308528],[37.398648,-122.308503],[37.398641,-122.308477],[37.398636,-122.308454],[37.398625,-122.308442],[37.39861,-122.308436],[37.39853,-122.308396],[37.398501,-122.308379],[37.398483,-122.30835],[37.398474,-122.308309],[37.398472,-122.308244],[37.398478,-122.308196],[37.398489,-122.308153],[37.398505,-122.308109],[37.398508,-122.308098],[37.398507,-122.308082],[37.398489,-122.308068],[37.398464,-122.308055],[37.39844,-122.308033],[37.398391,-122.307981],[37.398363,-122.30795],[37.398327,-122.307914],[37.398303,-122.307894],[37.398289,-122.307884],[37.398279,-122.307876],[37.39826,-122.30775],[37.398275,-122.307763],[37.398365,-122.307825],[37.398508,-122.307931],[37.398668,-122.308108],[37.398733,-122.308156],[37.398802,-122.308254],[37.398842,-122.308416],[37.398852,-122.308451],[37.398867,-122.308499],[37.39888,-122.308542],[37.398886,-122.308586],[37.398894,-122.308609],[37.398902,-122.308627],[37.39891,-122.308618],[37.398928,-122.30857],[37.398932,-122.308552],[37.398924,-122.30853],[37.398919,-122.308511],[37.398916,-122.308499],[37.398915,-122.308488],[37.398913,-122.308481],[37.398921,-122.308484],[37.398935,-122.308499],[37.398952,-122.308527],[37.398979,-122.308556],[37.398995,-122.308584],[37.399016,-122.308615],[37.399047,-122.30865],[37.39907,-122.308677],[37.399134,-122.308769],[37.399137,-122.308812],[37.399147,-122.308841],[37.399154,-122.308875],[37.399162,-122.308902],[37.39917,-122.308916],[37.399177,-122.308927],[37.39918,-122.308942],[37.399208,-122.308943],[37.399406,-122.308838],[37.399435,-122.308839],[37.399502,-122.308812],[37.399546,-122.308766],[37.399572,-122.308731],[37.399587,-122.308703],[37.399596,-122.308686],[37.399601,-122.308677],[37.399606,-122.308668],[37.39961,-122.308657],[37.399627,-122.308638],[37.399625,-122.308624],[37.399624,-122.308614],[37.399626,-122.308607],[37.399625,-122.308596],[37.399623,-122.308582],[37.399623,-122.308522],[37.399656,-122.308387],[37.399674,-122.308345],[37.399688,-122.308302],[37.399691,-122.30828],[37.399697,-122.308253],[37.399733,-122.308161],[37.399733,-122.308142],[37.399734,-122.308115],[37.399737,-122.308094],[37.39974,-122.308069],[37.399745,-122.308037],[37.399762,-122.307984],[37.399807,-122.307803],[37.399821,-122.307759],[37.399835,-122.30772],[37.399852,-122.307677],[37.399871,-122.307632],[37.399885,-122.307593],[37.399916,-122.307534],[37.399913,-122.30751],[37.399929,-122.307496],[37.399948,-122.307468],[37.399971,-122.307439],[37.399991,-122.307419],[37.400014,-122.307395],[37.40004,-122.307373],[37.40006,-122.307359],[37.400117,-122.307336],[37.400145,-122.307326],[37.400173,-122.307311],[37.400198,-122.307292],[37.400226,-122.307278],[37.400249,-122.30727],[37.400277,-122.307264],[37.400311,-122.307267],[37.400333,-122.307262],[37.400493,-122.307263],[37.400531,-122.307262],[37.400568,-122.307264],[37.4006,-122.307266],[37.400627,-122.307269],[37.400718,-122.30726],[37.400753,-122.307253],[37.400787,-122.30724],[37.400822,-122.307229],[37.400851,-122.30722],[37.400875,-122.307211],[37.4009,-122.307203],[37.400937,-122.307192],[37.400962,-122.307182],[37.40098,-122.307175],[37.40099,-122.307176],[37.400932,-122.307144],[37.400915,-122.307107],[37.400809,-122.30706],[37.400799,-122.307053],[37.400785,-122.307051],[37.400769,-122.307056],[37.400754,-122.307044],[37.400735,-122.307034],[37.400729,-122.307017],[37.400716,-122.307],[37.400702,-122.306978],[37.400683,-122.306952],[37.400602,-122.306859],[37.400581,-122.306835],[37.400562,-122.306804],[37.400552,-122.306778],[37.400535,-122.306756],[37.400527,-122.306722],[37.400524,-122.306686],[37.400515,-122.306607],[37.400514,-122.306569],[37.400518,-122.306532],[37.400515,-122.306494],[37.400511,-122.306459],[37.400513,-122.306418],[37.400531,-122.306224],[37.400528,-122.306189],[37.40055,-122.306104],[37.400543,-122.306076],[37.400538,-122.306049],[37.400531,-122.305971],[37.400527,-122.305944],[37.40052,-122.305921],[37.400521,-122.305894],[37.400523,-122.305872],[37.400529,-122.30582],[37.400532,-122.305808],[37.400527,-122.3058],[37.400514,-122.30578],[37.400499,-122.305773],[37.400473,-122.305777],[37.400426,-122.305741],[37.400308,-122.305742],[37.400283,-122.305761],[37.400263,-122.305785],[37.400242,-122.305806],[37.400219,-122.305824],[37.400196,-122.30584],[37.400172,-122.30585],[37.40015,-122.305843],[37.400128,-122.305834],[37.400107,-122.305833],[37.400085,-122.30583],[37.400059,-122.305832],[37.399976,-122.305786],[37.399909,-122.305758],[37.399846,-122.305727],[37.399707,-122.30555],[37.399704,-122.305457],[37.399703,-122.305358],[37.399695,-122.305279],[37.399698,-122.30522],[37.399697,-122.305127],[37.399714,-122.305029],[37.399749,-122.304959],[37.39976,-122.304931],[37.399771,-122.304892],[37.399784,-122.304845],[37.39979,-122.304771],[37.399793,-122.30472],[37.399797,-122.304702],[37.399798,-122.30468],[37.399798,-122.304661],[37.399799,-122.304645],[37.399802,-122.304621],[37.399815,-122.304597],[37.399822,-122.30458],[37.399834,-122.30455],[37.399843,-122.304523],[37.399844,-122.30441],[37.39986,-122.304386],[37.399868,-122.304357],[37.399874,-122.304339],[37.399883,-122.304329],[37.399922,-122.304286],[37.399929,-122.304268],[37.399931,-122.304249],[37.399927,-122.304229],[37.399917,-122.304199],[37.399902,-122.304174],[37.399855,-122.304133],[37.399834,-122.304123],[37.399817,-122.304118],[37.399809,-122.304113],[37.399793,-122.304105],[37.399745,-122.304098],[37.399694,-122.304051],[37.399659,-122.304022],[37.399626,-122.304001],[37.399605,-122.304],[37.399589,-122.303997],[37.399527,-122.303988],[37.399501,-122.303975],[37.399471,-122.303972],[37.399449,-122.303972],[37.39943,-122.303973],[37.399401,-122.30395],[37.399389,-122.303948],[37.399371,-122.303944],[37.399328,-122.303952],[37.399288,-122.303927],[37.399235,-122.303903],[37.399178,-122.303887],[37.399167,-122.303884],[37.399148,-122.303883],[37.399121,-122.30387],[37.399092,-122.303862],[37.399028,-122.30384],[37.398997,-122.303819],[37.398977,-122.303791],[37.398953,-122.30377],[37.398941,-122.303649],[37.398933,-122.303508],[37.398932,-122.303449],[37.398933,-122.303422],[37.398935,-122.30341],[37.398943,-122.303389],[37.398953,-122.303372],[37.398978,-122.303332],[37.398988,-122.303317],[37.399007,-122.303294],[37.399041,-122.303256],[37.39907,-122.303226],[37.399176,-122.303113],[37.399192,-122.303094],[37.399216,-122.303082],[37.399232,-122.303062],[37.399253,-122.303045],[37.399272,-122.303031],[37.399328,-122.302976],[37.399339,-122.302963],[37.399369,-122.302948],[37.399385,-122.302924],[37.399412,-122.30291],[37.399453,-122.302893],[37.399477,-122.302857],[37.399487,-122.30282],[37.399522,-122.302802],[37.399552,-122.302793],[37.399634,-122.302745],[37.399656,-122.302725],[37.399677,-122.302707],[37.399697,-122.302692],[37.399717,-122.302669],[37.399736,-122.302631],[37.399751,-122.302612],[37.399803,-122.302542],[37.39983,-122.302511],[37.39985,-122.302494],[37.399878,-122.302469],[37.399903,-122.302446],[37.399934,-122.30242],[37.40015,-122.302355],[37.400232,-122.302324],[37.400249,-122.302313],[37.400294,-122.302296],[37.400332,-122.302297],[37.400335,-122.30224],[37.400301,-122.302226],[37.400233,-122.302219],[37.400183,-122.302237],[37.400077,-122.302279],[37.400038,-122.302291],[37.399975,-122.302309],[37.399942,-122.302327],[37.399908,-122.30235],[37.399867,-122.302383],[37.399826,-122.302422],[37.399678,-122.302553],[37.399618,-122.302596],[37.399552,-122.302658],[37.399499,-122.302711],[37.399442,-122.302787],[37.399388,-122.302848],[37.399328,-122.302909],[37.399278,-122.302952],[37.399239,-122.302997],[37.399175,-122.303066],[37.399154,-122.303128],[37.399091,-122.303208],[37.399056,-122.303262],[37.399028,-122.303308],[37.399013,-122.303359],[37.399029,-122.303412],[37.39905,-122.303463],[37.39908,-122.303505],[37.399112,-122.303537],[37.39914,-122.303554],[37.399153,-122.303571],[37.39917,-122.303571],[37.399188,-122.303584],[37.399191,-122.303592],[37.399186,-122.303599],[37.39912,-122.303615],[37.399062,-122.303613],[37.398999,-122.303579],[37.398986,-122.303482],[37.398983,-122.303357],[37.398991,-122.303343],[37.399,-122.303333],[37.399014,-122.303323],[37.399016,-122.303325],[37.399049,-122.30325],[37.399117,-122.303197],[37.399139,-122.303166],[37.399149,-122.303146],[37.399173,-122.303115],[37.399179,-122.30311],[37.399188,-122.303092],[37.3992,-122.303075],[37.399224,-122.303033],[37.399293,-122.302991],[37.399305,-122.302981],[37.399314,-122.302972],[37.399339,-122.302962],[37.399354,-122.302945],[37.399435,-122.302874],[37.399449,-122.302867],[37.399468,-122.302854],[37.399482,-122.302845],[37.399492,-122.302828],[37.399539,-122.302773],[37.399565,-122.302747],[37.399578,-122.302735],[37.399612,-122.302727],[37.399628,-122.302718],[37.399645,-122.302706],[37.399732,-122.302603],[37.399743,-122.30259],[37.399762,-122.302563],[37.399772,-122.302533],[37.399789,-122.302516],[37.399824,-122.302454],[37.399863,-122.302387],[37.399945,-122.302347],[37.399987,-122.302326],[37.4,-122.302319],[37.400016,-122.302317],[37.400039,-122.30231],[37.40005,-122.302301],[37.400133,-122.302279],[37.400191,-122.302273],[37.400219,-122.302283],[37.400229,-122.302282],[37.400692,-122.302167],[37.400703,-122.302151],[37.400712,-122.302143],[37.400741,-122.302132],[37.400899,-122.302069],[37.400898,-122.302073],[37.400885,-122.302074],[37.400871,-122.302074],[37.400858,-122.302075],[37.400838,-122.302083],[37.400815,-122.302094],[37.400789,-122.302096],[37.400749,-122.302111],[37.400715,-122.302119],[37.400689,-122.302118],[37.400663,-122.302118],[37.40063,-122.302124],[37.40063,-122.302125],[37.400625,-122.302126],[37.400618,-122.302122],[37.400602,-122.302102],[37.400557,-122.302074],[37.400548,-122.302069],[37.400532,-122.30207],[37.400515,-122.302068],[37.400501,-122.302068],[37.400476,-122.302069],[37.400432,-122.302082],[37.400342,-122.302083],[37.400278,-122.30209],[37.400227,-122.302099],[37.400183,-122.30212],[37.40014,-122.302137],[37.400095,-122.302153],[37.400052,-122.302175],[37.400012,-122.302203],[37.399923,-122.302268],[37.399881,-122.302302],[37.399832,-122.302328],[37.399773,-122.302358],[37.399717,-122.302387],[37.399655,-122.302428],[37.39961,-122.302461],[37.399578,-122.302478],[37.399534,-122.302495],[37.399498,-122.302517],[37.399463,-122.302532],[37.399438,-122.30254],[37.399417,-122.302548],[37.399399,-122.302554],[37.399393,-122.302553],[37.399376,-122.302562],[37.399336,-122.302576],[37.399281,-122.302604],[37.399256,-122.302619],[37.399217,-122.302639],[37.399183,-122.302654],[37.399093,-122.302714],[37.398978,-122.302811],[37.39893,-122.302853],[37.39887,-122.302901],[37.398835,-122.302923],[37.398793,-122.302941],[37.398755,-122.302962],[37.398729,-122.302978],[37.398694,-122.303],[37.398667,-122.303026],[37.398642,-122.303053],[37.39861,-122.303072],[37.39859,-122.303088],[37.398561,-122.303109],[37.398519,-122.303134],[37.398481,-122.303155],[37.398445,-122.303173],[37.398394,-122.303184],[37.398342,-122.303199],[37.398287,-122.303221],[37.398231,-122.303242],[37.398181,-122.303255],[37.39813,-122.303273],[37.398083,-122.303292],[37.398024,-122.303319],[37.397984,-122.303342],[37.397938,-122.303388],[37.397907,-122.303414],[37.397884,-122.303449],[37.397857,-122.303486],[37.397839,-122.303523],[37.397826,-122.303558],[37.397818,-122.303613],[37.39783,-122.30366],[37.397847,-122.303697],[37.397865,-122.303719],[37.397886,-122.303744],[37.397916,-122.303776],[37.397933,-122.303793],[37.397944,-122.303807],[37.397957,-122.303812],[37.397995,-122.303821],[37.398016,-122.303837],[37.398041,-122.303871],[37.398068,-122.303916],[37.398085,-122.303973],[37.398107,-122.304027],[37.398149,-122.304079],[37.398182,-122.304115],[37.398221,-122.304148],[37.398253,-122.304173],[37.39828,-122.304205],[37.398304,-122.304233],[37.398335,-122.304255],[37.398362,-122.304285],[37.398391,-122.304313],[37.398405,-122.304357],[37.398427,-122.304409],[37.398454,-122.304476],[37.398473,-122.304541],[37.398483,-122.304607],[37.398493,-122.304661],[37.398503,-122.304716],[37.398513,-122.304762],[37.398539,-122.30478],[37.398557,-122.304798],[37.398576,-122.304806],[37.398608,-122.304776],[37.398653,-122.304752],[37.39868,-122.304748],[37.398701,-122.304749],[37.398725,-122.304766],[37.398766,-122.304788],[37.398793,-122.304813],[37.39882,-122.304839],[37.398839,-122.304859],[37.398859,-122.30487],[37.398874,-122.30489],[37.398897,-122.304927],[37.398906,-122.304947],[37.39891,-122.30497],[37.398917,-122.30499],[37.398914,-122.305017],[37.398913,-122.305043],[37.398912,-122.30508],[37.398907,-122.305116],[37.398911,-122.305135],[37.398907,-122.305161],[37.398899,-122.305209],[37.398902,-122.305257],[37.398895,-122.305295],[37.398889,-122.30533],[37.398875,-122.30538],[37.398865,-122.305427],[37.398856,-122.305471],[37.398848,-122.305521],[37.398841,-122.305567],[37.39883,-122.30562],[37.398854,-122.30567],[37.398867,-122.305711],[37.398885,-122.305752],[37.398911,-122.305802],[37.398934,-122.305856],[37.398958,-122.305902],[37.398973,-122.305939],[37.398972,-122.30596],[37.398969,-122.305974],[37.398959,-122.305989],[37.398942,-122.305975],[37.39893,-122.30598],[37.398923,-122.305971],[37.3989,-122.305942],[37.398879,-122.305906],[37.398857,-122.30585],[37.398839,-122.305824],[37.398843,-122.305808],[37.39884,-122.305802],[37.398833,-122.3058],[37.398835,-122.305807],[37.39873,-122.305857],[37.398698,-122.305853],[37.398627,-122.305767],[37.398466,-122.305665],[37.398291,-122.305579],[37.398247,-122.305553],[37.398195,-122.305515],[37.398152,-122.305479],[37.398101,-122.305437],[37.397875,-122.305294],[37.397822,-122.305254],[37.397776,-122.305216],[37.397717,-122.305179],[37.397667,-122.305154],[37.397609,-122.305143],[37.397564,-122.305125],[37.397522,-122.30511],[37.397502,-122.30509],[37.397482,-122.305075],[37.397463,-122.305069],[37.397435,-122.30506],[37.397378,-122.305077],[37.397328,-122.305091],[37.397293,-122.305093],[37.397274,-122.305082],[37.397249,-122.305085],[37.397233,-122.305081],[37.397216,-122.305075],[37.397207,-122.305041],[37.397176,-122.305043],[37.397137,-122.305047],[37.397088,-122.30505],[37.397044,-122.305053],[37.397045,-122.305012],[37.397014,-122.305023],[37.396969,-122.305029],[37.396944,-122.30504],[37.396917,-122.305049],[37.396893,-122.305052],[37.396873,-122.305062],[37.39683,-122.305062],[37.396804,-122.305058],[37.396773,-122.305062],[37.396721,-122.305064],[37.396676,-122.305083],[37.396642,-122.305091],[37.396586,-122.305097],[37.396467,-122.305074],[37.396421,-122.305064],[37.396395,-122.305035],[37.396464,-122.304788],[37.396463,-122.30475],[37.396507,-122.304618],[37.396502,-122.304602],[37.396503,-122.304583],[37.396513,-122.304557],[37.396517,-122.304536],[37.396521,-122.304518],[37.396521,-122.304501],[37.396528,-122.304452],[37.396528,-122.304437],[37.39653,-122.304419],[37.396526,-122.304405],[37.39652,-122.304387],[37.396517,-122.304378],[37.396529,-122.304335],[37.396529,-122.304325],[37.396521,-122.304308],[37.396522,-122.304286],[37.396526,-122.304267],[37.396525,-122.304252],[37.396527,-122.304231],[37.396523,-122.304216],[37.396518,-122.304202],[37.396488,-122.30418],[37.396456,-122.304158],[37.396457,-122.304133],[37.39645,-122.304086],[37.396408,-122.30403],[37.396395,-122.304019],[37.396386,-122.304006],[37.396373,-122.303993],[37.396363,-122.303984],[37.396359,-122.303974],[37.396332,-122.303943],[37.396325,-122.303934],[37.396318,-122.303928],[37.395998,-122.303804],[37.395981,-122.3038],[37.39597,-122.303796],[37.39596,-122.303789],[37.395952,-122.303779],[37.395944,-122.30377],[37.395946,-122.303744],[37.395948,-122.303733],[37.395943,-122.303719],[37.395942,-122.303701],[37.395938,-122.303689],[37.395922,-122.303679],[37.395908,-122.303672],[37.395896,-122.303666],[37.395883,-122.303657],[37.395867,-122.303657],[37.395845,-122.303653],[37.395835,-122.303642],[37.395813,-122.303627],[37.395806,-122.303611],[37.395748,-122.303532],[37.395737,-122.303518],[37.395734,-122.303498],[37.395744,-122.303468],[37.39574,-122.303453],[37.395729,-122.303395],[37.395729,-122.303377],[37.395728,-122.303365],[37.395723,-122.303358],[37.395715,-122.303354],[37.395713,-122.303352],[37.395568,-122.303292],[37.395553,-122.303295],[37.395534,-122.303305],[37.395524,-122.303317],[37.395509,-122.303334],[37.395479,-122.303395],[37.395486,-122.303402],[37.395487,-122.303412],[37.395487,-122.303412],[37.395484,-122.30342],[37.395481,-122.303424],[37.395472,-122.303438],[37.395467,-122.30345],[37.395459,-122.303464],[37.395453,-122.303482],[37.395448,-122.303493],[37.39544,-122.303514],[37.395436,-122.303527],[37.395431,-122.303544],[37.395429,-122.303559],[37.39542,-122.303588],[37.395405,-122.303617],[37.395396,-122.303636],[37.395379,-122.303651],[37.395352,-122.303677],[37.395341,-122.303689],[37.39533,-122.303699],[37.395322,-122.303702],[37.395309,-122.303707],[37.39528,-122.303708],[37.395266,-122.303742],[37.395264,-122.303751],[37.395259,-122.303764],[37.395263,-122.303783],[37.395299,-122.303805],[37.395298,-122.303849],[37.395288,-122.303879],[37.395299,-122.303908],[37.395314,-122.303928],[37.395321,-122.303958],[37.395365,-122.304019],[37.395371,-122.304034],[37.395374,-122.30405],[37.395381,-122.304058],[37.395386,-122.304081],[37.395401,-122.304082],[37.395412,-122.304135],[37.395411,-122.304156],[37.395414,-122.304168],[37.395408,-122.304184],[37.395413,-122.304198],[37.395482,-122.304236],[37.395501,-122.304257],[37.395515,-122.304274],[37.395521,-122.304288],[37.395521,-122.304307],[37.395497,-122.304359],[37.395484,-122.304389],[37.395479,-122.304408],[37.395488,-122.304429],[37.395486,-122.304449],[37.395476,-122.304531],[37.39547,-122.304559],[37.395465,-122.30458],[37.395461,-122.304603],[37.395455,-122.304617],[37.395451,-122.30463],[37.395447,-122.304657],[37.39533,-122.305167],[37.395314,-122.305188],[37.395304,-122.305204],[37.395272,-122.305218],[37.395205,-122.30528],[37.395105,-122.305477],[37.395071,-122.305512],[37.395042,-122.305541],[37.394992,-122.30557],[37.394903,-122.305601],[37.394831,-122.305612],[37.394769,-122.305628],[37.394713,-122.305643],[37.394647,-122.305657],[37.394538,-122.305683],[37.394461,-122.305697],[37.394242,-122.305725],[37.394124,-122.305815],[37.394071,-122.305855],[37.394018,-122.305894],[37.393999,-122.305919],[37.393958,-122.30596],[37.393928,-122.305992],[37.393897,-122.306026],[37.393871,-122.306053],[37.393842,-122.306074],[37.393798,-122.306109],[37.393743,-122.306158],[37.393701,-122.306177],[37.393668,-122.30618],[37.39364,-122.306199],[37.393612,-122.306204],[37.393585,-122.306202],[37.393558,-122.306205],[37.393537,-122.306207],[37.393518,-122.306209],[37.393499,-122.306211],[37.393457,-122.30621],[37.393433,-122.30621],[37.393397,-122.306202],[37.393359,-122.306206],[37.393324,-122.306216],[37.393296,-122.306222],[37.393276,-122.306216],[37.393253,-122.306212],[37.393226,-122.306209],[37.393202,-122.30621],[37.393173,-122.30621],[37.392946,-122.306315],[37.392664,-122.306392],[37.392565,-122.306367],[37.392541,-122.306365],[37.392518,-122.306367],[37.392493,-122.306368],[37.392468,-122.306372],[37.392423,-122.306394],[37.39239,-122.3064],[37.392356,-122.306403],[37.392323,-122.306417],[37.392267,-122.306444],[37.392167,-122.306454],[37.392156,-122.306464],[37.392144,-122.306477],[37.392132,-122.306492],[37.392108,-122.306511],[37.392092,-122.306514],[37.392082,-122.30652],[37.39207,-122.306527],[37.392056,-122.306538],[37.392037,-122.306545],[37.392016,-122.306549],[37.391994,-122.306543],[37.391973,-122.306532],[37.391938,-122.306513],[37.391925,-122.306501],[37.391915,-122.306496],[37.391904,-122.306484],[37.391894,-122.306468],[37.391849,-122.306416],[37.391841,-122.306399],[37.391834,-122.306389],[37.391832,-122.306376],[37.39183,-122.306364],[37.391825,-122.30635],[37.391823,-122.306337],[37.391821,-122.306326],[37.391819,-122.306309],[37.391817,-122.306298],[37.391808,-122.306283],[37.391803,-122.306268],[37.391791,-122.306258],[37.391777,-122.306246],[37.39177,-122.306233],[37.391765,-122.306216],[37.391757,-122.306209],[37.39175,-122.306196],[37.391725,-122.30617],[37.391716,-122.306162],[37.3917,-122.30614],[37.391649,-122.306081],[37.391639,-122.306073],[37.391628,-122.306062],[37.391621,-122.306055],[37.391614,-122.306044],[37.391593,-122.306012],[37.391582,-122.305994],[37.391575,-122.305981],[37.391567,-122.305968],[37.391558,-122.305957],[37.391495,-122.30588],[37.391478,-122.305864],[37.391464,-122.305844],[37.391441,-122.30582],[37.391431,-122.305806],[37.391418,-122.305788],[37.391406,-122.305767],[37.391395,-122.305741],[37.391382,-122.305722],[37.391367,-122.305702],[37.391305,-122.305586],[37.391278,-122.30556],[37.391267,-122.30555],[37.39126,-122.305544],[37.391249,-122.305533],[37.391234,-122.305523],[37.391222,-122.305513],[37.391207,-122.305498],[37.391196,-122.305478],[37.391187,-122.305464],[37.391176,-122.30545],[37.391166,-122.30543],[37.391166,-122.305403],[37.391165,-122.305386],[37.391162,-122.305373],[37.391155,-122.305355],[37.391148,-122.305339],[37.391144,-122.305321],[37.391145,-122.305293],[37.391146,-122.30527],[37.391152,-122.30525],[37.391145,-122.305222],[37.391136,-122.305208],[37.391129,-122.305195],[37.39112,-122.305184],[37.391099,-122.305168],[37.391055,-122.305111],[37.391046,-122.305094],[37.391034,-122.30508],[37.391024,-122.305062],[37.391006,-122.305044],[37.390973,-122.30498],[37.390958,-122.304958],[37.390944,-122.30494],[37.390932,-122.304923],[37.390912,-122.304902],[37.390878,-122.304868],[37.390866,-122.304852],[37.390844,-122.304829],[37.390827,-122.304808],[37.390811,-122.304785],[37.390792,-122.304747],[37.390792,-122.304715],[37.390734,-122.30464],[37.390715,-122.304626],[37.390701,-122.304618],[37.390688,-122.304607],[37.390671,-122.304595],[37.390658,-122.304585],[37.390628,-122.304572],[37.390587,-122.304553],[37.390566,-122.304551],[37.390553,-122.304546],[37.390535,-122.304542],[37.390511,-122.304545],[37.390492,-122.304544],[37.390475,-122.304543],[37.390457,-122.304539],[37.390439,-122.304536],[37.390429,-122.304535],[37.390422,-122.304536],[37.390415,-122.304538],[37.39039,-122.304544],[37.390378,-122.304549],[37.390373,-122.304562],[37.390356,-122.304571],[37.390346,-122.304576],[37.390332,-122.304581],[37.390318,-122.30458899999999],[37.390305,-122.304594],[37.390172,-122.304659],[37.390146,-122.304677],[37.390122,-122.304687],[37.390107,-122.304705],[37.390075,-122.304751],[37.390049,-122.304785],[37.390042,-122.304816],[37.39003,-122.304858],[37.390013,-122.304895],[37.390004,-122.304915],[37.389989,-122.304936],[37.389968,-122.304967],[37.389944,-122.304989],[37.389814,-122.305009],[37.389788,-122.305009],[37.389766,-122.305001],[37.389746,-122.304979],[37.38973,-122.30497],[37.389717,-122.304946],[37.389678,-122.304871],[37.389672,-122.304847],[37.389665,-122.304824],[37.389662,-122.304802],[37.389666,-122.304773],[37.389684,-122.304689],[37.389691,-122.304662],[37.389717,-122.304624],[37.389725,-122.30461],[37.38974,-122.304591],[37.389756,-122.304577],[37.389771,-122.304559],[37.38979,-122.304545],[37.389892,-122.304443],[37.389928,-122.304385],[37.38994,-122.30436],[37.38996,-122.30434],[37.389979,-122.304318],[37.390003,-122.304302],[37.390023,-122.304284],[37.390064,-122.304238],[37.390078,-122.304227],[37.390099,-122.304211],[37.390126,-122.304194],[37.39015,-122.304179],[37.39028,-122.304096],[37.390336,-122.304103],[37.390363,-122.304113],[37.390404,-122.304128],[37.390435,-122.304142],[37.390461,-122.30416],[37.390621,-122.304227],[37.390654,-122.304239],[37.390679,-122.304253],[37.390708,-122.304268],[37.390746,-122.304276],[37.390872,-122.30433],[37.390937,-122.304327],[37.39097,-122.304325],[37.391022,-122.304334],[37.391051,-122.304328],[37.391078,-122.304319],[37.391212,-122.304273],[37.391228,-122.304258],[37.391242,-122.304243],[37.391253,-122.304228],[37.391256,-122.304212],[37.391277,-122.304133],[37.391282,-122.304124],[37.391286,-122.304116],[37.391286,-122.304109],[37.391287,-122.304099],[37.391317,-122.304032],[37.391329,-122.30401],[37.391341,-122.303992],[37.39135,-122.303977],[37.39137,-122.303952],[37.391449,-122.303834],[37.391466,-122.303812],[37.391482,-122.303798],[37.3915,-122.303784],[37.391524,-122.303767],[37.391593,-122.303672],[37.391607,-122.303642],[37.391622,-122.303602],[37.391636,-122.303571],[37.391648,-122.303546],[37.391652,-122.303529],[37.391666,-122.303507],[37.391709,-122.303463],[37.391748,-122.303445],[37.391767,-122.303435],[37.391789,-122.303424],[37.391817,-122.30342],[37.391844,-122.303418],[37.391895,-122.303411],[37.391921,-122.303405],[37.391969,-122.303384],[37.391984,-122.303376],[37.392008,-122.303366],[37.392226,-122.303243],[37.3924,-122.303062],[37.392423,-122.303038],[37.392443,-122.303015],[37.392461,-122.302995],[37.392484,-122.302982],[37.392532,-122.302915],[37.392518,-122.302899],[37.392506,-122.3029],[37.392492,-122.302902],[37.392462,-122.302914],[37.392435,-122.302905],[37.392421,-122.30291],[37.392311,-122.303001],[37.392284,-122.303005],[37.392264,-122.303009],[37.392238,-122.303029],[37.392221,-122.303043],[37.392201,-122.303053],[37.392157,-122.303068],[37.392091,-122.303071],[37.392118,-122.303057],[37.392204,-122.303032],[37.392258,-122.302995],[37.392342,-122.302943],[37.392423,-122.302916],[37.392527,-122.302931],[37.392558,-122.302951],[37.392567,-122.302972],[37.392512,-122.303054],[37.392499,-122.303085],[37.392483,-122.303109],[37.392466,-122.303122],[37.392447,-122.303136],[37.392355,-122.303185],[37.39232,-122.303208],[37.392283,-122.303234],[37.392255,-122.303252],[37.392233,-122.303274],[37.392133,-122.303341],[37.392033,-122.303379],[37.391931,-122.303393],[37.391905,-122.30341],[37.391868,-122.30344],[37.391825,-122.303489],[37.391787,-122.30354],[37.391724,-122.303614],[37.391652,-122.303724],[37.391609,-122.303767],[37.391559,-122.30382],[37.391522,-122.303861],[37.391492,-122.303907],[37.391464,-122.303947],[37.391447,-122.303997],[37.39143,-122.304051],[37.391424,-122.304101],[37.391387,-122.304145],[37.391358,-122.304186],[37.391331,-122.304239],[37.391306,-122.304271],[37.391258,-122.304308],[37.391211,-122.304323],[37.391119,-122.30432],[37.391068,-122.304312],[37.391019,-122.304298],[37.390986,-122.304275],[37.390948,-122.304252],[37.390863,-122.304193],[37.390815,-122.304157],[37.390807,-122.304143],[37.390797,-122.304143],[37.39079,-122.304138],[37.390784,-122.304133],[37.39077,-122.304127],[37.390815,-122.304191],[37.390829,-122.304207],[37.390939,-122.304313],[37.391007,-122.304379],[37.391025,-122.304381],[37.391111,-122.304394],[37.39114,-122.304378],[37.391159,-122.304378],[37.391181,-122.304376],[37.391193,-122.304377],[37.391214,-122.304369],[37.391246,-122.304354],[37.391299,-122.304277],[37.391299,-122.304251],[37.3913,-122.304239],[37.391303,-122.30423],[37.391306,-122.304214],[37.391308,-122.3042],[37.391312,-122.304172],[37.391312,-122.304159],[37.391308,-122.304141],[37.391308,-122.304131],[37.391306,-122.304113],[37.391315,-122.304096],[37.391326,-122.304069],[37.391324,-122.30404],[37.391354,-122.303994],[37.39137,-122.303977],[37.391378,-122.303967],[37.391384,-122.303954],[37.391389,-122.303943],[37.391435,-122.303877],[37.391452,-122.303866],[37.39146,-122.303859],[37.391475,-122.303841],[37.391486,-122.303829],[37.391517,-122.303793],[37.39162,-122.303651],[37.391675,-122.303552],[37.391681,-122.30353],[37.391685,-122.303517],[37.391694,-122.303505],[37.391706,-122.303498],[37.391779,-122.303468],[37.391822,-122.303472],[37.391842,-122.30347],[37.391862,-122.303466],[37.391886,-122.303458],[37.391912,-122.303449],[37.391998,-122.30338],[37.392047,-122.303347],[37.39206,-122.303339],[37.392072,-122.30333],[37.392082,-122.303326],[37.392091,-122.303318],[37.392291,-122.303192],[37.392438,-122.303063],[37.392464,-122.303047],[37.392495,-122.303032],[37.392523,-122.303016],[37.392595,-122.303006],[37.392615,-122.302915],[37.392609,-122.302905],[37.39258,-122.302904],[37.392542,-122.302922],[37.392526,-122.302918],[37.392523,-122.302917],[37.392517,-122.302922],[37.392505,-122.302924],[37.392441,-122.302953],[37.392259,-122.303022],[37.39214,-122.303081],[37.392119,-122.303085],[37.392102,-122.303091],[37.392084,-122.303096],[37.392063,-122.303096],[37.391928,-122.30305],[37.391866,-122.303013],[37.391849,-122.303013],[37.39183,-122.30302],[37.3918,-122.303028],[37.391774,-122.303036],[37.3916,-122.30308],[37.391522,-122.303083],[37.391442,-122.303092],[37.39141,-122.303085],[37.391394,-122.303086],[37.391352,-122.303081],[37.391328,-122.303076],[37.391301,-122.303055],[37.391281,-122.303022],[37.39128,-122.303015],[37.391285,-122.303008],[37.391284,-122.302995],[37.391293,-122.30298],[37.391299,-122.302967],[37.391304,-122.302948],[37.39137,-122.302912],[37.39138,-122.302907],[37.391385,-122.302902],[37.391401,-122.302897],[37.39141,-122.302892],[37.391442,-122.302877],[37.391457,-122.302869],[37.39147,-122.302867],[37.391482,-122.302863],[37.391492,-122.302859],[37.391592,-122.302813],[37.391688,-122.302756],[37.391764,-122.302699],[37.391829,-122.302661],[37.391847,-122.302646],[37.391874,-122.302624],[37.391898,-122.302596],[37.391923,-122.302572],[37.391948,-122.302526],[37.391955,-122.302497],[37.391966,-122.302475],[37.391973,-122.302456],[37.391984,-122.302433],[37.392049,-122.302388],[37.392132,-122.302272],[37.392156,-122.302209],[37.392166,-122.302191],[37.392174,-122.302172],[37.392177,-122.302152],[37.392161,-122.302131],[37.392155,-122.302036],[37.392163,-122.301941],[37.392082,-122.301843],[37.392054,-122.301802],[37.392042000000004,-122.301777],[37.392036,-122.30176],[37.392032,-122.301734],[37.392023,-122.301718],[37.392024,-122.301635],[37.391997,-122.301498],[37.391989,-122.301472],[37.391985,-122.301446],[37.391981,-122.301416],[37.391976,-122.301391],[37.391964,-122.301292],[37.391916,-122.30111],[37.391914,-122.30108],[37.391914,-122.301044],[37.391908,-122.301023],[37.391895,-122.301002],[37.391883,-122.30098],[37.391875,-122.300927],[37.391804,-122.300839],[37.391731,-122.300788],[37.391722,-122.300774],[37.391706,-122.300761],[37.391694,-122.300751],[37.391686,-122.300739],[37.39163,-122.300678],[37.391609,-122.300666],[37.391588,-122.30065],[37.391576,-122.300634],[37.391572,-122.300614],[37.391503,-122.30052],[37.391426,-122.300421],[37.391414,-122.300408],[37.391401,-122.300402],[37.391392,-122.300394],[37.391386,-122.300383],[37.391306,-122.300336],[37.391296,-122.300329],[37.391282,-122.300324],[37.391262,-122.300319],[37.39124,-122.300312],[37.391212,-122.300303],[37.39104,-122.300265],[37.391013,-122.300255],[37.390986,-122.300253],[37.390959,-122.300245],[37.390937,-122.300241],[37.390888,-122.300238],[37.390853,-122.300232],[37.390811,-122.300233],[37.390779,-122.300226],[37.390759,-122.300218],[37.390639,-122.300211],[37.390615,-122.300199],[37.390592,-122.300184],[37.390566,-122.300173],[37.390546,-122.300159],[37.390496,-122.300131],[37.390425,-122.299995],[37.390416,-122.299968],[37.390405,-122.299941],[37.390397,-122.299917],[37.390387,-122.2999],[37.390334,-122.299762],[37.390302,-122.299618],[37.390304,-122.299599],[37.390292,-122.299573],[37.390285,-122.299544],[37.390271,-122.299521],[37.390264,-122.299495],[37.390255,-122.299414],[37.390269,-122.299317],[37.390285,-122.299002],[37.390286,-122.298981],[37.390289,-122.298968],[37.390286,-122.298942],[37.390297,-122.298887],[37.390305,-122.298854],[37.390306,-122.298837],[37.390308,-122.298802],[37.390358,-122.298688],[37.390406,-122.298561],[37.390412,-122.298547],[37.390416,-122.298535],[37.390424,-122.298518],[37.390427,-122.298497],[37.390475,-122.298374],[37.390484,-122.298347],[37.39049,-122.298324],[37.390489,-122.298308],[37.390492,-122.298291],[37.390524,-122.298194],[37.390533,-122.297985],[37.390528,-122.297954],[37.390521,-122.297922],[37.390524,-122.297894],[37.390537,-122.297853],[37.390546,-122.297811],[37.390578,-122.297713],[37.390571,-122.297665],[37.390575,-122.297643],[37.390571,-122.297619],[37.390571,-122.29759],[37.39058,-122.297566],[37.390593,-122.297537],[37.39075,-122.297377],[37.390814,-122.297303],[37.390827,-122.297286],[37.390847,-122.297244],[37.39086,-122.29721],[37.390863,-122.297191],[37.39087,-122.297173],[37.390907,-122.29706],[37.390906,-122.296974],[37.390911,-122.29696],[37.390914,-122.296939],[37.390916,-122.29692],[37.390916,-122.296904],[37.390924,-122.296708],[37.390926,-122.296554],[37.390922,-122.296432],[37.390953,-122.296347],[37.391001,-122.296192],[37.390989,-122.296079],[37.391041,-122.295807],[37.391177,-122.295706],[37.391271,-122.295638],[37.391471,-122.295554],[37.391513,-122.295531],[37.391791,-122.29534],[37.391829,-122.295311],[37.392009,-122.295166],[37.392307,-122.295066],[37.392467,-122.295041],[37.392529,-122.294985],[37.392571,-122.294911],[37.39257,-122.294823],[37.392498,-122.29473],[37.392469,-122.294715],[37.392443,-122.294692],[37.392419,-122.294666],[37.392394,-122.294647],[37.392374,-122.294627],[37.39234,-122.294358],[37.392451,-122.294261],[37.39255,-122.294137],[37.39267,-122.293899],[37.392808,-122.293731],[37.392972,-122.293666],[37.393089,-122.29363],[37.393134,-122.293618],[37.393173,-122.293606],[37.393207,-122.293592],[37.393241,-122.293575],[37.393395,-122.293666],[37.393645,-122.293728],[37.393751,-122.293614],[37.393786,-122.293581],[37.39385,-122.293539],[37.39391,-122.293508],[37.393967,-122.293482],[37.394053,-122.293419],[37.394097,-122.293286],[37.394372,-122.293072],[37.39444,-122.293012],[37.39453,-122.292822],[37.394568,-122.292726],[37.394593,-122.292647],[37.394621,-122.292556],[37.39466,-122.29248],[37.394751,-122.292409],[37.394821,-122.292378],[37.394888,-122.292372],[37.394952,-122.292369],[37.395032,-122.292373],[37.395122,-122.292381],[37.395225,-122.292399],[37.39532,-122.292411],[37.395406,-122.292411],[37.395483,-122.292417],[37.39556,-122.292418],[37.395618,-122.292422],[37.395664,-122.292421],[37.395706,-122.292432],[37.395732,-122.292427],[37.395808,-122.29242],[37.395865,-122.292459],[37.395962,-122.292627],[37.396014,-122.292761],[37.396035,-122.292812],[37.396047,-122.292858],[37.396057,-122.292899],[37.39608,-122.29294],[37.396127,-122.293145],[37.396141,-122.293257],[37.396184,-122.293327],[37.396208,-122.293372],[37.396219,-122.293406],[37.396238,-122.293441],[37.396263,-122.293474],[37.39634,-122.293588],[37.396366,-122.293609],[37.396393,-122.293628],[37.396414,-122.293646],[37.39644,-122.293659],[37.396535,-122.293719],[37.396558,-122.293728],[37.396582,-122.293732],[37.3966,-122.293738],[37.396635,-122.29374],[37.396755,-122.293749],[37.396838,-122.293781],[37.396871,-122.293782],[37.396909,-122.293788],[37.396945,-122.293797],[37.396984,-122.293812],[37.397098,-122.29383],[37.397413,-122.293841],[37.397636,-122.293743],[37.397747,-122.293611],[37.39782,-122.293524],[37.39794,-122.293386],[37.397985,-122.293352],[37.398073,-122.293282],[37.398161,-122.293232],[37.398363,-122.293155],[37.398639,-122.29316],[37.398886,-122.293256],[37.398942,-122.293277],[37.399035,-122.29335],[37.399165,-122.293465],[37.399513,-122.293732],[37.399742,-122.29398],[37.399851,-122.294118],[37.399878,-122.29417],[37.399946,-122.29439],[37.400048,-122.294641],[37.400085,-122.294773],[37.400085,-122.294849],[37.400099,-122.295089],[37.400131,-122.295164],[37.400154,-122.295545],[37.40032,-122.296226],[37.40045,-122.296588],[37.400493,-122.296682],[37.400539,-122.296773],[37.400581,-122.296859],[37.400622,-122.296938],[37.400757,-122.297172],[37.400908,-122.297379],[37.401056,-122.297499],[37.401471,-122.297844],[37.401798,-122.298114],[37.40211,-122.298336],[37.402392,-122.29851],[37.402425,-122.298548],[37.402376,-122.298539],[37.402271,-122.298469],[37.402226,-122.298439],[37.402155,-122.298407],[37.402088,-122.298384],[37.401996,-122.29837],[37.401918,-122.298347],[37.401505,-122.298191],[37.401184,-122.297898],[37.401124,-122.297852],[37.400966,-122.297722],[37.400921,-122.297632],[37.400922,-122.297597],[37.400908,-122.297542],[37.4009,-122.297552],[37.40091,-122.297587],[37.400904,-122.297606],[37.400895,-122.297622],[37.400897,-122.297627],[37.400866,-122.29773],[37.40085,-122.297758],[37.400822,-122.297823],[37.40084,-122.297927],[37.400863,-122.297959],[37.400907,-122.298023],[37.400957,-122.298085],[37.401001,-122.29814],[37.401145,-122.298312],[37.401172,-122.298348],[37.401221,-122.298383],[37.40123,-122.298428],[37.401208,-122.298693],[37.401174,-122.298904],[37.401196,-122.298995],[37.401229,-122.299118],[37.401219,-122.299369],[37.401264,-122.299704],[37.401283,-122.299788],[37.40132,-122.299888],[37.40133,-122.29998],[37.401352,-122.300049],[37.401371,-122.300118],[37.401482,-122.300368],[37.401521,-122.300384],[37.401539,-122.300422],[37.401594,-122.300486],[37.401636,-122.300536],[37.401681,-122.300598],[37.401728,-122.30065],[37.401793,-122.30069],[37.401857,-122.300745],[37.401907,-122.300795],[37.401974,-122.300847],[37.402038,-122.300907],[37.402078,-122.300949],[37.402119,-122.300972],[37.402167,-122.300996],[37.402221,-122.301019],[37.402271,-122.301031],[37.402339,-122.301063],[37.402397,-122.30109],[37.40246,-122.30112],[37.402628,-122.301137],[37.402691,-122.301101],[37.402742,-122.301071],[37.402801,-122.301051],[37.402831,-122.301025],[37.402889,-122.301068],[37.402974,-122.301025],[37.40301,-122.301004],[37.403044,-122.300984],[37.40307,-122.30097],[37.403132,-122.300948],[37.403169,-122.300932],[37.403208,-122.300914],[37.403248,-122.300895],[37.403286,-122.300872],[37.403341,-122.30087],[37.40338,-122.300858],[37.403413,-122.300848],[37.403441,-122.300848],[37.403481,-122.300848],[37.403507,-122.300861],[37.403529,-122.300882],[37.40361,-122.300993],[37.403624,-122.301026],[37.403636,-122.301051],[37.403647,-122.30107],[37.40365,-122.301086],[37.403663,-122.301103],[37.403685,-122.301121],[37.403702,-122.301132],[37.403725,-122.301169],[37.403754,-122.301241],[37.403802,-122.301393],[37.403867,-122.301573],[37.403883,-122.301593],[37.403909,-122.301599],[37.403942,-122.301614],[37.403975,-122.30162],[37.404005,-122.301617],[37.404178,-122.301585],[37.404212,-122.301598],[37.404316,-122.301693],[37.404359,-122.301734],[37.404383,-122.301757],[37.404421,-122.301781],[37.404449,-122.301803],[37.404489,-122.301854],[37.404489,-122.301881],[37.404477,-122.301909],[37.40447,-122.301935],[37.404477,-122.301962],[37.404488,-122.301991],[37.404486,-122.302105],[37.404488,-122.302151],[37.404495,-122.302195],[37.404502,-122.302216],[37.40451,-122.302243],[37.404605,-122.302366],[37.404625,-122.302368],[37.404649,-122.302388],[37.404665,-122.302398],[37.404679,-122.30241],[37.4047,-122.302429],[37.404727,-122.302468],[37.404718,-122.302506],[37.404715,-122.302527],[37.404711,-122.302551],[37.404709,-122.302583],[37.404734,-122.302718],[37.4047,-122.302759],[37.40464,-122.302856],[37.404604,-122.302938],[37.404606,-122.30296],[37.404613,-122.30298],[37.404631,-122.303004],[37.404643,-122.303019],[37.40467,-122.30305],[37.404685,-122.303084],[37.404691,-122.303096],[37.40469,-122.303115],[37.404714,-122.303162],[37.404721,-122.303187],[37.404705,-122.303248],[37.404661,-122.303347],[37.404636,-122.303359],[37.40462,-122.303369],[37.404602,-122.303379],[37.404552,-122.303403],[37.404427,-122.303429],[37.404286,-122.303417],[37.40424,-122.303437],[37.40416,-122.303474],[37.404129,-122.303484],[37.404111,-122.303496],[37.404092,-122.303512],[37.404064,-122.30353],[37.403951,-122.303632],[37.403813,-122.303758],[37.403776,-122.303798],[37.403665,-122.303973],[37.403627,-122.304132],[37.403629,-122.304149],[37.403633,-122.304162],[37.403639,-122.304169],[37.403642,-122.304181],[37.403648,-122.304192],[37.403654,-122.304197],[37.40368,-122.304246],[37.403707,-122.304267],[37.403836,-122.304428],[37.403934,-122.30462],[37.404017,-122.304802],[37.404126,-122.304912],[37.404218,-122.304897],[37.404236,-122.304878],[37.404311,-122.304813],[37.404454,-122.304644],[37.404626,-122.304413],[37.404779,-122.304209],[37.404855,-122.304061],[37.404858,-122.304],[37.40486,-122.30394],[37.404871,-122.303887],[37.40489,-122.30385],[37.404979,-122.303806],[37.405143,-122.303838],[37.405191,-122.303864],[37.405415,-122.303966],[37.405593,-122.304051],[37.405617,-122.304071],[37.405712,-122.304188],[37.405782,-122.304238],[37.405785,-122.3043],[37.405796,-122.304331],[37.405867,-122.304465],[37.405892,-122.304536],[37.405917,-122.304606],[37.405939,-122.304673],[37.405962,-122.304737],[37.405969,-122.304807],[37.405983,-122.304856],[37.406002,-122.304893],[37.406065,-122.30504],[37.406094,-122.305093],[37.406198,-122.30531],[37.406219,-122.305367],[37.406226,-122.305418],[37.406217,-122.305468],[37.40618,-122.305495],[37.406078,-122.3056],[37.406054,-122.305635],[37.406014,-122.305687],[37.405992,-122.305731],[37.405974,-122.305786],[37.405959,-122.305827],[37.405953,-122.305867],[37.405957,-122.305943],[37.405983,-122.305979],[37.40602,-122.306008],[37.406041,-122.306026],[37.406069,-122.306039],[37.40614,-122.306084],[37.406185,-122.306167],[37.406195,-122.306249],[37.406195,-122.30629],[37.40619,-122.306329],[37.40619,-122.306363],[37.406194,-122.306405],[37.406176,-122.306452],[37.406178,-122.306494],[37.406194,-122.306534],[37.40618,-122.306587],[37.406181,-122.306624],[37.406185,-122.306662],[37.406194,-122.306745],[37.406228,-122.306822],[37.406238,-122.30686],[37.406251,-122.306906],[37.406271,-122.306964],[37.406282,-122.306985],[37.406298,-122.306989],[37.406323,-122.306979],[37.406367,-122.306966],[37.406384,-122.306962],[37.406399,-122.306946],[37.406424,-122.306926],[37.406447,-122.306905],[37.406495,-122.306867],[37.40652,-122.306847],[37.406541,-122.30683],[37.406561,-122.306817],[37.40658,-122.306803],[37.406662,-122.306735],[37.406684,-122.30673],[37.406708,-122.30673],[37.406735,-122.306746],[37.406779,-122.306767],[37.406816,-122.306781],[37.407059,-122.306911],[37.407129,-122.307019],[37.407203,-122.307133],[37.407299,-122.307269],[37.407321,-122.307296],[37.407343,-122.307332],[37.407363,-122.307368],[37.407378,-122.307399],[37.407413,-122.30752],[37.407428,-122.307553],[37.407434,-122.307576],[37.407451,-122.30761],[37.407494,-122.307639],[37.407557,-122.307729],[37.407578,-122.307806],[37.407582,-122.307829],[37.407587,-122.307846],[37.407592,-122.307866],[37.407604,-122.307884],[37.407636,-122.307901],[37.40769,-122.307906],[37.407718,-122.307907],[37.407744,-122.307903],[37.407762,-122.307901],[37.407777,-122.307899],[37.407821,-122.307884],[37.407856,-122.30787],[37.40788,-122.307865],[37.407968,-122.307849],[37.407997,-122.307853],[37.40802,-122.307863],[37.408042,-122.307877],[37.408063,-122.307892],[37.408138,-122.307952],[37.408169,-122.307973],[37.408191,-122.307988],[37.408217,-122.307998],[37.408253,-122.307985],[37.408283,-122.307982],[37.408318,-122.307976],[37.408348,-122.307962],[37.408385,-122.307948],[37.408476,-122.30791],[37.408501,-122.307898],[37.408536,-122.30789],[37.408565,-122.307882],[37.408593,-122.307873],[37.408673,-122.307875],[37.408746,-122.307909],[37.408833,-122.307959],[37.408869,-122.307984],[37.40891,-122.308009],[37.408946,-122.308029],[37.408978,-122.308036],[37.409014,-122.308039],[37.4091,-122.308049],[37.409127,-122.308047],[37.40915,-122.308049],[37.409168,-122.308053],[37.409191,-122.30807],[37.409211,-122.308086],[37.409226,-122.308098],[37.409252,-122.308111],[37.409277,-122.308115],[37.409307,-122.30813],[37.409338,-122.308148],[37.40936,-122.308161],[37.409397,-122.308184],[37.409441,-122.308198],[37.409501,-122.308212],[37.409583,-122.308252],[37.409594,-122.308274],[37.409614,-122.308299],[37.409636,-122.308324],[37.40966,-122.308355],[37.409685,-122.308398],[37.409768,-122.308548],[37.409775,-122.308579],[37.409785,-122.308611],[37.409799,-122.308639],[37.409815,-122.308668],[37.409839,-122.308696],[37.409864,-122.308738],[37.409879,-122.308768],[37.409896,-122.308795],[37.409933,-122.308814],[37.409973,-122.308829],[37.40998,-122.308834],[37.409989,-122.30884],[37.409949,-122.308805],[37.409948,-122.308778],[37.409953,-122.308754],[37.409945,-122.308721],[37.409938,-122.308714],[37.409933,-122.308704],[37.409908,-122.308605],[37.409909,-122.308552],[37.409868,-122.308478],[37.409793,-122.308326],[37.409753,-122.308142],[37.409809,-122.307964],[37.409836,-122.307929],[37.409871,-122.307858],[37.409935,-122.307804],[37.410072,-122.307682],[37.410218,-122.307583],[37.410294,-122.307501],[37.410334,-122.30746],[37.41037,-122.307405],[37.410413,-122.30735],[37.410448,-122.307292],[37.410475,-122.307239],[37.410495,-122.30719],[37.410522,-122.307137],[37.410562,-122.307075],[37.410592,-122.307021],[37.410633,-122.30697],[37.410675,-122.306921],[37.410743,-122.306852],[37.410808,-122.306792],[37.410871,-122.306735],[37.410926,-122.306689],[37.410998,-122.306647],[37.411059,-122.306619],[37.411121,-122.306599],[37.411194,-122.30659],[37.411275,-122.306575],[37.411368,-122.306579],[37.411446,-122.306593],[37.411528,-122.306615],[37.411609,-122.306649],[37.411758,-122.306731],[37.411826,-122.306766],[37.411878,-122.306785],[37.41192,-122.306806],[37.411949,-122.306829],[37.411968,-122.306852],[37.411983,-122.306872],[37.411998,-122.306882],[37.412004,-122.306886],[37.412057,-122.306812],[37.412043,-122.306786],[37.411955,-122.306624],[37.41192,-122.30657],[37.411815,-122.306473],[37.411783,-122.306442],[37.411752,-122.306415],[37.411722,-122.306394],[37.411691,-122.306368],[37.41166,-122.306338],[37.411589,-122.306293],[37.41156,-122.306277],[37.411531,-122.306259],[37.411513,-122.306236],[37.41149,-122.306209],[37.411443,-122.306169],[37.411321,-122.306107],[37.41129,-122.306084],[37.411265,-122.306065],[37.411247,-122.306047],[37.411223,-122.306033],[37.411192,-122.306022],[37.41109,-122.305988],[37.411015,-122.305956],[37.410966,-122.305945],[37.410927,-122.305946],[37.410898,-122.305951],[37.410873,-122.305956],[37.410786,-122.305994],[37.410782,-122.306018]],"time":[0,1,2,3,5,6,7,9,10,12,13,14,15,16,17,18,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,42,43,44,45,46,49,50,51,52,53,63,65,66,67,70,71,72,73,75,79,80,82,83,84,86,91,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,207,208,209,210,211,215,216,217,218,219,225,226,227,228,229,230,231,233,235,236,237,238,239,242,244,245,246,248,251,252,253,254,255,256,257,258,259,260,261,264,267,268,269,270,271,272,275,277,278,279,280,281,283,284,286,287,288,291,292,294,295,297,298,299,300,353,354,355,356,357,358,360,364,370,374,383,386,388,391,396,401,403,408,409,410,411,412,413,414,415,416,417,418,419,420,421,422,423,424,425,426,427,429,430,431,432,433,435,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,455,456,457,458,459,460,461,462,463,465,466,469,471,475,477,481,483,484,485,486,487,488,489,490,491,492,493,494,495,496,497,504,508,509,511,514,519,521,525,528,529,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,547,549,550,551,552,553,554,555,556,557,558,559,561,562,563,564,565,566,567,568,569,570,571,572,573,574,575,576,579,580,581,582,583,586,587,588,589,590,591,592,593,594,595,596,597,598,599,600,604,608,610,613,614,615,616,617,618,619,620,621,622,623,624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,643,690,691,692,694,698,699,700,701,702,704,705,706,707,708,709,710,711,712,713,714,716,717,718,719,720,721,722,724,725,726,727,728,731,732,733,734,735,736,737,738,739,740,741,743,746,752,757,776,777,778,779,780,781,784,787,788,789,790,791,796,799,800,801,802,803,804,805,807,809,831,832,833,838,842,845,846,847,848,849,850,852,854,856,857,858,859,860,861,864,870,871,872,873,874,875,876,877,878,879,880,881,882,883,884,888,890,893,894,895,896,897,898,899,900,901,904,905,909,913,916,917,919,922,923,925,926,927,928,929,930,931,933,934,935,936,937,938,939,941,942,944,947,948,949,950,951,952,953,954,955,958,959,960,962,964,966,969,972,974,975,976,977,978,980,981,982,983,984,985,990,991,992,993,994,995,996,1000,1002,1003,1004,1005,1006,1009,1011,1012,1013,1014,1019,1020,1021,1022,1023,1025,1027,1028,1029,1030,1031,1032,1033,1034,1035,1036,1039,1041,1042,1044,1047,1050,1051,1055,1061,1066,1067,1068,1069,1070,1071,1072,1073,1074,1075,1076,1077,1078,1079,1080,1081,1082,1083,1084,1085,1089,1090,1091,1092,1093,1097,1098,1099,1100,1101,1102,1105,1106,1107,1108,1109,1110,1111,1112,1113,1114,1115,1116,1117,1118,1119,1122,1123,1124,1125,1126,1127,1128,1129,1130,1131,1132,1133,1134,1138,1139,1140,1141,1142,1143,1147,1148,1149,1150,1151,1152,1153,1154,1156,1157,1158,1159,1160,1161,1167,1168,1169,1170,1171,1172,1174,1176,1177,1178,1179,1180,1181,1182,1183,1184,1185,1186,1187,1188,1189,1190,1191,1192,1196,1197,1202,1204,1205,1206,1207,1208,1314,1315,1316,1317,1318,1319,1320,1321,1322,1323,1324,1325,1326,1327,1328,1329,1330,1331,1332,1333,1337,1338,1339,1340,1341,1342,1343,1344,1345,1346,1347,1350,1352,1355,1356,1357,1358,1359,1360,1361,1362,1363,1364,1367,1371,1372,1373,1374,1375,1376,1377,1378,1379,1380,1381,1382,1383,1384,1385,1386,1387,1388,1389,1390,1391,1392,1393,1394,1400,1405,1406,1407,1408,1409,1412,1413,1414,1418,1420,1421,1422,1423,1424,1427,1428,1429,1430,1431,1432,1434,1435,1436,1437,1438,1439,1441,1442,1443,1444,1445,1447,1449,1450,1451,1452,1453,1454,1456,1457,1458,1459,1460,1462,1466,1467,1480,1481,1482,1483,1484,1487,1493,1494,1498,1500,1503,1509,1510,1514,1516,1519,1523,1524,1525,1526,1527,1528,1529,1530,1531,1532,1533,1534,1539,1540,1544,1545,1546,1547,1548,1549,1552,1553,1554,1555,1556,1557,1561,1565,1566,1567,1568,1569,1570,1571,1573,1576,1577,1578,1579,1580,1581,1582,1584,1586,1588,1589,1590,1591,1592,1593,1595,1599,1600,1601,1602,1603,1605,1610,1611,1612,1613,1614,1619,1620,1621,1622,1623,1628,1629,1630,1631,1632,1633,1634,1635,1636,1637,1640,1642,1643,1644,1645,1646,1648,1649,1650,1651,1652,1653,1655,1658,1659,1660,1661,1662,1663,1666,1668,1669,1670,1671,1672,1674,1675,1676,1677,1678,1680,1683,1684,1685,1686,1687,1688,1694,1695,1696,1697,1698,1702,1703,1704,1705,1706,1707,1709,1713,1714,1715,1716,1717,1718,1720,1721,1722,1723,1724,1730,1731,1736,1941,1942,1943,1947,1948,1949,1950,1951,1956,1957,1959,1960,1961,1962,1963,1965,1966,1967,1968,1969,1970,1971,1972,1973,1974,1975,1976,1979,1981,1982,1985,1986,1987,1988,1989,1990,1991,1992,1993,1998,2001,2002,2003,2004,2005,2007,2013,2017,2019,2022,2023,2024,2025,2026,2027,2028,2029,2030,2031,2032,2033,2034,2036,2037,2038,2039,2040,2041,2044,2047,2048,2049,2050,2051,2054,2055,2056,2057,2058,2060,2061,2062,2063,2064,2065,2068,2069,2072,2073,2079,2081,2084,2085,2095,2096,2101,2104,2105,2106,2107,2108,2109,2111,2112,2113,2114,2115,2117,2119,2121,2124,2125,2126,2127,2128,2133,2136,2137,2139,2140,2141,2142,2143,2144,2145,2146,2147,2148,2149,2150,2151,2152,2153,2155,2156,2157,2158,2159,2160,2161,2162,2163,2164,2166,2168,2169,2170,2171,2172,2173,2174,2175,2176,2177,2178,2179,2180,2181,2182,2183,2184,2185,2186,2187,2188,2189,2190,2191,2192,2193,2194,2195,2196,2197,2198,2199,2200,2203,2204,2205,2206,2207,2213,2214,2215,2216,2217,2218,2219,2223,2229,2235,2236,2238,2241,2242,2245,2247,2251,2253,2257,2258,2261,2262,2265,2266,2267,2268,2269,2270,2271,2272,2273,2274,2275,2276,2277,2278,2279,2280,2282,2283,2284,2285,2286,2287,2288,2289,2290,2291,2292,2293,2294,2295,2296,2297,2298,2299,2300,2301,2302,2303,2304,2305,2306,2307,2308,2309,2310,2311,2312,2313,2314,2315,2316,2317,2318,2319,2320,2321,2322,2323,2324,2325,2326,2327,2328,2329,2330,2331,2332,2333,2334,2335,2336,2337,2338,2339,2340,2341,2342,2343,2344,2345,2346,2347,2348,2349,2350,2351,2352,2353,2354,2355,2356,2357,2358,2359,2360,2361,2362,2363,2364,2365,2366,2367,2368,2369,2370,2371,2372,2373,2374,2375,2376,2377,2378,2379,2380,2381,2382,2383,2384,2385,2386,2387,2388,2390,2391,2392,2393,2394,2395,2396,2397,2398,2399,2400,2401,2402,2403,2404,2405,2406,2407,2408,2409,2410,2411,2414,2415,2416,2417,2418,2419,2420,2421,2422,2423,2424,2425,2426,2427,2428,2429,2435,2438,2439,2440,2441,2442,2443,2444,2445,2446,2447,2448,2449,2450,2451,2452,2453,2454,2455,2456,2457,2458,2459,2460,2461,2462,2463,2464,2466,2467,2468,2469,2470,2471,2472,2473,2474,2475,2476,2477,2478,2479,2480,2481,2482,2483,2484,2485,2488,2491,2493,2494,2495,2500,2507,2510,2513,2514,2517,2519,2529,2535,2540,2542,2543,2548,2549,2554,2555,2556,2557,2562,2565,2566,2568,2570,2571,2573,2574,2609,2612,2620,2621,2623,2630,2631,2633,2637,2639,2642,2647,2648,2651,2658,2659,2667,2673,2675,2676,2684,2685,2686,2687,2688,2690,2691,2693,2695,2696,2706,2707,2708,2709,2710,2711,2712,2713,2714,2715,2716,2717,2721,2722,2723,2724,2725,2726,2727,2728,2729,2730,2731,2732,2733,2734,2735,2736,2740,2741,2742,2743,2744,2745,2746,2747,2748,2749,2750,2752,2753,2754,2755,2756,2757,2758,2759,2760,2761,2762,2763,2765,2766,2767,2768,2771,2772,2773,2774,2775,2779,2780,2781,2782,2783,2786,2788,2789,2790,2791,2792,2796,2799,2802,2803,2804,2805,2806,2807,2809,2810,2811,2812,2813,2814,2816,2817,2818,2819,2820,2822,2823,2824,2825,2826,2827,2831,2832,2833,2834,2835,2839,2841,2842,2843,2844,2845,2847,2848,2849,2850,2851,2854,2855,2856,2857,2858,2861,2869,2870,2871,2872,2873,2874,2875,2877,2878,2879,2880,2881,2883,2889,2893,2898,2900,2901,2902,2903,2904,2905,2908,2913,2914,2915,2916,2917,2918,2919,2920,2921,2922,2923,2943,2944,2945,2946,2947,2950,2951,2953,2954,2955,2956,2957,2958,2959,2960,2961,2962,2963,2964,2965,2966,2973,2974,2978,2979,2980,2983,2984,2985,2986,2987,2988,2989,2990,2991,2992,2993,2994,2996,2997,2999,3000,3001,3002,3092,3093,3096,3099,3100,3101,3102,3103,3104,3106,3107,3108,3109,3110,3111,3113,3114,3115,3116,3117,3118,3119,3120,3121,3122,3123,3124,3125,3126,3127,3128,3129,3130,3131,3132,3133,3134,3135,3136,3137,3138,3139,3140,3141,3142,3145,3146,3147,3148,3149,3151,3154,3155,3156,3157,3158,3159,3160,3161,3162,3163,3164,3165,3166,3167,3168,3169,3173,3174,3175,3176,3177,3179,3181,3182,3183,3184,3185,3188,3189,3190,3191,3192,3193,3200,3202,3203,3204,3205,3206,3209,3210,3211,3212,3213,3216,3217,3218,3219,3220,3223,3224,3225,3226,3227,3228,3231,3232,3233,3234,3235,3239,3242,3243,3244,3245,3246,3248,3249,3250,3251,3252,3253,3255,3256,3257,3258,3259,3260,3262,3264,3265,3266,3269,3270,3271,3272,3273,3276,3277,3278,3279,3280,3284,3285,3286,3287,3288,3290,3291,3292,3293,3295,3297,3299,3300,3301,3302,3303,3305,3306,3307,3308,3309,3310,3313,3314,3315,3316,3317,3322,3323,3324,3325,3326,3329,3331,3332,3333,3334,3335,3339,3340,3341,3342,3343,3345,3346,3347,3348,3349,3350,3351,3352,3353,3354,3355,3360,3362,3363,3364,3365,3366,3369,3370,3371,3372,3373,3375,3376,3377,3378,3379,3380,3383,3384,3385,3386,3387,3390,3391,3392,3393,3394,3397,3398,3399,3400,3401,3406,3407,3408,3409,3410,3413,3419,3420,3421,3422,3423,3427,3428,3429,3430,3431,3432,3433,3434,3435,3436,3438,3439,3440,3441,3442,3444,3445,3446,3447,3448,3451,3452,3453,3454,3455,3463,3466,3467,3468,3469,3470,3471,3474,3475,3476,3477,3478,3481,3482,3483,3484,3485,3487,3488,3489,3490,3491,3492,3495,3496,3497,3498,3499,3502,3505,3506,3507,3508,3509,3510,3512,3513,3514,3515,3516,3520,3521,3522,3524,3525,3526,3527,3528,3532,3533,3535,3536,3537,3538,3539,3542,3543,3544,3545,3546,3547,3550,3551,3552,3553,3554,3558,3559,3560,3561,3562,3563,3567,3568,3569,3570,3571,3574,3575,3576,3577,3578,3581,3582,3583,3584,3585,3587,3588,3590,3591,3592,3593,3594,3595,3598,3599,3600,3601,3602,3603,3604,3605,3606,3607,3610,3611,3612,3613,3614,3617,3618,3619,3620,3621,3622,3624,3625,3626,3627,3628,3630,3631,3632,3633,3634,3638,3639,3640,3641,3642,3643,3644,3647,3648,3649,3650,3651,3652,3656,3657,3658,3659,3660,3665,3666,3667,3679,3680,3681,3682,3683,3685,3686,3687,3688,3689,3692,3693,3694,3695,3696,3697,3698,3700,3701,3702,3703,3704,3709,3710,3711,3712,3713,3723,3724,3725,3727,3728,3729,3730,3731,3733,3735,3736,3737,3738,3739,3740,3742,3743,3744,3745,3746,3747,3750,3751,3752,3756,3757,3758,3760,3761,3762,3763,3764,3770,3771,3772,3773,3774,3775,3778,3779,3780,3781,3782,3786,3787,3788,3789,3790,3791,3794,3795,3796,3797,3798,3799,3801,3802,3803,3804,3805,3807,3808,3809,3810,3811,3813,3815,3816,3817,3818,3819,3821,3824,3825,3826,3827,3828,3830,3831,3832,3833,3834,3835,3836,3837,3838,3841,3842,3843,3844,3845,3846,3848,3849,3850,3851,3852,3854,3855,3856,3857,3858,3860,3861,3862,3863,3864,3865,3869,3870,3871,3872,3873,3876,3877,3878,3879,3880,3883,3889,3890,3891,3892,3893,3894,3895,3900,3902,3903,3904,3905,3906,3908,3909,3910,3911,3912,3913,3914,3915,3930,3931,3932,3935,3936,3937,3938,3939,3944,3945,3946,3947,3948,3952,3954,3955,3956,3957,3958,3960,3961,3962,3963,3964,3965,3966,3971,3972,3980,3982,3984,3985,3986,3987,3988,3989,3990,3991,3992,3993,3994,3995,3996,3997,3998,4003,4004,4014,4017,4019,4020,4021,4022,4023,4024,4025,4026,4027,4028,4029,4030,4031,4032,4033,4034,4035,4036,4037,4038,4039,4040,4041,4042,4043,4044,4045,4046,4047,4048,4049,4050,4051,4052,4053,4054,4055,4056,4057,4058,4059,4060,4061,4062,4063,4064,4065,4066,4067,4068,4069,4070,4071,4072,4073,4074,4075,4076,4077,4078,4079,4080,4081,4082,4083,4084,4085,4086,4087,4088,4089,4090,4091,4092,4093,4094,4095,4096,4097,4098,4099,4100,4101,4102,4103,4104,4105,4106,4107,4108,4109,4110,4111,4112,4115,4119,4150,4151,4152,4154,4155,4157,4158,4159,4160,4162,4165,4166,4167,4168,4169,4171,4182,4183,4184,4185,4186,4187,4193,4198,4200,4201,4202,4203,4204,4205,4209,4214,4216,4217,4218,4219,4220,4221,4228,4229,4230,4231,4232,4234,4236,4237,4238,4239,4240,4242,4243,4244,4245,4246,4247,4249,4255,4256,4257,4258,4259,4262,4268,4269,4270,4271,4272,4279,4281,4282,4283,4284,4285,4286,4290,4291,4292,4293,4294,4297,4298,4299,4300,4301,4302,4303,4305,4306,4307,4308,4309,4310,4312,4321,4323,4324,4325,4326,4327,4328,4331,4332,4333,4334,4335,4339,4340,4341,4342,4343,4344,4345,4346,4347,4348,4349,4350,4353,4357,4360,4362,4363,4364,4365,4367,4370,4374,4378,4379,4383,4384,4389,4390,4391,4392,4393,4395,4399,4400,4405,4409,4410,4411,4412,4413,4420,4424,4425,4426,4427,4433,4434,4435,4436,4437,4443,4444,4445,4446,4447,4448,4449,4457,4459,4460,4461,4462,4463,4465,4466,4468,4469,4470,4471,4472,4477,4478,4479,4480,4481,4483,4922,4923,4924,4925,4926,4927,4928,4930,4931,4932,4933,4934,4935,4936,4937,4938,4939,4940,4941,4942,4943,4947,4948,4949,4950,4951,4952,4953,4954,4955,4956,4958,4959,4960,4961,4962,4963,4964,4965,4966,4969,4970,4971,4972,4973,4974,4975,4976,4977,4978,4979,4980,4981,4982,4983,4984,4985,4987,4988,4989,4990,4991,4992,4995,4996,4997,4998,5000,5001,5002,5003,5004,5005,5006,5007,5011,5014,5015,5016,5017,5018,5019,5020,5021,5022,5023,5024,5025,5026,5027,5028,5029,5031,5032,5033,5034,5035,5036,5037,5038,5039,5040,5041,5042,5043,5044,5045,5046,5047,5048,5049,5050,5052,5053,5054,5055,5056,5057,5058,5059,5060,5061,5062,5063,5065,5068,5110,5111,5116,5117,5122,5123,5124,5125,5126,5127,5133,5134,5139,5141,5142,5143,5144,5145,5146,5147,5148,5149,5150,5151,5152,5158,5159,5160,5161,5162,5163,5164,5165,5166,5167,5169,5170,5171,5172,5173,5174,5175,5176,5177,5179,5180,5182,5183,5184,5185,5186,5187,5189,5191,5192,5193,5194,5195,5196,5197,5198,5199,5202,5203,5204,5219,5220,5224,5225,5228,5229,5233,5234,5235,5239,5240,5242,5243,5244,5245,5247,5248,5249,5250,5251,5252,5253,5254,5257,5259,5263,5264,5265,5266,5267,5269,5270,5271,5272,5273,5274,5275,5281,5284,5286,5287,5290,5291,5293,5298,5299,5300,5302,5303,5304,5305,5306,5308,5309,5310,5311,5312,5317,5320,5321,5322,5323,5324,5325,5326,5327,5328,5329,5332,5333,5334,5335,5336,5338,5339,5340,5341,5342,5343,5344,5345,5346,5349,5352,5353,5354,5355,5356,5360,5361,5362,5363,5364,5366,5367,5368,5369,5370,5371,5372,5373,5374,5375,5376,5377,5378,5383,5385,5386,5387,5388,5389,5390,5391,5392,5393,5394,5395,5396,5397,5398,5399,5503,5505,5507,5508,5509,5510,5511,5512,5513,5514,5515,5516,5517,5518,5519,5520,5521,5522,5523,5524,5525,5526,5527,5528,5529,5530,5531,5532,5533,5534,5535,5536,5537,5538,5539,5540,5541,5542,5543,5544,5545,5546,5547,5548,5549,5550,5551,5552,5553,5554,5555,5557,5562,5563,5564,5565,5566,5567,5568,5569,5570,5571,5573,5576,5578,5580,5581,5582,5583,5584,5588,5595,5600,5601,5602,5603,5604,5605,5606,5607,5608,5611,5614,5615,5616,5617,5618,5620,5621,5622,5623,5624,5625,5626,5627,5628,5629,5630,5634,5638,5639,5640,5641,5642,5643,5644,5645,5646,5647,5649,5650,5651,5652,5653,5655,5656,5657,5658,5659,5660,5661,5662,5666,5667,5668,5669,5670,5671,5672,5674,5675,5676,5677,5678,5679,5681,5682,5683,5684,5685,5687,5699,5700,5705,5711,5717,5720,5724,5728,5729,5730,5731,5732,5733,5734,5735,5738,5739,5740,5741,5742,5743,5744,5745,5746,5747,5748,5749,5750,5751,5752,5755,5756,5757,5758,5759,5760,5761,5763,5766,5851,5852,5855,5859,5860,5861,5862,5863,5864,5865,5867,5868,5869,5870,5871,5872,5876,5879,5880,5881,5882,5883,5886,5887,5888,5889,5890,5891,5893,5898,5899,5900,5901,5902,5903,5905,5906,5907,5908,5909,5910,5911,5912,5913,5916,5917,5918,5919,5920,5921,5922,5923,5924,5929,5930,5931,5932,5933,5935,5936,5937,5938,5939,5940,5941,5942,5943,5944,5946,5950,5951,5955,5956,5957,5958,5959,5960,5961,5962,5963,5964,5968,5969,5970,5971,5972,5973,5974,5975,5976,5977,5978,5979,5980,5983,5984,5985,5986,5987,5990,5991,5992,5993,5994,5997,5998,5999,6000,6001,6002,6003,6006,6007,6008,6009,6010,6011,6012,6013,6014,6015,6016,6017,6018,6019,6020,6025,6026,6027,6028,6029,6031,6033,6035,6036,6037,6038,6040,6042,6043,6044,6045,6046,6047,6048,6049,6050,6051,6054,6055,6056,6057,6058,6061,6062,6063,6064,6065,6066,6068,6069,6070,6071,6072,6074,6075,6076,6077,6078,6079,6082,6083,6084,6085,6086,6087,6088,6089,6090,6091,6093,6096,6097,6098,6099,6100,6102,6103,6104,6105,6106,6109,6111,6112,6113,6114,6115,6118,6119,6120,6121,6122,6127,6128,6129,6130,6131,6132,6135,6136,6137,6138,6139,6141,6142,6143,6144,6145,6148,6149,6150,6151,6152,6153,6154,6157,6158,6159,6160,6161,6162,6167,6172,6173,6177,6180,6190,6192,6195,6197,6200,6201,6203,6204,6205,6206,6207,6210,6211,6212,6213,6214,6215,6216,6217,6218,6219,6220,6221,6222,6223,6224,6225,6226,6227,6228,6229,6230,6231,6232,6233,6234,6238,6240,6243,6247,6255,6256,6257,6258,6259,6263,6266,6268,6269,6271,6272,6273,6274,6276,6280,6281,6282,6283,6284,6289,6290,6291,6292,6293,6297,6299,6300,6301,6302,6303,6308,6309,6310,6311,6312,6315,6321,6326,6329,6330,6331,6332,6333,6337,6341,6344,6346,6690,6691,6692,6698,6870,6872,6873,6905,6906,6907,6908,6909,6910,6911,6912,6913,6914,6915,6916,6917,6919,6923,6924,6925,6926,6927,6928,6929,6930,6931,6932,6933,6934,6935,6936,6937,6938,6939,6940,6941,6942,6943,6944,6945,6946,6947,6948,6949,6950,6951,6952,6953,6955,6957,6958,6959,6960,6961,6962,6963,6964,6965,6966,6967,6968,6969,6970,6971,6972,6973,6974,6975,6976,6977,6978,6979,6980,6981,6982,6983,6984,6985,6986,6987,6988,6989,6990,6991,6992,6993,6994,6995,6996,6997,6998,6999,7000,7001,7002,7003,7004,7005,7006,7007,7008,7009,7010,7011,7012,7013,7014,7015,7016,7017,7018,7019,7020,7021,7022,7023,7024,7025,7026,7027,7028,7029,7030,7031,7032,7033,7034,7035,7036,7037,7038,7039,7040,7041,7042,7043,7044,7045,7046,7047,7048,7049,7050,7051,7052,7053,7054,7055,7056,7057,7058,7059,7060,7061,7062,7063,7064,7065,7066,7067,7068,7069,7070,7071,7073,7074,7075,7076,7077,7078,7079,7081,7131,7133,7139,7143,7147,7148,7149,7150,7151,7155,7156,7157,7158,7159,7160,7161,7162,7163,7164,7165,7166,7167,7168,7169,7170,7171,7172,7173,7174,7175,7176,7177,7178,7179,7180,7181,7182,7183,7184,7185,7186,7187,7188,7189,7190,7191,7192,7193,7194,7195,7198,7199,7203,7204,7205,7206,7207,7208,7209,7211,7212,7213,7214,7215,7216,7218,7219,7220,7221,7222,7223,7224,7225,7226,7227,7228,7229,7232,7237,7238,7239,7240,7241,7242,7245,7246,7247,7268,7269,7270,7271,7272,7273,7275,7276,7277,7278,7279,7280,7281,7282,7283,7284,7285,7286,7287,7288,7292,7293,7294,7295,7296,7299,7300,7301,7302,7303,7304,7320,7321,7322,7323,7324,7329,7330,7331,7332,7333,7334,7335,7336,7337,7338,7339,7340,7341,7342,7343,7345,7346,7347,7348,7349,7350,7351,7352,7353,7356,7359,7360,7361,7362,7363,7365,7366,7367,7368,7369,7372,7373,7374,7375,7376,7380,7384,7385,7386,7387,7388,7390,7391,7392,7393,7394,7396,7397,7398,7399,7400,7403,7404,7405,7406,7407,7408,7412,7565,7566,7567,7568,7572,7580,7581,7582,7583,7584,7585,7586,7587,7588,7589,7590,7593,7595,7596,7597,7598,7599,7600,7601,7602,7603,7604,7606,7607,7608,7609,7610,7611,7612,7613,7614,7615,7617,7618,7619,7620,7621,7622,7623,7624,7625,7626,7627,7634,7642,7645,7646,7647,7648,7649,7650,7651,7652,7653,7655,7658,7659,7660,7661,7662,7663,7664,7665,7666,7667,7668,7669,7670,7672,7673,7674,7675,7676,7679,7680,7681,7682,7683,7684,7685,7686,7687,7688,7689,7690,7691,7692,7693,7694,7695,7696,7697,7698,7699,7703,7704,7705,7706,7707,7710,7711,7712,7713,7714,7719,7720,7721,7722,7723,7724,7725,7726,7727,7728,7733,7735,7736,7737,7738,7739,7740,7741,7742,7743,7744,7746,7747,7748,7749,7750,7751,7752,7753,7754,7755,7757,7758,7759,7760,7761,7764,7765,7766,7767,7768,7772,7773,7774,7775,7776,7778,7779,7780,7781,7782,7784,7785,7788,7789,7790,7791,7792,7793,7795,7797,7798,7799,7800,7801,7802,7803,7804,7805,7806,7807,7808,7809,7810,7811,7813,7814,7815,7816,7817,7822,7823,7824,7825,7826,7827,7828,7829,7831,7832,7833,7834,7835,7840,7841,7842,7843,7844,7845,7848,7849,7850,7851,7852,7855,7856,7858,7859,7860,7861,7862,7863,7868,7870,7871,7872,7873,7874,7875,7878,7879,7880,7881,7882,7889,7891,7892,7893,7894,7895,7900,7901,7902,7903,7904,7909,7911,7912,7913,7914,7915,7921,7922,7923,7924,7925,7931,7932,7933,7934,7935,7938,7939,7940,7941,7942,7946,7947,7948,7949,7950,7954,7955,7956,7957,7958,7959,7960,7962,7964,7965,7966,7967,7968,7970,7971,7974,7975,7976,7986,7993,7994,7995,7996,7997,8001,8005,8006,8007,8008,8009,8010,8015,8016,8017,8018,8019,8020,8022,8028,8035,8040,8043,8046,8049,8052,8053,8054,8055,8056,8057,8058,8059,8062,8063,8064,8065,8066,8068,8070,8072,8073,8074,8075,8076,8077,8079,8080,8081,8082,8083,8084,8085,8086,8087,8088,8089,8090,8091,8092,8093,8095,8096,8097,8098,8099,8101,8103,8104,8105,8106,8107,8110,8119,8120,8126,8131,8132,8136,8139,8140,8141,8142,8143,8145,8152,8154,8155,8156,8157,8158,8161,8162,8163,8164,8165,8166,8168,8169,8171,8172,8173,8174,8175,8183,8184,8185,8186,8187,8190,8197,8202,8203,8204,8205,8206,8211,8213,8214,8215,8216,8217,8224,8229,8230,8231,8232,8233,8242,8249,8250,8251,8252,8253,8258,8259,8262,8265,8266,8267,8268,8269,8272,8280,8285,8286,8287,8288,8289,8295,8299,8300,8301,8302,8303,8311,8314,8317,8318,8319,8320,8321,8322,8324,8325,8326,8327,8328,8329,8331,8337,8338,8339,8340,8341,8344,8345,8346,8347,8348,8356,8363,8366,8369,8370,8371,8372,8373,8375,8376,8377,8378,8379,8383,8390,8393,8394,8395,8396,8397,8403,8410,8416,8418,8419,8420,8421,8422,8426,8431,8432,8433,8434,8435,8440,8449,8450,8451,8452,8453,8454,8457,8464,8468,8469,8470,8471,8472,8477,8478,8479,8480,8481,8485,8489,8490,8491,8492,8493,8499,8501,8502,8503,8504,8505,8511,8512,8513,8514,8515,8517,8518,8519,8520,8521,8525,8526,8527,8528,8529,8531,8535,8536,8537,8538,8539,8543,8550,8551,8552,8553,8554,8555,8558,8563,8767,8768,8769,8770,8773,8776,8777,8779,8785,8792,8793,8794,8795,8796,8801,8802,8803,8804,8805,8808,8814,8815,8816,8817,8818,8819,8822,8824,8825,8826,8827,8828,8829,8836,8839,8840,8841,8842,8843,8844,8851,8856,8857,8858,8859,8860,8866,8869,8872,8874,8878,8881,8887,8891,8893,8897,8898,8904,8905,8911,8918,8924,8927,8929,8931,8934,8935,8936,8937,8938,8939,8946,8947,8949,8955,8960,8965,8967,8968,8969,8970,8971,8975,8981,8984,8985,8986,8987,8988,8990,8993,8999,9000,9002,9003,9004,9005,9006,9007,9008,9009,9010,9011,9012,9013,9014,9015,9016,9017,9018,9019,9020,9021,9025,9027,9030,9033,9034,9035,9036,9037,9041,9043,9045,9046,9047,9048,9049,9053,9054,9055,9056,9057,9061,9062,9063,9064,9065,9068,9070,9071,9072,9073,9074,9077,9084,9089,9092,9094,9097,9098,9100,9102,9105,9109,9113,9114,9116,9119,9127,9133,9136,9137,9141,9145,9147,9148,9151,9152,9156,9163,9167,9168,9169,9170,9171,9174,9177,9179,9185,9191,9198,9205,9208,9211,9214,9215,9216,9217,9218,9219,9224,9229,9230,9234,9237,9239,9245,9247,9249,9251,9254,9256,9263,9264,9266,9269,9270,9271,9272,9273,9277,9278,9280,9282,9287,9292,9295,9299,9304,9309,9310,9311,9312,9313,9314,9319,9320,9321,9322,9323,9324,9325,9326,9327,9328,9329,9330,9331,9332,9333,9334,9335,9336,9337,9338,9341,9343,9345,9347,9348,9349,9351,9352,9353,9354,9356,9357,9358,9359,9360,9362,9363,9364,9365,9366,9367,9368,9372,9373,9374,9375,9376,9377,9378,9379,9380,9382,9387,9393,9394,9395,9396,9397,9398,9403,9404,9407,9408,9409,9410,9411,9413,9414,9415,9416,9417,9418,9421,9422,9423,9424,9425,9431,9432,9433,9434,9435,9437,9439,9440,9441,9442,9443,9448,9449,9452,9455,9456,9457,9458,9459,9461,9463,9464,9465,9466,9467,9469,9475,9476,9477,9478,9479,9482,9486,9488,9491,9492,9493,9494,9495,9501,9505,9506,9511,9516,9517,9518,9519,9520,9521,9522,9525,9526,9532,9536,9540,9543,9548,9549,9552,9558,9565,9569,9572,9573,9574,9575,9576,9578,9581,9582,9587,9592,9593,9600,9604,9748,9749,9751,9752,9753,9754,9755,9756,9757,9758,9762,9763,9767,9768,9769,9770,9771,9774,9775,9776,9777,9778,9779,9780,9782,9783,9784,9785,9786,9789,9791,9793,9794,9795,9796,9797,9798,9799,9800,9801,9802,9803,9805,9807,9808,9809,9811,9812,9813,9814,9815,9816,9817,9818,9819,9821,9822,9823,9824,9825,9830,9831,9832,9833,9834,9835,9841,9843,9845,9848,9849,9850,9851,9852,9857,9858,9859,9860,9861,9864,9867,9868,9869,9870,9871,9873,9877,9878,9879,9880,9881,9885,9888,9889,9893,9894,9895,9896,9897,9900,9901,9902,9903,9904,9905,9906,9907,9908,9911,9912,9913,9914,9915,9917,9919,9921,9922,9923,9924,9925,9926,9929,9930,9931,9932,9933,9934,9935,9936,9937,9938,9939,9940,9941,9942,9943,9946,9947,9948,9949,9950,9951,9956,9957,9958,9959,9960,9961,9962,9963,9964,9966,9969,9970,9971,10053,10055,10057,10061,10062,10063,10071,10075,10079,10085,10090,10095,10096,10098,10100,10107,10112,10114,10115,10116,10117,10118,10119,10120,10121,10122,10123,10124,10125,10126,10127,10128,10129,10130,10131,10132,10133,10134,10135,10136,10137,10138,10140,10141,10142,10143,10144,10145,10146,10147,10148,10177,10178,10184,10186,10189,10190,10191,10192,10193,10194,10196,10197,10198,10199,10200,10202,10206,10207,10208,10209,10210,10211,10214,10216,10217,10218,10219,10220,10225,10227],"distance":[0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,11.9,15.1,19.0,21.7,23.9,26.6,29.2,31.7,33.8,36.3,39.1,41.7,44.4,47.1,49.6,51.8,53.9,56.6,59.3,62.7,67.2,71.0,73.4,77.7,80.8,83.5,92.3,94.5,97.0,98.8,101.2,111.7,113.4,115.5,116.9,117.8,127.5,129.1,131.0,133.1,134.8,136.6,138.3,140.4,142.5,143.8,144.5,146.6,148.5,153.7,156.1,157.4,158.3,160.4,164.9,167.6,168.7,170.8,172.9,174.8,176.0,177.4,178.8,179.9,181.7,187.6,195.6,198.5,200.1,201.5,203.0,204.2,208.8,217.8,224.7,231.0,236.0,238.6,243.2,245.0,248.0,249.7,251.9,261.5,263.2,269.6,275.2,279.8,284.4,289.1,293.7,298.3,316.4,321.1,326.8,330.0,340.8,347.9,368.4,389.5,404.9,435.8,447.4,455.9,469.2,494.2,514.1,523.0,546.1,550.5,555.0,559.7,564.9,570.2,575.0,580.5,586.5,592.8,600.5,610.3,622.9,633.3,644.6,654.5,663.3,670.5,677.5,683.6,696.8,706.6,713.3,720.4,728.2,741.5,760.2,766.5,773.6,780.7,787.8,796.6,803.8,811.6,820.1,829.5,840.5,850.9,860.4,871.1,879.8,888.7,905.8,913.2,920.5,927.9,932.8,937.1,941.5,944.8,948.0,955.4,959.7,983.1,993.1,1018.0,1028.5,1045.9,1054.5,1059.0,1062.5,1065.6,1069.0,1072.3,1075.2,1078.2,1080.7,1083.0,1085.2,1088.4,1091.9,1096.4,1099.7,1124.5,1141.5,1145.9,1155.8,1174.0,1200.0,1209.4,1224.9,1236.3,1240.1,1248.8,1254.8,1261.8,1269.4,1279.2,1289.3,1298.2,1306.6,1315.3,1323.0,1331.0,1339.7,1349.0,1358.2,1368.7,1383.6,1397.7,1405.5,1412.7,1420.5,1431.3,1439.3,1445.6,1452.0,1456.9,1461.1,1465.6,1479.1,1486.0,1493.8,1504.8,1518.0,1530.1,1542.3,1552.8,1564.2,1574.1,1584.0,1593.2,1606.7,1618.6,1626.9,1634.4,1655.7,1663.5,1670.3,1677.8,1684.0,1701.6,1706.8,1712.1,1717.6,1721.4,1729.6,1736.3,1745.2,1753.0,1761.1,1769.9,1777.8,1786.0,1793.4,1800.0,1821.6,1831.5,1839.2,1847.2,1849.8,1852.6,1855.7,1858.7,1861.5,1864.5,1867.6,1871.3,1874.7,1878.1,1880.9,1883.8,1886.8,1888.6,1890.7,1893.1,1895.7,1898.3,1900.8,1902.8,1905.1,1906.8,1908.7,1912.2,1914.4,1916.5,1923.9,1928.9,1931.6,1934.3,1939.6,1946.4,1950.2,1954.7,1957.6,1960.5,1965.2,1968.2,1972.6,1976.9,1981.0,1984.6,1988.0,1991.0,1992.9,1994.8,1996.3,1998.2,1998.8,2000.2,2002.1,2004.5,2008.0,2011.2,2019.0,2023.3,2027.1,2030.6,2035.8,2048.5,2052.8,2056.9,2060.2,2063.8,2066.5,2068.7,2071.3,2074.3,2076.5,2077.3,2078.5,2080.6,2087.5,2095.7,2115.6,2117.7,2120.8,2123.6,2125.8,2127.6,2133.8,2140.5,2142.6,2144.3,2146.1,2147.7,2156.5,2161.5,2162.6,2163.7,2164.8,2165.5,2166.5,2168.7,2170.3,2172.2,2189.0,2189.9,2190.5,2194.8,2200.0,2204.9,2206.3,2207.8,2209.4,2211.0,2212.3,2216.8,2221.6,2227.4,2230.2,2231.8,2233.1,2234.4,2237.1,2244.9,2259.3,2264.1,2271.2,2275.9,2281.0,2285.5,2291.6,2296.4,2300.0,2302.7,2304.5,2306.7,2308.6,2309.8,2309.9,2315.3,2319.5,2330.9,2334.0,2337.6,2340.2,2341.7,2342.8,2344.8,2346.2,2347.1,2351.0,2353.7,2371.7,2386.5,2393.8,2395.7,2397.4,2401.9,2404.2,2408.3,2411.2,2413.5,2416.0,2418.7,2421.5,2428.0,2435.6,2438.2,2440.5,2443.2,2446.1,2449.1,2451.9,2455.8,2458.3,2463.6,2474.4,2479.8,2484.0,2487.0,2489.3,2491.2,2492.6,2493.6,2494.8,2498.8,2500.3,2501.7,2504.1,2507.7,2511.0,2519.5,2528.4,2533.7,2537.6,2540.5,2542.7,2546.0,2552.2,2556.3,2560.0,2563.3,2570.4,2573.8,2591.5,2595.8,2600.9,2604.2,2608.0,2614.2,2617.4,2627.9,2634.2,2636.9,2639.9,2642.5,2645.3,2655.6,2662.8,2665.5,2666.0,2667.7,2685.6,2690.5,2695.2,2699.3,2703.7,2713.8,2724.2,2728.0,2731.6,2736.0,2740.4,2743.0,2745.7,2748.9,2752.7,2756.6,2764.8,2772.1,2776.7,2783.0,2794.3,2815.0,2821.2,2834.6,2852.0,2873.6,2878.5,2882.1,2885.4,2888.6,2892.3,2895.2,2897.7,2900.5,2905.4,2909.1,2912.1,2916.2,2918.8,2920.3,2922.6,2925.4,2926.9,2930.2,2932.2,2943.0,2945.3,2947.0,2950.1,2954.6,2976.3,2980.4,2983.4,2986.2,2988.2,2991.2,2999.5,3004.1,3007.7,3010.7,3013.5,3016.1,3018.9,3021.5,3024.4,3028.7,3033.4,3038.3,3042.1,3046.3,3048.8,3060.4,3062.4,3066.3,3073.2,3078.6,3083.5,3088.6,3093.6,3096.8,3100.6,3103.6,3107.4,3111.0,3124.3,3125.6,3127.1,3129.1,3132.2,3135.8,3152.9,3156.4,3160.1,3163.9,3167.3,3171.3,3175.5,3180.0,3189.6,3195.5,3202.5,3208.2,3212.8,3216.3,3245.0,3251.9,3257.1,3260.5,3262.5,3265.6,3268.4,3273.1,3276.8,3279.7,3284.7,3289.0,3292.9,3299.2,3312.5,3319.6,3326.6,3333.4,3337.9,3342.4,3345.8,3348.7,3352.8,3355.9,3358.9,3362.0,3365.0,3368.1,3371.1,3374.2,3377.2,3380.3,3383.3,3389.8,3395.2,3401.1,3409.7,3414.6,3417.9,3423.8,3429.8,3438.3,3443.8,3449.2,3454.4,3459.8,3464.1,3467.6,3469.7,3473.6,3476.9,3480.6,3499.7,3506.3,3512.8,3519.2,3525.8,3533.5,3540.2,3547.2,3553.8,3560.7,3570.3,3591.2,3611.0,3639.0,3646.5,3653.0,3658.7,3666.5,3672.2,3676.7,3681.6,3686.4,3693.8,3714.3,3738.3,3744.5,3750.1,3757.6,3761.0,3766.7,3774.2,3779.2,3784.3,3790.1,3795.2,3800.6,3808.1,3813.9,3821.7,3829.0,3836.2,3841.8,3848.0,3855.4,3865.6,3872.0,3880.4,3884.1,3926.1,3954.9,3959.8,3964.4,3969.0,3972.2,3979.7,3981.5,3984.6,3997.8,4006.6,4010.4,4013.4,4017.7,4021.4,4033.7,4037.2,4039.7,4042.8,4047.5,4051.0,4058.3,4060.6,4065.1,4066.3,4068.4,4070.7,4073.9,4074.9,4075.9,4076.9,4079.5,4090.7,4096.0,4096.7,4098.2,4099.0,4100.2,4101.8,4104.4,4106.9,4110.1,4113.7,4120.3,4129.5,4133.4,4134.1,4159.7,4163.7,4166.5,4175.3,4177.6,4184.5,4199.8,4201.7,4208.7,4213.7,4224.6,4237.7,4238.8,4240.6,4243.0,4245.8,4254.7,4255.5,4256.8,4257.9,4259.4,4260.7,4262.5,4264.5,4266.3,4269.4,4271.8,4273.6,4288.6,4291.6,4300.9,4303.5,4306.2,4310.1,4311.6,4313.4,4327.1,4329.7,4332.2,4335.1,4337.5,4339.6,4349.7,4362.2,4364.4,4367.5,4371.1,4372.7,4377.6,4380.7,4387.9,4400.2,4405.2,4407.3,4409.4,4412.1,4414.4,4417.3,4422.1,4428.4,4438.0,4442.2,4445.4,4449.4,4453.4,4456.7,4461.4,4471.6,4476.0,4478.6,4480.2,4481.5,4486.8,4497.8,4500.8,4504.6,4507.4,4511.3,4531.0,4533.6,4536.0,4538.0,4540.1,4552.9,4559.0,4562.0,4565.3,4567.7,4570.9,4573.2,4577.0,4579.3,4580.3,4585.2,4586.5,4587.1,4587.7,4588.6,4590.5,4596.1,4597.9,4598.9,4600.0,4600.4,4600.9,4603.4,4608.7,4610.8,4613.8,4615.3,4619.6,4621.5,4627.2,4631.1,4633.0,4635.0,4636.6,4637.9,4642.2,4647.0,4648.1,4649.7,4651.8,4655.9,4661.5,4663.5,4666.4,4669.1,4673.4,4675.0,4684.1,4686.4,4689.8,4694.2,4697.8,4713.1,4714.1,4715.5,4717.2,4718.5,4720.1,4721.2,4734.8,4737.2,4739.6,4741.4,4745.3,4747.4,4751.7,4753.6,4755.4,4756.9,4759.4,4774.4,4783.8,4793.3,4802.7,4834.2,4837.8,4847.9,4848.8,4850.0,4850.5,4854.8,4880.3,4884.6,4891.0,4893.7,4897.1,4899.5,4903.3,4917.9,4919.8,4924.6,4927.2,4929.8,4934.1,4937.5,4939.8,4942.6,4948.7,4960.5,4965.0,4977.5,4985.7,4992.3,4999.8,5002.8,5007.5,5012.3,5016.0,5022.3,5025.5,5028.5,5030.6,5044.2,5048.2,5050.4,5051.7,5052.8,5054.6,5058.7,5072.0,5081.2,5086.4,5092.9,5095.2,5097.3,5099.3,5104.6,5112.0,5119.9,5126.3,5131.3,5145.9,5156.3,5160.8,5163.0,5169.1,5173.5,5176.6,5180.7,5186.9,5190.2,5202.5,5215.8,5219.1,5221.9,5224.7,5227.1,5231.8,5233.9,5236.7,5241.0,5244.8,5253.3,5255.1,5257.2,5259.3,5264.1,5265.9,5280.9,5285.5,5294.7,5296.9,5309.8,5313.0,5318.4,5320.7,5330.4,5333.1,5351.7,5359.8,5362.5,5365.4,5368.1,5371.1,5378.4,5381.8,5387.4,5391.7,5394.3,5397.4,5402.1,5405.7,5413.4,5423.8,5427.0,5429.8,5434.5,5440.2,5453.0,5482.9,5488.0,5495.6,5498.7,5505.7,5509.9,5515.1,5518.4,5523.9,5527.6,5530.1,5534.6,5537.4,5540.8,5547.6,5551.7,5555.5,5563.0,5566.3,5568.0,5570.4,5576.1,5579.1,5582.5,5588.3,5593.3,5597.1,5606.3,5613.2,5616.4,5620.5,5624.3,5627.9,5630.2,5635.9,5637.9,5640.8,5647.4,5664.0,5667.9,5677.5,5690.8,5695.6,5705.0,5712.4,5719.8,5725.8,5731.7,5738.2,5745.0,5749.5,5752.9,5756.8,5760.0,5761.7,5766.5,5770.2,5772.8,5776.1,5779.0,5784.8,5796.1,5799.5,5804.1,5808.5,5813.7,5833.2,5839.0,5844.6,5850.5,5856.0,5863.5,5868.3,5884.4,5894.9,5899.7,5900.6,5903.0,5909.4,5911.6,5912.8,5917.8,5927.3,5932.0,5935.5,5937.3,5944.1,5948.4,5956.2,5959.1,5961.6,5966.0,5970.2,5974.1,5978.0,5981.2,5984.8,5989.3,5992.4,5995.2,5999.2,6004.1,6009.3,6016.0,6022.9,6025.6,6030.3,6032.8,6035.3,6040.6,6052.9,6067.6,6077.7,6086.3,6090.7,6098.0,6101.4,6105.7,6108.7,6121.1,6125.2,6131.7,6135.3,6141.7,6147.1,6159.8,6165.9,6170.2,6177.1,6179.2,6183.2,6186.9,6193.7,6201.3,6209.7,6217.3,6225.5,6230.4,6234.2,6241.4,6245.1,6252.2,6258.2,6264.7,6270.7,6275.4,6280.6,6283.4,6286.8,6289.1,6291.3,6292.7,6294.9,6297.2,6301.0,6304.3,6307.6,6311.8,6316.7,6320.0,6323.7,6326.3,6330.4,6333.2,6336.2,6339.2,6342.7,6346.5,6350.1,6355.1,6356.6,6356.8,6359.8,6366.1,6369.0,6372.5,6374.9,6376.3,6378.6,6381.5,6383.4,6388.9,6398.1,6403.7,6408.8,6414.5,6423.3,6429.9,6435.3,6441.0,6447.8,6455.0,6461.0,6467.4,6473.2,6478.4,6484.6,6491.5,6497.2,6509.3,6517.7,6524.2,6531.0,6536.3,6542.1,6548.7,6552.4,6555.6,6558.2,6560.9,6563.9,6571.5,6577.3,6583.8,6589.3,6592.7,6596.1,6599.3,6604.8,6608.7,6615.0,6620.9,6625.2,6629.7,6635.8,6643.7,6648.8,6653.4,6662.7,6666.5,6672.3,6675.5,6677.7,6682.2,6684.4,6688.6,6693.7,6699.4,6707.1,6713.9,6719.6,6724.7,6728.6,6733.4,6738.7,6743.0,6744.8,6747.1,6748.5,6765.1,6778.8,6789.0,6799.1,6804.5,6811.1,6819.2,6824.9,6829.3,6834.4,6839.3,6844.9,6848.7,6853.3,6858.1,6862.9,6865.5,6867.6,6871.5,6881.1,6891.3,6899.4,6911.7,6917.5,6924.3,6930.1,6938.3,6945.1,6962.1,6973.0,6979.6,6985.1,6993.7,7002.1,7008.6,7014.5,7019.9,7026.5,7031.0,7039.6,7045.5,7053.2,7056.7,7061.1,7064.3,7066.9,7067.5,7070.8,7079.2,7085.5,7087.2,7088.1,7089.3,7096.2,7098.8,7100.5,7103.8,7105.0,7107.8,7110.1,7114.4,7134.8,7147.3,7148.1,7150.3,7151.6,7154.4,7159.2,7164.1,7168.9,7173.7,7178.6,7183.4,7188.3,7194.3,7236.9,7378.1,7558.0,7572.4,7668.6,7670.8,7673.9,7676.1,7679.5,7696.2,7699.4,7702.0,7723.4,7734.8,7748.1,7751.6,7754.1,7759.7,7767.5,7767.9,7820.2,7857.6,7884.5,7897.3,7941.7,7945.5,7950.2,7952.4,7953.8,7957.6,7961.2,7964.5,7968.5,7969.3,7986.0,7987.9,7989.0,7990.2,7991.2,7991.9,7992.8,7994.8,7995.8,7996.9,7997.6,7998.8,8006.4,8007.9,8008.5,8009.6,8010.3,8014.0,8016.5,8023.4,8028.1,8030.4,8032.2,8034.3,8036.6,8037.7,8039.7,8042.0,8049.7,8051.9,8053.3,8055.6,8059.1,8061.7,8065.0,8068.6,8071.1,8073.7,8075.6,8082.2,8085.9,8087.4,8089.3,8093.2,8096.4,8098.7,8100.4,8104.6,8107.0,8109.2,8110.8,8117.7,8120.6,8122.1,8124.2,8132.2,8134.4,8136.9,8138.7,8139.4,8151.2,8154.2,8157.1,8160.0,8163.9,8176.1,8183.9,8187.0,8189.0,8191.1,8193.2,8207.4,8218.5,8230.3,8231.2,8232.0,8233.4,8235.1,8237.2,8241.2,8243.3,8244.9,8246.5,8248.4,8248.7,8259.4,8262.8,8267.5,8270.6,8273.3,8280.9,8284.1,8289.6,8294.6,8296.9,8299.9,8314.5,8319.0,8322.4,8325.6,8329.2,8340.1,8347.9,8351.0,8353.4,8355.6,8357.7,8366.7,8369.6,8371.7,8374.2,8377.2,8389.4,8392.7,8394.9,8397.5,8399.8,8408.8,8437.4,8443.0,8447.1,8450.7,8454.7,8458.8,8465.9,8481.9,8487.7,8491.8,8494.2,8495.2,8495.9,8502.3,8508.4,8527.2,8534.8,8538.4,8542.0,8545.0,8549.8,8553.0,8577.7,8600.2,8607.3,8615.0,8619.4,8626.1,8630.4,8633.8,8636.1,8638.0,8639.4,8641.3,8661.4,8664.7,8668.1,8671.5,8674.2,8684.2,8686.9,8690.4,8693.0,8694.6,8695.0,8695.5,8696.8,8700.4,8705.4,8709.7,8714.6,8719.7,8724.6,8729.2,8732.5,8761.5,8765.4,8779.3,8784.2,8790.2,8821.6,8829.6,8837.5,8844.7,8850.0,8854.4,8858.2,8863.3,8867.0,8870.1,8871.8,8873.6,8876.3,8878.9,8883.0,8887.7,8896.8,8897.6,8926.9,8929.0,8934.4,8939.7,8941.1,8944.3,8946.7,8949.9,8951.6,8955.6,8957.5,8959.2,8961.3,8963.2,8965.3,8970.8,8974.3,8976.0,8976.8,8976.8,8977.4,8979.0,8981.9,8983.6,8986.8,8989.3,8993.3,8995.0,8996.2,8997.8,8999.4,9001.6,9004.5,9007.9,9014.3,9017.0,9031.0,9041.0,9046.9,9050.3,9053.3,9056.2,9059.2,9063.6,9066.1,9072.9,9074.9,9077.4,9079.5,9080.7,9085.1,9091.3,9093.7,9096.6,9100.1,9103.1,9105.5,9107.7,9110.3,9113.5,9117.0,9119.9,9127.4,9131.4,9135.6,9141.6,9146.2,9162.6,9165.6,9170.1,9176.8,9181.5,9193.8,9204.0,9207.7,9211.7,9215.8,9220.2,9230.1,9234.8,9237.5,9239.8,9245.3,9248.5,9272.9,9282.0,9286.4,9290.4,9299.1,9306.3,9324.7,9329.6,9333.3,9338.6,9342.9,9352.4,9355.8,9358.5,9361.1,9364.4,9375.4,9379.9,9383.6,9386.6,9389.2,9392.7,9402.5,9406.5,9410.5,9415.9,9425.1,9444.0,9456.9,9460.7,9465.4,9470.1,9474.7,9483.4,9485.8,9488.2,9493.6,9496.3,9501.0,9508.2,9511.1,9513.8,9520.5,9523.7,9527.8,9532.6,9538.4,9540.6,9543.6,9552.0,9555.9,9560.1,9564.2,9568.0,9579.2,9582.6,9585.8,9589.8,9592.6,9602.4,9604.2,9606.2,9608.4,9611.0,9616.9,9621.1,9624.6,9628.3,9635.1,9642.3,9650.7,9654.6,9657.6,9660.3,9665.1,9674.1,9678.6,9683.0,9688.0,9692.0,9696.4,9711.1,9715.3,9720.7,9725.1,9729.6,9748.4,9751.9,9755.6,9759.1,9762.7,9774.6,9782.0,9785.3,9788.3,9790.8,9793.3,9804.6,9806.6,9809.3,9812.6,9815.3,9820.0,9823.3,9825.8,9828.3,9832.4,9835.8,9838.4,9841.3,9844.5,9847.8,9852.0,9871.7,9877.8,9879.9,9882.2,9883.8,9884.9,9887.9,9889.7,9891.9,9894.7,9897.8,9906.3,9911.2,9915.1,9919.4,9923.2,9925.8,9936.2,9938.3,9940.3,9942.0,9944.7,9952.4,9955.8,9959.6,9962.9,9966.6,9977.2,9983.9,9987.8,9992.5,9999.0,10020.2,10024.6,10029.6,10035.2,10041.5,10064.9,10108.1,10114.2,10120.4,10126.2,10132.2,10151.8,10155.6,10167.0,10169.7,10176.8,10180.5,10184.2,10188.3,10192.8,10197.5,10204.3,10207.6,10219.2,10228.5,10230.5,10246.6,10253.9,10262.0,10263.5,10268.2,10284.5,10286.5,10288.8,10291.3,10293.4,10307.4,10314.4,10316.6,10319.3,10322.1,10324.9,10327.7,10336.1,10339.5,10342.1,10344.7,10347.4,10355.0,10358.6,10361.9,10365.5,10370.0,10377.6,10381.2,10384.1,10386.1,10387.9,10387.9,10395.2,10396.9,10396.9,10399.5,10401.9,10437.6,10469.0,10509.8,10550.9,10562.7,10570.6,10575.8,10592.2,10594.1,10596.3,10604.9,10613.8,10636.1,10644.5,10654.3,10664.0,10668.7,10672.7,10677.1,10684.6,10706.3,10709.5,10714.7,10717.3,10720.7,10725.3,10730.2,10738.1,10740.5,10743.3,10745.1,10747.0,10748.7,10754.4,10758.4,10762.1,10769.4,10783.5,10790.5,10791.4,10792.6,10793.8,10795.3,10796.8,10803.6,10805.5,10806.1,10806.8,10807.3,10812.5,10815.2,10817.5,10819.7,10825.0,10833.8,10836.8,10841.5,10844.5,10850.0,10856.7,10857.5,10859.2,10860.5,10861.0,10862.6,10864.0,10865.2,10870.4,10871.6,10872.7,10873.6,10875.0,10878.3,10881.0,10882.8,10884.6,10889.0,10891.9,10895.5,10900.6,10913.4,10928.4,10945.9,10947.7,10949.4,10951.6,10953.0,10954.8,10960.2,10965.3,10968.6,10971.9,10980.7,10989.4,10992.0,10993.6,10995.1,10997.7,11001.0,11002.8,11005.0,11007.7,11011.0,11014.3,11017.7,11028.2,11031.4,11035.2,11040.3,11043.7,11047.1,11057.0,11059.4,11061.4,11064.5,11067.1,11073.2,11074.8,11075.2,11110.1,11114.7,11117.0,11123.2,11128.7,11137.1,11140.7,11143.5,11147.6,11151.4,11161.4,11162.6,11163.7,11163.9,11165.9,11166.8,11168.0,11169.1,11172.7,11174.3,11176.4,11178.3,11184.0,11184.8,11186.1,11187.3,11188.8,11200.1,11202.8,11206.4,11211.2,11213.6,11217.0,11219.5,11223.4,11226.7,11229.5,11234.1,11241.0,11243.4,11247.3,11249.5,11255.2,11258.8,11261.9,11264.2,11266.8,11268.4,11273.0,11274.3,11276.0,11286.1,11289.2,11292.1,11295.1,11296.7,11298.7,11303.2,11307.5,11318.2,11321.3,11324.3,11327.3,11332.7,11339.0,11352.4,11357.0,11362.4,11365.7,11368.2,11385.6,11387.9,11389.7,11391.2,11392.6,11393.9,11398.6,11400.3,11402.3,11404.3,11406.9,11410.0,11414.9,11416.8,11418.9,11421.2,11423.4,11426.8,11428.9,11431.6,11433.6,11435.3,11438.0,11441.0,11441.7,11443.2,11444.0,11445.9,11448.5,11452.9,11454.0,11455.2,11457.8,11460.9,11464.8,11467.4,11469.5,11470.4,11471.3,11472.8,11474.9,11479.1,11480.7,11484.5,11486.1,11487.2,11489.1,11490.8,11492.6,11496.8,11498.3,11500.0,11503.6,11504.9,11509.2,11511.9,11514.7,11516.1,11517.4,11521.9,11524.1,11526.1,11527.7,11529.3,11532.0,11542.7,11544.5,11546.0,11547.4,11549.6,11557.2,11559.6,11562.4,11564.6,11566.8,11573.4,11591.9,11596.9,11602.2,11606.3,11610.2,11614.6,11618.8,11633.7,11640.9,11643.8,11646.3,11649.2,11652.2,11658.1,11660.7,11662.9,11666.1,11669.3,11671.8,11679.2,11684.7,11690.3,11701.1,11705.6,11717.3,11720.0,11722.1,11723.8,11727.3,11739.5,11741.8,11744.3,11747.6,11752.1,11767.5,11806.6,11813.4,11818.1,11821.9,11824.8,11830.5,11833.7,11835.7,11837.3,11838.9,11840.7,11842.9,11847.3,11848.3,11855.6,11860.3,11867.9,11873.2,11878.6,11883.4,11890.4,11895.4,11899.6,11904.2,11909.2,11914.1,11919.0,11923.3,11926.4,11929.4,11930.7,11933.4,11933.6,11943.0,11956.6,11964.3,11968.5,11978.2,11983.6,11988.6,11996.0,12002.0,12007.7,12014.2,12022.0,12033.3,12041.8,12048.8,12055.5,12063.1,12070.4,12078.0,12085.1,12092.2,12099.4,12105.7,12111.9,12117.4,12121.9,12127.0,12131.7,12135.5,12139.9,12146.9,12150.8,12154.7,12158.9,12165.5,12169.8,12175.0,12179.4,12183.5,12188.1,12191.7,12195.0,12206.1,12214.7,12221.0,12224.5,12228.6,12234.0,12239.4,12245.2,12251.3,12257.2,12266.4,12273.6,12281.0,12289.1,12296.0,12302.3,12309.0,12315.8,12325.4,12330.5,12335.0,12338.6,12343.3,12347.2,12349.9,12353.6,12358.1,12362.5,12366.6,12370.1,12377.0,12382.5,12387.2,12391.5,12394.8,12400.5,12405.9,12411.6,12417.1,12422.3,12428.8,12434.0,12439.1,12446.0,12452.3,12458.7,12463.6,12475.0,12480.1,12488.2,12492.2,12495.7,12497.9,12500.0,12501.6,12502.4,12511.7,12513.5,12515.7,12521.4,12523.5,12529.1,12530.7,12533.7,12535.6,12537.9,12540.0,12540.8,12541.4,12542.7,12543.6,12544.6,12562.2,12564.1,12565.6,12567.6,12568.9,12570.8,12579.7,12587.1,12591.8,12594.6,12597.2,12600.0,12601.7,12605.0,12612.0,12623.5,12628.2,12631.3,12634.0,12636.1,12638.6,12641.6,12657.5,12659.1,12660.2,12661.9,12663.1,12665.2,12667.9,12669.3,12671.1,12672.7,12674.4,12677.8,12680.1,12681.6,12683.3,12684.6,12686.5,12690.1,12698.9,12700.1,12701.5,12704.1,12706.1,12709.9,12716.0,12717.8,12719.6,12721.1,12724.2,12739.1,12741.7,12743.7,12745.8,12747.3,12748.9,12750.0,12755.6,12757.3,12758.8,12760.0,12761.4,12765.4,12766.8,12768.5,12769.9,12770.9,12772.5,12774.0,12777.4,12779.1,12780.8,12782.0,12782.9,12783.7,12785.2,12799.1,12801.9,12804.0,12806.2,12808.3,12810.7,12812.9,12817.7,12820.2,12822.6,12824.9,12826.6,12833.2,12834.5,12836.1,12837.6,12839.9,12841.9,12843.8,12845.5,12847.1,12848.7,12850.2,12851.8,12857.6,12866.2,12870.4,12874.3,12876.9,12878.3,12880.0,12883.9,12889.2,12897.7,12906.0,12907.1,12915.6,12917.3,12924.8,12926.1,12927.2,12928.9,12930.8,12934.8,12939.0,12940.5,12948.2,12954.1,12955.6,12956.4,12957.1,12958.2,12967.3,12974.1,12975.7,12977.7,12979.1,12987.2,12989.0,12990.4,12991.8,12993.9,13006.3,13008.5,13010.3,13014.3,13016.5,13020.3,13023.4,13036.8,13038.3,13039.4,13041.1,13042.1,13044.7,13051.3,13054.0,13056.6,13061.3,13064.6,13069.6,13073.1,13092.0,13095.6,13098.2,13100.5,13103.0,13106.3,13111.7,13114.5,13118.2,13121.9,13124.5,13127.2,13130.0,13137.3,13141.9,13147.6,13151.7,13154.7,13158.0,13159.8,13161.9,13163.3,13164.5,13165.5,13167.8,13169.2,13172.0,13185.5,13188.3,13190.8,13192.7,13194.5,13199.0,13202.7,13206.3,13209.5,13212.7,13223.3,13227.8,13231.3,13235.4,13239.7,13244.6,13247.8,13251.8,13255.8,13265.3,13269.7,13273.5,13277.8,13282.2,13286.3,13290.6,13293.8,13297.1,13300.9,13306.1,13310.8,13316.1,13323.3,13329.1,13334.4,13338.4,13347.4,13351.0,13354.6,13358.4,13362.6,13367.0,13379.2,13383.3,13387.4,13393.9,13404.8,13411.0,13420.7,13428.2,13435.9,13443.5,13450.1,13456.2,13482.4,13500.5,13506.2,13510.9,13515.9,13521.0,13525.4,13529.6,13534.4,13539.6,13544.2,13548.3,13552.5,13556.2,13559.2,13562.6,13567.5,13579.2,13584.0,13589.1,13593.8,13598.6,13602.6,13606.1,13610.0,13615.5,13620.8,13626.2,13631.3,13636.1,13639.1,13642.9,13646.4,13649.5,13652.1,13655.0,13658.1,13663.7,13666.6,13670.1,13673.9,13677.2,13680.0,13682.9,13686.2,13691.0,13695.6,13699.8,13702.7,13706.0,13708.4,13724.2,13727.9,13752.3,13760.5,13795.6,13799.8,13802.1,13806.3,13809.1,13813.6,13844.2,13849.2,13875.2,13886.5,13891.1,13895.1,13897.9,13899.9,13901.5,13902.8,13904.1,13905.1,13906.2,13907.1,13908.3,13917.3,13921.7,13924.7,13928.7,13932.3,13936.5,13940.5,13944.3,13949.4,13954.4,13963.0,13967.1,13972.4,13978.5,13984.1,13990.3,13996.4,14000.9,14004.6,14010.5,14012.8,14021.4,14024.6,14028.6,14032.4,14036.5,14040.0,14046.4,14054.9,14059.4,14063.9,14068.5,14073.2,14077.1,14080.7,14083.7,14087.0,14094.6,14095.6,14096.0,14100.2,14103.9,14123.5,14128.5,14142.0,14146.9,14167.0,14171.6,14176.3,14193.1,14197.7,14207.6,14213.0,14217.3,14221.0,14229.2,14233.7,14237.7,14242.0,14246.5,14249.7,14254.1,14257.2,14269.0,14276.2,14289.9,14294.0,14298.4,14302.7,14307.6,14315.7,14318.1,14320.9,14322.2,14324.3,14328.1,14331.6,14348.0,14363.8,14372.0,14377.1,14391.0,14395.7,14405.0,14415.7,14420.2,14423.6,14431.6,14435.6,14439.7,14443.0,14446.2,14452.3,14456.1,14459.6,14462.8,14466.1,14481.7,14488.2,14489.9,14491.7,14494.0,14496.1,14497.8,14499.8,14501.3,14502.4,14504.3,14509.9,14510.8,14511.8,14512.9,14514.5,14518.2,14520.2,14521.4,14524.0,14525.1,14526.8,14528.3,14530.7,14532.0,14542.4,14552.0,14555.2,14559.1,14561.8,14565.0,14580.5,14583.2,14586.6,14590.6,14593.9,14598.2,14601.1,14604.0,14607.1,14611.3,14614.7,14618.4,14624.6,14628.4,14631.5,14634.6,14637.4,14639.5,14657.2,14665.1,14668.4,14671.3,14673.7,14684.0,14687.8,14691.7,14697.9,14702.5,14706.5,14709.6,14712.5,14714.0,14714.2,14714.4,14727.3,14736.1,14743.8,14748.2,14753.6,14759.3,14764.5,14768.8,14772.8,14776.0,14779.7,14783.4,14787.2,14790.3,14796.3,14802.9,14808.9,14813.9,14819.4,14824.5,14828.7,14832.1,14837.1,14840.8,14844.9,14848.8,14852.5,14858.1,14863.7,14868.5,14873.4,14878.7,14883.8,14889.7,14894.9,14900.1,14905.8,14916.9,14926.9,14933.3,14939.6,14945.8,14951.9,14960.0,14967.4,14972.6,14977.4,14981.3,14987.0,14990.5,14992.4,14995.8,15003.6,15007.4,15012.7,15017.6,15023.9,15030.2,15035.2,15039.0,15042.9,15046.4,15054.6,15069.4,15083.3,15093.0,15098.4,15103.6,15109.5,15115.8,15138.9,15174.3,15203.5,15209.7,15215.9,15222.0,15225.9,15229.2,15233.7,15238.4,15243.1,15250.6,15260.7,15263.4,15271.9,15275.0,15278.5,15282.7,15283.6,15285.9,15286.8,15288.0,15289.7,15292.2,15294.4,15295.6,15296.5,15298.2,15307.6,15318.8,15322.0,15325.0,15327.6,15330.0,15332.0,15334.0,15336.5,15339.4,15341.7,15347.3,15351.5,15354.9,15358.7,15363.0,15369.0,15370.3,15373.0,15375.4,15377.8,15379.9,15381.5,15383.3,15392.8,15396.4,15399.7,15403.4,15409.2,15413.5,15417.5,15421.8,15422.8,15424.3,15426.6,15429.7,15433.0,15440.0,15444.2,15449.4,15452.5,15454.3,15455.7,15466.9,15468.8,15480.3,15498.7,15522.5,15530.9,15542.5,15557.5,15560.8,15565.4,15569.4,15573.4,15575.6,15577.4,15578.6,15583.4,15585.0,15587.1,15588.9,15590.0,15590.9,15591.6,15592.6,15594.7,15597.8,15601.7,15604.8,15608.3,15613.1,15616.5,15627.4,15631.1,15634.0,15637.0,15639.6,15641.1,15642.3,15643.7,15646.9,15670.7,15674.0,15681.9,15688.2,15692.4,15695.4,15697.2,15698.2,15699.2,15700.2,15702.8,15704.0,15704.9,15705.6,15706.5,15707.8,15713.1,15725.6,15729.8,15733.9,15735.9,15738.4,15747.4,15749.1,15751.5,15753.4,15755.6,15758.5,15763.6,15780.3,15784.5,15788.3,15792.5,15797.0,15800.9,15807.1,15809.2,15811.4,15814.6,15818.3,15821.1,15824.4,15827.9,15830.5,15837.2,15840.3,15843.7,15847.0,15850.4,15853.0,15856.2,15860.0,15862.5,15880.3,15884.6,15888.6,15892.2,15895.3,15905.4,15909.3,15913.3,15917.3,15920.6,15923.5,15926.2,15930.5,15933.4,15935.5,15936.6,15943.6,15947.5,15960.0,15961.3,15962.8,15964.6,15966.7,15968.9,15970.6,15972.6,15975.1,15978.3,15990.4,15993.6,15997.1,15999.7,16002.3,16005.4,16008.7,16015.7,16019.1,16022.3,16025.8,16028.9,16032.5,16049.7,16052.9,16060.8,16063.4,16065.9,16072.8,16075.2,16077.4,16079.9,16081.8,16086.4,16087.6,16088.4,16090.7,16092.5,16095.5,16101.6,16114.7,16118.0,16121.1,16124.0,16127.0,16129.9,16132.7,16135.3,16137.9,16140.2,16142.7,16145.5,16155.7,16163.5,16171.1,16193.1,16201.3,16210.0,16217.1,16222.2,16230.5,16239.4,16246.7,16249.5,16253.1,16257.5,16264.1,16268.6,16270.3,16272.2,16273.9,16275.3,16277.5,16280.0,16281.7,16284.7,16287.3,16297.2,16300.0,16302.7,16304.5,16305.9,16311.6,16313.4,16315.1,16316.8,16319.7,16322.5,16328.9,16331.4,16333.3,16334.3,16336.3,16341.6,16348.6,16353.3,16357.4,16359.7,16361.6,16368.5,16371.6,16374.9,16377.5,16379.5,16383.3,16384.7,16386.7,16391.6,16396.5,16402.9,16409.3,16410.6,16412.7,16415.9,16419.2,16426.5,16430.5,16433.8,16437.1,16447.9,16460.4,16465.6,16468.0,16469.1,16471.2,16473.0,16477.5,16479.2,16482.2,16487.3,16491.5,16506.9,16509.4,16512.2,16514.7,16517.5,16520.0,16527.9,16529.6,16533.1,16535.9,16539.1,16543.9,16548.5,16552.0,16556.2,16559.6,16569.7,16572.7,16575.6,16578.2,16581.2,16585.1,16587.5,16596.0,16600.1,16602.8,16606.6,16610.0,16614.1,16638.9,16648.4,16650.5,16655.7,16660.1,16665.1,16669.2,16676.7,16682.5,16694.9,16699.4,16706.6,16710.6,16714.9,16720.3,16726.0,16746.1,16753.8,16763.0,16770.4,16779.7,16787.9,16796.3,16803.1,16809.0,16818.4,16824.4,16834.4,16840.4,16845.6,16850.4,16855.4,16860.5,16865.5,16870.1,16873.5,16875.6,16877.5,16879.8,16880.6,16881.5,16889.0,16895.4,16903.0,16911.7,16922.7,16924.2,16925.6,16927.4,16927.6,16935.2,16944.1,16947.8,16949.9,16953.7,16954.5,16956.4,16958.4,16963.0,16971.5,16973.1,16974.4,16977.3,16979.6,16990.5,16992.2,16994.6,16996.4,16998.3,17005.4,17009.0,17010.8,17014.7,17016.7,17018.9,17032.2,17033.8,17037.0,17039.9,17042.4,17049.0,17056.4,17066.2,17071.3,17072.8,17074.6,17077.2,17078.7,17088.1,17094.6,17097.8,17098.9,17151.5,17153.4,17154.5,17157.9,17176.4,17179.4,17180.9,17182.4,17186.7,17189.1,17191.7,17194.6,17199.3,17203.2,17206.1,17208.9,17212.7,17212.7,17213.2,17214.0,17216.5,17222.2,17223.2,17225.0,17226.9,17228.5,17231.2,17236.3,17246.3,17253.5,17259.2,17264.4,17269.4,17274.6,17279.8,17284.9,17296.4,17301.9,17307.8,17314.9,17321.6,17329.5,17335.3,17339.1,17344.2,17348.7,17352.8,17355.7,17358.1,17360.2,17360.9,17362.9,17367.5,17374.2,17377.3,17381.9,17386.0,17397.2,17412.6,17419.1,17427.1,17431.4,17436.4,17441.0,17444.2,17448.6,17452.3,17456.0,17460.0,17462.6,17466.3,17471.5,17476.2,17480.5,17486.2,17492.1,17498.5,17505.1,17510.8,17516.7,17522.2,17529.1,17534.0,17540.6,17544.7,17548.7,17553.1,17557.0,17560.4,17565.3,17569.7,17573.5,17576.3,17579.4,17583.9,17586.3,17588.0,17589.6,17593.9,17596.7,17600.7,17605.6,17611.1,17616.5,17623.0,17627.9,17633.0,17637.2,17641.4,17645.0,17649.0,17653.0,17657.1,17661.2,17666.4,17673.1,17679.2,17685.2,17690.1,17695.0,17699.2,17702.5,17705.1,17707.3,17711.8,17717.2,17720.2,17722.6,17725.6,17730.6,17734.3,17738.1,17740.8,17743.3,17745.7,17749.8,17751.9,17754.0,17755.9,17758.3,17760.6,17763.9,17767.1,17768.9,17771.2,17775.5,17779.8,17783.3,17786.4,17791.1,17795.5,17799.5,17804.0,17808.1,17812.9,17818.0,17822.0,17826.2,17831.4,17836.8,17841.7,17845.4,17847.2,17848.5,17850.2,17852.5,17853.9,17855.0,17858.6,17862.6,17868.1,17871.2,17872.6,17873.2,17874.0,17874.7,17887.1,17890.7,17901.7,17921.7,17942.6,17948.0,17954.7,17960.5,17967.2,17995.4,18002.3,18008.4,18015.7,18021.7,18028.3,18033.6,18038.4,18041.2,18043.9,18046.0,18049.2,18055.8,18061.5,18065.4,18067.7,18070.5,18072.3,18074.3,18077.5,18080.9,18085.2,18090.6,18095.6,18099.2,18102.8,18107.8,18110.7,18113.9,18116.6,18118.9,18123.8,18126.6,18130.1,18135.9,18141.2,18145.0,18151.2,18164.7,18169.8,18173.8,18196.9,18200.3,18213.0,18214.4,18216.1,18218.7,18220.6,18222.3,18223.7,18228.2,18229.5,18231.1,18232.4,18234.2,18235.0,18239.0,18240.0,18241.7,18243.7,18245.3,18246.7,18248.6,18249.9,18251.3,18255.1,18259.2,18261.4,18265.6,18272.5,18274.2,18275.7,18277.6,18278.9,18279.9,18283.9,18285.1,18286.0,18323.2,18325.2,18326.5,18327.8,18329.0,18330.2,18332.5,18333.5,18334.9,18336.5,18337.7,18339.7,18341.4,18342.8,18344.4,18346.1,18348.6,18350.1,18352.9,18354.5,18364.0,18365.7,18367.5,18370.4,18371.8,18377.0,18378.6,18379.7,18380.4,18381.4,18381.7,18398.7,18400.5,18402.7,18404.3,18406.5,18412.9,18413.9,18414.8,18414.8,18415.6,18416.0,18417.6,18418.8,18420.3,18422.1,18423.2,18425.3,18426.5,18428.1,18429.4,18432.2,18435.3,18437.2,18439.5,18443.3,18444.9,18446.4,18447.4,18448.9,18452.1,18455.5,18456.3,18457.5,18459.3,18463.7,18467.6,18470.5,18473.4,18475.8,18478.6,18485.8,18487.3,18488.7,18489.9,18491.9,18493.7,18498.5,18500.4,18501.5,18503.0,18504.4,18512.8,18515.6,18517.8,18519.3,18520.9,18526.2,18529.3,18531.0,18533.1,18534.9,18542.3,18544.9,18546.8,18548.9,18550.3,18551.5,18554.0,18600.8,18603.4,18605.2,18609.0,18618.2,18638.9,18643.7,18647.9,18654.1,18664.3,18672.3,18679.4,18685.8,18693.3,18705.6,18714.3,18738.7,18754.1,18761.0,18767.8,18770.9,18776.7,18781.1,18785.6,18789.4,18793.1,18798.9,18806.4,18811.4,18815.1,18818.6,18821.8,18824.8,18827.7,18830.2,18832.2,18834.4,18839.0,18841.8,18845.8,18850.1,18854.1,18857.2,18859.4,18862.1,18865.1,18867.7,18871.0,18897.9,18930.0,18941.2,18943.9,18946.5,18949.3,18952.0,18957.4,18961.2,18964.9,18968.8,18975.5,18986.7,18988.2,18989.9,18991.8,18995.0,18996.8,18998.0,18999.5,19001.3,19003.5,19005.9,19008.4,19011.0,19015.2,19017.0,19018.1,19019.8,19021.6,19028.4,19030.2,19031.3,19032.5,19033.5,19034.9,19036.1,19037.0,19038.6,19039.6,19041.3,19042.7,19044.3,19046.2,19047.5,19049.1,19050.1,19051.6,19055.1,19056.4,19059.0,19066.7,19068.0,19069.5,19070.6,19071.8,19075.5,19077.5,19078.9,19080.4,19081.7,19091.5,19093.8,19096.3,19099.6,19101.2,19103.4,19105.7,19108.3,19110.5,19112.9,19125.3,19129.1,19130.6,19131.5,19133.1,19135.0,19136.5,19138.7,19140.8,19142.5,19144.2,19146.3,19148.7,19150.1,19151.3,19153.2,19154.8,19156.4,19158.9,19160.9,19162.8,19165.4,19167.0,19168.4,19169.8,19172.5,19179.5,19181.4,19183.2,19185.2,19187.6,19194.4,19197.0,19199.2,19201.2,19204.1,19209.0,19210.9,19214.1,19216.7,19219.4,19223.4,19226.3,19235.5,19237.9,19239.6,19241.3,19243.5,19245.3,19248.7,19253.7,19255.9,19257.5,19259.6,19262.2,19264.4,19266.2,19268.3,19270.3,19271.4,19272.1,19273.0,19275.8,19277.2,19278.5,19280.6,19281.8,19283.4,19285.1,19286.6,19302.5,19305.8,19308.6,19310.9,19316.3,19320.4,19323.3,19327.2,19331.0,19333.1,19335.5,19339.2,19342.5,19357.1,19360.0,19362.5,19365.5,19367.5,19370.0,19377.9,19380.1,19382.3,19384.3,19386.8,19394.6,19397.1,19401.6,19403.0,19405.4,19407.6,19409.8,19412.4,19426.8,19433.4,19436.0,19438.8,19441.7,19444.7,19447.5,19453.6,19455.3,19458.1,19461.4,19464.5,19480.7,19487.0,19490.1,19494.8,19498.5,19501.8,19520.6,19524.3,19527.4,19530.9,19535.2,19550.0,19557.2,19560.9,19566.8,19570.1,19573.2,19588.6,19590.8,19592.9,19594.7,19596.1,19603.5,19604.4,19605.4,19605.9,19606.8,19613.6,19616.0,19618.1,19619.8,19622.9,19636.6,19639.2,19641.4,19643.7,19646.8,19658.2,19661.3,19665.2,19668.3,19670.9,19672.5,19675.0,19681.2,19685.8,19688.1,19690.7,19693.9,19696.9,19702.6,19705.5,19711.1,19713.0,19715.8,19742.4,19767.5,19770.8,19773.8,19776.5,19779.3,19787.3,19789.4,19790.8,19792.3,19795.8,19798.9,19800.5,19815.2,19818.2,19820.5,19823.8,19826.1,19828.5,19833.6,19840.9,19844.1,19854.0,19860.8,19871.2,19880.6,19892.2,19896.0,19898.2,19907.7,19910.8,19913.6,19915.7,19918.2,19929.3,19933.7,19938.4,19941.9,19945.1,19957.7,19969.3,19980.6,19983.9,19988.9,19995.3,20001.5,20011.0,20023.7,20029.8,20037.1,20042.5,20047.8,20052.5,20057.4,20062.5,20067.0,20072.5,20077.5,20083.0,20087.0,20093.3,20098.6,20108.9,20114.7,20120.2,20124.4,20129.1,20139.9,20146.1,20147.6,20148.7,20149.6,20150.4,20152.1,20159.6,20161.7,20177.2,20186.7,20188.7,20198.3,20201.9,20204.0,20206.5,20207.8,20210.2,20214.0,20223.1,20225.4,20226.4,20227.3,20228.7,20230.0,20232.5,20233.7,20235.4,20236.2,20237.8,20239.6,20242.3,20244.9,20250.2,20252.5,20253.8,20255.1,20256.2,20264.1,20266.1,20267.2,20269.6,20271.2,20275.9,20292.8,20303.6,20305.6,20306.8,20308.3,20309.8,20318.3,20323.1,20325.3,20327.6,20330.3,20333.4,20344.7,20350.9,20352.5,20354.0,20355.2,20356.4,20381.3,20401.2,20404.5,20408.2,20411.6,20419.6,20428.0,20429.1,20432.3,20436.8,20438.7,20439.0,20439.8,20441.0,20448.7,20469.8,20484.0,20486.4,20488.3,20490.4,20492.7,20508.3,20516.0,20517.8,20520.0,20523.5,20526.4,20546.1,20554.8,20563.8,20567.4,20569.2,20573.8,20576.5,20580.1,20583.8,20584.5,20585.2,20586.4,20588.0,20589.4,20591.1,20599.1,20600.3,20601.1,20602.8,20603.9,20607.7,20609.6,20611.1,20612.4,20613.6,20625.4,20637.3,20647.1,20655.0,20657.4,20661.0,20664.7,20668.2,20673.1,20675.8,20678.0,20679.9,20682.2,20690.5,20704.4,20710.5,20712.4,20714.4,20716.2,20718.7,20727.2,20735.6,20748.1,20752.8,20755.4,20757.1,20759.4,20761.1,20768.5,20781.0,20783.4,20785.8,20788.5,20790.8,20799.6,20816.5,20819.2,20822.4,20824.4,20826.7,20829.1,20833.9,20844.9,20854.2,20855.8,20857.9,20859.5,20860.9,20869.1,20871.8,20874.4,20876.4,20878.2,20889.5,20901.8,20903.6,20905.0,20906.2,20907.5,20917.2,20918.5,20920.2,20922.4,20924.9,20928.2,20947.7,20950.7,20953.7,20956.8,20959.3,20964.8,20968.7,20973.4,20977.0,20979.4,20992.8,20995.6,20998.4,21001.5,21004.1,21010.1,21024.5,21027.1,21029.8,21032.1,21034.0,21047.6,21060.8,21062.5,21065.2,21067.9,21070.4,21072.9,21080.1,21088.8,21116.7,21118.6,21119.7,21122.1,21127.1,21130.2,21131.6,21134.7,21146.3,21158.7,21160.1,21161.3,21163.0,21164.9,21177.1,21179.6,21181.8,21183.2,21184.7,21194.0,21212.5,21215.3,21218.3,21220.7,21224.7,21228.5,21237.8,21242.2,21244.2,21246.3,21248.9,21251.3,21254.2,21276.7,21286.3,21288.4,21292.7,21296.1,21297.8,21299.5,21310.4,21317.9,21319.3,21321.2,21322.9,21324.3,21341.6,21355.3,21366.1,21374.3,21389.0,21399.2,21423.9,21441.5,21453.5,21477.0,21482.0,21517.4,21522.3,21546.1,21580.4,21598.3,21606.8,21614.9,21622.6,21634.1,21637.6,21641.1,21644.7,21648.0,21650.8,21674.8,21689.8,21705.4,21730.3,21751.7,21770.8,21784.3,21789.4,21793.9,21797.8,21802.0,21820.8,21849.2,21864.7,21869.6,21877.6,21884.8,21891.6,21902.6,21915.4,21951.3,21960.5,21980.1,21989.6,21997.2,22005.8,22013.7,22025.7,22034.0,22041.4,22048.5,22057.5,22067.6,22079.1,22089.7,22099.2,22107.9,22116.4,22122.9,22128.0,22132.7,22135.7,22144.2,22151.5,22169.8,22183.0,22188.1,22192.3,22196.2,22200.6,22219.5,22229.5,22237.4,22242.1,22245.4,22249.2,22253.2,22266.4,22269.8,22273.3,22276.1,22279.2,22291.1,22293.8,22296.4,22298.5,22302.4,22315.8,22325.5,22329.1,22333.3,22337.4,22342.0,22354.8,22389.9,22416.1,22433.1,22444.3,22462.4,22468.3,22479.8,22490.6,22514.1,22544.8,22573.6,22580.0,22592.3,22609.9,22655.3,22689.0,22706.1,22711.7,22732.5,22757.4,22769.8,22776.5,22797.8,22805.3,22839.1,22902.1,22937.2,22946.8,22956.3,22965.3,22973.6,22999.1,23024.1,23043.6,23099.0,23142.5,23182.3,23217.3,23222.3,23227.8,23241.0,23246.6,23255.1,23262.8,23273.1,23282.1,23330.0,23374.1,23381.9,23403.0,23412.4,23415.5,23420.6,23421.9,23425.2,23427.0,23428.7,23429.3,23439.0,23442.0,23448.6,23457.9,23461.8,23469.3,23477.1,23484.0,23506.1,23510.5,23516.8,23520.9,23544.4,23563.5,23571.9,23583.4,23605.6,23635.6,23643.3,23653.1,23661.2,23667.9,23674.3,23699.6,23704.2,23708.1,23716.4,23722.9,23730.3,23737.3,23745.3,23754.0,23761.1,23769.8,23778.7,23784.5,23789.5,23795.3,23801.6,23807.3,23815.3,23822.2,23829.7,23848.4,23856.2,23862.4,23869.2,23873.3,23880.7,23891.0,23895.4,23899.6,23902.7,23909.8,23914.2,23918.9,23923.6,23928.3,23934.5,23938.9,23942.7,23945.8,23950.2,23953.4,23956.4,23969.7,23973.1,23975.7,23977.7,23979.2,23981.3,23984.2,23986.3,23990.5,23997.6,24012.0,24029.5,24032.0,24035.0,24038.9,24042.7,24046.0,24065.4,24069.4,24083.7,24089.7,24093.0,24097.8,24101.5,24107.8,24110.2,24113.0,24115.4,24117.9,24120.8,24130.9,24134.9,24138.9,24140.9,24143.5,24158.6,24160.9,24164.1,24166.0,24167.9,24170.8,24175.4,24178.9,24180.8,24183.0,24185.8,24198.1,24203.3,24214.2,24222.5,24224.5,24226.4,24229.3,24231.2,24235.3,24238.7,24239.9,24241.6,24246.6,24248.9,24254.5,24264.6,24267.6,24269.5,24271.8,24277.7,24291.8,24307.6,24313.0,24322.5,24326.0,24328.3,24330.8,24334.3,24349.8,24368.8,24374.2,24394.0,24408.7,24410.2,24411.4,24412.3,24413.4,24414.6,24415.4,24420.7,24424.2,24444.4,24464.6,24483.2,24498.7,24509.0,24511.6,24521.7,24543.5,24571.5,24596.4,24611.9,24617.4,24622.7,24627.5,24631.4,24642.1,24660.5,24666.3,24692.8,24714.1,24717.2,24732.0,24741.0,24746.7,24749.7,24763.9,24770.8,24777.6,24783.9,24790.2,24796.4,24801.0,24804.9,24819.7,24825.4,24847.8,24853.4,24858.0,24862.5,24867.3,24881.9,24886.0,24892.4,24897.0,24902.3,24906.3,24909.8,24916.6,24920.9,24925.8,24928.6,24931.9,24940.8,24949.7,24957.0,24960.6,24964.0,24967.0,24970.8,24975.5,24979.2,24983.1,24988.0,24991.3,24994.7,25002.1,25009.9,25013.4,25017.7,25023.3,25025.6,25027.4,25030.3,25035.3,25037.2,25039.4,25042.7,25045.9,25052.2,25055.5,25058.3,25060.7,25063.2,25074.1,25076.7,25079.3,25082.6,25087.9,25092.2,25121.5,25133.9,25146.9,25162.9,25166.3,25170.4,25174.3,25177.5,25188.9,25192.2,25194.4,25197.9,25203.3,25213.9,25221.2,25223.2,25224.9,25226.7,25228.8,25232.6,25238.7,25241.8,25244.7,25246.7,25248.4,25253.4,25257.6,25260.2,25270.1,25273.4,25276.1,25278.8,25281.6,25291.4,25295.3,25298.2,25301.1,25305.3,25308.7,25312.6,25316.2,25320.5,25331.2,25334.1,25338.1,25341.4,25344.6,25353.5,25362.2,25372.8,25377.4,25382.5,25386.9,25390.4,25394.5,25404.1,25407.1,25409.7,25411.7,25414.7,25417.3,25419.4,25422.3,25425.2,25428.8,25432.6,25435.3,25439.9,25445.0,25451.7,25461.5,25463.8,25467.0,25470.3,25474.1,25478.8,25494.9,25497.8,25500.8,25503.8,25506.9,25510.6,25515.3,25518.3,25521.4,25525.9,25530.5,25531.3,25532.5,25537.9,25540.4,25542.5,25545.6,25546.6,25547.6,25556.9,25561.6,25569.5,25585.3,25602.2,25619.1,25623.4,25630.8,25639.3,25658.0,25676.5,25687.7,25693.4,25699.7,25706.5,25712.9,25718.5,25723.3,25728.9,25736.0,25741.9,25748.2,25754.5,25764.3,25773.3,25781.9,25789.2,25798.1,25805.3,25812.5,25820.6,25829.7,25840.1,25848.9,25858.2,25867.7,25885.8,25893.9,25900.0,25905.0,25908.9,25911.8,25914.2,25916.0,25916.8,25925.7,25928.5,25945.8,25951.9,25966.4,25971.0,25975.1,25979.0,25983.1,25987.5,25996.3,25999.8,26003.4,26006.2,26009.8,26016.1,26030.7,26034.7,26038.0,26040.5,26043.5,26047.1,26058.8,26067.6,26073.2,26077.5,26080.7,26083.5,26093.8,26096.0],"altitude":[576.0,576.0,576.0,576.0,602.4,628.6,654.8,654.8,654.8,654.8,638.6,622.6,606.4,590.4,574.2,574.2,573.8,573.4,573.0,572.6,572.2,572.2,571.6,571.2,570.8,570.0,569.4,568.8,568.2,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,567.6,568.0,568.4,568.8,569.2,569.6,569.6,569.6,570.2,570.6,571.0,571.6,572.0,572.0,572.0,572.0,572.4,573.0,573.4,573.8,574.2,574.2,574.8,575.2,575.6,576.0,576.4,576.8,577.4,577.8,578.2,578.6,578.6,579.2,579.6,580.2,580.6,581.2,581.2,581.2,581.6,582.0,582.4,582.8,583.2,583.2,583.8,584.2,584.8,585.6,586.0,586.6,587.0,587.4,587.8,587.8,588.2,588.6,589.2,589.6,590.0,590.0,590.4,590.8,591.2,591.6,592.2,592.2,592.2,592.6,593.0,593.4,593.8,594.2,594.2,594.2,594.2,594.2,594.2,594.2,594.2,594.2,594.2,594.2,594.6,595.0,595.4,596.2,596.2,596.2,596.2,596.2,596.2,596.2,596.2,596.2,596.2,596.2,596.2,596.2,596.2,596.2,596.2,596.2,596.2,595.8,595.4,594.8,594.4,594.0,593.6,593.2,592.8,592.0,591.4,590.6,589.8,589.0,588.2,587.4,586.6,586.6,586.6,586.6,587.0,587.4,587.8,588.2,588.8,588.8,588.2,587.8,587.4,586.8,586.4,586.0,585.4,584.8,584.2,583.4,582.6,581.8,581.0,580.2,579.4,579.4,579.4,579.8,580.2,580.6,581.4,582.0,582.8,583.6,584.2,584.2,584.2,584.2,584.2,584.2,584.2,584.2,584.6,585.0,585.4,586.0,586.4,586.8,587.2,587.8,588.2,588.8,589.2,589.6,590.0,590.6,591.0,591.0,591.0,591.0,591.0,591.0,591.0,591.0,591.0,591.0,591.0,590.6,590.2,589.6,589.2,588.8,588.2,587.4,586.8,586.0,585.2,584.8,584.2,583.6,583.0,582.4,582.4,582.4,582.0,581.6,581.0,580.2,579.6,578.4,577.4,576.4,574.6,574.0,573.2,572.4,571.8,571.0,570.2,569.6,569.0,568.4,567.8,567.2,566.8,566.4,566.0,565.6,565.2,565.2,564.6,564.2,563.8,563.4,563.0,562.4,562.0,561.4,560.6,559.8,559.0,558.2,557.4,556.6,555.8,555.2,554.6,554.2,553.6,553.0,553.0,553.0,553.0,553.0,552.6,552.0,551.6,551.2,550.6,550.0,549.4,548.6,547.8,547.0,546.2,545.6,544.8,544.2,543.4,542.8,542.4,542.0,541.4,541.0,540.6,540.2,539.6,539.2,538.8,538.4,538.0,536.2,536.2,536.2,536.2,535.8,535.2,534.4,534.0,534.0,534.0,534.0,534.0,533.4,533.0,533.0,531.8,531.2,530.6,530.0,529.2,529.2,528.8,528.4,528.0,527.6,527.2,527.2,526.6,526.2,525.8,525.4,525.0,525.0,524.4,524.0,523.4,523.0,522.4,522.0,521.6,521.0,520.6,520.2,520.2,520.2,518.2,518.2,516.0,515.6,515.2,514.8,514.4,514.0,514.0,513.6,513.2,512.8,512.4,512.0,512.0,511.4,511.0,510.6,510.0,509.6,509.6,509.6,509.6,509.6,507.6,507.6,507.6,507.6,507.6,507.6,507.2,506.8,506.2,505.8,505.4,505.4,505.4,505.0,504.6,504.2,503.8,503.4,503.4,503.4,503.0,502.6,502.2,501.6,500.8,500.2,499.6,499.0,498.4,497.8,497.2,496.6,496.2,495.8,495.4,494.6,494.6,494.2,493.6,493.2,492.6,492.2,491.6,491.0,490.4,490.0,490.0,490.0,490.0,490.0,490.0,490.0,490.0,490.0,490.0,489.6,489.2,488.8,488.4,487.8,487.8,487.8,487.8,487.4,486.8,486.2,485.8,485.2,485.2,485.2,485.2,485.2,484.6,484.2,483.6,483.2,482.6,482.0,481.6,481.0,480.6,480.6,480.6,480.6,480.6,480.6,480.6,480.6,480.6,480.0,479.4,478.8,478.4,477.8,477.2,476.8,476.4,475.8,475.4,475.4,475.4,475.0,474.4,474.0,473.6,473.2,473.2,473.2,472.8,472.4,472.0,471.6,471.0,471.0,470.0,469.6,469.0,468.4,468.0,467.6,467.2,466.6,466.2,466.2,465.8,465.2,464.8,464.2,463.8,463.4,463.0,462.4,462.0,461.6,461.6,461.6,461.6,461.6,461.6,461.6,461.6,461.6,461.6,461.2,460.8,460.4,460.0,459.4,459.0,458.6,458.2,457.8,457.4,456.8,456.4,455.8,455.4,454.8,454.4,454.0,453.6,453.0,452.6,452.2,451.8,451.2,450.8,450.4,450.4,450.0,449.4,449.0,448.6,448.2,447.8,447.4,447.0,446.6,446.0,445.4,444.8,444.4,443.8,443.4,443.0,442.6,442.2,441.8,441.8,441.4,441.0,440.6,440.2,439.6,439.2,439.2,438.6,438.0,437.4,436.6,436.0,435.4,435.4,435.0,434.6,434.0,433.6,433.2,432.6,432.2,431.6,431.0,430.4,429.8,429.2,428.6,428.6,428.2,427.6,427.2,426.6,426.2,425.6,425.2,424.8,424.4,424.0,424.0,424.0,424.0,423.6,423.2,422.6,422.2,421.6,421.2,420.4,419.6,418.6,417.6,416.6,415.8,414.8,414.0,413.2,412.2,412.2,412.2,412.2,412.2,411.8,411.4,411.0,410.4,409.4,409.0,408.4,407.8,407.0,406.4,405.8,405.2,404.6,404.0,403.2,402.6,401.6,400.8,399.8,399.0,398.4,397.6,396.8,396.0,395.6,395.0,394.4,393.6,393.0,392.2,391.4,390.6,389.8,389.0,389.0,389.0,389.0,388.6,388.2,387.8,387.4,387.0,387.0,386.4,386.0,385.0,384.4,384.4,384.4,383.8,383.4,382.8,382.0,381.4,380.4,379.6,378.6,377.8,377.0,376.2,375.6,374.8,374.2,373.6,373.0,372.4,372.0,371.4,370.8,370.4,369.8,369.8,369.8,369.4,369.0,368.6,368.2,367.8,367.8,367.8,367.8,367.8,368.2,368.8,369.2,369.6,370.0,370.6,371.0,371.4,371.8,372.4,372.4,372.8,373.2,373.6,374.0,374.4,374.4,374.8,375.2,375.6,376.0,376.4,376.4,376.8,377.2,377.6,378.0,378.4,378.4,379.0,379.4,379.8,380.2,380.6,380.6,381.0,381.4,383.2,383.6,384.0,384.4,385.0,385.0,385.0,385.0,385.0,385.0,385.0,385.0,385.0,385.0,385.0,385.0,385.0,385.4,385.8,386.2,386.6,387.2,387.2,387.6,388.0,388.4,388.8,389.2,389.2,389.2,389.8,390.2,390.8,391.2,391.8,391.8,391.8,392.2,392.6,393.0,393.4,393.8,393.8,393.8,393.8,394.2,394.6,395.2,395.6,396.0,396.0,396.0,396.4,396.8,397.4,397.8,398.2,398.2,398.2,398.2,398.2,398.6,399.0,399.4,399.8,400.2,400.2,400.8,401.2,401.6,402.2,402.6,402.6,403.0,403.6,404.0,404.4,404.8,405.2,405.6,406.2,406.6,407.0,407.0,407.4,407.8,408.2,408.6,409.2,409.6,410.2,410.6,411.0,411.0,411.6,412.0,412.4,412.8,413.2,413.2,413.6,414.0,414.4,415.0,415.4,415.4,415.4,415.8,416.2,416.6,417.0,417.4,417.4,417.8,418.2,418.8,419.2,419.6,420.0,420.4,420.8,421.2,421.6,421.6,422.2,422.6,423.0,423.4,423.8,423.8,424.2,424.8,425.2,425.6,426.0,426.0,426.4,426.8,427.2,427.6,428.0,428.0,428.0,428.4,428.8,429.4,429.8,430.2,430.6,431.0,431.4,431.8,432.2,432.2,432.2,432.2,432.2,432.2,432.2,431.8,431.4,431.0,430.4,430.0,430.0,430.0,429.6,429.2,428.6,428.2,427.8,427.4,426.8,426.4,425.8,425.0,424.4,423.6,423.2,422.6,422.0,421.4,420.8,420.8,420.8,420.8,420.8,420.4,420.0,419.6,419.0,418.4,417.8,417.2,416.6,416.6,416.2,415.8,415.2,414.8,414.4,414.4,414.4,414.4,414.4,414.8,415.4,415.8,416.2,416.8,417.2,417.6,418.0,418.4,418.8,418.8,419.2,419.8,420.6,421.2,421.6,422.2,422.8,423.2,423.2,423.6,424.0,424.4,424.8,425.4,425.8,426.2,426.6,427.2,427.6,427.6,428.0,428.4,428.8,429.2,429.6,429.6,429.6,429.6,429.6,429.6,429.6,429.6,429.6,429.6,429.6,429.6,430.0,430.4,431.0,431.4,431.8,431.8,432.2,432.6,433.0,433.4,433.8,433.8,433.8,433.8,433.4,433.0,432.6,432.2,431.8,431.8,431.8,431.8,431.8,431.8,431.8,431.4,431.0,430.6,430.0,429.4,428.8,428.2,427.6,427.0,426.4,425.8,425.2,423.8,423.2,422.6,422.0,421.4,421.0,420.4,419.8,419.4,418.8,418.8,418.4,417.8,417.4,417.0,416.4,416.0,415.6,415.0,414.6,414.2,413.6,413.2,412.6,412.2,411.6,410.8,410.2,409.4,408.6,408.0,407.2,406.4,405.6,404.8,404.2,403.4,402.6,402.0,401.4,400.6,400.0,399.4,398.8,398.4,397.8,397.4,397.0,396.6,396.6,396.0,395.6,395.2,394.8,394.2,394.2,394.2,394.2,394.2,394.2,394.2,394.2,394.2,394.2,394.2,394.2,394.2,394.2,394.2,394.2,394.2,393.8,393.4,393.0,392.6,392.0,392.0,391.6,391.2,390.6,390.2,389.6,389.0,388.6,388.0,387.4,386.8,386.4,386.0,385.6,385.0,384.6,384.0,383.4,382.8,382.4,382.4,381.8,381.4,381.0,380.4,379.6,379.0,378.4,377.6,377.0,376.2,375.4,374.6,374.0,373.2,372.4,371.6,370.6,369.6,368.6,367.4,366.4,365.6,365.0,364.4,363.6,363.2,362.6,362.0,361.2,360.4,359.6,358.6,358.0,357.6,357.0,356.4,355.8,355.2,354.8,354.2,353.8,353.4,353.4,352.8,352.4,352.0,351.6,351.0,350.4,350.0,349.2,348.4,347.6,346.8,346.0,345.6,345.0,344.4,344.0,343.4,342.8,342.4,341.8,341.2,340.8,340.4,340.0,339.4,338.8,338.2,337.6,337.0,336.4,335.8,335.4,334.8,334.2,333.8,333.2,332.8,332.2,331.6,331.2,330.6,330.0,329.2,328.6,328.0,327.2,326.6,325.8,325.2,324.6,324.2,323.6,323.2,322.6,322.2,321.6,321.2,320.6,320.0,319.4,318.8,318.2,317.4,317.0,316.6,316.0,315.6,315.0,314.4,314.0,313.4,312.8,312.0,311.4,310.6,310.0,309.6,309.0,308.6,308.2,307.6,307.0,306.2,305.4,304.4,303.4,302.4,301.6,300.6,299.8,299.0,298.0,298.0,297.6,297.0,296.6,296.0,295.4,294.8,294.4,293.8,293.2,292.8,292.4,292.0,291.6,291.2,291.2,290.6,290.0,289.4,289.0,288.4,287.8,287.2,286.4,285.4,284.6,283.8,282.8,282.4,281.8,281.2,280.8,280.2,279.6,279.0,278.2,277.6,277.0,276.4,275.6,275.2,274.8,274.2,273.6,273.0,272.4,271.6,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,271.0,273.6,274.0,274.6,275.0,275.6,276.0,276.4,276.8,277.4,277.8,278.2,278.2,280.2,280.8,281.2,281.8,282.4,283.0,283.4,284.0,284.4,284.8,285.4,285.8,286.4,286.8,287.4,288.0,288.0,288.4,288.8,289.2,289.8,290.2,290.6,291.0,291.6,292.0,292.4,292.8,293.4,293.8,294.2,294.6,294.6,295.2,295.6,296.0,296.6,297.0,297.6,298.0,298.6,299.0,299.4,300.0,300.4,301.0,301.4,301.8,302.4,302.8,303.4,303.8,304.4,304.4,303.8,303.4,303.0,302.6,302.2,302.2,302.2,302.2,302.8,303.2,303.6,304.0,304.4,304.8,305.2,305.6,306.0,306.4,306.4,306.8,307.4,307.8,308.2,308.8,309.2,309.8,310.2,310.6,311.2,311.2,311.6,312.0,312.4,312.8,313.2,313.2,313.8,314.2,314.6,315.0,315.4,315.8,316.2,316.8,317.2,317.6,318.0,318.6,319.0,319.6,320.0,320.0,320.0,320.4,320.8,321.4,321.8,322.2,322.2,321.8,321.2,320.8,320.4,320.0,320.0,320.0,320.0,320.0,320.4,321.0,321.4,321.8,322.2,322.2,322.2,321.8,321.2,320.6,320.0,319.2,318.6,317.8,317.4,316.8,316.2,315.8,315.2,315.2,315.2,315.2,315.2,315.2,315.2,315.6,316.0,316.4,317.0,317.6,318.2,318.8,319.4,319.8,320.2,320.6,321.0,321.4,321.4,321.4,321.4,321.4,321.4,321.4,320.8,320.4,320.0,319.6,319.0,318.4,317.6,317.0,316.2,315.6,315.0,314.2,314.2,314.2,313.8,313.4,313.0,312.6,312.2,312.2,312.2,312.2,312.6,313.0,313.4,313.8,314.2,314.2,314.6,315.0,315.4,315.8,316.4,316.4,316.4,316.4,316.4,316.8,317.2,317.6,318.2,318.8,319.4,320.0,320.6,321.2,321.6,322.2,322.8,323.2,323.8,324.4,324.8,325.4,326.0,326.4,327.0,327.6,328.0,328.4,328.8,329.4,329.8,330.2,330.8,331.2,331.6,332.2,332.2,332.6,333.0,333.6,334.0,334.4,334.4,335.0,335.4,335.8,336.4,336.8,337.2,337.8,338.2,338.6,339.0,339.4,339.8,340.2,340.6,341.2,341.2,341.6,342.0,342.4,342.8,343.4,343.8,344.2,344.6,345.0,345.4,345.4,345.4,345.8,346.2,346.8,347.2,347.6,348.0,348.4,348.8,349.2,349.6,350.2,350.8,351.2,351.8,352.4,352.4,352.8,353.2,353.6,354.0,354.6,355.0,355.4,355.8,356.2,356.6,356.6,357.0,357.4,358.0,358.4,358.8,358.8,359.2,359.6,360.0,360.4,361.0,361.4,361.8,362.2,362.6,363.0,363.0,363.4,363.8,364.8,365.2,365.8,366.2,366.6,367.0,367.4,367.8,368.2,368.6,369.0,369.4,369.8,370.4,370.8,371.2,371.6,372.0,372.4,372.8,373.2,373.6,373.6,374.2,374.6,375.0,375.6,376.0,376.4,377.0,377.4,378.0,378.6,378.6,379.0,379.4,379.8,380.4,380.8,381.2,381.6,382.0,382.6,383.0,383.0,383.4,383.8,384.2,384.6,385.0,385.6,386.0,386.4,387.0,387.4,387.8,388.4,388.8,389.4,389.8,389.8,390.2,390.6,391.2,391.6,392.0,392.0,392.4,393.0,393.4,393.8,394.4,394.8,395.2,395.6,396.0,396.4,396.4,396.8,397.2,397.6,398.2,398.6,399.0,399.4,399.8,400.2,400.8,401.2,401.6,402.2,402.6,403.0,403.6,404.0,404.4,405.0,405.4,405.8,406.2,406.6,407.0,407.4,407.4,407.8,408.2,408.6,409.0,409.4,410.0,410.4,410.8,411.2,411.8,412.2,412.6,413.0,413.4,413.8,414.2,414.8,415.2,415.8,416.2,416.6,417.0,417.6,418.0,418.4,418.8,419.4,419.8,420.2,420.6,420.6,421.2,421.6,422.0,422.4,422.8,422.8,423.2,423.6,424.0,424.4,424.8,425.2,425.8,426.2,426.6,427.0,427.0,427.4,428.0,428.4,428.8,429.2,429.6,430.2,430.6,431.0,431.4,431.4,431.4,431.8,432.2,432.6,433.0,433.4,434.0,434.4,434.8,435.2,435.8,437.2,437.6,438.0,438.6,439.0,439.6,440.2,440.6,440.6,440.6,441.2,441.6,442.0,442.6,443.0,443.0,443.4,443.8,444.2,444.6,445.0,445.4,445.8,446.4,446.8,447.2,447.2,447.6,448.2,448.6,449.0,449.4,450.0,450.4,451.0,451.4,452.0,452.4,452.8,453.2,453.6,454.0,454.4,454.8,455.2,455.6,456.0,456.0,456.0,456.4,456.8,457.2,457.6,458.0,458.0,458.4,458.8,459.2,459.6,460.0,460.6,461.0,461.4,462.0,462.4,462.8,463.4,463.8,464.4,465.0,465.4,465.8,466.2,466.8,467.2,467.2,467.6,468.2,468.6,469.2,469.6,470.2,470.6,471.0,471.4,471.8,471.8,472.2,472.6,473.0,473.4,473.8,473.8,474.2,474.8,475.2,475.6,476.2,476.2,476.6,477.0,477.4,477.8,478.2,478.6,479.2,479.6,483.0,483.4,483.8,484.4,484.8,485.2,485.8,486.2,486.8,487.2,487.2,487.8,488.2,488.8,489.2,489.8,489.8,490.2,490.6,491.2,491.6,492.2,492.6,493.0,493.6,494.0,494.6,498.0,498.4,498.8,499.2,499.8,500.2,500.6,501.2,501.2,501.6,502.0,502.6,503.0,503.4,503.4,503.8,504.2,504.6,505.2,505.6,505.6,506.0,506.4,506.8,509.0,509.4,510.0,510.4,511.0,511.4,511.8,512.4,512.8,513.2,513.8,514.2,514.8,514.8,515.2,515.6,516.0,516.6,517.0,517.4,517.8,518.2,518.6,519.0,519.0,519.4,520.0,520.4,520.8,521.4,521.4,521.8,522.2,522.6,523.0,523.6,524.0,524.4,525.0,525.4,526.0,526.0,526.4,526.8,527.4,527.8,528.2,528.2,528.8,529.2,529.6,530.0,530.4,530.8,531.2,531.8,532.2,532.8,533.2,533.8,534.4,534.8,535.2,535.8,536.2,536.6,537.0,537.0,537.4,537.8,538.2,538.6,539.0,539.6,540.0,540.4,541.0,541.4,541.4,541.8,542.2,542.6,543.2,543.6,544.0,544.4,544.8,545.4,545.8,546.2,546.8,547.2,547.6,548.2,548.2,548.2,548.2,548.6,549.0,549.4,549.8,550.2,550.2,550.8,551.2,551.6,552.2,552.6,552.6,553.0,553.4,553.8,554.2,554.8,554.8,554.8,558.6,559.2,559.6,560.0,560.4,560.8,561.2,561.6,562.2,562.6,563.0,563.6,564.0,564.0,564.6,565.0,565.6,566.2,566.6,567.0,567.4,568.0,568.4,568.8,568.8,568.8,568.8,568.8,568.8,568.8,568.2,567.8,567.4,566.8,566.4,566.0,565.6,565.2,564.8,564.2,563.6,563.2,562.6,562.0,562.0,562.0,562.0,562.0,562.0,561.6,561.2,560.8,560.2,559.8,559.4,558.8,558.4,557.8,557.4,556.8,556.2,555.6,554.8,554.2,553.6,552.8,552.4,552.0,551.6,551.2,550.8,550.8,550.2,549.8,549.4,549.0,548.2,547.6,547.0,546.2,545.6,544.8,544.0,543.2,542.4,541.4,540.6,539.6,538.6,537.8,536.8,536.0,535.2,534.2,533.2,532.4,531.6,530.8,530.0,529.2,528.6,527.8,527.2,526.4,525.6,524.8,524.0,523.0,522.2,521.4,520.6,519.8,519.2,518.4,517.8,517.2,516.6,516.2,515.8,515.4,515.0,514.4,513.8,513.2,512.4,511.6,511.0,510.2,509.4,508.6,508.0,507.4,506.8,506.2,505.6,505.0,504.4,503.8,503.0,502.4,501.8,501.2,500.4,500.4,500.4,501.6,502.0,502.4,503.0,503.4,503.4,503.8,504.2,504.8,504.8,505.2,505.6,506.0,506.4,506.8,507.2,510.8,511.2,511.8,512.2,512.6,513.0,513.0,513.0,513.0,513.4,513.8,514.4,514.8,515.2,515.2,515.2,515.2,515.6,516.0,516.4,516.8,517.2,517.8,518.2,518.6,519.2,519.6,519.6,520.0,520.4,520.8,521.2,521.8,521.8,522.2,522.6,523.0,523.4,523.8,523.8,524.2,524.6,525.0,525.4,525.8,525.8,526.4,526.8,527.2,527.6,528.2,528.2,528.6,529.0,529.6,530.0,530.6,530.6,531.0,531.4,531.8,532.2,532.6,532.6,533.0,533.4,533.8,534.2,534.6,534.6,535.0,535.4,536.0,536.4,536.8,536.8,536.8,538.8,538.8,539.4,539.8,540.2,540.8,541.2,541.6,542.0,542.4,542.8,543.4,543.4,543.4,543.8,544.2,544.6,545.0,545.4,545.8,546.2,546.6,547.0,547.4,547.4,547.4,547.4,547.8,548.4,548.8,549.2,549.8,549.8,549.8,549.8,549.8,549.8,549.8,550.2,550.8,551.2,551.6,552.2,552.2,552.2,552.2,552.2,552.6,553.0,553.6,554.0,554.4,554.4,554.8,555.4,556.2,556.6,557.0,557.6,558.0,558.4,558.8,558.8,559.4,559.8,560.2,560.8,561.2,561.2,561.2,561.6,562.0,562.4,562.8,563.2,563.2,563.8,564.2,564.6,565.0,565.4,565.4,565.8,566.4,566.4,567.4,567.8,567.8,569.8,569.8,569.4,569.0,568.6,568.2,567.8,567.2,566.8,566.2,565.6,565.0,564.4,564.0,563.4,563.0,562.4,562.0,561.6,561.2,560.8,560.4,560.0,559.6,559.0,558.4,557.8,557.2,556.6,556.6,556.6,556.0,555.4,555.0,554.4,553.8,553.2,552.6,552.0,551.2,551.2,550.8,550.4,550.0,549.6,549.0,548.4,547.8,547.4,546.8,546.4,545.8,545.2,544.4,543.8,543.0,542.4,542.0,541.6,541.2,540.6,540.2,540.2,539.8,539.4,539.0,538.6,537.8,537.2,536.8,536.2,535.4,534.8,534.2,533.6,533.6,533.0,532.6,532.0,531.6,531.2,530.6,530.0,529.6,529.0,528.6,528.2,527.8,527.4,526.8,526.4,525.8,525.2,524.6,523.8,523.2,522.6,522.2,521.8,521.4,520.8,520.2,519.6,518.8,518.2,517.6,516.8,516.0,515.2,514.6,513.8,513.8,513.4,513.0,512.6,512.0,511.4,510.8,510.2,509.6,509.0,508.4,508.0,507.4,507.4,507.4,513.4,513.8,513.8,513.8,514.4,514.8,515.2,515.6,516.0,516.0,516.0,516.0,516.0,516.0,515.4,515.0,514.4,513.8,513.2,512.6,511.8,511.2,510.8,510.4,510.0,509.2,508.6,508.2,507.8,507.4,507.0,506.4,506.0,505.4,505.0,504.6,504.2,503.8,503.4,502.8,502.2,501.8,501.2,500.6,500.6,500.6,500.6,501.2,501.6,502.0,502.6,503.0,503.0,503.0,502.6,502.2,501.6,501.0,500.4,499.8,499.2,498.4,498.4,498.0,497.6,496.4,496.4,496.4,496.4,496.4,496.4,496.4,496.4,496.4,496.4,496.4,496.4,496.0,495.2,494.8,494.2,494.2,493.8,493.4,493.0,492.6,492.2,492.2,492.2,492.2,491.4,491.0,490.2,489.6,489.0,488.2,487.6,487.0,486.4,485.8,485.2,485.2,485.2,485.2,485.2,485.2,485.2,485.2,485.2,485.2,485.2,485.2,485.6,486.0,486.4,486.8,487.2,487.6,488.0,488.6,489.0,489.4,489.4,489.8,490.2,490.8,491.2,491.6,492.0,492.6,493.0,493.4,494.0,494.4,494.8,495.4,495.8,496.2,496.6,497.0,497.4,498.0,498.4,499.0,499.4,500.0,500.4,500.4,500.0,499.4,498.8,498.4,497.8,497.4,496.8,496.4,496.0,495.6,495.6,495.2,494.8,494.2,493.8,493.2,492.6,492.0,491.4,490.8,490.2,489.4,488.8,488.8,488.4,487.8,487.4,486.6,486.0,485.2,484.6,484.0,483.6,482.8,482.0,481.2,480.6,479.8,479.2,477.2,477.2,476.6,476.0,475.2,475.2,473.8,473.0,472.2,471.4,470.4,469.6,468.6,467.8,467.0,466.2,465.2,464.2,463.2,462.0,461.0,459.8,458.8,457.6,456.4,455.6,454.8,454.0,453.0,452.0,451.0,450.0,449.0,448.0,446.8,445.6,444.4,443.4,442.2,441.0,440.0,439.0,438.0,437.2,436.2,435.2,434.0,433.0,432.0,431.0,430.0,430.0,430.0,430.0,429.6,429.0,428.6,428.0,427.4,426.8,426.2,425.6,425.6,425.6,425.6,426.0,426.4,426.8,427.2,427.6,427.6,427.6,427.2,426.6,426.2,425.8,425.2,424.6,424.2,423.6,423.0,423.0,422.6,422.0,421.6,421.0,420.6,420.2,419.6,419.2,418.6,418.0,417.4,416.6,416.0,415.4,414.6,414.0,414.0,414.0,413.4,413.0,412.6,412.0,411.4,410.8,410.2,409.6,409.0,408.4,407.8,407.2,406.6,406.0,405.6,405.0,404.6,404.0,403.2,402.6,402.0,401.4,401.0,400.6,399.8,399.2,398.6,397.8,397.2,396.8,396.4,395.8,395.4,395.0,395.0,394.6,394.2,393.6,393.2,392.8,392.8,388.8,388.4,388.4,388.4,388.4,388.4,388.4,388.0,387.6,387.2,386.8,386.4,386.0,385.4,385.0,383.6,383.2,382.6,382.0,381.6,381.0,380.6,380.2,379.8,379.2,378.8,378.2,377.8,377.4,376.8,376.2,375.8,375.2,374.6,373.8,373.2,372.6,372.0,372.0,372.0,372.0,372.0,372.0,372.4,372.8,373.2,373.6,374.0,374.0,374.0,374.4,374.8,375.4,375.8,376.2,376.2,376.6,377.0,377.6,378.0,378.4,378.4,378.8,379.2,379.6,380.0,380.4,380.4,380.4,380.8,381.4,381.8,382.2,382.6,383.0,383.4,383.8,384.2,384.8,385.4,385.8,386.4,386.8,387.4,387.8,388.2,388.6,389.2,389.6,390.2,390.6,391.0,391.6,392.0,392.4,392.8,393.2,393.6,394.2,394.6,395.2,395.6,396.0,396.6,397.0,397.4,397.8,397.8,399.4,400.0,400.4,400.8,401.2,401.6,402.0,402.6,403.0,403.4,403.8,404.4,404.4,404.8,405.2,405.6,406.0,406.4,406.4,406.8,407.2,407.6,408.2,408.6,408.6,409.0,409.4,409.8,410.2,410.6,411.0,411.4,412.0,412.4,412.8,413.2,413.6,414.2,414.6,415.0,415.0,415.0,415.4,415.8,416.4,416.8,417.2,417.6,418.0,418.4,418.8,419.4,419.8,420.4,420.8,421.4,421.4,421.8,422.2,422.6,423.2,423.6,423.6,424.0,424.4,425.0,425.4,425.8,425.8,426.2,426.6,427.0,427.6,428.0,428.4,428.8,429.2,429.6,430.0,430.4,430.8,431.2,431.6,432.0,432.4,433.0,433.4,433.8,434.2,434.2,434.6,435.2,435.6,436.0,436.4,436.4,436.8,437.2,437.6,438.2,438.6,439.0,439.4,439.8,440.2,440.6,441.2,441.6,442.0,442.4,443.0,443.0,443.4,443.8,444.2,444.8,445.2,445.6,446.0,446.4,447.0,447.4,447.4,447.8,448.2,448.8,449.2,449.8,450.2,450.6,451.0,451.4,452.0,452.0,452.4,452.8,453.2,453.6,454.0,454.4,454.8,455.2,455.6,456.0,456.4,456.8,457.4,457.8,458.2,458.2,458.6,459.2,459.6,460.0,460.4,460.4,460.8,461.2,461.6,462.0,462.6,462.6,462.6,462.6,462.6,462.6,462.6,464.6,464.6,464.6,464.6,464.6,464.6,464.2,463.8,463.4,463.0,462.6,462.0,461.6,461.2,460.6,459.8,459.2,458.2,457.4,456.6,455.8,455.0,454.4,453.8,453.0,452.4,452.0,451.6,451.2,450.6,450.2,449.6,449.0,448.6,448.0,448.0,448.0,448.0,448.0,448.0,448.6,449.0,449.4,450.0,450.4,450.4,450.4,450.4,450.8,451.2,451.6,452.0,452.4,452.4,452.8,453.2,453.6,454.0,454.4,455.0,455.4,455.8,456.4,456.8,456.8,457.2,457.6,458.2,458.6,459.0,459.4,459.8,460.2,460.6,461.0,461.0,461.0,461.0,461.4,461.8,462.2,462.6,463.0,463.0,463.0,463.0,463.0,465.2,465.2,465.2,465.2,465.2,464.8,464.2,462.6,462.0,461.6,461.0,460.4,459.8,459.4,458.4,457.6,456.6,455.8,455.0,455.0,455.0,454.4,454.0,453.4,453.0,452.4,451.8,451.2,450.6,449.8,449.2,448.6,447.8,447.0,446.2,445.4,444.6,443.8,442.8,442.0,441.0,440.0,438.8,438.0,437.0,436.0,435.0,434.0,433.0,431.8,430.8,429.8,429.8,429.4,429.0,428.4,428.0,427.6,427.2,426.6,425.8,425.0,424.2,423.4,422.6,421.8,421.0,420.2,419.2,418.4,417.4,416.4,415.4,414.4,413.4,412.2,411.6,410.8,409.8,408.8,407.6,406.6,405.6,404.6,403.4,402.4,401.6,400.6,399.8,398.8,397.8,396.8,396.2,395.4,394.6,394.0,393.2,392.6,392.0,391.2,390.4,389.6,388.8,388.0,387.2,386.4,385.6,384.8,384.0,383.0,382.2,381.2,380.4,379.4,378.6,377.6,376.6,375.8,375.0,374.2,373.4,372.8,372.2,371.6,370.8,370.2,369.4,368.6,367.8,367.0,366.0,365.2,364.4,363.6,362.8,362.0,361.4,360.6,360.0,359.6,359.0,358.4,357.8,357.2,356.6,355.8,355.0,354.4,353.6,352.8,352.4,352.0,351.4,350.8,350.2,349.4,348.8,348.2,347.6,347.2,346.4,345.8,345.0,344.4,343.6,343.0,342.2,341.4,341.0,340.4,339.8,339.0,338.2,337.6,336.8,336.8,334.6,334.6,334.6,334.6,334.2,333.8,333.4,333.0,332.6,332.6,332.2,331.8,331.4,330.8,330.2,329.6,328.8,328.0,327.2,326.6,325.8,325.2,324.6,324.0,323.4,322.8,322.4,321.8,321.2,320.6,320.0,319.2,318.6,317.8,317.2,316.4,316.0,315.4,315.0,314.4,313.8,313.2,312.6,312.0,311.4,311.0,310.6,310.2,309.8,309.4,309.4,309.4,309.4,309.8,310.2,310.6,311.0,311.4,311.4,311.4,312.0,312.4,313.0,313.4,314.0,314.0,314.4,314.8,315.2,315.6,316.0,316.0,316.4,316.8,317.4,317.8,318.2,318.2,318.6,319.0,319.6,320.0,320.4,320.4,320.8,321.2,321.6,324.6,325.0,325.6,326.0,326.4,327.0,327.4,327.8,328.2,328.6,329.2,329.6,330.0,330.6,331.0,331.6,332.2,332.6,333.2,333.8,334.2,334.6,335.0,335.4,335.8,336.4,336.8,337.2,337.6,338.0,338.0,340.8,341.4,341.8,342.4,342.8,343.4,343.8,344.4,344.8,345.4,345.8,346.2,346.6,347.2,347.6,348.0,348.6,349.0,349.6,350.2,350.6,351.0,351.4,351.8,352.4,352.8,353.4,353.8,354.4,354.4,354.8,355.2,355.6,356.0,356.6,357.0,357.4,357.8,358.4,358.8,359.2,359.6,360.0,360.6,361.0,361.0,361.4,361.8,362.2,362.6,363.0,363.4,363.8,364.2,364.6,365.0,365.6,366.0,366.4,366.8,367.2,367.2,367.6,368.0,368.4,369.0,369.4,369.4,370.8,371.2,371.6,371.6,371.6,371.6,371.2,370.8,370.4,370.0,369.6,369.0,368.6,368.0,367.6,367.6,367.6,367.6,368.0,368.4,368.8,369.4,369.8,370.4,371.0,371.6,372.0,372.6,373.0,373.4,373.8,374.2,374.2,374.6,375.0,375.4,375.8,376.2,376.2,376.8,377.2,377.6,378.0,378.6,379.2,379.8,380.2,380.8,380.8,380.8,381.2,381.6,382.0,382.6,383.0,383.6,384.2,384.8,385.4,385.4,385.8,386.2,386.6,387.2,387.6,388.2,388.8,389.4,389.8,390.4,391.0,391.6,392.2,392.6,393.0,393.6,394.0,394.4,394.8,395.2,395.8,396.2,396.6,397.0,397.4,397.8,398.2,398.6,399.0,399.4,400.0,400.4,400.8,400.8,401.2,401.8,402.2,402.6,403.2,403.6,404.0,404.4,404.8,405.2,405.6,406.0,406.4,406.8,407.2,407.8,408.2,408.8,409.2,409.8,410.2,410.6,411.0,411.6,412.0,412.0,412.4,412.8,413.2,413.6,414.0,414.4,415.0,415.4,415.8,416.4,416.8,417.2,417.8,418.2,418.6,419.2,419.6,420.2,420.6,421.2,421.6,422.0,422.4,422.8,423.2,423.6,424.0,424.4,424.8,425.4,425.8,426.2,426.6,427.0,427.4,427.8,428.2,428.8,429.2,429.6,429.6,429.6,429.6,430.0,430.4,430.8,431.2,431.6,431.6,432.2,432.6,433.0,433.4,434.0,434.4,434.8,435.2,435.6,436.0,436.4,437.0,437.4,437.8,438.2,438.6,439.2,439.6,440.0,440.4,440.4,440.8,441.2,441.6,442.0,442.4,442.4,442.4,443.0,443.4,443.8,444.4,444.8,445.2,445.8,446.2,446.8,447.2,447.2,447.6,448.0,448.4,449.0,449.4,449.4,449.4,449.8,450.4,450.8,451.2,451.8,451.8,451.8,452.2,452.6,453.0,453.4,453.4,453.8,454.2,454.8,455.2,455.6,456.0,456.0,456.4,457.0,457.4,457.8,458.2,458.6,459.0,459.4,459.8,460.2,460.2,460.6,461.0,461.6,462.0,462.4,462.8,463.2,463.8,464.2,464.6,465.0,465.6,466.0,466.4,467.0,467.4,467.8,468.4,468.8,469.2,469.6,470.0,470.6,471.0,471.4,471.4,471.8,472.2,472.6,473.0,473.6,473.6,473.6,474.0,474.4,474.8,475.2,475.6,476.0,476.4,476.8,477.2,477.8,477.8,478.2,478.6,479.0,479.6,480.0,480.0,480.4,481.0,481.4,481.8,482.4,482.4,482.4,482.8,483.2,483.6,484.2,484.6,484.6,484.6,484.6,484.6,484.6,484.6,484.6,484.0,483.6,483.0,482.4,481.8,481.2,480.6,480.0,479.4,479.0,478.6,478.2,477.8,477.8,477.8,477.4,477.0,476.4,476.0,475.6,475.6,475.2,474.8,474.4,474.0,473.4,472.8,472.2,471.4,470.6,470.0,469.0,468.2,467.2,466.4,465.6,465.0,464.6,464.2,463.8,463.4,463.4,462.8,462.4,462.0,461.6,461.2,461.2,461.2,461.2,461.2,461.2,461.2,461.2,461.6,462.0,462.4,463.0,463.4,463.4,463.4,463.8,464.2,464.6,465.0,465.4,465.4,465.8,466.2,466.6,467.0,467.4,467.4,468.0,468.4,469.0,469.4,470.0,470.0,470.4,470.8,471.2,471.8,472.2,472.2,472.2,472.6,473.0,473.4,474.0,474.4,474.4,474.8,475.2,475.6,476.0,476.4,476.4,476.8,477.2,477.6,478.0,478.4,478.4,479.0,479.4,480.0,480.4,480.8,480.8,480.8,480.8,481.2,481.6,482.0,482.4,483.0,483.0,483.0,483.4,483.8,484.2,484.6,485.2,485.2,485.6,486.0,486.4,486.8,487.2,487.2,487.2,487.6,488.0,488.4,488.8,489.2,489.2,489.2,489.6,490.0,490.4,490.8,491.2,491.2,491.6,492.2,492.6,493.0,493.4,493.8,494.4,494.8,495.2,495.6,495.6,495.6,495.6,496.0,496.4,496.8,497.2,497.6,498.2,498.6,499.0,499.4,500.0,500.0,500.0,500.4,500.8,501.2,501.6,502.0,502.0,502.0,502.0,502.4,502.8,503.2,503.6,504.0,504.0,504.6,505.0,505.4,505.8,506.2,506.2,506.2,506.6,507.2,507.6,508.0,508.6,508.6,508.6,509.0,509.4,510.0,510.4,510.8,511.2,511.6,512.0,512.4,512.8,512.8,513.2,513.8,514.2,514.6,515.0,515.0,515.4,516.0,516.4,516.8,517.2,517.6,518.0,518.4,518.8,519.4,519.8,520.2,520.6,521.0,521.4,521.8,522.2,522.6,523.0,523.4,523.4,524.0,524.4,524.8,525.4,525.8,525.8,525.8,526.2,526.6,527.0,527.4,528.0,528.0,528.0,530.0,530.0,530.0,530.0,530.0,530.0,530.0,530.0,530.0,530.4,530.8,531.2,531.6,532.0,532.4,532.8,533.4,533.8,534.2,534.2,534.2,534.6,535.0,535.4,536.0,536.4,536.4,536.8,537.2,537.6,538.0,538.4,538.4,538.4,538.8,539.2,539.6,540.0,540.4,540.4,540.4,540.8,541.2,541.8,542.2,542.6,542.6,542.6,542.6,542.6,542.6,542.6,542.6,542.6,542.6,542.6,542.6,542.6,542.6,542.6,542.6,542.6,542.6,542.6,542.6,543.0,543.4,544.0,544.4,544.8,544.8,544.8,544.8,544.8,544.8,544.8,544.8,545.2,545.6,546.0,546.6,547.0,547.0,547.0,547.4,547.8,548.2,548.6,549.0,549.0,549.0,549.0,549.0,548.4,548.0,547.6,546.8,546.0,545.2,544.4,543.6,542.8,542.0,541.4,540.6,539.8,539.0,538.2,537.4,536.6,535.8,535.0,534.4,534.4,534.4,534.4,534.8,535.2,535.6,536.2,536.6,536.6,536.6,537.0,537.4,537.8,538.2,538.6,539.0,539.6,540.0,540.4,540.8,541.4,541.8,542.2,542.8,543.2,543.2,543.6,544.2,544.6,545.0,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.4,545.0,544.6,544.2,543.8,543.4,543.4,543.4,543.4,543.4,543.4,543.4,543.4,543.4,543.4,543.0,542.4,542.0,541.6,541.2,541.2,541.2,541.2,541.2,541.2,541.2,541.2,541.2,541.2,541.2,541.2,541.2,541.2,541.2,541.2,541.2,540.8,540.2,539.8,539.4,539.0,539.0,539.0,539.0,539.0,539.0,539.0,539.0,539.0,539.0,538.6,538.0,537.6,537.2,536.6,536.6,536.6,536.6,536.2,535.8,535.2,534.4,533.6,532.6,531.6,530.4,529.2,528.0,526.6,525.4,524.0,523.6,523.2,522.8,522.4,522.0,522.0,522.0,522.0,522.0,522.0,522.4,523.2,523.6,524.0,524.0,524.4,524.8,525.2,525.6,526.2,526.2,526.6,527.2,527.6,528.2,528.6,528.6,529.2,529.6,530.0,530.6,531.0,531.6,532.0,532.6,533.0,533.0,533.0,533.6,534.0,534.4,534.8,535.4,535.4,535.4,535.4,534.8,534.4,534.0,533.6,533.2,533.2,533.8,534.2,534.8,535.2,535.8,536.2,536.6,537.0,537.4,538.0,538.4,538.8,539.2,539.6,540.0,540.0,540.6,541.0,541.4,541.8,542.2,542.2,542.2,542.2,542.6,543.0,543.6,544.0,544.4,544.4,544.8,545.2,545.6,546.0,546.6,546.6,547.0,547.4,548.0,548.4,548.8,548.8,548.8,548.8,549.4,549.8,550.4,550.8,551.2,551.2,551.2,551.2,551.2,551.2,551.2,551.8,552.2,552.6,553.0,553.6,553.6,553.6,553.6,553.6,553.6,553.6,553.6,553.6,553.6,553.6,553.6,553.6,553.0,552.6,552.2,551.8,551.4,551.4,551.4,551.4,551.4,551.4,551.4,551.4,551.4,551.4,551.4,551.4,551.4,550.8,550.4,549.8,549.4,548.8,548.8,548.8,548.8,548.4,548.0,547.4,547.0,546.6,547.0,547.4,547.8,548.2,548.6,548.6,548.6,549.0,549.4,549.8,550.2,550.6,550.6,550.6,551.2,551.6,552.2,552.6,553.2,553.2,553.6,554.2,554.6,555.2,555.6,555.6,555.6,556.0,556.6,557.0,557.6,558.0,558.0,558.4,559.0,559.4,559.8,560.4,560.8,561.2,561.6,562.0,562.6,562.6,563.0,563.4,563.8,564.2,564.6,564.6,564.6,564.6,565.0,565.4,565.8,566.2,566.6,567.0,567.4,567.8,568.2,568.8,568.8,569.2,569.6,570.0,570.6,571.0,571.0,571.4,571.8,572.2,572.6,573.0,573.4,575.0,575.4,575.8,576.2,576.6,577.0,577.4,577.8,578.4,578.8,579.2,579.6,580.2,580.6,581.2,581.6,582.0,582.4,583.0,583.4,583.8,583.8,583.8,584.2,584.6,585.2,585.6,586.2,586.2,586.6,587.0,587.4,588.0,588.4,588.8,589.2,589.6,590.0,590.4,590.8,591.2,591.6,592.0,592.4,592.4,593.0,593.4,593.8,594.2,594.8,595.2,595.6,596.0,596.4,597.0,597.4,598.0,598.6,599.0,599.0,599.4,599.8,600.2,601.0,601.0,601.0,601.0,601.0,601.0,601.0,601.0,601.0,601.0,601.0,601.0,601.0,601.0,601.0,601.0,601.0,600.6,600.2,599.6,599.0,598.2,597.2,596.4,595.2,594.2,593.2,592.4,591.4,590.6,589.6,588.8,587.8,587.0,586.2,585.4,584.6,583.8,583.0,582.2,581.4,580.6,579.6,578.8,577.8,577.0,576.2,575.4,574.6,573.8,573.0,572.2,572.2,572.2,572.2,572.2,572.6,573.0,573.4,573.8,574.2,574.6,575.0,575.4,575.8,576.2,576.2,576.2,576.6,577.0,577.4,577.8,578.2,578.2,578.6,579.2,579.6,580.0,580.4,580.4,580.4],"heartrate":[99,101,102,104,104,105,104,105,104,103,102,102,102,102,102,101,101,101,101,101,100,99,98,97,96,95,95,95,96,96,98,99,100,102,103,104,103,101,98,98,97,96,95,93,91,90,89,88,85,84,85,82,81,80,79,78,79,80,79,78,76,75,75,119,135,135,135,145,145,145,145,145,155,155,155,155,155,155,155,155,149,149,149,146,143,143,142,140,138,135,135,135,135,135,136,135,134,134,134,136,136,136,136,137,137,137,137,138,138,138,138,139,139,139,140,141,142,145,145,145,145,145,145,145,144,144,144,144,143,143,143,143,143,150,150,150,150,150,150,150,150,156,156,162,167,178,187,187,180,180,180,180,180,180,126,122,117,114,111,110,110,110,107,106,103,99,96,96,96,100,103,104,105,106,107,108,108,108,107,106,106,106,106,106,106,106,106,108,111,114,116,120,121,122,123,123,123,122,121,121,121,122,122,122,121,121,120,120,119,118,119,119,121,125,125,128,130,134,135,138,140,143,146,147,150,150,147,146,144,144,144,143,144,144,145,145,145,146,146,147,147,147,148,148,150,148,147,146,143,139,136,133,130,128,124,122,119,118,117,115,115,114,114,114,114,114,115,116,117,119,118,118,116,116,115,113,112,111,111,111,111,113,113,113,113,113,112,112,111,110,110,110,111,111,112,112,112,114,115,116,116,116,115,115,115,115,114,113,113,112,112,112,113,112,112,112,112,113,113,113,115,115,115,114,113,112,109,107,107,107,107,108,109,111,112,113,114,115,115,116,116,117,117,118,119,119,119,118,101,103,104,107,107,107,107,107,108,109,112,112,112,112,113,126,126,126,125,125,133,133,130,128,127,126,126,126,125,124,123,121,120,120,121,121,121,122,122,123,124,125,126,129,132,134,135,137,138,138,137,137,137,138,137,136,136,135,134,133,133,133,133,133,133,146,146,146,143,136,136,137,139,142,143,143,143,143,142,142,139,137,134,133,131,130,129,128,127,125,124,124,124,123,123,122,121,120,121,121,121,121,121,120,120,120,119,118,118,117,116,116,116,117,118,119,120,123,126,129,131,134,134,134,135,135,136,136,137,137,137,137,138,138,137,137,137,137,137,137,137,138,137,137,136,135,135,134,134,134,145,149,146,143,143,139,136,137,137,136,136,136,136,134,133,132,131,130,130,129,129,128,127,125,125,124,126,127,128,128,128,128,125,124,124,123,122,122,122,122,122,122,120,118,118,117,117,117,116,116,116,115,115,117,118,121,125,127,129,129,129,130,130,130,129,129,128,128,128,127,127,127,127,127,127,127,126,126,126,126,126,126,127,127,126,126,125,124,124,128,128,128,128,125,124,124,123,122,121,118,117,115,115,115,115,115,115,116,116,116,116,116,116,116,115,115,115,115,115,115,115,116,116,116,116,116,116,116,116,116,116,115,114,114,114,114,114,114,113,113,113,111,111,111,111,110,110,110,111,111,112,113,113,113,113,113,113,113,112,111,111,111,111,111,112,123,123,120,116,113,112,110,109,93,93,93,93,93,114,114,114,114,114,114,114,125,125,125,120,119,119,119,119,119,117,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,124,124,125,125,125,125,125,125,125,125,126,126,126,126,126,126,126,137,137,137,137,148,148,148,148,148,148,148,148,148,148,148,148,147,145,145,145,144,152,152,150,150,150,150,150,150,151,152,152,153,153,153,154,154,154,155,155,155,156,156,156,157,158,159,171,171,171,170,169,168,168,168,168,169,169,170,171,172,165,163,162,161,161,161,158,157,154,151,149,146,146,146,146,145,144,144,144,144,144,145,147,148,149,150,151,151,157,157,164,164,163,163,163,162,159,157,157,157,156,156,154,151,151,152,151,151,151,151,151,161,161,161,161,159,154,150,146,143,143,143,143,143,143,143,143,145,145,145,145,144,145,146,146,146,146,146,147,147,156,156,154,153,153,153,154,155,161,160,160,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,163,162,162,160,160,159,158,158,158,158,158,158,158,158,158,158,158,159,159,160,160,159,159,159,159,159,158,157,157,154,154,154,154,154,154,157,155,154,154,154,154,153,154,154,154,154,154,154,154,161,120,120,119,118,118,118,118,118,118,117,117,117,117,116,116,117,118,119,119,120,120,121,121,121,122,124,125,128,129,130,130,131,131,131,131,131,131,131,131,132,132,132,132,132,132,131,132,132,132,136,137,138,140,141,143,144,145,146,148,151,153,155,159,160,162,162,163,164,164,164,164,163,162,162,162,162,162,162,162,184,184,184,180,175,172,168,167,165,165,164,163,163,159,162,162,162,162,162,162,162,162,162,162,162,162,162,161,161,161,160,160,160,159,159,158,157,154,158,169,169,169,169,162,158,155,151,150,148,147,146,145,144,143,142,142,141,141,142,142,141,142,142,141,141,140,140,139,139,139,138,138,136,135,134,133,132,132,131,131,130,129,129,128,127,127,126,126,126,127,127,127,128,128,129,129,129,130,132,132,132,132,132,132,132,132,132,133,133,133,132,130,137,137,134,133,132,128,126,123,123,120,120,128,127,123,122,121,119,119,122,122,122,122,122,122,122,122,122,122,121,119,118,117,117,117,117,117,117,124,124,124,125,125,124,124,124,124,124,123,125,125,125,125,126,126,125,125,125,126,126,127,127,128,129,129,130,130,133,133,133,133,133,133,132,133,133,133,132,133,133,133,134,134,134,134,134,133,133,133,132,132,131,130,129,128,128,127,128,128,128,128,128,129,129,129,130,130,130,130,130,130,130,129,130,129,130,130,130,131,131,131,131,131,130,130,136,136,135,135,134,133,133,132,132,132,132,132,130,129,128,128,127,126,126,126,126,126,126,126,126,126,126,127,127,127,127,127,127,127,127,126,125,125,124,124,124,124,124,124,124,125,125,126,127,127,127,125,125,124,124,124,123,123,122,121,120,120,119,119,120,120,121,120,120,119,119,119,118,119,119,119,119,119,118,118,116,116,116,116,116,117,117,117,118,119,120,121,122,122,123,124,125,125,127,130,142,142,142,141,140,137,136,136,135,135,136,133,132,128,124,121,121,120,117,114,113,112,110,108,105,104,105,106,106,103,104,102,101,99,100,95,92,95,95,91,94,94,93,96,96,96,100,100,100,96,99,102,105,105,110,114,116,120,121,135,135,135,137,138,140,143,145,147,147,149,151,157,157,158,159,159,160,160,161,161,161,162,162,163,164,163,164,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,166,167,167,167,168,168,169,170,169,170,170,170,171,171,171,171,171,171,171,171,170,170,170,170,170,170,173,173,170,169,169,169,168,168,167,167,167,167,167,167,168,168,168,168,168,169,169,170,170,170,170,171,170,170,170,170,169,169,169,168,168,168,167,167,167,166,167,166,166,166,166,167,166,163,163,163,162,161,161,161,161,161,161,161,160,159,159,154,152,153,153,153,153,153,153,152,150,150,150,150,148,146,144,143,142,141,141,140,149,149,157,157,157,157,163,163,166,166,166,166,166,166,179,179,179,179,179,179,188,188,187,192,192,194,194,183,183,183,183,183,183,183,187,187,187,195,195,195,195,188,171,116,116,115,118,119,119,120,121,121,124,125,127,128,129,131,143,154,165,165,165,165,160,158,156,154,153,153,153,153,154,155,155,157,159,159,160,161,162,163,163,164,164,165,164,165,166,166,167,167,167,167,168,168,167,167,168,167,167,167,168,167,168,168,168,168,174,174,172,172,172,172,171,171,171,171,170,171,170,171,170,171,170,170,170,170,169,170,169,170,169,170,169,169,169,169,169,170,170,169,170,170,171,171,170,170,170,170,170,170,170,170,169,169,168,168,168,168,168,168,168,168,168,169,168,168,168,168,168,168,168,169,169,169,169,169,169,169,169,169,169,169,169,169,169,170,169,170,170,170,169,170,170,170,171,170,171,170,170,171,170,170,170,170,170,170,170,170,169,170,169,169,169,169,169,169,168,168,168,167,167,167,166,167,166,167,167,167,167,168,168,168,168,168,169,169,169,169,168,168,168,168,167,167,167,167,167,167,167,167,167,167,167,167,167,167,168,168,168,168,169,169,169,169,169,169,170,170,169,169,169,169,169,168,168,167,167,167,167,167,167,166,167,166,166,166,166,167,167,167,167,167,167,167,167,167,168,168,168,168,169,170,169,169,169,169,168,168,167,167,168,167,167,168,168,169,168,169,168,169,168,168,169,170,170,170,170,170,170,171,171,171,171,171,171,170,170,170,170,170,170,171,171,171,171,170,170,170,170,171,171,171,171,171,170,171,170,170,170,170,170,169,169,169,169,169,169,169,170,169,169,169,168,168,168,167,168,167,167,167,167,167,167,167,167,168,168,168,167,167,167,167,167,166,166,166,166,167,166,166,166,167,166,166,166,166,166,166,167,166,167,167,167,168,168,169,169,170,170,170,170,170,171,171,172,171,172,171,171,171,172,172,172,172,172,172,172,172,171,172,172,171,172,172,171,171,171,171,171,171,171,171,171,170,170,170,170,169,170,170,170,170,170,169,168,168,168,168,168,168,168,168,169,169,169,169,169,169,168,169,170,171,171,172,172,172,172,172,171,172,171,172,172,172,172,172,171,172,172,172,172,172,172,172,172,172,173,173,173,173,173,173,172,172,172,172,172,172,171,171,171,171,171,171,171,171,171,171,172,171,171,170,171,171,171,171,171,171,171,171,171,171,171,170,170,169,169,169,169,170,170,170,170,170,170,170,169,170,170,170,170,170,170,171,171,171,172,172,172,173,172,172,172,172,171,171,171,171,171,170,170,170,170,170,170,171,170,170,169,169,169,169,168,169,169,169,170,170,169,166,166,166,165,165,165,165,164,164,164,165,164,164,164,164,164,164,164,164,163,163,161,161,161,162,162,162,163,162,162,162,161,161,161,161,161,161,162,162,162,162,162,161,162,161,161,160,158,158,157,158,157,157,156,155,153,152,150,147,146,145,145,145,144,142,141,138,137,134,131,128,127,126,125,124,122,122,121,120,120,119,119,118,117,117,116,116,115,115,115,115,116,116,116,116,115,114,113,112,112,112,112,112,111,111,110,110,109,109,109,110,110,111,110,111,111,111,110,110,110,110,109,110,110,110,110,110,109,108,108,108,108,108,109,108,108,107,106,106,106,106,107,107,107,107,107,107,106,106,106,106,106,107,107,108,108,108,108,108,108,108,108,108,108,113,114,126,127,128,131,132,132,132,134,137,138,141,142,142,142,142,143,149,151,151,151,151,152,151,148,148,147,146,146,145,145,142,140,139,139,138,138,138,138,139,139,140,140,140,141,141,141,142,142,142,142,142,142,143,143,143,144,144,144,144,143,143,142,140,140,140,140,139,136,136,137,137,137,137,137,138,138,138,138,139,142,143,144,145,146,146,147,147,147,148,148,149,149,148,148,148,148,149,149,150,151,153,154,154,154,155,155,155,155,155,155,155,155,155,155,156,155,155,154,151,149,148,147,146,146,144,141,138,135,135,132,132,131,130,129,128,128,126,125,125,126,126,125,126,126,126,127,129,129,129,129,129,130,130,129,130,130,130,131,131,132,132,132,132,133,133,133,133,134,135,136,137,138,138,138,138,139,139,139,140,141,141,110,110,110,110,110,110,110,109,109,109,109,110,110,110,116,116,116,116,115,115,115,115,114,114,114,114,114,114,115,124,124,121,119,118,116,115,114,114,115,115,116,116,115,115,114,114,114,114,114,115,115,116,116,116,115,115,115,115,115,116,116,116,117,119,118,118,116,113,113,112,112,121,121,120,119,119,119,119,119,118,118,117,117,117,118,118,118,118,119,119,119,120,121,121,122,122,121,122,122,122,122,122,122,122,123,123,123,123,124,125,126,126,127,127,127,128,128,128,128,128,129,130,131,131,131,135,151,150,147,146,145,146,146,146,146,146,143,143,142,142,142,141,141,141,140,139,139,139,139,139,142,139,138,137,137,136,135,134,132,131,131,130,130,130,130,130,129,129,129,129,132,133,136,138,140,142,144,145,148,148,148,148,147,146,145,144,144,143,142,142,141,136,135,133,133,133,133,138,138,134,130,128,123,122,122,122,121,121,121,120,120,121,121,121,124,124,123,123,124,124,124,124,124,124,124,124,125,125,125,128,132,132,135,138,140,142,143,144,146,146,146,146,147,149,150,150,150,151,153,153,153,154,155,156,157,158,158,159,159,161,161,162,162,163,164,164,164,165,165,165,166,165,166,164,164,164,163,163,163,162,161,161,160,159,157,157,156,156,155,153,152,151,150,149,148,147,146,144,142,141,141,140,139,138,138,138,137,136,134,132,131,130,130,114,113,110,109,108,107,108,108,109,109,109,111,112,113,113,114,115,115,115,115,115,115,115,115,116,116,116,117,116,116,116,116,116,116,116,117,117,123,123,122,120,119,119,119,120,119,119,119,119,119,119,120,121,120,120,120,120,120,119,118,118,118,120,124,128,131,133,134,135,137,140,139,138,138,138,137,137,137,136,136,134,134,134,133,131,130,130,129,127,127,127,127,125,124,123,123,123,124,126,127,127,127,126,126,126,125,125,125,124,123,122,122,121,120,119,118,117,117,116,116,116,117,118,117,116,115,114,114,114,116,116,117,116,117,117,118,118,118,117,117,117,121,120,121,124,125,128,131,133,133,133,134,134,134,134,133,131,131,130,130,129,129,128,128,128,128,128,128,127,126,124,122,121,120,119,117,116,115,115,116,104,104,107,108,108,103,103,108,110,110,115,120,123,125,127,128,131,133,133,134,134,134,135,136,136,136,137,137,138,141,141,142,142,143,143,145,145,146,148,149,150,151,152,154,157,158,159,159,159,160,161,161,161,163,164,165,165,165,165,166,166,166,166,167,166,167,167,167,168,169,169,169,168,169,169,169,168,168,168,168,168,168,168,169,168,169,169,169,168,168,168,169,168,168,168,168,168,168,167,168,167,167,167,168,168,168,168,168,168,168,169,169,170,169,170,170,170,170,170,169,170,170,170,170,170,170,170,169,170,169,170,170,170,170,170,169,169,169,169,169,168,169,169,169,169,169,169,169,169,169,169,169,170,170,169,169,169,169,170,170,169,170,169,170,170,169,169,170,170,169,169,170,169,169,169,170,170,170,169,169,168,168,169,168,169,169,168,169,169,169,169,170,170,170,170,170,170,169,170,170,170,170,169,169,169,169,169,169,168,168,168,168,168,168,167,167,168,167,168,167,167,168,167,167,167,167,167,166,166,166,166,164,161,160,157,155,153,152,149,145,140,140,137,135,134,133,132,129,129,127,125,124,123,121,120,119,117,117,116,115,115,115,114,114,113,112,111,111,111,111,112,112,116,118,122,125,127,127,128,128,130,131,131,132,132,133,133,133,133,133,133,132,132,132,133,133,133,133,133,134,137,138,138,138,139,140,140,141,141,141,141,141,139,136,134,134,133,132,131,129,126,124,123,99,101,103,105,101,100,100,102,102,102,103,103,104,104,105,106,106,107,107,107,109,113,114,114,115,115,116,117,117,117,118,118,118,118,118,117,117,116,116,116,116,116,117,117,118,118,118,118,118,119,121,123,125,126,127,127,126,126,126,126,125,124,123,122,121,120,119,119,119,118,118,118,118,118,118,118,118,118,119,119,119,119,119,118,117,117,117,117,117,117,117,117,117,116,117,117,116,117,116,116,116,116,116,117,117,118,118,119,118,118,117,116,116,116,116,116,118,119,120,122,123,124,125,125,125,124,123,122,121,121,121,121,121,121,121,121,120,121,121,121,122,122,121,121,120,119,118,118,119,119,120,121,121,119,117,115,115,115,115,115,116,116,116,116,116,116,117,117,117,117,116,116,116,116,116,117,113,115,116,116,115,115,116,116,116,119,119,119,118,117,117,117,117,116,116,116,115,115,115,116,116,117,118,118,118,118,118,119,119,119,119,119,120,123,124,125,125,126,126,126,126,127,126,126,126,126,127,127,129,129,129,129,129,129,133,137,140,140,141,143,146,148,149,149,149,151,152,153,156,156,157,157,157,157,157,157,157,156,156,156,157,156,156,155,155,155,155,155,155,156,156,157,158,159,160,161,162,163,164,165,165,166,166,166,166,165,164,164,163,163,163,164,164,164,164,164,164,164,164,165,166,166,167,167,168,169,170,170,171,171,171,172,173,173,174,174,174,174,175,175,175,175,175,171,168,167,167,167,167,167,167,168,168,168,168,169,169,169,169,170,169,168,168,167,167,167,167,167,167,167,168,168,169,169,170,171,171,172,171,171,171,170,119,120,121,122,125,124,123,123,123,123,123,123,123,124,125,126,131,133,135,137,139,141,142,144,146,148,150,153,155,156,157,158,159,160,160,162,162,163,163,164,164,164,165,165,165,166,166,167,168,168,168,168,168,168,168,168,168,169,169,170,170,171,171,172,172,171,172,172,172,173,173,173,173,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,173,173,173,174,174,173,173,173,173,172,173,172,173,173,173,173,173,173,173,173,173,173,173,173,173,173,172,173,172,173,173,172,172,173,173,172,172,172,173,173,172,172,172,172,173,173,173,173,174,174,174,174,174,175,174,174,175,175,175,174,174,174,175,174,175,174,174,174,174,173,174,173,173,173,173,173,172,172,172,171,171,171,171,171,172,172,172,171,172,172,172,172,172,172,172,172,171,172,172,172,172,172,172,172,171,171,171,172,172,170,170,170,170,169,170,170,170,169,169,169,168,168,168,168,168,168,169,168,168,168,168,168,168,168,167,167,167,167,167,167,165,165,164,164,164,164,163,162,162,162,162,161,160,160,160,159,159,158,157,157,157,156,155,155,156,156,156,157,158,158,159,159,159,159,159,159,159,158,158,158,157,157,157,157,157,157,157,157,158,158,158,159,158,158,158,158,157,157,157,156,156,155,154,154,155,155,155,155,154,155,155,155,154,154,153,150,147,144,141,138,135,132,132,131,130,128,127,126,124,122,122,121,120,119,118,117,116,116,116,116,116,116,116,114,114,113,112,112,112,112,111,111,111,111,111,112,112,112,110,110,108,108,108,110,110,110,110,109,111,118,118,119,122,122,125,128,128,128,128,128,129,129,129,129,129,129,130,132,133,134,135,136,137,139,139,141,142,142,142,142,140,139,139,139,139,139,137,136,136,136,136,136,137,138,137,137,137,137,135,133,133,133,133,132,133,135,135,135,135,136,136,137,138,138,139,139,139,139,138,138,137,137,138,137,138,136,135,135,135,134,134,131,128,128,128,129,129,130,130,131,132,133,133,134,135,136,136,136,136,137,137,139,139,139,138,138,135,132,132,133,133,134,134,135,136,137,139,139,140,141,140,141,141,141,140,141,140,140,137,137,136,136,136,136,136,134,134,133,133,133,133,134,134,134,134,134,134,135,133,133,132,132,132,132,134,135,135,136,137,138,140,139,139,139,139,139,140,140,139,139,139,139,139,139,140,141,141,142,142,143,143,145,145,145,145,145,144,142,141,141,140,140,139,140,140,140,140,140,140,140,139,105,107,111,111,114,117,119,122,123,123,123,124,124,125,127,127,127,128,128,129,131,133,134,135,136,137,138,138,138,138,138,138,138,137,137,137,137,138,138,138,137,136,136,137,137,136,132,129,126,125,122,119,116,113,114,115,115,117,118,121,122,123,123,122,122,123,122,122,122,121,121,122,122,123,124,124,125,127,127,127,127,128,130,132,132,132,132,133,132,132,132,131,131,131,131,131,130,129,128,127,125,125,124,123,122,122,121,120,119,118,117,115,114,114,117,120,121,121,122,123,125,128,128,129,129,130,131,132,134,134,133,133,133,134,134,135,135,136,138,139,140,140,141,142,143,142,140,138,136,133,132,130,128,129,128,126,126,126,125,123,123,123,123,124,127,127,127,126,126,125,124,123,123,123,123,123,124,123,123,123,123,125,124,124,124,125,125,126,127,128,128,130,130,129,126,123,122,119,119,119,119,116,115,113,112,109,108,108,109,110,111,114,115,117,118,117,117,120,122,122,120,120,120,120,119,118,116,117,117,117,118,119,118,117,116,115,114,114,113,113,113,113,114,114,115,115,115,116,120,124,125,126,129,131,132,134,136,138,138,138,138,142,144,144,144,145,147,148,150,151,151,152,151,151,152,152,153,153,153,155,155,155,155,155,155,152,151,149,149,149,149,149,148,148,148,148,148,149,149,149,149,149,149,149,150,150,150,150,150,149,150,149,149,150,150,149,149,149,148,148,148,148,148,149,149,149,149,149,149,151,151,150,150,149,147,143,143,143,142,143,142,143,141,138,138,135,133,134,134,134,135,136,137,140,140,141,139,136,135,135,135,135,135,133,132,131,131,131,130,129,128,126,125,124,121,120,121,121,106,108,111,112,112,113,113,113,113,113,116,117,117,117,117,117,117,119,119,119,119,121,125,125,128,128,129,132,133,136,136,137,137,137,138,139,140,141,141,141,142,144,147,147,147,148,148,148,148,149,153,155,157,159,160,162,162,162,162,162,162,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,163,162,161,161,160,160,159,159,159,159,160,159,160,160,159,160,160,160,161,162,163,164,164,165,166,166,166,166,167,167,168,168,168,168,168,169,169,169,169,169,169,169,170,169,170,170,170,170,170,170,171,171,171,171,171,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,171,171,171,124,121,118,114,114,114,115,112,115,115,113,110,110,111,112,113,113,111,110,111,111,111,111,110,110,109,108,108,107,107,108,108,108,107,106,103,103,101,101,101,102,103,105,106,106,107,107,108,108,109,110,121,121,124,125,128,129,131,132,134,134,137,138,139,140,140,140,143,144,144,145,146,146,147,147,148,150,150,151,149,147],"watts_calc":[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,287,96,0,0,96,337,362,308,401,35,0,186,370,336,497,340,70,2,89,487,475,226,555,252,0,195,232,393,286,414,104,215,394,205,176,18,98,384,529,317,524,0,0,168,143,80,483,327,3,150,349,141,339,135,639,266,449,348,0,266,367,245,313,411,13,150,390,161,333,223,0,14,339,660,355,272,146,0,0,0,22,59,46,0,83,268,0,590,384,384,0,24,0,140,0,41,0,77,0,31,15,37,45,39,50,8,52,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,0,272,847,144,488,694,27,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,173,130,351,434,456,508,503,725,599,527,47,81,219,0,95,1,10,202,401,277,495,398,359,324,538,309,517,333,461,386,652,259,23,44,44,66,94,29,13,5,22,24,0,0,0,0,49,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,530,0,0,30,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,21,0,86,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,8,0,0,0,0,13,0,74,163,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,0,15,0,0,0,0,0,0,16,0,0,0,0,0,9,0,0,0,5,1,1,103,0,9,0,4,0,8,15,17,0,0,0,8,0,2,21,0,0,0,0,0,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,44,0,0,0,0,0,0,0,0,0,0,140,73,4,0,0,0,26,72,0,0,0,0,0,0,407,0,0,0,0,0,0,0,0,49,23,0,0,0,0,0,0,0,0,0,0,21,0,0,36,0,51,18,0,0,0,0,0,0,0,0,0,81,0,25,0,0,0,0,0,0,1,0,0,0,0,0,36,0,0,15,18,0,0,0,0,0,67,0,0,0,0,0,0,0,0,0,0,0,62,116,0,41,178,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,64,0,0,0,0,0,0,14,0,0,0,8,0,0,0,0,0,0,0,0,0,53,0,0,0,0,0,0,0,0,0,0,0,0,55,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,220,0,47,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,438,9,344,47,0,0,0,0,0,0,0,0,0,66,43,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,137,0,0,0,0,0,0,0,144,20,257,494,287,487,326,214,310,276,415,698,0,204,240,569,243,425,34,148,200,335,327,497,188,57,219,417,187,359,48,253,455,436,404,694,0,10,142,138,559,255,172,174,9,16,0,1,47,54,0,0,0,37,0,40,18,386,62,376,211,54,176,343,474,296,295,37,14,127,382,536,485,273,25,118,189,360,389,324,311,23,30,0,434,424,140,678,210,42,42,465,127,511,422,315,66,0,50,113,319,279,443,372,312,0,148,546,204,168,312,77,71,110,434,275,477,95,246,490,328,361,19,736,82,390,273,612,276,675,229,448,27,239,177,169,363,433,54,215,224,337,177,238,40,23,81,457,98,641,319,8,185,194,517,318,314,219,629,340,398,403,3,177,365,447,331,529,0,63,137,460,478,295,28,192,372,377,312,372,0,84,127,363,103,565,187,188,246,345,314,437,13,130,0,0,1,0,0,0,0,0,0,56,0,0,0,0,0,0,76,0,0,0,0,0,0,0,0,0,0,0,20,23,299,0,0,0,0,0,0,0,0,0,23,0,0,0,11,2,3,12,12,27,113,34,343,332,872,635,517,282,267,425,0,0,173,400,666,261,625,782,102,52,157,265,325,350,486,100,243,435,677,329,48,307,376,354,635,418,135,0,0,0,10,0,12,56,0,162,42,100,353,556,339,389,478,0,754,258,207,405,0,0,116,0,0,0,0,0,0,439,0,0,0,424,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,0,0,0,0,0,0,8,0,2,66,19,0,22,463,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,0,0,10,20,37,15,0,103,9,10,0,97,22,201,0,0,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,318,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,48,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,22,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,34,0,19,0,0,0,0,0,0,0,0,0,0,0,0,40,0,0,0,10,0,0,233,0,0,0,0,0,37,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,40,8,0,7,21,8,0,14,0,63,0,0,168,0,245,0,384,38,38,0,26,326,0,37,60,76,0,0,0,0,176,0,20,92,0,138,70,0,0,174,0,0,0,142,62,820,366,0,0,123,0,0,32,164,0,23,0,239,370,201,331,254,289,348,445,334,339,366,53,446,363,367,367,411,816,251,1003,187,147,397,379,534,364,589,545,0,214,193,421,650,285,427,388,437,371,281,258,580,350,381,562,0,323,286,605,304,325,380,274,311,225,403,205,311,550,289,294,196,369,527,356,634,32,0,0,0,0,0,53,27,32,35,320,391,385,375,183,360,304,351,365,0,450,358,507,213,497,246,479,610,341,384,65,126,457,268,344,407,0,337,296,303,320,355,313,224,305,388,411,174,474,247,567,336,34,27,582,246,487,419,378,364,0,0,0,0,0,0,15,16,63,200,519,374,306,553,0,282,0,0,0,0,0,0,0,0,0,0,0,0,224,32,11,0,36,0,140,435,117,166,200,553,753,681,320,434,414,366,363,0,38,1,11,168,149,207,0,0,0,0,0,0,0,0,0,0,0,0,124,0,0,213,67,0,162,1,6,2,522,291,439,313,25,219,327,388,337,535,39,93,0,0,0,23,431,656,278,669,464,682,523,306,528,499,402,602,574,692,567,609,202,221,315,330,350,369,677,197,117,266,389,327,222,51,122,388,567,433,313,0,328,388,419,559,317,859,237,391,575,263,102,261,519,625,384,126,170,250,401,382,579,102,506,191,314,687,0,24,255,377,494,926,322,146,271,277,527,297,157,556,305,509,599,32,458,298,304,321,616,128,442,378,522,863,0,134,328,637,387,375,17,287,355,668,124,732,145,304,346,783,53,101,112,211,134,447,180,471,405,358,359,135,339,348,445,256,90,202,363,378,394,204,489,310,390,180,29,317,352,276,504,575,194,549,372,621,455,58,173,316,506,457,391,81,339,389,531,368,37,187,328,331,319,354,153,231,416,586,318,166,617,294,520,525,0,335,388,556,379,452,21,149,137,374,102,182,114,166,396,407,391,82,444,287,416,494,249,163,275,355,306,618,127,431,596,304,420,189,706,131,623,584,58,402,439,447,487,158,144,309,431,369,425,146,264,235,0,1001,76,358,424,410,412,133,518,321,501,321,566,381,727,512,666,188,412,378,381,311,4,203,341,413,361,359,22,130,412,298,361,359,126,638,329,409,454,0,358,462,265,341,0,200,201,0,134,343,633,203,373,403,0,129,142,528,265,382,369,706,282,749,679,77,375,489,577,740,0,0,249,356,441,660,409,0,252,407,262,352,336,129,566,520,756,371,0,235,195,338,376,342,142,232,217,194,173,162,452,310,347,677,61,366,541,210,618,0,0,166,158,82,449,327,0,139,199,329,158,398,695,315,266,418,611,17,784,512,326,279,0,186,341,562,272,37,231,777,203,534,395,93,196,262,329,456,0,150,395,408,409,375,25,140,510,427,505,379,24,78,175,319,462,317,49,168,149,280,534,150,941,330,149,485,287,668,339,6,219,336,0,504,265,36,201,635,268,386,338,59,161,528,339,166,287,493,457,133,292,470,273,667,0,170,669,817,0,521,0,215,441,322,239,392,0,120,165,383,502,415,513,116,396,381,615,519,30,485,512,375,780,140,96,397,473,344,282,160,248,305,316,339,0,133,176,378,356,571,67,158,262,381,377,505,157,391,581,291,315,0,187,164,552,182,447,0,184,169,345,480,420,127,414,314,281,253,403,568,729,488,110,352,288,427,332,14,197,234,356,554,308,307,415,367,341,342,49,229,329,309,193,452,100,194,314,195,424,139,225,394,311,509,10,29,203,435,267,349,425,358,0,311,307,313,565,376,10,255,321,456,362,457,537,0,339,338,0,126,244,305,315,527,98,204,370,605,494,9,215,0,365,462,281,188,400,304,306,348,24,41,0,20,2,77,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,141,0,0,32,0,0,0,0,0,0,0,99,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,28,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,394,305,292,42,230,480,217,0,186,179,136,410,214,145,297,372,276,397,308,402,0,6,50,405,335,544,259,503,0,20,11,440,322,298,386,418,75,163,149,547,295,0,198,206,385,318,524,4,247,219,358,310,403,2,59,107,366,468,293,0,87,117,350,321,668,0,134,416,528,287,300,0,101,141,321,319,356,3,168,365,322,144,400,0,189,184,192,307,212,0,0,207,0,133,373,335,559,322,108,436,354,339,242,5,0,86,324,434,324,352,320,343,338,346,343,20,14,0,205,585,232,375,281,2,17,7,0,31,0,73,44,324,400,525,12,0,41,7,92,32,43,44,354,8,103,67,706,282,63,159,320,328,419,9,125,318,567,118,510,0,0,57,52,407,48,501,50,211,120,688,238,552,0,98,522,0,127,366,0,0,265,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,42,0,0,0,0,0,0,156,0,0,0,0,0,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,118,669,59,440,170,119,194,547,229,188,51,30,48,73,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,114,38,436,367,565,320,2,75,0,0,0,0,0,0,0,0,0,0,0,0,0,68,45,18,74,44,3,39,17,69,57,0,0,0,0,72,0,0,0,0,0,0,47,6,0,0,0,0,0,0,0,0,0,0,0,4,1,121,0,139,18,38,36,0,250,0,227,369,385,306,347,185,447,505,337,381,13,98,107,84,405,333,321,530,296,370,584,121,269,264,334,400,192,276,279,649,318,560,331,599,244,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,224,0,0,0,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,228,0,0,0,0,0,0,0,0,59,62,176,120,444,379,474,449,44,32,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,25,24,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,46,0,0,0,0,0,0,0,0,17,28,39,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,288,0,0,605,266,97,138,320,9,17,100,93,47,350,370,6,229,386,534,166,399,31,199,418,312,381,418,0,33,455,503,419,406,312,160,291,362,454,581,456,411,551,276,175,446,390,357,538,302,579,426,245,144,441,356,332,314,307,433,389,546,310,317,519,514,239,278,0,375,730,89,235,364,379,372,532,303,387,394,592,13,382,389,279,369,402,29,778,41,356,550,336,68,235,131,897,0,343,122,372,180,386,303,111,200,204,486,305,121,347,95,263,524,347,369,353,350,336,368,492,374,558,448,437,80,45,819,555,455,230,0,222,161,142,447,444,0,137,194,381,142,319,419,395,319,483,327,155,318,345,269,312,140,224,340,356,466,0,212,249,304,195,436,46,825,182,312,282,306,140,438,386,286,312,694,419,405,645,560,0,95,213,425,631,376,214,400,308,534,334,0,117,344,130,450,232,111,191,468,588,459,0,189,400,323,387,332,134,241,537,294,397,152,573,446,437,301,16,336,516,328,401,463,0,145,490,234,470,506,86,55,0,20,0,9,4,77,26,31,64,70,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,57,0,0,0,0,0,0,0,0,0,0,0,0,0,30,77,0,2,62,39,332,540,0,45,47,0,32,174,65,436,372,22,93,153,117,516,291,114,187,423,184,366,4,183,117,734,183,371,91,218,501,334,322,3,0,22,114,27,383,422,196,31,0,0,0,0,167,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,27,0,0,0,7,0,2,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,744,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,77,8,111,0,0,0,0,0,97,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,225,0,13,81,370,435,296,327,0,45,143,380,122,390,259,59,178,421,374,318,318,52,265,337,768,395,189,0,75,96,66,384,115,0,133,150,111,136,135,135,335,336,235,175,251,374,365,268,428,321,345,361,522,586,254,650,503,116,267,361,453,221,191,268,252,219,347,0,160,164,405,164,413,92,181,152,0,99,108,447,164,521,372,376,597,269,521,468,181,514,249,384,683,458,444,270,546,0,122,148,381,394,791,71,449,352,485,398,116,264,332,223,437,0,109,110,98,378,329,329,244,291,305,364,320,401,342,386,316,33,190,291,374,159,314,0,0,560,284,196,0,15,0,0,0,253,0,0,0,0,469,0,111,90,360,433,21,829,250,572,474,532,597,191,508,243,360,335,3,351,314,322,359,193,53,660,403,348,287,425,568,561,325,588,32,28,131,265,351,544,360,804,403,532,566,0,150,221,372,522,472,397,441,503,392,541,537,540,530,162,386,356,395,359,140,255,238,345,321,364,331,340,400,359,412,317,372,373,368,23,284,526,553,346,640,80,266,366,228,356,120,423,228,352,327,125,392,527,448,249,404,369,387,352,379,12,155,123,97,401,380,316,572,346,310,386,149,473,294,317,402,371,350,599,313,408,150,324,326,344,481,115,249,345,365,565,78,437,326,333,439,166,286,643,308,372,0,95,22,76,291,344,397,314,5,305,340,212,401,572,319,320,369,351,340,345,351,541,394,337,163,320,375,361,323,48,373,317,318,671,262,0,118,180,366,388,650,341,77,220,311,587,252,64,133,217,344,171,400,14,5,173,113,438,341,519,37,21,210,298,382,369,22,268,103,161,452,414,339,1,228,528,531,284,322,102,370,306,402,451,0,224,379,782,130,348,63,182,115,322,316,60,123,328,125,104,166,367,500,299,497,114,292,220,364,432,10,384,447,292,314,359,86,43,152,350,386,424,340,184,364,95,194,615,12,83,346,331,498,376,0,172,156,360,550,490,0,40,367,294,464,166,363,21,0,0,35,19,55,7,0,0,0,3,0,0,0,0,0,0,0,0,0,207,36,0,0,0,0,0,495,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,0,0,0,0,0,0,6,120,19,0,23,19,84,434,398,129,454,0,0,53,47,13,395,318,0,121,401,140,411,364,0,183,190,155,257,195,0,46,74,58,623,280,6,22,75,52,37,44,346,11,217,333,368,397,392,0,68,81,332,54,350,29,90,410,573,340,893,0,0,5,135,35,57,363,516,51,13,88,72,304,375,535,17,80,111,393,478,318,6,28,135,418,63,634,185,98,0,183,93,375,382,323,0,71,113,86,445,119,125,171,314,327,321,9,10,65,111,32,482,373,354,227,377,319,317,556,4,7,127,67,355,333,422,0,2,22,198,380,58,411,304,9,129,352,352,386,321,0,9,49,581,249,381,525,0,6,115,68,565,304,315,82,451,355,296,336,36,110,121,318,102,341,13,93,596,402,382,435,76,343,366,367,472,197,489,440,283,242,128,319,355,392,310,36,165,269,367,489,306,54,0,78,455,350,351,514,9,0,0,166,0,119,0,0,45,9,14,56,33,319,396,368,91,373,199,279,361,62,16,84,383,313,671,369,0,142,189,371,392,342,61,21,134,80,570,288,224,15,3,75,46,547,339,315,36,83,0,51,12,10,38,38,132,55,0,71,0,12,50,0,9,79,17,139,338,540,378,335,0,27,90,0,0,32,16,385,249,322,495,399,48,36,174,361,751,372,393,0,0,86,462,0,0,0,0,0,29,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90,137,96,451,309,505,437,41,55,150,464,228,419,397,90,547,372,297,400,142,336,351,237,535,48,231,430,432,363,422,22,50,49,66,49,73,51,49,31,187,107,82,8,48,50,51,51,58,35,36,89,63,130,101,133,162,172,61,0,0,0,0,148,128,271,168,66,33,32,0,13,0,0,36,0,126,34,207,142,25,0,0,0,0,0,52,0,0,0,20,158,31,0,0,79,0,0,19,0,0,0,82,8,0,16,60,19,0,28,0,0,52,17,0,0,169,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,26,0,0,31,94,745,290,316,356,0,217,448,415,384,559,0,507,472,311,672,252,2,156,371,286,183,286,576,436,371,565,0,3,103,324,406,452,528,0,34,38,0,0,0,0,0,0,0,401,481,371,561,150,440,363,180,573,70,170,453,235,351,0,310,480,242,389,412,5,286,0,104,52,81,456,257,17,166,180,386,690,317,37,48,474,115,381,729,0,8,0,205,397,105,375,457,0,84,114,0,0,0,9,296,352,345,251,34,185,16,78,26,59,0,59,42,26,30,115,0,0,0,0,0,110,89,18,38,10,0,0,13,0,281,276,57,0,0,0,0,0,0,17,236,0,0,0,0,0,157,310,622,222,454,0,0,186,467,429,185,406,5,98,249,364,528,320,611,115,287,561,482,386,375,39,30,345,614,122,210,317,112,577,304,377,470,517,193,376,321,324,525,4,149,369,429,564,302,46,122,88,129,195,435,350,308,64,459,249,493,740,0,95,190,309,521,381,0,85,506,339,279,315,83,181,473,95,433,311,367,357,152,598,267,374,486,461,433,501,444,115,308,642,294,371,83,26,265,315,614,316,464,68,110,336,329,177,448,323,302,450,350,436,385,264,560,433,570,0,260,436,388,411,642,60,330,382,350,553,417,645,391,361,0,102,151,368,0,56,0,0,27,5,6,5,26,22,32,19,114,0,54,0,41,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,16,23,90,357,341,350,401,394,212,287,373,296,433,0,33,407,293,300,400,428,33,228,681,260,276,322,0,0],"temp":[11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,13,12,12,13,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,14,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15],"grade_smooth":[0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,3.5,7.9,7.9,16.0,12.8,9.5,8.0,9.5,9.3,9.3,19.9,14.7,11.5,7.6,3.7,3.0,6.9,9.9,11.9,13.3,9.6,7.4,8.4,8.6,8.6,10.3,9.3,11.0,10.8,10.8,11.4,11.4,11.4,9.9,9.9,28.5,24.1,17.7,17.3,16.8,18.6,18.6,18.6,18.6,14.6,12.1,13.0,13.0,25.1,25.1,23.4,21.1,17.3,17.3,19.7,23.2,21.8,21.8,15.0,15.0,13.8,7.2,6.4,6.5,11.5,11.5,13.6,13.6,6.2,3.7,4.5,5.9,7.7,6.5,5.7,3.3,0.0,0.0,0.0,0.0,0.0,0.0,0.0,1.9,4.1,6.5,10.8,5.0,3.7,3.7,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,-0.7,-2.0,-3.8,-9.6,-9.2,-9.0,-7.7,-7.4,-8.8,-8.6,-8.7,-8.2,-7.4,-7.2,-7.2,-7.9,-6.5,-4.9,-2.8,1.2,2.2,3.4,4.3,5.7,4.0,0.9,-0.9,-3.1,-5.1,-6.5,-6.0,-6.6,-6.5,-6.8,-7.9,-7.6,-7.6,-7.9,-7.7,-8.1,-6.3,-3.5,-1.0,2.0,3.1,7.4,9.2,12.4,17.8,18.4,12.0,7.7,1.6,0.0,0.0,0.0,0.0,0.7,2.0,3.5,9.2,12.4,13.5,14.2,14.3,15.5,18.7,18.2,17.6,16.1,13.5,12.4,3.9,2.0,0.8,0.0,0.0,0.0,0.0,0.0,0.0,0.0,-1.0,-2.7,-5.5,-6.1,-5.9,-5.8,-6.1,-6.5,-7.8,-8.9,-7.9,-7.9,-7.1,-6.3,-6.4,-4.1,-2.5,-2.1,-1.8,-3.8,-6.6,-7.1,-9.7,-11.4,-14.8,-23.0,-22.0,-15.5,-15.5,-8.6,-7.7,-7.7,-6.3,-5.8,-5.4,-5.2,-5.5,-5.3,-5.0,-4.2,-3.6,-3.7,-2.9,-2.9,-3.1,-3.2,-4.1,-5.7,-4.7,-4.9,-5.8,-7.1,-13.1,-13.1,-13.2,-11.6,-10.1,-10.2,-8.9,-8.6,-7.3,-6.8,-7.3,-3.7,-2.6,-1.3,0.0,-1.4,-4.7,-8.5,-15.6,-17.1,-16.8,-18.5,-20.5,-21.3,-22.1,-24.1,-24.1,-24.8,-26.5,-27.9,-26.8,-24.2,-24.2,-19.9,-18.3,-19.8,-23.1,-19.3,-18.9,-19.3,-19.3,-10.6,-17.9,-15.1,-12.3,-12.3,-2.3,-5.4,-8.8,-12.2,-12.8,-8.0,-3.0,0.0,-3.7,-6.3,-6.1,-14.3,-15.5,-20.2,-20.2,-25.5,-30.8,-30.8,-30.8,-30.8,-30.8,-15.3,-10.8,-8.3,-7.4,-7.3,-9.3,-9.6,-4.8,-5.4,-5.3,-6.6,-13.0,-14.5,-16.9,-16.1,-19.1,-20.5,-18.4,-15.2,-21.0,-21.0,-10.9,-11.3,-12.4,-9.0,-12.2,-15.6,-9.9,-9.3,-7.1,-7.1,-7.2,-13.0,-10.0,-8.6,-8.1,-8.5,-8.7,-26.8,-23.9,-23.9,-23.9,-23.9,-9.9,-8.9,-9.4,-9.9,-9.9,0.0,0.0,-2.5,-6.2,-16.4,-29.7,-18.6,-18.6,-6.6,-6.6,-4.5,-8.0,-13.9,-16.6,-9.1,-6.1,-6.1,-2.7,-3.5,-5.8,-10.2,-11.2,-12.7,-12.7,-12.6,-13.9,-18.6,-23.3,-26.5,-24.8,-25.5,-15.6,-15.6,-15.6,-7.5,-6.3,-9.7,-18.6,-23.9,-32.7,-32.7,-32.7,-18.3,-3.7,-3.7,0.0,0.0,0.0,0.0,0.0,0.0,-3.2,-5.8,-10.4,-13.5,-17.3,-13.6,-6.9,-6.9,-2.1,-5.3,-10.6,-19.1,-20.2,-14.1,-7.9,-7.9,0.0,-2.7,-4.2,-6.2,-8.5,-13.4,-19.3,-26.9,-27.7,-22.1,-22.1,-22.1,-22.1,0.0,0.0,0.0,0.0,0.0,-2.3,-4.5,-8.6,-15.4,-17.8,-15.1,-12.7,-11.6,-11.6,-9.8,-8.0,-3.2,-2.5,-3.3,-4.6,-10.9,-9.8,-7.3,-3.4,-3.1,-3.5,-5.3,-11.0,-16.2,-7.5,-8.7,-8.7,-9.7,-21.6,-21.6,-21.6,-6.2,-5.7,-9.9,-6.0,-4.8,-4.9,-5.0,-9.0,-12.4,-12.0,-12.7,-13.9,-14.6,-13.2,-7.3,-3.5,-1.7,0.0,0.0,0.0,0.0,0.0,0.0,-0.7,-1.4,-2.5,-4.8,-12.0,-13.1,-13.7,-14.7,-13.4,-12.2,-13.0,-12.5,-12.8,-14.9,-17.8,-19.2,-20.5,-20.5,-18.5,-10.8,-10.2,-9.8,-10.7,-10.0,-15.5,-15.5,-3.6,-4.2,-4.4,-15.1,-16.6,-9.9,-8.9,-8.2,-8.2,-12.9,-16.6,-19.7,-20.3,-20.1,-15.9,-12.4,-10.7,-9.1,-9.1,-7.8,-5.4,-5.9,-6.0,-6.6,-9.9,-8.5,-6.3,-7.9,-8.8,-10.5,-17.4,-18.8,-18.4,-8.4,-7.3,-7.1,-7.7,-19.1,-17.6,-17.6,-6.6,-7.2,-7.8,-15.2,-16.2,-15.5,-14.9,-8.1,-6.6,-5.9,-5.0,-8.6,-9.6,-4.7,-4.6,-4.1,-4.1,-9.1,-8.7,-7.1,-7.1,-2.8,-5.7,-8.6,-11.4,-12.4,-10.2,-7.9,-8.5,-8.5,-10.5,-15.0,-16.6,-19.8,-23.6,-22.8,-26.7,-19.8,-13.5,-13.5,0.0,-3.3,-6.6,-9.8,-14.8,-19.7,-15.3,-14.5,-14.5,-9.1,-10.5,-11.5,-11.5,-11.9,-10.1,-10.0,-10.2,-12.2,-14.9,-16.8,-19.5,-21.0,-23.3,-23.4,-23.2,-9.3,-7.9,-6.7,-6.2,-9.9,-10.3,-10.9,-10.7,-11.4,-11.8,-8.0,-3.6,-1.4,-0.5,-1.0,-1.9,-3.3,-5.8,-4.7,-5.9,-6.1,-10.1,-12.1,-5.3,-2.8,-2.1,-1.8,-3.7,-10.6,-10.8,-12.5,-14.8,-14.6,-15.4,-16.2,-15.9,-12.6,-12.6,-10.6,-9.2,-9.3,-8.6,-8.4,-8.3,-7.5,-6.6,-6.8,-5.6,-1.7,-1.2,-1.0,-1.5,-3.7,-9.2,-6.0,-4.7,-2.6,0.0,1.5,3.5,4.9,9.0,12.2,7.7,7.6,8.2,8.4,13.0,10.1,7.5,7.9,6.8,10.4,15.9,15.9,16.3,18.5,18.9,18.9,10.0,7.6,6.0,6.1,6.4,6.4,18.0,18.0,21.6,18.5,18.5,15.1,10.1,5.3,5.1,5.9,6.6,6.6,9.0,7.3,10.0,10.0,10.0,2.3,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,2.7,5.8,5.8,37.1,37.1,25.9,25.9,19.1,19.1,18.0,6.6,5.4,3.6,3.4,3.4,9.1,10.8,18.6,6.8,6.8,5.1,3.9,3.9,15.4,8.0,6.9,3.0,1.5,1.4,3.7,13.2,13.7,13.7,8.3,2.9,2.9,3.0,6.5,6.5,14.9,14.0,6.3,2.5,0.0,1.6,3.4,5.7,10.4,11.1,7.5,6.3,6.2,6.4,10.6,11.8,11.8,7.3,6.8,6.1,6.1,13.3,5.3,5.5,6.3,6.7,8.2,7.3,5.2,5.0,4.8,10.8,15.2,16.2,17.2,17.1,12.5,11.6,11.6,21.6,21.6,21.6,21.6,17.7,11.8,11.7,11.7,11.7,17.4,17.4,17.4,7.7,6.2,6.2,14.7,14.7,9.0,9.0,9.0,10.4,10.4,19.8,15.7,13.3,14.0,13.6,13.6,12.5,10.4,10.1,9.6,13.7,13.5,10.4,6.8,8.1,8.5,8.5,13.1,4.5,4.9,5.6,5.6,28.4,9.2,7.7,4.5,4.3,4.1,4.1,17.1,17.1,15.0,13.1,15.8,15.8,7.0,5.8,2.8,1.1,1.1,0.0,0.0,0.0,-1.7,-7.6,-14.2,-14.2,-14.2,-14.2,-2.0,-2.1,-8.3,-12.0,-14.6,-7.4,-7.9,-7.2,-8.4,-20.1,-16.8,-21.7,-20.6,-18.8,-16.4,-9.6,-9.5,-9.5,-3.2,-1.9,0.0,-1.6,-3.7,-6.0,-11.1,-10.2,-12.2,-14.8,-16.4,-8.2,-7.0,-6.4,-6.7,-21.2,-17.2,-17.2,-17.2,-17.2,0.0,1.2,4.3,8.6,8.6,17.1,10.7,8.0,6.7,6.0,4.7,3.3,3.3,4.4,7.8,7.8,15.2,13.6,12.4,12.0,6.2,4.0,3.7,3.8,7.2,15.9,14.1,15.1,14.9,14.9,13.8,7.2,7.6,7.4,7.4,14.8,14.8,5.1,5.1,1.3,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,1.0,2.5,4.3,11.0,15.9,8.8,7.3,6.2,5.8,10.0,10.3,8.2,5.7,2.1,-1.5,-3.2,-5.0,-7.6,-9.8,-4.6,-1.5,-0.7,0.0,0.0,0.0,-1.8,-4.1,-6.1,-9.9,-11.3,-14.6,-14.8,-17.8,-18.1,-13.7,-14.1,-13.3,-14.4,-17.1,-19.5,-21.4,-18.3,-17.2,-15.2,-12.3,-11.6,-12.2,-6.7,-5.6,-7.0,-6.0,-10.0,-13.6,-13.0,-11.8,-14.8,-14.0,-10.4,-10.4,-6.0,-6.0,-4.6,-4.6,-6.5,-6.9,-9.7,-9.9,-10.5,-11.6,-11.9,-12.6,-15.1,-16.1,-20.0,-24.6,-20.6,-20.9,-20.9,-18.2,-20.8,-17.7,-9.4,-9.4,-8.0,-7.6,-10.2,-3.6,-4.0,-3.9,-3.8,-7.9,-7.3,-5.9,-2.9,-1.5,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,-1.9,-3.7,-6.9,-9.1,-12.9,-9.3,-8.5,-9.2,-9.6,-11.9,-13.9,-15.7,-13.9,-14.9,-13.0,-10.6,-9.3,-9.3,-8.6,-10.7,-14.6,-13.3,-9.7,-6.3,-6.3,-3.5,-4.2,-4.6,-5.9,-10.3,-12.2,-10.4,-10.9,-10.9,-9.8,-13.6,-13.7,-10.7,-9.8,-9.8,-10.0,-15.5,-19.7,-21.6,-22.9,-18.9,-15.8,-13.1,-11.3,-10.3,-11.4,-10.0,-12.3,-11.0,-10.0,-12.0,-11.7,-14.6,-14.3,-14.9,-16.1,-16.1,-20.5,-24.3,-26.8,-22.0,-22.0,-15.6,-11.1,-9.6,-8.9,-8.9,-11.2,-12.4,-14.6,-15.2,-19.2,-20.2,-22.7,-23.9,-22.9,-17.6,-18.7,-23.4,-16.3,-16.3,-16.3,-12.7,-14.6,-21.7,-19.2,-22.1,-22.1,-14.2,-10.3,-9.9,-9.4,-9.4,-9.5,-9.2,-8.3,-8.3,-9.0,-8.0,-8.6,-7.6,-7.9,-9.4,-8.5,-9.1,-9.2,-7.8,-7.9,-7.9,-8.3,-9.6,-11.4,-11.5,-12.1,-12.4,-13.7,-16.3,-17.4,-12.5,-10.5,-8.7,-7.9,-10.4,-11.7,-15.4,-15.5,-16.2,-12.7,-10.2,-10.8,-8.6,-9.6,-9.7,-8.5,-9.3,-8.2,-10.5,-11.0,-12.6,-18.8,-15.3,-19.9,-15.3,-11.2,-11.6,-8.8,-9.5,-10.8,-12.7,-16.7,-19.5,-19.9,-20.8,-22.2,-24.8,-13.6,-11.7,-11.7,-4.8,-2.8,-2.8,-6.8,-7.3,-8.5,-8.9,-9.4,-9.9,-10.0,-9.2,-8.5,-8.5,-6.7,-8.3,-11.2,-13.4,-12.1,-8.5,-8.5,-5.5,-7.1,-9.1,-10.4,-12.8,-13.0,-8.0,-6.5,-6.3,-5.0,-7.0,-7.6,-7.6,-8.9,-9.9,-10.6,-11.6,-10.4,-9.4,-8.2,-8.5,-9.3,-11.7,-17.6,-24.2,-14.4,-14.4,-14.4,-3.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,10.5,12.8,17.5,19.1,19.1,36.1,36.1,36.1,38.3,32.3,32.3,28.1,28.1,27.3,27.5,27.5,27.5,27.5,27.5,16.0,11.2,10.9,12.7,16.4,16.4,25.7,27.6,27.6,12.3,11.3,10.3,10.3,10.3,16.7,15.4,13.9,15.0,15.0,15.0,13.2,12.1,13.1,13.1,13.1,11.4,12.4,12.6,12.6,18.9,17.3,17.3,15.2,15.2,15.4,15.4,13.8,13.0,13.5,13.8,12.7,11.9,11.9,10.9,9.7,15.7,7.3,1.5,-1.5,-5.6,-12.0,-6.8,-5.9,-2.7,-1.0,1.6,4.1,4.1,32.3,24.0,17.7,17.3,17.5,17.8,21.4,11.0,8.3,8.6,7.3,8.2,14.4,9.9,12.1,10.5,8.5,12.5,8.9,8.9,5.7,4.7,6.2,10.9,5.7,5.5,5.5,5.8,11.7,10.6,10.2,9.9,11.1,10.9,10.9,9.1,8.6,8.7,9.9,19.1,8.7,2.4,1.8,1.7,3.3,10.4,11.4,7.4,1.3,-1.8,-4.2,-6.4,-13.5,-8.2,-7.6,-7.6,0.0,1.0,2.8,4.2,10.1,12.0,8.2,2.2,0.0,-1.7,-2.6,-5.3,-10.1,-11.2,-14.9,-15.6,-20.1,-25.7,-9.4,-8.7,-8.7,-3.5,-2.0,0.0,0.0,0.0,2.1,4.3,11.6,28.0,28.0,28.0,28.0,23.0,15.4,11.2,9.3,8.4,8.2,6.7,1.9,1.0,0.0,0.0,0.0,-1.1,-2.0,-2.6,-3.3,-6.3,-8.0,-11.6,-14.0,-16.4,-17.9,-19.1,-27.0,-16.9,-13.9,-13.9,-5.7,-5.8,-8.6,-3.6,-3.6,-2.1,-0.9,2.8,5.2,5.2,15.7,15.4,10.6,10.6,14.1,14.1,22.5,14.5,12.1,7.7,4.7,0.0,12.1,16.1,25.8,25.8,28.8,25.6,25.6,21.1,21.1,25.3,25.3,31.3,28.5,24.7,21.9,13.5,14.2,8.3,8.3,8.3,6.6,9.0,13.1,14.6,13.5,14.0,10.8,12.7,13.0,13.0,16.4,13.8,13.8,9.8,8.8,12.0,15.2,11.9,12.5,13.7,13.7,17.4,14.8,10.6,11.2,9.7,8.3,9.5,5.1,5.3,5.6,5.2,9.5,5.0,4.1,4.5,4.0,7.3,11.1,8.0,7.8,8.3,8.2,10.5,8.7,2.3,1.9,1.9,3.3,6.9,7.4,4.7,4.1,4.7,5.0,8.8,7.9,8.9,10.0,12.1,18.3,8.2,7.5,6.2,5.4,11.6,14.1,9.5,9.1,8.5,6.9,7.1,3.2,2.6,2.7,3.5,6.9,10.1,6.2,5.9,6.6,6.6,12.3,11.8,9.0,10.3,10.3,8.2,10.3,7.2,6.4,6.7,10.7,13.9,13.9,13.7,9.2,8.8,10.0,6.9,7.1,7.4,7.4,11.9,8.1,9.8,11.0,11.0,15.2,12.6,10.8,9.9,9.2,8.8,5.6,5.4,5.3,6.2,11.1,12.5,9.2,9.5,7.9,8.7,12.3,9.0,5.7,5.1,4.2,6.3,9.7,5.4,5.8,5.3,6.1,12.6,6.2,5.3,4.6,4.7,9.9,14.2,9.4,9.8,9.7,9.7,16.7,13.4,14.3,13.6,15.4,16.1,11.2,11.1,9.2,9.2,14.9,13.2,4.6,3.6,4.4,4.6,4.6,23.6,23.6,23.6,20.8,20.8,8.7,7.2,6.2,5.9,5.5,10.6,12.3,8.5,9.6,9.3,9.3,13.5,12.7,11.7,11.3,9.9,12.7,9.3,7.4,7.2,7.7,8.3,5.0,4.9,4.3,4.4,7.5,3.0,1.5,1.5,1.5,2.6,6.6,4.8,5.1,4.4,4.8,4.8,7.2,10.5,9.7,10.0,9.4,7.9,9.4,6.8,6.5,6.5,4.6,4.6,5.4,5.5,8.3,8.3,7.4,7.1,7.1,7.9,5.7,5.5,5.5,5.4,12.2,15.3,10.8,7.1,6.9,7.0,9.4,14.3,10.3,10.9,10.5,9.9,12.0,6.3,6.2,7.5,8.7,17.5,15.8,14.5,16.6,19.0,19.0,4.2,4.2,1.1,0.7,0.5,0.5,1.6,2.4,4.4,5.7,7.0,7.0,8.3,8.3,5.8,5.7,5.6,5.5,7.1,9.7,9.7,4.3,2.7,2.7,3.1,9.7,12.6,11.6,6.7,7.1,6.7,6.7,18.8,14.4,14.5,12.1,11.9,8.7,6.2,4.4,4.4,6.0,6.0,6.0,21.4,16.4,15.4,18.6,18.6,18.6,18.6,18.6,16.9,12.9,12.8,8.6,8.3,7.3,8.2,9.9,6.0,5.0,5.4,7.6,7.6,7.6,7.6,18.0,18.1,15.8,16.7,16.7,19.9,19.9,23.1,21.7,17.2,16.8,16.8,15.7,11.3,8.2,6.0,6.0,4.2,5.0,5.0,20.2,15.3,12.9,10.2,9.0,11.7,9.8,8.3,8.3,8.3,12.5,12.5,14.8,14.1,12.7,12.7,15.1,13.9,9.4,5.9,6.9,6.7,7.9,12.9,8.9,6.4,7.4,6.8,6.8,15.8,11.6,13.4,16.7,16.7,16.7,10.9,10.0,9.7,8.0,8.4,8.9,10.6,14.0,6.8,8.4,8.7,8.7,48.0,48.0,30.1,30.1,23.1,23.1,20.8,20.8,17.6,17.6,21.9,21.9,33.6,32.6,32.6,25.2,20.5,13.4,12.6,12.6,16.4,10.7,11.2,9.6,8.0,10.8,10.1,9.1,8.5,7.8,8.2,12.3,15.5,15.5,12.6,11.8,17.6,17.6,21.0,20.2,18.8,18.8,17.1,17.1,16.2,8.4,8.0,9.5,9.1,13.8,9.1,5.0,4.7,4.0,6.7,11.4,6.3,7.1,6.7,6.7,19.2,15.3,17.0,16.2,15.4,15.4,17.6,12.3,11.1,11.2,10.0,10.0,18.6,18.0,18.9,19.4,17.8,17.9,16.5,16.5,20.8,23.0,23.0,20.9,20.9,16.6,14.0,15.2,15.2,16.8,14.8,13.1,15.4,23.2,23.2,23.2,23.2,26.7,18.1,17.1,17.1,22.0,22.0,22.3,17.9,14.3,14.7,12.5,12.5,17.8,16.6,16.6,16.3,18.0,14.2,14.2,15.8,12.0,12.0,21.8,11.8,11.8,10.7,9.6,9.6,15.1,15.1,14.7,12.0,12.0,12.4,10.1,3.4,1.9,1.1,2.4,6.6,9.0,9.7,4.4,4.6,4.8,5.1,12.9,15.8,9.8,9.8,8.8,8.8,14.2,16.2,8.6,5.4,21.0,15.0,15.0,15.0,6.1,7.6,8.8,9.9,9.2,9.1,8.8,8.8,14.3,5.5,2.6,2.1,2.1,4.0,11.0,11.7,11.6,13.0,14.3,14.3,15.3,10.3,3.6,0.0,0.0,0.0,-2.9,-4.0,-6.1,-8.7,-8.0,-8.1,-8.6,-7.7,-8.5,-9.6,-10.3,-10.5,-12.8,-14.4,-13.7,-12.0,-12.0,0.0,0.0,-1.3,-2.3,-3.4,-6.7,-6.7,-6.5,-8.4,-7.5,-7.8,-7.7,-6.4,-6.5,-6.4,-7.7,-8.7,-9.1,-9.6,-8.1,-7.6,-6.9,-5.8,-6.0,-4.8,-6.2,-6.6,-7.1,-10.0,-11.1,-11.0,-12.6,-14.5,-13.6,-15.1,-15.8,-14.8,-15.6,-18.8,-18.6,-21.6,-24.3,-16.0,-14.2,-14.2,-11.5,-16.0,-18.7,-19.6,-17.4,-15.0,-13.8,-11.9,-10.6,-10.1,-8.8,-9.4,-10.5,-10.7,-12.0,-11.6,-12.0,-13.1,-15.0,-17.9,-18.0,-20.2,-18.6,-17.6,-17.0,-13.2,-12.1,-9.5,-8.0,-8.7,-9.3,-12.3,-14.4,-14.9,-13.9,-13.5,-13.8,-13.1,-13.4,-12.7,-11.0,-10.2,-9.7,-9.8,-8.3,-8.6,-8.6,-9.1,-12.6,-14.6,-22.1,-19.6,-1.2,-1.2,11.9,14.2,14.2,15.2,8.9,9.3,9.8,9.8,16.6,16.6,23.3,23.3,23.3,23.3,25.2,25.2,22.5,22.8,21.8,21.8,12.6,12.6,4.1,1.7,1.7,4.6,10.9,16.7,17.4,9.4,3.4,1.5,1.5,3.6,9.5,15.3,15.5,7.7,7.9,8.3,8.3,8.3,21.1,21.5,20.2,20.2,20.2,17.5,18.0,17.2,16.9,16.9,16.9,16.2,9.3,7.7,7.8,8.0,8.0,14.5,11.3,9.7,10.2,10.4,10.4,7.8,6.6,6.3,6.2,6.2,24.3,21.9,17.2,17.2,15.7,14.4,14.4,16.4,17.8,18.0,18.0,18.0,18.0,20.1,20.1,18.8,20.2,19.8,19.8,19.8,17.4,17.4,14.0,10.5,12.8,14.3,14.3,22.0,16.1,15.7,15.1,13.5,13.3,11.6,10.7,10.7,8.9,7.3,7.3,18.9,21.7,21.8,21.6,23.2,15.3,14.6,11.5,4.6,2.0,1.8,5.2,11.6,17.9,13.4,11.4,5.1,2.3,0.0,0.0,0.0,2.1,5.3,12.1,12.1,20.1,14.0,8.4,5.2,0.0,2.1,4.8,8.8,8.8,8.8,8.8,6.8,7.6,9.2,9.2,16.7,16.5,14.2,14.2,9.4,6.9,7.7,7.5,7.5,19.6,15.3,15.3,4.4,3.7,4.2,4.2,4.2,13.8,13.8,10.9,9.7,9.7,13.6,10.2,7.2,3.9,4.5,3.5,7.3,18.2,18.2,25.2,17.2,17.2,7.7,-9.3,-12.6,-13.6,-11.7,-10.4,-9.8,-10.1,-12.7,-14.9,-18.0,-21.5,-26.4,-27.7,-28.6,-28.6,-28.6,-28.6,-8.0,-8.0,-7.4,-8.7,-19.3,-20.6,-20.2,-17.6,-12.0,-8.8,-8.8,-5.6,-7.4,-9.7,-13.4,-13.1,-14.5,-14.6,-16.1,-9.6,-8.2,-7.4,-5.4,-9.5,-10.9,-11.8,-13.8,-14.8,-15.1,-12.9,-11.8,-11.5,-10.7,-11.3,-11.8,-12.5,-10.0,-10.0,-8.9,-9.0,-11.8,-8.8,-5.7,-4.8,-4.8,-6.0,-7.8,-7.9,-6.6,-7.0,-7.7,-7.4,-8.8,-9.3,-3.9,-3.2,-2.9,-2.9,-6.0,-8.8,-10.4,-10.7,-10.8,-11.8,-10.7,-9.6,-9.9,-9.6,-11.9,-12.6,-13.4,-9.6,-8.9,-9.8,-9.9,-13.4,-13.0,-11.8,-11.1,-10.6,-11.0,-10.9,-12.2,-12.6,-14.2,-16.8,-18.5,-22.5,-23.0,-24.8,-18.9,-12.7,-12.7,-8.0,-11.4,-14.8,-16.4,-18.8,-19.5,-17.4,-15.4,-13.0,-13.3,-10.6,-7.8,-7.8,25.4,13.8,12.3,1.4,1.4,2.8,3.9,11.9,8.7,1.9,0.9,0.0,0.0,-1.3,-2.2,-7.0,-16.5,-21.3,-35.4,-38.0,-43.6,-43.6,-43.6,-43.6,-16.3,-16.3,-12.5,-10.8,-12.0,-10.8,-11.4,-11.6,-11.7,-11.2,-8.0,-7.9,-6.9,-6.6,-8.5,-8.6,-8.3,-9.8,-10.8,-7.9,-7.3,-2.9,3.0,5.5,5.5,13.2,11.7,7.8,4.5,0.0,-3.4,-6.3,-11.0,-12.4,-14.3,-15.8,-18.8,-11.4,-12.1,-13.0,-15.1,-15.1,-15.1,-15.1,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,-1.1,-5.0,-6.9,-10.2,-8.7,-6.9,-6.7,-6.9,-10.0,-9.8,-7.9,-3.6,-1.5,-2.2,-3.3,-6.8,-9.8,-13.5,-12.9,-13.2,-14.2,-17.8,-24.3,-17.7,-17.7,-4.6,-1.5,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,1.5,4.0,6.2,8.3,11.0,9.6,9.7,10.8,10.8,13.0,5.5,4.2,4.4,5.5,5.5,5.5,24.2,24.6,24.2,27.0,20.3,20.3,22.8,22.9,22.9,22.9,25.2,24.4,21.2,21.2,21.2,27.9,27.9,28.3,13.1,9.0,2.5,-2.4,-5.9,-10.3,-17.0,-7.9,-8.3,-8.1,-7.0,-13.5,-8.0,-8.3,-9.0,-10.5,-13.7,-14.6,-15.3,-12.6,-14.1,-14.3,-14.8,-20.3,-23.3,-7.8,-5.9,-5.2,-4.4,-13.4,-12.7,-13.4,-13.4,-10.7,-13.0,-12.8,-14.6,-19.3,-26.1,-45.8,-27.0,-27.0,-27.0,-27.0,-9.5,-7.6,-8.6,-13.5,-14.6,-15.7,-22.7,-22.4,-23.3,-25.0,-25.2,-20.5,-17.4,-15.7,-15.2,-16.4,-19.4,-21.1,-24.2,-24.9,-27.1,-28.5,-25.2,-26.0,-20.8,-18.1,-18.2,-18.2,-19.4,-19.9,-18.9,-19.5,-20.5,-20.9,-16.9,-14.4,-14.4,-13.0,-15.2,-16.8,-14.3,-13.7,-14.2,-15.6,-19.7,-21.4,-23.6,-26.7,-20.7,-20.7,-20.7,-2.0,-4.6,-6.9,-8.8,-9.8,-10.3,-12.6,-14.9,-9.3,-4.0,-1.5,0.9,1.8,3.5,6.1,7.0,3.0,1.1,0.0,-1.1,-1.8,-3.8,-8.9,-10.2,-11.3,-13.4,-12.8,-7.5,-5.9,-6.4,-4.9,-8.2,-8.2,-9.3,-17.0,-16.6,-16.6,-16.6,-16.6,-16.6,-16.6,-40.1,-39.0,-19.0,-19.0,-19.0,-4.7,-3.7,-7.0,-17.9,-21.8,-24.3,-25.5,-25.7,-19.5,-17.9,-16.0,-15.4,-14.1,-15.3,-12.6,-14.3,-14.0,-16.1,-16.1,-26.6,-31.1,-17.2,-14.7,-12.1,-12.1,-10.9,-14.7,-16.3,-14.6,-13.1,-16.2,-18.7,-18.1,-16.1,-16.1,-7.6,-6.8,-7.1,-9.2,-12.6,-12.2,-27.3,-27.3,-16.9,-16.9,-0.7,0.0,0.0,-0.7,-2.1,-3.5,-5.9,-10.1,-10.8,-15.0,-22.9,-28.0,-29.5,-29.5,-29.2,-34.3,-37.0,-33.6,-33.6,-33.6,-33.6,-33.6,-16.4,-14.6,-11.8,-13.5,-8.9,-8.8,-10.5,-10.7,-19.7,-28.6,-32.9,-24.8,-7.7,-4.0,-4.0,0.0,0.0,1.8,3.7,7.8,16.0,16.0,16.0,21.1,25.6,28.4,28.4,28.4,28.4,10.2,6.0,5.1,5.4,7.9,14.1,8.0,7.9,7.7,7.7,18.0,11.0,9.9,3.0,2.8,3.4,4.8,10.8,11.0,8.5,9.6,11.1,11.1,16.1,16.8,15.4,16.6,16.4,12.4,12.6,11.4,10.9,13.7,14.2,16.0,15.4,14.8,7.3,6.4,6.3,6.1,10.7,7.7,8.7,8.6,9.1,13.2,12.7,15.4,13.6,14.1,15.0,11.6,18.3,18.5,10.6,12.2,9.4,9.4,24.9,24.6,22.9,21.1,20.6,8.3,7.0,6.7,6.4,5.6,13.4,13.6,10.4,7.5,7.2,7.1,10.5,13.7,10.4,5.1,4.4,3.8,5.2,9.9,8.0,11.1,12.9,12.9,12.9,16.1,15.7,20.3,20.3,20.3,11.9,6.1,3.3,3.1,5.5,8.0,14.6,15.0,13.8,14.3,14.8,17.5,18.7,19.4,11.2,8.6,8.6,2.9,3.1,2.6,3.9,6.2,4.8,4.8,4.0,5.1,8.0,8.0,8.0,6.3,7.0,8.1,8.1,24.9,24.9,22.8,20.9,16.7,16.7,9.3,8.7,8.9,9.3,13.9,13.8,16.8,17.0,17.0,16.5,10.3,8.7,9.6,10.3,10.3,14.2,14.2,7.8,6.3,5.7,9.9,13.9,13.9,12.6,10.5,10.1,14.5,15.4,18.6,15.5,15.5,13.6,7.7,6.2,7.4,7.4,7.4,12.8,11.3,10.1,8.9,10.0,8.4,4.7,4.7,3.9,6.6,16.7,16.7,21.4,21.4,16.3,16.3,12.9,5.1,5.2,5.6,5.6,15.1,15.1,10.2,10.8,10.2,10.2,14.3,11.1,10.4,11.2,10.5,11.5,6.6,5.8,7.2,7.5,15.7,14.5,10.1,6.7,6.3,6.8,8.4,12.8,10.0,2.8,1.4,0.0,0.0,0.0,12.0,10.7,10.7,8.9,0.0,0.0,-1.3,-2.8,-6.0,-7.7,-8.2,-5.1,-4.6,-4.2,-4.5,-6.5,-7.0,-9.0,-9.8,-10.9,-11.1,-11.4,-9.6,-8.9,-10.3,-10.0,-11.4,-10.9,-9.1,-9.2,-9.9,-13.3,-18.4,-24.7,-27.7,-27.7,-27.7,-27.7,0.0,0.0,1.8,3.5,6.2,6.2,14.4,12.8,12.8,2.0,1.8,4.3,4.3,19.0,19.0,9.0,7.1,7.2,7.5,7.5,7.5,10.3,10.1,10.4,10.4,12.1,12.1,9.7,8.3,8.5,8.5,9.5,8.4,8.4,7.9,7.9,15.7,7.9,4.1,1.5,1.4,3.4,6.6,6.6,9.5,7.8,7.8,1.9,0.0,3.5,3.7,3.9,3.7,0.0,-1.5,-3.8,-10.6,-30.9,-30.9,-30.9,-18.0,-17.5,-15.6,-18.1,-19.6,-23.9,-43.8,-42.9,-32.6,-32.6,-32.6,-10.0,-14.6,-19.3,-28.7,-28.7,-19.5,-19.5,-10.4,-10.4,-9.3,-12.1,-13.3,-14.5,-15.6,-11.9,-11.7,-11.7,-11.3,-14.3,-13.8,-14.6,-16.5,-17.7,-20.9,-21.7,-24.1,-28.9,-36.5,-51.4,-51.4,-51.4,-51.4,-51.4,-7.4,-9.8,-7.8,-5.1,-5.1,-5.4,-7.6,-12.6,-14.7,-18.7,-18.6,-20.1,-21.3,-21.5,-24.3,-25.7,-24.5,-23.5,-22.4,-20.1,-20.4,-17.0,-14.6,-14.6,-13.9,-16.9,-17.5,-18.1,-17.6,-18.6,-21.5,-20.9,-24.4,-22.9,-21.6,-23.0,-23.1,-22.6,-24.1,-22.6,-21.7,-25.6,-27.7,-26.0,-27.1,-27.1,-18.6,-18.6,-16.1,-14.3,-14.4,-14.6,-15.4,-17.4,-19.9,-21.2,-22.8,-23.0,-22.2,-20.7,-17.9,-17.2,-15.0,-15.2,-15.5,-16.0,-17.3,-18.7,-21.1,-20.8,-17.6,-18.5,-19.7,-21.6,-24.0,-24.1,-21.9,-22.4,-26.7,-28.1,-27.3,-27.1,-28.1,-27.5,-27.8,-25.0,-25.0,-19.6,-22.7,-22.7,-22.3,-22.1,-19.4,-19.7,-19.3,-16.6,-14.8,-12.5,-11.8,-12.6,-14.0,-14.5,-14.4,-14.1,-11.7,-12.2,-12.5,-16.5,-23.9,-31.5,-42.3,-36.3,-36.3,-36.3,-36.3,-36.3,-14.8,-20.0,-26.4,-26.4,-26.4,-26.4,-26.4,-7.9,-4.7,-0.7,-1.4,-2.3,-4.1,-6.5,-2.5,-2.5,-2.5,-2.5,-6.8,-7.7,-8.8,-11.5,-14.4,-19.2,-24.2,-27.7,-19.3,-14.7,-13.4,-13.0,-16.3,-20.5,-23.3,-21.2,-21.0,-18.5,-15.9,-14.3,-15.3,-15.9,-16.3,-17.2,-16.3,-16.0,-18.0,-16.9,-17.3,-17.7,-14.1,-13.8,-11.9,-9.5,-6.3,-5.6,-5.6,-2.6,-2.2,-0.9,1.0,4.2,4.2,21.5,18.6,11.6,12.9,13.3,15.8,15.8,38.0,38.0,22.9,22.9,19.6,19.6,26.1,22.0,21.2,19.3,19.2,19.2,16.9,15.7,9.8,6.9,8.0,9.8,9.8,9.8,19.2,19.2,19.4,10.1,10.1,10.1,10.6,10.6,10.6,31.1,32.8,32.8,32.4,32.4,26.9,31.1,31.1,30.3,29.8,29.8,28.8,27.7,27.6,14.5,13.0,13.0,12.3,12.3,16.9,15.9,15.9,21.8,21.8,21.8,21.8,18.9,19.0,17.8,17.8,18.4,18.4,17.8,19.1,19.1,19.1,53.6,53.6,53.6,42.4,42.4,32.9,32.6,32.6,28.7,29.7,24.9,22.4,19.3,15.9,16.2,21.5,23.7,23.7,23.7,19.7,18.2,19.8,15.3,15.3,18.1,15.9,13.8,12.8,15.0,16.4,11.8,12.9,12.3,12.3,22.9,22.9,15.5,11.4,14.4,14.4,14.4,12.9,11.3,10.8,10.8,16.4,16.4,15.7,15.3,14.7,14.7,9.2,8.7,8.8,8.8,24.0,18.9,18.9,4.6,4.1,4.1,4.0,4.6,1.1,-1.0,-2.1,-3.3,-6.3,-5.6,-5.7,-5.7,-6.9,-6.0,-4.0,-1.9,-0.7,0.7,1.5,3.7,8.0,9.0,11.2,11.9,13.4,12.3,10.6,9.1,8.2,9.2,10.4,9.0,9.5,10.4,11.4,14.1,14.2,10.4,10.3,8.9,9.3,11.6,13.2,16.6,16.6,20.9,19.1,4.5,1.5,1.4,1.1,2.5,9.4,16.7,14.8,15.0,14.1,14.3,9.9,6.3,6.0,5.7,5.7,23.7,26.3,28.3,28.3,28.3,31.2,29.3,24.3,20.3,18.9,18.0,20.9,20.9,20.9,15.8,13.3,15.7,15.7,15.7,34.7,33.4,34.3,31.6,31.6,31.6,31.6,28.5,24.7,24.7,27.1,27.1,20.4,20.4,20.9,15.9,15.9,13.9,13.7,13.7,22.8,22.8,22.1,22.1,21.6,21.6,12.9,12.1,12.6,11.2,20.2,20.3,20.3,22.0,18.8,8.2,8.2,6.7,6.0,6.5,6.5,6.5,25.6,25.3,23.7,25.3,24.8,23.1,23.1,26.6,26.3,26.3,27.8,29.4,29.4,26.1,24.4,22.6,22.6,23.8,23.8,14.4,12.8,12.3,11.9,11.9,14.8,13.8,13.1,12.8,11.8,13.7,13.3,13.7,14.0,14.0,17.2,11.2,6.6,2.1,2.2,4.9,4.9,20.4,15.1,12.8,11.4,11.3,11.5,16.6,16.6,21.4,20.4,20.5,21.6,27.8,26.3,26.3,26.3,26.3,30.8,30.8,25.0,27.9,27.9,9.2,5.8,5.4,5.1,4.9,11.6,10.9,8.1,4.9,6.8,7.9,11.5,16.7,15.7,7.5,8.2,7.7,7.7,19.2,10.1,9.1,8.2,8.1,8.1,10.8,10.8,6.7,4.6,6.2,12.9,12.9,18.6,5.9,4.7,3.9,3.1,4.5,10.8,10.6,10.4,8.1,8.1,13.4,13.4,16.5,4.7,4.2,4.9,4.6,10.1,12.2,5.2,5.4,5.5,5.5,10.9,4.7,4.0,4.0,4.4,9.0,11.3,6.5,6.7,7.9,7.9,7.9,14.2,15.6,16.8,16.8,23.8,23.8,23.8,16.3,13.9,9.6,8.7,7.6,8.3,8.6,8.6,7.4,6.0,5.6,5.6,12.6,16.0,8.8,8.8,6.7,5.1,7.7,12.6,14.5,11.0,10.8,9.3,9.9,13.7,13.7,2.5,2.4,2.1,5.3,15.2,8.5,9.0,9.8,9.8,9.8,18.1,5.7,4.4,4.5,3.7,5.1,16.5,17.5,17.5,5.9,2.2,0.0,0.0,0.0,0.0,-1.6,-2.8,-5.9,-8.1,-11.9,-11.9,-13.7,-22.7,-13.0,-10.9,-8.8,-7.6,-10.1,-5.0,-2.6,-2.1,-2.1,-4.5,-6.9,-8.6,-5.2,-3.4,-3.5,-3.4,-5.1,-7.5,-8.8,-10.8,-13.0,-14.6,-14.0,-15.9,-15.6,-16.9,-17.4,-16.1,-12.4,-9.4,-8.2,-7.0,-7.9,-4.8,-5.4,-6.0,-7.1,-20.9,-26.8,-11.8,-7.3,-7.3,0.0,0.0,0.0,0.0,1.6,4.6,6.8,18.6,14.8,14.8,6.0,4.6,4.9,4.9,4.9,4.9,24.0,24.4,24.5,24.5,16.2,16.2,19.5,14.8,11.3,11.3,17.4,17.4,14.4,14.4,11.4,9.9,9.9,9.9,5.2,3.9,2.4,2.3,3.9,3.9,3.9,3.9,8.6,7.1,6.7,13.3,15.6,6.2,5.2,5.4,5.8,5.8,5.3,5.3,3.0,2.8,3.1,6.6,9.8,6.0,3.8,1.9,2.3,7.5,14.9,14.9,14.9,14.0,3.2,2.3,1.8,3.0,3.0,7.4,6.4,5.1,5.1,4.4,4.4,15.3,4.2,2.3,2.0,2.0,5.2,8.4,8.4,9.4,5.5,7.5,12.1,12.1,12.1,15.6,13.6,9.4,11.4,12.0,12.0,12.0,26.8,26.8,22.9,22.9,10.2,7.6,3.1,1.2,1.0,2.5,5.1,5.1,12.2,11.5,12.2,13.5,15.3,10.3,9.5,3.8,3.3,2.6,5.0,5.0,9.6,8.1,3.8,1.3,1.2,2.8,5.6,14.2,14.2,9.2,5.9,5.8,5.7,9.0,8.6,7.4,2.6,2.6,3.2,3.2,17.7,13.6,12.2,4.9,3.6,3.0,5.8,5.8,14.8,13.5,11.6,10.8,10.3,7.9,6.8,4.4,5.1,5.2,5.2,11.6,11.6,8.9,10.0,10.0,20.1,7.6,5.8,5.7,5.6,5.6,15.4,12.8,12.0,10.9,9.0,10.9,6.7,7.2,7.5,7.2,14.1,8.3,5.4,5.5,5.4,9.1,7.8,6.9,3.2,2.6,2.6,2.6,18.2,17.3,9.4,4.8,5.6,4.4,5.0,6.0,0.0,0.0,0.0,0.0,0.0,1.4,2.8,4.5,4.5,10.9,9.4,8.7,9.6,9.9,9.9,9.7,2.6,2.5,2.4,2.4,14.8,13.6,7.2,6.5,6.2,6.7,6.7,13.3,12.0,2.6,2.1,2.2,3.1,3.1,14.0,10.8,10.8,3.7,3.7,6.5,6.5,7.6,6.3,2.3,0.9,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,1.1,2.6,5.3,8.2,13.0,10.6,2.4,0.9,0.0,0.0,0.0,0.0,0.5,1.4,2.8,6.7,10.2,4.5,1.8,1.2,1.2,2.1,4.5,6.0,3.6,2.1,0.6,0.0,-0.8,-1.3,-3.1,-4.9,-7.1,-7.8,-8.7,-9.0,-9.2,-10.1,-8.9,-8.0,-7.3,-7.2,-7.9,-8.6,-9.6,-11.1,-12.9,-15.5,-10.4,-6.0,-1.6,0.8,1.8,2.9,6.8,10.2,4.5,2.7,1.9,1.9,4.6,8.2,10.1,6.6,7.4,7.5,7.9,14.1,8.5,8.8,8.9,10.4,15.9,15.9,4.8,4.6,4.5,8.3,10.9,4.7,1.4,0.5,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,-0.3,-0.6,-1.0,-2.5,-4.4,-2.3,-1.2,-0.5,0.0,0.0,0.0,0.0,0.0,0.0,-0.7,-3.4,-4.3,-5.1,-5.6,-3.4,-1.1,-0.4,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,-1.4,-4.4,-5.1,-6.3,-6.9,-2.7,-1.9,-1.0,0.0,0.0,0.0,0.0,0.0,0.0,-0.6,-1.4,-2.0,-3.2,-6.2,-4.5,-2.2,-1.4,-1.0,-1.9,-6.0,-8.4,-8.9,-11.1,-11.6,-13.0,-13.5,-13.8,-16.4,-17.6,-20.5,-19.3,-14.9,-10.1,-5.9,-5.7,-2.9,-2.0,-1.0,0.0,0.0,1.6,4.2,6.1,7.6,7.3,6.4,6.4,6.2,7.7,9.8,6.9,7.0,8.4,8.0,12.7,13.8,10.2,6.7,6.1,6.3,9.4,20.8,20.8,24.5,18.8,17.7,17.7,3.6,2.3,2.4,3.7,6.7,13.7,10.0,3.3,2.0,-1.5,-2.3,-5.1,-6.3,-9.0,-6.6,-1.2,3.9,3.9,19.8,18.9,11.2,9.2,8.6,8.0,14.3,7.6,8.2,7.8,7.8,13.2,12.4,12.4,10.8,10.9,14.7,14.7,6.3,3.6,1.3,1.1,3.0,6.1,6.1,6.1,13.0,9.7,11.3,11.5,11.5,17.7,9.6,9.6,6.7,6.8,10.4,10.4,5.8,2.1,1.0,1.3,2.9,7.7,11.2,11.2,5.9,2.0,0.9,0.0,0.0,0.0,1.6,5.4,5.4,20.0,22.9,14.0,14.0,2.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,-0.7,-1.4,-2.7,-5.8,-8.2,-4.9,-2.1,-1.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,-1.9,-2.9,-6.1,-7.8,-8.5,-7.6,-3.4,-2.1,-0.9,-1.7,-3.7,-4.9,-9.2,-3.5,0.0,2.7,5.4,7.9,5.9,4.6,4.1,4.3,6.2,8.5,10.4,6.0,3.3,3.5,3.5,6.9,11.5,14.5,10.7,9.2,10.0,8.1,12.6,12.9,7.4,4.6,3.6,4.3,6.6,12.7,14.3,14.3,11.7,12.0,11.6,11.6,19.0,12.0,11.2,11.6,10.8,16.3,7.5,7.6,7.5,7.5,11.7,10.3,2.8,1.6,0.7,0.6,1.8,3.3,5.8,11.0,7.1,7.3,8.0,7.8,12.5,6.5,5.2,5.5,5.6,5.6,15.8,11.6,10.1,7.9,7.5,11.3,13.6,13.8,21.7,20.7,20.7,14.0,8.7,8.6,14.0,8.9,9.3,9.3,9.2,13.0,13.5,12.4,13.3,13.2,8.0,8.4,8.2,8.6,13.4,7.2,3.3,2.5,2.4,4.8,7.3,11.3,9.4,6.5,6.9,6.2,10.4,17.0,17.0,17.4,15.1,15.3,13.9,12.1,12.4,10.9,9.9,8.4,4.6,5.9,6.4,6.4,14.3,12.0,6.4,6.6,6.7,6.4,15.0,14.0,13.9,15.1,13.8,10.5,9.2,9.2,10.7,10.7,13.3,10.7,6.1,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,-0.7,-1.5,-3.4,-6.7,-9.5,-11.9,-13.5,-17.0,-17.3,-17.1,-16.1,-14.8,-12.7,-11.5,-10.7,-10.4,-10.7,-10.6,-11.1,-10.2,-10.1,-9.2,-8.8,-8.5,-8.4,-7.4,-7.5,-8.6,-9.7,-14.7,-19.1,-22.5,-29.0,-23.8,-23.0,-23.0,-23.0,-2.3,0.0,0.9,2.7,4.4,9.6,9.7,7.5,7.7,7.9,8.5,11.9,7.4,2.9,2.8,2.8,4.9,12.5,12.9,5.8,4.4,4.7,4.6,8.2,11.3,5.8,4.3,2.6,0.0],"moving":[false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,false,true,true,false,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true],"outlier":[false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,true,false,true,true,false,true,false,false,false,false,false,false,true,true,true,false,false,false,true,false,true,false,false,false,true,false,false,false,true,false,true,false,false,false,false,false,true,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,true,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,true,true,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,true,false,false,false,false,true,false,false,false,false,false,false,false,true,false,true,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,false,false,false,false,false,false,true,true,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,true,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,true,false,false,false,false,false,true,false,true,false,false,true,false,false,false,false,false,false,true,false,false,false,true,true,false,false,false,false,false,false,false,false,false,false,false,false,true,false,true,false,true,false,true,false,false,false,false,false,false,false,false,false,false,true,false,false,true,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,true,true,true,false,false,false,true,true,false,true,true,false,false,true,false,true,false,true,false,false,true,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,true,false,false,false,false,false,false,true,false,true,false,false,false,true,false,false,false,false,true,false,false,true,false,false,false,true,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,true,false,false,false,false,true,false,false,false,false,false,false,false,true,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,true,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,true,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,true,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,true,true,false,false,true,false,true,false,false,true,true,true,true,false,false,false,false,false,true,false,false,true,false,false,false,true,true,false,false,false,false,false,true,false,false,false,false,true,false,false,false,true,false,false,true,false,true,false,true,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,true,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,true,false,false,false,false,true,false,false,false,true,false,true,false,false,false,false,false,false,false,false,false,true,false,false,true,false,false,false,true,false,false,false,false,false,false,false,true,true,false,false,false,false,false,false,false,false,false,true,false,false,true,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,true,false,true,true,false,true,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,true,false,true,false,false,false,true,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,true,false,false,false,true,false,false,false,false,false,true,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,true,false,true,true,false,false,false,false,true,true,true,true,false,false,false,false,false,false,false,false,false,false,false,false,true,true,true,false,false,false,false,true,false,true,false,false,false,false,true,false,false,false,false,true,false,false,true,false,false,false,false,false,false,false,false,true,false,false,true,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,true,true,false,false,false,false,false,false,false,false,false,false,false,true,false,true,false,true,false,true,false,true,false,true,false,true,false,false,true,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,true,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,true,false,false,false,false,false,true,false,false,false,false,false,false,false,true,false,false,true,false,true,false,false,false,true,false,false,false,false,false,true,true,true,false,false,false,true,false,true,false,false,false,false,false,true,false,false,true,false,false,false,true,false,false,true,false,false,true,false,false,true,false,true,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,true,true,false,false,false,false,false,false,false,true,false,false,false,false,true,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,true,false,false,true,false,false,false,false,true,false,true,false,true,true,true,false,true,false,false,false,true,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,false,false,false,true,true,false,false,false,false,true,true,false,false,false,false,false,true,false,false,false,false,false,true,false,false,false,false,true,false,false,false,true,false,false,true,false,false,false,false,true,false,false,true,false,false,false,true,true,false,true,false,false,false,false,true,false,false,false,false,false,false,false,false,true,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,true,true,true,false,false,false,true,false,false,false,true,false,false,false,false,true,false,false,true,false,false,false,true,true,false,true,false,false,true,false,false,false,false,false,false,false,false,true,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,true,false,true,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,true,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,false,false,false,false,false,true,false,false,true,true,false,false,false,true,true,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,true,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,true,true,true,true,true,false,false,false,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,true,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,true,true,false,false,false,true,true,true,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,true,false,true,false,false,false,true,false,false,false,false,false,false,false,false,true,false,false,false,false,false,true,false,true,false,false,false,false,false,true,false,false,false,false,false,false,false,true,false,false,false,false,false,true,false,false,false,false,false,false,false,true,false,false,false,true,false,true,false,true,false,false,false,false,true,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,true,false,false,false,false,false,true,false,false,true,false,false,false,true,false,true,false,false,false,false,true,true,false,false,false,true,false,true,false,false,false,true,false,false,false,false,true,false,false,false,false,false,false,false,true,false,false,true,false,false,false,false,false,false,false,false,false,false,false,true,true,false,false,false,false,false,false,false,false,false,true,true,false,false,false,false,true,false,true,false,true,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,true,true,true,true,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,true,true,false,false,false,true,true,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,true,false,false,false,false,false,false,true,false,true,false,true,false,true,false,false,false,false,false,true,false,false,false,false,false,false,true,true,false,true,false,false,true,true,false,true,true,false,false,true,false,true,false,false,true,false,false,true,false,false,false,false,false,true,false,true,false,false,true,false,true,true,true,false,false,false,true,false,true,false,false,true,true,false,true,true,false,true,false,false,true,false,false,false,false,false,false,false,false,false,true,true,false,false,false,false,true,false,false,false,false,false,false,false,false,false,true,false,true,false,false,false,true,true,false,false,false,false,false,true,false,false,false,true,false,false,false,true,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,true,true,false,false,false,false,false,false,false,true,true,false,false,false,true,true,false,false,false,false,true,false,true,false,false,true,false,true,false,true,false,false,true,false,false,true,false,true,false,false,false,true,false,false,false,false,false,false,true,false,false,false,true,false,false,false,true,true,false,false,false,false,false,false,true,false,false,true,false,false,true,false,false,false,true,false,true,false,false,false,false,true,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,true,false,false,false,false,false,false,false,true,false,false,false,false,false,false,true,true,true,false,true,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,true,false,true,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,true,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,false,false,false,true,false,true,true,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,true,true,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,true,false,false,false,true,true,true,false,false,false,true,false,true,false,false,false,true,false,true,false,true,false,false,true,true,false,false,false,false,false,true,true,true,false,false,false,false,false,false,false,false,false,true,false,true,false,false,false,false,false,false,false,false,false,false,false,true,true,false,false,false,false,false,true,false,false,false,false,false,true,false,false,false,false,false,false,false,true,false,false,false,false,true,true,false,false,false,false,false,true,true,false,true,false,true,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,true,false,true,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,true,false,false,false,false,true,false,false,false,false,false,false,true,false,false,false,false,false,false,true,false,false,true,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,true,false,false,false,false,false,false,true,true,false,false,false,false,true,false,false,true,false,false,false,true,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,true,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,true,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false],"resting":[true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,true,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,true,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,true,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false,false],"total_elevation":[0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,2.0,2.0,2.0,2.0,3.0,3.4,4.0,4.4,4.4,4.4,4.4,4.8,5.4,5.8,6.2,6.6,6.6,7.2,7.2,8.0,8.4,8.8,9.2,9.2,10.2,10.2,10.2,11.0,11.0,12.0,12.6,13.0,13.6,13.6,13.6,13.6,13.6,13.6,15.2,15.6,15.6,15.6,16.6,16.6,18.0,18.4,19.0,19.0,19.8,20.2,20.2,20.2,21.0,21.0,22.0,22.4,22.4,22.8,23.2,23.2,24.0,24.0,24.6,24.6,25.0,25.4,25.8,26.2,26.6,26.6,26.6,26.6,26.6,26.6,26.6,26.6,26.6,26.6,26.6,27.0,27.4,27.8,27.8,27.8,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,28.6,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,30.8,32.8,33.4,34.2,35.0,35.6,35.6,35.6,35.6,35.6,35.6,35.6,35.6,36.0,36.4,36.8,37.4,37.8,38.2,38.6,39.2,39.6,40.2,40.6,41.0,41.4,42.0,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,42.4,44.6,45.2,45.6,46.0,46.4,47.0,47.0,47.4,47.8,48.2,48.2,49.0,49.0,49.4,49.4,50.2,50.6,51.0,51.0,51.4,51.4,52.2,52.2,53.0,53.0,53.0,54.0,54.4,54.8,55.2,55.2,55.6,55.6,57.8,58.2,58.6,58.6,58.6,59.6,59.6,59.6,59.6,59.6,59.6,59.6,59.6,59.6,59.6,59.6,59.6,59.6,60.4,60.4,61.2,61.2,61.8,61.8,62.6,63.0,63.4,63.8,63.8,63.8,64.4,64.8,65.4,65.8,65.8,66.4,66.4,66.4,67.2,67.6,68.0,68.4,68.4,68.4,68.4,68.8,69.2,69.2,70.2,70.6,70.6,70.6,71.0,71.0,72.0,72.4,72.8,72.8,72.8,72.8,72.8,73.2,73.6,74.0,74.4,74.8,74.8,75.4,75.8,76.2,76.2,77.2,77.2,77.6,77.6,78.6,79.0,79.4,79.8,80.2,80.8,81.2,81.6,81.6,82.0,82.4,82.8,83.2,83.8,84.2,84.8,85.2,85.2,85.6,85.6,85.6,85.6,87.4,87.8,87.8,87.8,87.8,89.0,89.0,89.0,90.0,90.0,90.0,90.8,90.8,91.6,91.6,92.0,92.4,92.4,93.4,93.8,94.2,94.6,95.0,95.0,95.8,96.2,96.2,96.8,97.2,97.6,98.0,98.4,98.4,98.8,98.8,99.8,100.2,100.6,100.6,100.6,101.4,101.8,102.2,102.6,102.6,102.6,102.6,103.4,103.4,104.4,104.8,105.2,105.2,106.0,106.4,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,106.8,109.2,109.6,110.0,110.4,110.8,110.8,111.2,111.6,111.6,113.0,113.6,114.0,114.6,115.2,115.6,115.6,116.0,116.4,116.8,117.2,117.8,118.2,118.2,119.0,119.6,120.0,120.0,120.0,120.8,121.2,121.6,121.6,122.0,122.0,122.0,122.0,122.0,122.0,122.0,122.0,122.0,122.0,122.0,122.4,122.8,123.4,123.8,124.2,124.2,124.6,125.0,125.4,125.8,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,126.2,128.8,129.2,129.2,130.2,130.2,130.2,131.6,132.0,132.0,133.0,133.0,133.4,135.4,135.4,135.4,135.4,135.4,138.2,138.6,139.2,139.6,140.0,140.0,141.0,141.6,141.6,142.6,143.2,143.2,143.2,143.2,144.4,145.0,145.4,145.8,146.2,146.2,147.2,147.6,148.0,148.6,148.6,149.4,149.8,149.8,149.8,150.8,151.2,151.2,152.2,152.2,153.2,153.2,154.2,154.6,155.2,155.6,156.2,156.6,156.6,157.6,158.0,158.6,159.0,159.6,159.6,159.6,159.6,159.6,159.6,159.6,159.6,159.6,159.6,159.6,159.6,159.6,159.6,161.8,162.2,162.6,163.0,163.4,163.8,163.8,164.2,164.8,165.2,165.6,166.2,166.6,167.2,167.6,168.0,168.0,168.6,169.0,169.4,169.8,170.2,170.6,170.6,171.2,171.6,172.0,172.4,172.8,173.2,173.6,173.6,174.6,175.0,175.4,176.0,176.4,177.0,177.4,177.4,177.4,177.8,178.2,178.8,179.2,179.6,179.6,179.6,179.6,179.6,179.6,179.6,179.6,179.6,179.6,179.6,179.6,179.6,179.6,179.6,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,181.8,184.8,185.4,186.0,186.4,186.8,187.2,187.6,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,188.0,190.0,190.0,190.8,191.2,191.6,192.2,192.2,192.2,192.2,192.2,192.2,192.2,193.4,194.0,194.0,195.2,195.8,196.4,196.4,197.4,198.0,198.6,199.0,199.6,200.2,200.6,200.6,200.6,202.2,202.8,203.4,203.8,204.2,204.6,205.2,205.6,206.0,206.0,207.0,207.4,207.4,208.0,208.4,208.8,209.4,209.8,210.2,210.2,210.2,211.2,211.6,212.2,212.6,213.0,213.6,214.0,214.4,214.8,215.2,215.6,216.0,216.4,217.0,217.0,217.4,217.8,218.2,218.6,219.2,219.6,220.0,220.4,220.8,221.2,221.2,221.2,221.6,222.0,222.6,223.0,223.4,223.8,224.2,224.6,225.0,225.4,226.0,226.6,227.0,227.6,228.2,228.2,228.6,229.0,229.4,229.8,230.4,230.8,231.2,231.6,232.0,232.4,232.4,232.8,233.2,233.8,234.2,234.6,234.6,234.6,235.4,235.8,236.2,236.8,237.2,237.6,238.0,238.4,238.8,238.8,239.2,239.6,239.6,241.0,241.6,242.0,242.4,242.8,243.2,243.6,244.0,244.4,244.8,245.2,245.6,245.6,246.6,247.0,247.4,247.8,248.2,248.6,249.0,249.4,249.4,250.0,250.4,250.8,251.4,251.8,252.2,252.8,253.2,253.8,254.4,254.4,254.8,255.2,255.6,256.2,256.6,257.0,257.4,257.8,258.4,258.8,258.8,259.2,259.6,260.0,260.4,260.8,261.4,261.4,262.2,262.8,263.2,263.6,264.2,264.6,265.2,265.6,265.6,265.6,266.4,267.0,267.4,267.8,267.8,268.2,268.2,269.2,269.2,269.2,270.6,270.6,271.4,271.8,272.2,272.2,272.6,273.0,273.4,274.0,274.4,274.8,274.8,275.6,276.0,276.6,277.0,277.4,278.0,278.4,278.8,279.4,279.8,280.2,280.8,281.2,281.6,282.0,282.4,282.8,283.2,283.2,283.6,284.0,284.4,284.8,285.2,285.8,286.2,286.2,287.0,287.6,288.0,288.4,288.8,289.2,289.6,290.0,290.6,290.6,291.6,291.6,292.4,292.8,293.4,293.4,294.2,294.6,294.6,295.6,296.0,296.4,296.4,297.0,297.4,297.8,298.2,298.6,298.6,299.0,299.4,299.8,300.2,300.6,301.0,301.6,302.0,302.4,302.8,302.8,303.2,303.8,304.2,304.6,304.6,305.4,305.4,305.4,305.4,307.2,307.2,307.2,307.2,308.0,308.4,308.8,309.2,309.8,309.8,310.6,310.6,311.6,313.0,313.4,313.8,314.4,314.8,315.4,316.0,316.4,316.4,316.4,317.0,317.4,317.8,318.4,318.8,318.8,318.8,319.6,320.0,320.4,320.8,321.2,321.6,322.2,322.6,322.6,323.0,323.0,323.0,324.4,324.8,325.2,325.8,325.8,325.8,325.8,325.8,328.2,328.6,329.0,329.4,329.8,330.2,330.6,331.0,331.4,331.8,331.8,331.8,331.8,331.8,331.8,333.4,333.8,333.8,334.2,334.2,335.0,335.0,335.8,336.4,336.8,337.2,337.2,338.2,338.6,339.2,339.6,339.6,340.8,341.2,341.2,342.0,342.6,343.0,343.0,343.4,344.0,344.4,345.0,345.0,346.0,346.4,346.4,347.2,347.6,347.6,347.6,348.4,348.8,349.2,349.6,349.6,350.0,350.6,351.0,351.4,352.0,352.0,352.4,352.4,353.2,353.6,354.0,354.4,354.4,354.4,358.8,359.2,359.6,360.2,360.6,361.0,361.6,362.0,362.6,363.0,363.0,363.0,364.0,364.0,365.0,365.0,365.6,365.6,366.4,366.4,367.4,367.4,368.4,368.4,369.4,369.8,369.8,373.8,374.2,374.6,375.0,375.0,376.0,376.4,377.0,377.0,377.4,377.8,378.4,378.8,379.2,379.2,379.6,380.0,380.4,380.4,381.4,381.4,381.8,381.8,382.6,384.8,385.2,385.8,386.2,386.2,387.2,387.6,388.2,388.6,389.0,389.6,390.0,390.6,390.6,391.0,391.4,391.8,392.4,392.8,393.2,393.2,394.0,394.4,394.8,394.8,395.2,395.2,396.2,396.6,397.2,397.2,397.6,397.6,398.4,398.8,399.4,399.8,400.2,400.8,401.2,401.2,401.8,402.2,402.2,403.2,403.2,404.0,404.0,404.6,404.6,405.4,405.8,406.2,406.6,407.0,407.0,407.0,407.0,409.0,409.6,410.2,410.2,411.0,411.0,412.0,412.4,412.8,412.8,413.2,413.2,414.0,414.4,414.4,415.4,415.8,416.2,416.2,417.2,417.2,417.2,418.0,418.4,418.4,419.4,419.8,419.8,420.6,420.6,421.6,422.0,422.0,423.0,423.4,424.0,424.0,424.0,424.0,424.4,424.8,425.2,425.6,426.0,426.0,426.6,427.0,427.4,428.0,428.4,428.4,428.4,429.2,429.6,430.0,430.6,430.6,430.6,430.6,430.6,435.4,435.8,436.2,436.6,437.0,437.4,438.0,438.0,438.8,439.4,439.8,439.8,439.8,440.8,441.4,442.0,442.4,442.8,443.2,443.2,444.2,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,444.6,446.6,447.2,447.6,447.6,447.6,448.4,448.4,449.0,449.0,449.0,449.0,450.6,450.6,451.4,455.0,455.4,455.4,456.4,456.4,457.2,457.2,457.2,457.2,457.6,458.0,458.6,459.0,459.4,459.4,459.4,459.4,459.8,460.2,460.6,461.0,461.4,462.0,462.0,462.0,463.4,463.8,463.8,463.8,463.8,465.0,465.4,466.0,466.0,466.0,466.0,467.2,467.6,468.0,468.0,468.4,468.4,469.2,469.6,470.0,470.0,470.6,470.6,471.4,471.8,472.4,472.4,472.4,473.2,473.8,474.2,474.2,474.8,475.2,475.2,476.0,476.4,476.8,476.8,476.8,477.6,478.0,478.0,478.8,478.8,479.2,479.2,479.2,480.6,480.6,481.0,481.0,483.0,483.0,483.0,484.0,484.4,485.0,485.4,485.8,486.2,486.6,487.0,487.0,487.6,487.6,487.6,488.4,488.8,489.2,489.6,490.0,490.4,490.8,491.2,491.6,491.6,491.6,491.6,492.0,492.6,493.0,493.4,494.0,494.0,494.0,494.0,494.0,494.0,494.0,494.4,494.4,495.4,495.8,496.4,496.4,496.4,496.4,496.4,496.8,496.8,496.8,496.8,498.6,498.6,499.0,499.0,500.4,500.8,501.2,501.2,502.2,502.6,503.0,503.0,503.0,504.0,504.4,504.4,505.4,505.4,505.4,505.4,505.4,506.6,506.6,507.4,507.4,507.4,508.4,508.8,509.2,509.6,509.6,510.0,510.6,510.6,510.6,512.0,512.0,512.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,514.0,520.0,520.4,520.4,520.4,521.0,521.4,521.8,522.2,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,522.6,524.6,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,525.0,527.0,527.4,527.8,528.4,528.8,529.2,529.2,529.6,529.6,529.6,531.0,531.4,531.8,532.4,532.8,532.8,533.8,534.2,534.2,534.2,535.6,536.0,536.4,536.4,536.4,537.8,537.8,538.8,539.2,539.8,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,540.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,542.2,544.2,544.2,544.2,544.2,544.2,544.2,546.0,546.4,546.4,546.8,547.2,547.8,548.2,548.6,548.6,548.6,549.4,549.8,550.2,550.6,550.6,550.6,551.0,551.6,552.0,552.4,552.8,553.2,553.2,554.0,554.4,555.0,555.6,556.0,556.6,557.0,557.6,558.0,558.4,558.8,559.4,559.8,560.4,560.8,561.2,561.8,562.2,562.6,563.0,563.4,563.8,564.4,564.8,565.4,565.8,566.2,566.8,567.2,567.6,568.0,568.0,569.6,570.2,570.6,570.6,571.4,571.8,572.2,572.8,573.2,573.6,574.0,574.6,574.6,575.0,575.4,575.8,576.2,576.6,576.6,577.0,577.4,577.8,578.4,578.8,578.8,579.2,579.6,580.0,580.4,580.8,581.2,581.6,581.6,582.6,583.0,583.4,583.4,583.4,584.8,585.2,585.2,585.2,585.6,586.0,586.6,587.0,587.4,587.8,588.2,588.6,589.0,589.6,590.0,590.6,590.6,591.6,591.6,592.0,592.4,592.8,593.4,593.8,593.8,594.2,594.6,594.6,595.6,596.0,596.0,596.4,596.4,597.2,597.2,598.2,598.6,599.0,599.0,599.8,600.2,600.6,601.0,601.4,601.8,602.2,602.6,602.6,603.6,604.0,604.4,604.4,604.8,604.8,605.8,605.8,606.6,606.6,607.0,607.4,607.8,607.8,608.8,609.2,609.6,610.0,610.4,610.8,611.4,611.4,612.2,612.6,613.2,613.2,613.6,613.6,614.4,615.0,615.4,615.8,616.2,616.6,617.2,617.2,617.6,618.0,618.4,618.4,619.4,619.4,620.4,620.4,621.2,621.6,622.2,622.2,622.2,623.0,623.4,623.8,624.2,624.6,624.6,625.4,625.8,626.2,626.6,627.0,627.6,628.0,628.4,628.4,628.8,629.4,629.8,630.2,630.6,630.6,631.0,631.4,631.8,632.2,632.8,632.8,632.8,632.8,632.8,632.8,632.8,632.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,634.8,636.8,636.8,637.2,637.2,637.2,637.2,638.0,638.0,638.8,639.2,639.2,639.6,639.6,639.6,640.8,641.2,641.8,641.8,642.6,642.6,643.6,643.6,644.0,644.0,645.0,645.4,645.8,646.2,646.2,647.0,647.4,647.8,647.8,647.8,647.8,648.2,648.2,649.0,649.4,649.4,649.8,649.8,649.8,649.8,649.8,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,652.0,654.0,654.0,654.0,654.0,655.0,655.0,656.0,656.0,656.6,656.6,657.4,657.8,658.2,658.6,658.6,658.6,659.4,660.0,660.4,660.8,660.8,661.2,661.2,661.2,662.6,662.6,663.0,663.4,663.4,663.4,667.2,667.2,667.2,668.6,669.0,669.0,670.0,670.0,670.8,671.2,671.2,672.2,672.6,672.6,673.6,674.2,674.8,675.2,675.8,675.8,676.8,676.8,677.6,678.0,678.0,679.0,679.0,679.0,679.0,680.6,680.6,683.4,683.4,684.4,684.4,685.4,686.0,686.0,686.0,686.0,686.0,686.0,688.8,688.8,689.8,690.2,690.2,691.2,691.6,692.2,692.8,693.2,693.6,694.0,694.4,695.0,695.0,695.0,696.4,697.0,697.0,697.4,697.4,698.2,698.6,699.2,699.6,700.0,700.4,701.0,701.4,701.8,701.8,702.6,702.6,703.6,703.6,704.0,704.0,704.0,705.2,705.6,706.0,706.4,706.8,706.8,707.6,708.2,708.6,708.6,709.4,709.8,709.8,709.8,710.6,711.0,711.0,712.0,712.0,712.0,713.8,714.2,714.2,714.2,714.2,714.2,714.2,714.2,714.2,714.2,714.2,714.2,714.2,714.2,714.2,714.2,714.2,714.2,714.2,714.2,714.2,716.4,717.0,717.6,718.2,718.6,719.2,719.6,720.0,720.4,720.8,720.8,721.2,721.6,722.0,722.4,722.8,722.8,723.4,723.8,724.2,724.6,724.6,725.8,726.4,726.8,727.4,727.4,727.4,727.8,728.2,728.6,729.2,729.6,730.2,730.8,731.4,732.0,732.0,732.4,732.4,733.2,733.8,734.2,734.2,734.2,736.0,736.4,737.0,737.6,738.2,738.8,739.2,739.2,739.2,740.6,741.0,741.4,741.4,741.4,742.8,743.2,743.6,744.0,744.0,744.8,744.8,745.6,746.0,746.0,747.0,747.0,747.4,747.4,748.4,748.8,748.8,749.8,750.2,750.2,751.0,751.0,751.8,752.2,752.6,752.6,753.4,753.8,754.4,754.8,755.4,755.8,755.8,756.8,757.2,757.6,757.6,758.6,758.6,759.0,759.0,759.0,760.2,760.6,761.0,761.6,762.0,762.4,762.4,763.4,763.8,763.8,764.8,765.2,765.2,766.2,766.8,767.2,767.2,768.2,768.2,769.0,769.4,769.8,770.2,770.2,771.0,771.4,772.0,772.4,772.8,773.2,773.6,774.0,774.4,774.4,775.4,775.8,776.2,776.2,776.2,776.2,776.2,777.0,777.4,777.8,778.2,778.2,778.8,779.2,779.2,780.0,780.6,781.0,781.4,781.8,782.2,782.2,782.2,782.2,784.0,784.0,784.8,785.2,785.2,786.2,786.6,787.0,787.0,787.4,787.8,788.2,788.6,789.0,789.0,789.0,789.6,790.0,790.4,791.0,791.4,791.8,791.8,792.8,793.4,793.8,793.8,794.2,794.2,795.0,795.0,796.0,796.0,796.0,796.4,796.4,797.4,797.8,798.4,798.4,798.4,798.8,799.2,799.6,800.0,800.0,800.0,800.8,800.8,801.8,802.2,802.6,802.6,803.0,803.6,804.0,804.4,804.8,805.2,805.6,806.0,806.4,806.8,806.8,807.2,807.6,808.2,808.6,809.0,809.4,809.4,809.4,810.8,811.2,811.6,811.6,812.6,812.6,812.6,814.0,814.4,815.0,815.4,815.8,816.2,816.6,816.6,817.6,818.0,818.0,818.4,818.8,819.2,819.6,819.6,820.2,820.2,820.6,821.0,821.4,821.8,822.2,822.6,823.0,823.4,823.4,824.4,824.4,824.8,825.2,825.6,826.2,826.6,826.6,826.6,826.6,828.0,828.4,829.0,829.0,829.0,829.4,829.8,830.2,830.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,831.2,833.4,833.4,833.4,833.4,833.4,833.4,835.0,835.4,835.4,835.4,836.2,836.2,837.0,837.4,837.4,837.4,838.4,838.4,839.4,839.4,840.0,840.4,840.4,840.4,841.8,842.2,842.2,842.2,842.6,842.6,842.6,842.6,844.4,844.4,844.8,845.2,845.6,846.0,846.4,846.4,846.8,846.8,847.6,847.6,848.4,848.4,849.0,849.4,850.0,850.4,850.8,850.8,850.8,850.8,851.2,851.2,851.2,852.4,853.0,853.0,853.0,853.4,853.4,854.2,854.6,855.2,855.2,855.6,855.6,856.4,856.8,857.2,857.2,857.2,857.6,858.0,858.0,858.8,859.2,859.2,859.2,859.2,859.2,860.4,860.8,861.2,861.2,861.6,861.6,861.6,863.0,863.0,863.8,863.8,864.8,865.2,865.6,865.6,865.6,865.6,866.0,866.0,866.8,867.2,867.6,868.2,868.6,869.0,869.4,870.0,870.0,870.0,870.4,870.4,871.2,871.6,872.0,872.0,872.0,872.0,872.4,872.8,872.8,873.6,874.0,874.0,874.6,875.0,875.4,875.8,876.2,876.2,876.2,876.2,877.2,877.6,878.0,878.6,878.6,878.6,879.0,879.0,880.0,880.4,880.8,881.2,881.6,882.0,882.4,882.8,882.8,883.2,883.2,884.2,884.2,885.0,885.0,885.0,886.0,886.4,886.8,887.2,887.6,888.0,888.4,888.8,889.4,889.8,890.2,890.6,891.0,891.4,891.8,892.2,892.6,893.0,893.4,893.4,894.0,894.4,894.8,895.4,895.8,895.8,895.8,895.8,896.6,897.0,897.4,898.0,898.0,898.0,898.0,900.0,900.0,900.0,900.0,900.0,900.0,900.0,900.0,900.4,900.4,901.2,901.6,902.0,902.4,902.8,902.8,903.8,904.2,904.2,904.2,904.2,905.0,905.4,906.0,906.4,906.4,906.8,906.8,907.6,908.0,908.4,908.4,908.4,908.8,908.8,909.6,910.0,910.0,910.4,910.4,910.8,910.8,911.8,912.2,912.6,912.6,912.6,912.6,912.6,912.6,912.6,912.6,912.6,912.6,912.6,912.6,912.6,912.6,912.6,912.6,912.6,912.6,912.6,912.6,913.0,913.4,914.0,914.4,914.8,914.8,914.8,914.8,914.8,914.8,914.8,914.8,915.2,915.6,916.0,916.6,917.0,917.0,917.0,917.4,917.8,918.2,918.6,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,919.0,921.2,921.2,921.2,921.6,922.0,922.4,922.8,923.2,923.6,924.2,924.6,925.0,925.4,926.0,926.4,926.8,926.8,927.8,927.8,928.2,928.8,929.2,929.6,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,930.0,932.0,932.0,932.4,932.8,933.2,933.6,934.2,934.2,934.6,935.2,935.6,936.2,936.6,936.6,937.2,937.6,938.0,938.0,939.0,939.6,940.0,940.0,941.0,941.0,941.0,941.6,942.0,942.4,942.8,943.4,943.4,943.4,943.4,943.4,943.4,943.4,943.4,943.4,943.4,943.4,943.4,943.4,945.4,946.0,946.4,946.8,947.2,947.6,948.2,948.6,948.6,949.4,949.8,950.2,950.2,950.8,951.2,951.2,952.0,952.4,952.4,952.4,952.4,952.8,952.8,952.8,954.2,954.6,954.6,955.0,955.0,955.8,956.2,956.2,956.8,957.2,957.6,957.6,958.6,959.0,959.0,959.0,959.0,959.6,960.0,960.0,961.0,961.4,961.4,961.4,961.4,961.4,961.4,961.4,961.4,962.4,962.8,963.2,963.2,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,963.8,965.8,965.8,965.8,966.2,966.6,967.0,967.4,967.8,967.8,967.8,968.4,968.8,969.4,969.8,970.4,970.4,970.8,971.4,971.8,972.4,972.8,972.8,972.8,973.2,973.8,974.2,974.2,975.2,975.2,975.6,975.6,976.6,977.0,977.6,978.0,978.4,978.8,979.2,979.8,979.8,979.8,980.6,981.0,981.4,981.8,981.8,981.8,981.8,982.2,982.6,983.0,983.4,983.8,984.2,984.6,985.0,985.4,986.0,986.0,986.4,986.4,987.2,987.8,988.2,988.2,988.6,989.0,989.4,989.8,990.2,990.6,990.6,992.6,993.0,993.4,993.8,994.2,994.6,995.0,995.6,996.0,996.4,996.8,997.4,997.8,998.4,998.8,999.2,999.6,1000.2,1000.6,1001.0,1001.0,1001.0,1001.4,1001.8,1002.4,1002.8,1003.4,1003.4,1003.8,1004.2,1004.6,1004.6,1005.6,1006.0,1006.4,1006.8,1007.2,1007.6,1008.0,1008.4,1008.8,1009.2,1009.6,1009.6,1009.6,1010.6,1011.0,1011.4,1012.0,1012.4,1012.8,1013.2,1013.6,1014.2,1014.6,1015.2,1015.8,1016.2,1016.2,1016.6,1016.6,1017.4,1017.4,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1018.2,1020.2,1020.6,1021.0,1021.4,1021.8,1022.2,1022.2,1022.2,1022.6,1023.0,1023.4,1023.8,1024.2,1024.2,1024.6,1025.2,1025.6,1026.0,1026.4,1026.4,1026.4],"velocity_smooth":[0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.1,0.2,0.2,0.2,0.3,0.3,2.8,2.5,2.4,2.5,2.5,2.5,2.5,2.7,2.6,2.5,2.4,2.5,2.4,2.6,3.1,3.4,3.4,3.7,3.6,3.3,2.9,2.7,2.7,2.5,2.5,2.6,2.4,2.4,2.2,2.1,1.5,1.6,1.7,1.7,1.7,1.8,1.9,1.5,1.2,1.1,1.0,1.2,1.4,1.9,1.5,1.5,1.4,1.1,1.3,1.6,1.7,1.7,1.8,2.0,1.7,1.8,1.6,1.4,1.4,1.8,2.3,2.4,2.5,2.3,2.2,1.7,1.5,2.7,3.4,3.8,5.4,5.0,3.7,2.8,1.9,1.9,1.7,2.7,2.7,2.9,3.3,3.3,3.5,3.9,3.7,0.2,0.4,0.5,0.6,0.6,0.6,5.4,4.6,4.2,3.7,3.6,3.5,4.0,4.4,4.8,4.5,4.1,4.6,4.6,4.6,4.6,4.7,4.8,4.9,5.1,5.4,5.6,6.1,7.1,8.5,9.3,10.4,10.8,10.6,9.5,8.8,7.8,6.7,7.2,7.2,7.4,7.4,7.0,6.4,6.4,6.4,6.5,6.6,7.3,7.5,7.6,7.9,8.4,8.8,9.4,9.8,10.2,10.1,9.6,9.1,8.4,8.1,7.8,7.3,6.3,5.7,4.9,4.0,3.7,3.6,5.9,6.7,5.8,5.9,4.7,4.3,4.4,4.2,3.9,3.8,3.6,3.2,3.1,3.0,2.8,2.6,2.6,2.7,3.1,3.3,3.5,3.8,4.3,4.5,5.6,5.5,5.1,4.1,3.8,3.8,4.0,4.3,5.1,5.9,6.5,8.1,8.7,9.0,9.2,8.8,8.3,8.3,8.5,8.6,9.1,8.8,7.9,7.4,7.3,7.4,7.9,8.3,8.0,7.9,7.3,6.0,5.3,5.4,5.8,6.5,7.8,8.7,10.2,11.3,11.8,11.9,11.2,10.8,10.2,10.8,10.9,10.6,10.1,7.4,7.3,7.2,7.2,7.1,6.3,5.8,5.6,5.6,5.4,5.6,5.9,6.6,7.1,7.9,8.1,8.3,8.2,8.1,7.8,5.6,3.9,2.9,3.1,3.1,2.7,2.8,2.8,2.9,2.9,3.0,3.1,3.2,3.3,3.3,3.2,3.1,2.8,2.5,2.4,2.4,2.3,2.4,2.4,2.4,2.2,2.1,2.3,2.3,2.3,1.9,0.2,0.2,0.2,0.3,2.0,2.1,2.5,2.6,2.6,3.0,2.7,3.0,3.3,3.4,3.9,4.0,3.7,3.2,2.8,2.3,1.4,1.2,1.1,1.2,1.4,2.0,2.5,3.4,3.8,3.8,3.9,4.1,4.3,4.4,4.2,4.1,4.0,3.6,3.2,2.9,2.8,2.5,2.2,1.4,0.7,1.0,1.4,1.2,1.1,1.2,1.3,1.3,2.4,2.0,2.1,2.1,2.1,2.1,2.0,1.7,1.7,1.7,1.4,1.4,1.3,1.0,1.2,1.1,1.1,0.8,0.8,0.8,0.8,1.1,1.4,1.4,1.6,1.6,1.6,1.5,1.8,2.1,2.5,2.7,2.5,2.3,2.1,1.9,2.4,2.5,2.7,3.3,3.4,3.6,5.2,5.5,5.1,4.8,4.4,3.8,3.0,2.4,2.0,1.4,1.1,1.6,3.1,3.1,3.6,3.4,3.2,2.4,2.2,1.7,1.4,1.2,1.5,4.1,4.1,3.2,3.0,1.8,1.3,1.4,1.8,2.0,2.3,2.4,2.4,2.6,3.4,3.9,3.9,3.8,3.0,3.0,2.7,2.7,2.5,2.4,2.3,3.2,3.6,4.1,3.9,3.7,3.3,2.6,1.9,1.6,1.2,1.3,1.4,1.3,1.5,1.5,2.4,2.9,2.8,3.0,3.0,2.9,2.9,2.9,3.2,3.5,3.5,4.1,4.3,3.5,3.7,3.9,3.8,3.8,4.5,4.3,2.7,2.8,2.8,2.8,2.9,2.9,3.1,3.5,3.4,3.0,2.4,3.3,3.8,3.9,4.0,4.0,4.7,5.0,4.8,4.6,4.4,4.4,3.8,3.6,3.5,3.3,3.3,3.2,3.1,3.3,3.6,3.5,5.3,5.5,3.9,3.1,3.5,4.4,4.3,4.2,4.1,3.7,3.3,3.1,3.0,3.4,3.4,3.4,3.7,3.7,3.0,2.7,2.7,2.2,2.3,2.4,2.6,2.6,2.5,2.6,2.8,5.2,5.2,4.8,4.5,4.2,3.0,2.7,3.2,3.3,3.2,3.2,3.3,3.0,2.8,2.8,3.0,3.4,3.9,4.1,4.4,4.0,3.7,3.2,3.5,4.1,4.3,4.6,5.2,5.4,4.7,4.4,4.0,3.8,3.5,3.4,2.9,2.7,2.6,2.7,2.3,4.1,4.1,4.0,4.0,3.9,3.7,3.8,4.0,4.5,4.8,5.4,5.7,5.5,5.3,4.6,5.1,5.1,4.9,4.6,4.1,2.2,2.1,2.2,2.3,3.3,3.4,4.0,4.5,4.5,7.0,7.5,8.1,7.7,6.0,5.2,4.4,3.9,3.6,1.2,1.2,1.0,0.9,1.1,1.4,2.4,2.5,0.1,0.1,0.1,0.2,0.3,0.3,0.3,5.7,5.7,5.7,5.8,6.3,6.1,6.0,5.2,4.8,4.1,3.8,3.4,3.3,4.6,5.2,5.4,5.5,5.7,6.8,6.8,6.9,6.9,7.0,7.3,7.5,8.1,9.6,9.2,8.4,8.0,7.9,6.7,6.0,5.7,5.5,5.5,6.5,6.4,6.1,6.0,6.2,5.8,5.7,5.9,5.8,5.3,5.8,5.7,5.3,5.8,5.9,6.3,6.8,7.1,6.7,6.8,6.7,7.3,7.2,7.7,7.2,6.5,6.4,5.6,5.5,5.4,5.1,3.1,2.5,2.5,3.3,3.7,3.7,3.6,4.0,3.9,4.1,3.9,3.7,3.6,3.7,3.5,3.7,3.6,3.5,3.1,2.9,2.5,1.8,1.7,1.5,1.2,1.5,3.2,3.8,3.4,3.1,1.7,1.6,1.2,1.3,1.6,2.0,2.4,3.1,4.5,2.2,0.9,1.9,2.1,2.2,2.6,2.6,3.6,2.5,2.5,1.8,2.0,3.2,2.7,2.0,0.6,0.7,1.0,1.7,2.0,1.8,1.7,1.7,1.2,1.4,1.5,1.7,2.0,2.2,2.2,2.8,3.0,2.5,2.4,2.4,2.6,2.5,2.5,3.4,3.6,3.8,3.6,3.5,2.5,2.4,2.8,3.0,3.0,3.1,2.9,3.1,3.3,3.4,3.9,4.1,3.9,3.6,3.5,2.8,2.4,2.5,2.8,3.5,4.0,3.9,4.2,4.2,3.7,3.2,2.5,2.9,2.9,2.7,2.5,2.2,2.3,2.3,2.5,2.6,2.7,3.9,3.7,3.5,3.3,3.2,2.5,3.2,3.1,3.1,3.1,3.6,2.8,3.0,2.8,2.5,1.7,1.2,1.1,1.1,0.7,0.9,1.8,2.0,2.1,1.9,1.7,1.0,0.9,1.6,1.6,2.1,2.0,2.3,2.5,2.4,1.9,1.9,1.9,1.9,1.8,1.8,2.4,2.3,2.3,2.3,1.8,1.9,1.9,2.1,2.2,2.5,2.7,1.5,1.6,1.8,2.1,2.3,3.8,3.3,2.9,2.8,2.6,1.4,1.1,2.4,3.2,3.1,2.9,3.0,2.5,2.4,2.4,2.0,1.9,2.0,2.5,3.5,3.1,0.1,0.2,0.2,2.7,2.2,2.0,1.8,2.1,5.0,5.0,4.5,4.3,3.4,3.0,3.1,4.8,4.5,5.0,4.8,4.4,3.2,3.5,3.0,3.1,3.8,5.3,5.5,5.8,4.1,4.6,3.7,3.4,3.0,3.3,3.4,4.5,4.5,4.2,3.7,2.6,2.2,2.2,1.5,1.4,1.5,1.7,2.2,2.2,2.4,2.4,2.3,2.2,2.2,2.6,3.8,4.9,5.8,6.4,8.3,8.9,8.2,7.3,4.6,3.4,3.2,3.5,4.0,4.2,4.4,4.3,4.1,3.9,3.7,3.5,2.0,1.8,1.9,2.3,2.5,3.9,3.7,3.2,2.9,3.2,2.5,4.3,4.3,4.1,3.2,2.2,2.0,1.7,1.8,1.1,1.1,3.5,3.3,3.3,2.7,2.7,2.8,3.7,3.3,3.9,4.1,3.2,3.2,2.9,2.3,2.7,3.6,3.5,3.3,3.5,3.8,3.1,5.3,5.3,7.1,6.5,4.5,4.4,4.5,4.6,5.0,4.4,4.1,3.9,3.8,3.4,4.0,4.3,4.2,4.4,3.7,3.3,3.0,3.4,3.2,3.2,4.1,4.6,4.2,4.8,4.0,3.8,3.9,3.6,3.6,3.4,3.9,3.5,3.3,3.9,3.9,6.4,7.9,7.9,9.6,8.2,8.9,8.5,7.0,7.2,6.6,6.5,5.9,5.4,5.0,4.4,3.3,3.4,3.5,3.2,3.2,3.4,3.7,4.0,4.1,3.9,3.9,4.1,3.5,3.6,3.9,4.1,4.2,6.0,5.9,4.2,2.7,1.3,0.8,0.9,1.8,1.8,1.4,1.2,2.4,2.4,1.4,1.1,1.5,2.6,2.7,3.0,2.7,2.9,3.1,3.6,3.8,3.9,3.8,3.8,3.7,3.4,3.6,3.9,4.0,4.7,4.7,4.3,4.2,3.4,3.2,3.5,5.5,7.5,9.0,10.2,10.0,9.0,6.7,5.6,4.5,6.1,5.4,6.1,5.9,6.6,5.2,6.9,6.8,7.0,7.1,6.4,4.7,4.2,4.7,4.9,6.1,6.8,7.7,7.3,6.6,6.3,5.6,5.3,5.6,6.1,5.9,6.1,5.7,5.1,4.4,3.7,3.2,2.4,2.3,2.1,2.4,2.6,3.0,3.4,3.9,3.8,3.9,3.8,3.7,3.3,3.2,3.1,3.3,3.2,3.4,3.8,3.5,2.8,2.7,3.2,2.8,3.2,3.6,3.3,2.5,2.5,2.2,2.8,4.4,5.0,5.5,6.2,6.9,6.4,6.3,6.4,6.7,6.3,6.2,6.4,6.4,6.1,5.9,6.1,5.9,7.2,7.9,7.9,7.9,7.8,6.6,6.2,5.6,4.9,4.4,3.8,3.1,3.2,3.8,4.6,5.1,4.8,4.9,4.4,4.2,3.9,4.5,5.0,5.2,5.0,5.4,5.7,5.6,5.6,6.6,6.1,5.7,5.3,4.9,2.0,1.8,2.2,2.7,3.1,5.0,5.9,6.2,6.2,5.8,5.3,5.0,4.7,4.0,3.7,3.0,2.6,3.4,4.1,4.1,6.6,6.6,8.1,7.2,6.0,6.0,5.6,5.1,4.8,4.8,4.7,4.7,4.1,3.8,3.6,4.6,5.7,6.8,6.8,9.2,8.7,7.8,7.8,6.7,7.5,8.6,8.3,8.0,8.1,8.0,7.1,7.0,7.0,6.6,5.8,6.2,6.2,6.7,6.0,6.0,5.0,4.3,2.9,2.8,2.5,2.4,1.6,1.5,1.5,1.4,0.8,0.4,0.8,0.9,1.0,1.0,0.6,1.5,3.0,1.9,1.9,0.6,0.7,1.3,1.6,2.1,2.4,1.6,1.2,1.6,2.6,2.6,2.6,2.6,2.6,3.1,2.6,0.5,0.6,0.8,2.2,2.5,2.2,4.0,5.5,5.0,2.1,1.0,1.3,1.3,1.0,5.9,6.4,8.0,8.6,6.3,5.3,5.3,5.0,4.7,2.4,2.2,2.1,2.2,1.6,1.6,1.7,1.6,1.6,1.6,1.2,1.0,1.2,1.1,1.1,1.1,1.2,1.8,1.8,1.6,1.5,1.4,1.5,1.7,3.0,3.7,4.0,3.7,3.6,2.7,1.9,1.9,2.0,2.0,2.0,1.9,1.9,2.1,2.4,2.6,3.0,3.1,2.9,2.8,2.7,3.0,2.7,2.7,2.9,2.9,2.6,2.6,3.1,2.8,2.5,2.4,2.6,2.7,2.6,2.7,2.3,2.5,2.5,2.4,2.2,2.5,3.0,3.0,2.9,3.1,3.8,4.0,3.8,3.6,3.0,2.8,3.3,3.6,3.8,3.4,2.7,2.5,2.4,1.4,1.8,2.0,2.0,1.9,1.9,1.5,2.9,3.3,3.8,4.4,4.1,3.6,3.3,3.8,4.3,3.9,3.8,3.5,3.8,3.8,3.7,3.7,2.9,3.1,3.1,3.0,3.1,2.9,3.1,3.2,3.2,3.3,3.3,3.5,3.7,3.5,3.4,3.2,2.8,3.4,3.8,3.8,3.8,3.8,4.3,4.6,6.3,6.6,6.6,5.7,4.9,1.6,0.9,1.2,2.8,3.8,3.7,3.7,3.6,3.8,3.6,6.5,5.9,4.9,5.3,5.2,5.4,6.0,5.3,4.2,3.7,2.7,2.2,1.0,1.1,1.2,1.3,1.4,3.2,3.1,2.7,2.7,2.1,1.6,1.4,1.3,1.5,2.2,2.9,3.8,4.6,4.8,4.8,4.6,4.0,4.1,3.6,3.8,4.1,8.5,9.1,9.5,9.1,8.5,6.6,5.7,5.2,4.5,4.0,3.5,3.1,1.9,1.8,1.9,2.3,4.1,3.7,0.3,0.3,0.4,1.8,1.7,2.0,2.0,2.2,2.4,2.3,2.2,1.9,1.9,1.9,2.0,2.3,2.6,2.6,2.3,1.9,1.3,0.9,1.2,1.4,2.0,2.4,2.9,2.6,2.5,2.2,2.0,1.7,1.9,2.3,3.3,3.5,3.5,7.3,7.8,7.2,7.3,5.0,3.6,3.3,3.2,2.7,2.3,2.2,2.2,2.1,2.0,2.1,2.2,2.3,2.5,2.6,2.8,2.8,2.8,2.7,2.8,2.9,3.9,4.2,4.4,4.9,5.3,4.2,3.9,4.0,4.4,4.4,5.6,5.4,5.2,5.0,4.4,4.4,3.7,3.8,3.5,3.3,3.6,3.7,3.4,3.7,3.8,3.8,5.2,5.6,6.9,6.1,5.4,5.4,5.2,3.8,3.4,3.1,3.0,3.1,3.4,3.8,3.8,3.7,3.5,3.5,3.2,3.4,3.6,3.9,4.6,5.6,4.5,4.4,4.3,4.3,4.4,4.5,4.1,3.6,3.8,3.6,3.5,4.0,3.5,3.5,3.9,3.8,3.9,3.8,2.9,2.6,2.6,2.7,3.1,3.3,3.4,3.5,3.8,3.7,3.6,3.6,3.5,2.5,2.3,2.3,2.3,2.3,2.5,3.0,3.2,3.5,3.7,3.5,3.7,3.9,3.7,3.6,3.8,3.9,4.2,4.5,4.6,4.5,4.4,4.6,4.7,4.9,4.8,4.7,3.9,3.7,3.7,3.7,3.7,3.8,3.9,3.8,3.7,3.2,3.1,2.8,2.7,2.7,2.8,2.8,2.7,2.8,2.6,2.6,2.9,3.1,3.0,3.1,3.2,3.1,3.2,4.0,3.7,3.5,3.4,2.4,2.2,1.1,1.2,1.4,1.6,1.8,3.3,3.8,4.1,4.3,4.2,3.9,3.3,3.0,2.9,2.7,2.7,2.4,2.8,3.0,3.0,3.1,3.5,4.2,4.2,4.3,4.6,4.6,4.3,4.4,4.5,4.7,7.0,7.4,7.0,6.9,6.8,6.7,5.1,4.7,5.8,5.4,5.6,5.7,5.7,4.3,4.6,4.2,4.0,3.8,5.3,6.2,5.5,7.8,6.9,6.7,6.6,6.3,4.5,4.6,4.1,3.9,3.6,1.8,1.9,1.9,2.4,2.5,2.5,2.7,2.8,2.9,2.9,2.8,2.8,2.6,2.8,2.9,3.0,3.2,3.8,3.9,3.7,3.2,3.0,2.1,1.8,1.8,1.8,1.9,2.0,2.0,11.2,11.2,11.2,11.2,19.0,19.0,8.3,6.3,5.1,5.8,6.3,6.2,6.1,6.7,6.3,6.5,5.6,4.6,5.1,5.8,5.0,4.3,4.1,2.9,3.2,3.5,3.5,3.0,2.6,2.5,2.4,2.1,1.8,2.3,2.7,3.4,5.0,4.2,1.6,1.5,1.5,1.5,1.3,1.7,1.7,1.5,1.4,1.3,1.3,1.7,2.0,2.1,2.5,3.3,3.4,3.3,3.3,3.6,4.0,3.2,1.9,1.8,0.9,1.0,1.1,1.2,1.6,1.5,1.5,1.4,1.4,1.6,1.9,2.0,2.2,2.8,1.8,2.2,2.3,4.1,5.6,9.1,6.9,4.2,3.9,3.5,1.8,2.2,2.7,3.1,3.4,4.3,4.8,4.7,4.4,2.9,2.8,1.2,1.0,1.2,1.4,1.7,2.7,3.0,3.4,3.4,3.5,3.8,3.7,3.8,2.7,2.5,2.4,2.5,2.5,1.5,1.3,1.2,2.7,3.0,3.0,3.2,3.3,4.5,4.7,4.1,3.8,3.8,3.6,3.0,2.5,2.1,2.1,1.1,1.1,1.0,1.4,1.5,1.7,1.7,1.3,1.1,1.1,1.1,1.2,1.2,1.3,1.5,1.6,2.7,2.9,2.6,2.8,2.6,2.0,2.1,2.9,3.3,3.4,4.0,2.8,3.1,2.9,2.9,2.9,2.6,1.8,1.5,1.5,2.4,2.6,2.7,2.4,2.1,1.9,2.2,2.6,2.1,2.0,2.1,2.2,2.5,4.2,5.0,4.8,4.7,4.5,4.2,4.0,3.9,3.6,3.3,3.1,1.7,1.5,1.5,1.7,1.7,1.9,2.3,2.5,2.5,2.4,2.3,2.2,2.0,2.0,2.1,2.0,2.0,1.8,1.5,1.3,1.3,1.2,1.3,1.4,1.4,1.4,1.3,1.5,1.8,2.2,2.4,2.3,1.9,1.7,1.6,1.5,1.9,2.1,1.9,1.4,1.3,1.4,1.4,1.6,1.9,1.9,1.8,2.2,2.1,2.2,2.4,2.2,2.2,2.1,2.0,1.9,2.0,2.1,2.0,2.0,2.7,2.5,2.3,2.2,2.2,2.2,2.4,2.6,2.5,2.5,2.2,2.8,3.4,3.6,3.7,3.7,4.5,4.4,3.2,3.2,3.1,3.1,3.1,3.1,2.8,2.9,2.7,2.8,2.9,2.7,3.7,4.4,0.7,1.0,1.2,5.4,3.8,3.3,3.0,3.1,2.6,2.4,2.4,2.5,2.8,4.0,4.0,8.8,8.3,8.3,9.5,3.4,3.1,2.8,2.5,2.4,2.1,1.8,1.1,0.9,0.9,1.2,1.6,3.5,3.8,4.6,5.0,5.5,5.3,5.1,5.2,4.7,4.7,4.7,4.4,4.0,3.3,0.7,0.5,0.9,1.8,4.3,4.2,5.0,5.4,5.3,6.3,6.7,5.9,6.1,6.7,7.5,8.0,8.2,8.3,8.2,7.4,7.3,7.3,7.3,7.3,7.0,6.8,6.5,6.0,5.5,5.2,4.7,4.5,5.0,4.8,4.6,4.7,5.1,4.6,4.9,4.9,4.9,4.5,4.4,4.0,5.3,6.2,6.6,6.6,6.7,5.6,4.9,4.8,5.3,5.7,6.5,6.8,7.2,7.6,7.8,7.2,7.1,7.0,7.3,6.9,6.6,5.9,5.5,4.4,3.9,3.7,3.9,3.8,3.9,4.0,4.7,4.9,4.9,5.0,4.9,4.7,4.7,4.9,5.1,5.5,5.7,5.6,5.5,5.8,6.0,6.0,5.9,7.2,6.8,7.2,6.7,6.4,4.6,4.0,1.2,0.3,0.3,0.3,0.4,0.5,2.4,2.7,2.5,2.5,2.4,1.8,0.9,0.9,0.7,0.8,0.8,0.8,1.4,1.6,1.6,1.6,1.6,1.7,1.5,1.5,1.7,1.9,2.0,2.6,2.4,2.6,2.1,2.1,2.3,2.4,2.4,2.5,2.5,2.7,2.4,2.2,2.1,2.0,2.0,1.2,1.2,1.2,1.3,1.5,1.5,1.7,1.8,1.8,1.8,1.7,1.8,1.7,1.5,1.4,1.4,1.6,1.6,1.7,1.1,1.1,1.2,1.2,1.4,2.2,1.9,2.0,2.0,1.7,1.6,1.7,1.3,1.5,1.5,1.4,1.4,1.3,1.4,1.4,1.4,1.4,1.4,1.4,1.5,1.6,1.6,1.6,1.5,1.3,0.9,1.4,1.5,1.6,1.6,1.8,1.9,2.2,1.9,1.9,2.0,2.0,2.0,1.7,1.6,1.6,1.6,1.7,1.7,1.9,1.9,1.9,1.8,1.7,1.6,1.8,2.1,1.8,1.6,1.8,1.7,1.9,1.9,1.9,2.0,2.1,1.9,1.9,2.0,1.5,1.5,1.4,1.5,1.5,1.7,1.4,1.1,1.5,1.5,1.5,1.4,1.3,1.2,1.3,1.4,1.7,1.7,1.7,1.4,1.4,1.4,1.4,1.5,2.1,2.1,2.1,2.3,2.3,2.8,3.0,1.8,1.5,1.4,1.5,1.1,1.3,2.4,2.6,2.4,2.8,2.6,3.1,3.2,3.7,3.7,3.6,3.4,3.3,2.1,0.0,0.0,0.0,0.0,0.0,0.0,3.1,3.1,3.5,4.1,4.3,4.1,4.1,3.6,2.9,2.3,2.0,1.5,1.6,1.5,1.7,3.3,3.3,3.1,3.0,2.8,2.7,2.9,3.1,3.4,3.6,4.1,4.3,4.3,4.6,4.5,4.3,4.0,4.1,4.1,3.5,3.6,3.5,3.7,3.8,4.2,4.2,4.1,3.8,3.7,4.0,4.0,4.5,5.2,5.6,5.7,5.5,4.8,4.4,4.0,4.0,4.0,3.9,4.2,4.1,4.1,4.5,5.1,5.5,6.7,6.9,7.0,7.7,7.8,7.1,6.5,6.3,6.2,5.7,5.6,5.5,5.0,4.7,4.7,4.7,4.6,4.6,4.6,4.4,3.9,3.7,3.8,4.6,5.0,5.3,5.3,5.2,4.7,4.4,4.2,4.3,4.4,4.7,5.0,5.2,4.7,4.4,4.0,3.6,3.2,3.2,3.0,2.8,2.9,3.0,3.2,3.2,3.3,3.3,3.2,3.4,3.7,3.9,4.0,3.0,1.1,0.4,0.5,4.7,5.4,7.2,6.5,5.9,5.7,5.4,3.6,5.0,5.1,5.2,5.3,5.2,5.1,4.5,4.1,3.0,2.3,1.8,1.4,1.3,1.1,1.1,1.5,1.9,2.0,2.3,2.4,3.8,3.8,3.9,4.1,4.4,4.5,4.6,4.6,4.8,5.0,5.5,5.9,5.7,5.2,4.0,3.3,3.4,3.3,3.6,3.9,3.9,3.7,3.6,3.7,3.9,4.0,4.4,4.5,4.4,4.3,4.0,3.7,2.8,2.4,1.8,0.3,0.5,4.7,4.9,4.8,4.7,5.0,5.0,4.9,4.3,4.3,4.5,4.6,4.8,4.7,4.3,4.1,4.1,4.2,4.3,4.1,4.1,3.9,3.9,3.8,3.5,3.6,3.7,3.8,3.9,4.3,3.9,3.7,2.9,2.8,2.5,2.7,2.8,3.6,4.8,4.9,4.5,4.7,4.6,2.9,2.5,2.7,3.0,4.0,3.9,3.9,3.8,3.3,3.3,3.3,3.3,3.3,3.2,2.8,2.6,2.0,2.0,2.0,1.9,2.0,1.9,1.7,1.7,1.7,1.7,1.5,1.4,1.5,1.5,1.7,1.7,1.9,1.8,1.7,1.6,1.9,1.6,2.8,3.3,3.3,3.3,3.2,3.2,3.7,3.6,3.6,3.7,3.6,3.0,2.9,2.7,2.7,2.9,3.3,3.5,4.1,4.2,4.0,4.0,3.8,3.0,3.3,3.7,3.6,3.5,3.3,4.5,4.5,4.7,5.3,5.8,4.5,4.3,4.1,3.2,2.3,1.6,0.1,0.2,0.3,0.3,0.3,4.6,4.7,5.0,4.9,4.5,4.1,3.8,3.7,3.5,4.1,4.6,5.1,5.4,5.8,5.6,5.2,4.6,4.6,4.3,4.1,4.0,4.1,4.2,4.6,4.7,4.9,5.2,5.1,5.2,5.3,5.4,5.4,6.6,7.4,7.7,7.9,8.0,7.0,6.6,6.8,6.6,6.3,5.9,5.4,4.6,4.0,2.9,1.6,1.9,2.4,2.7,3.1,3.1,5.6,5.3,5.1,4.5,3.9,4.6,5.7,5.5,5.8,5.7,5.3,5.4,5.9,5.3,5.4,5.9,5.9,6.0,5.7,5.2,4.8,4.5,4.2,3.4,2.9,2.9,4.3,4.1,4.0,3.9,2.3,2.2,1.7,1.6,1.4,1.7,1.7,1.8,1.7,1.7,2.2,2.6,2.9,2.9,2.9,2.8,2.6,2.4,2.3,2.4,2.3,2.7,3.0,3.1,3.4,3.5,3.5,3.1,2.9,2.5,2.5,2.2,2.3,2.1,2.3,2.6,2.7,2.9,3.2,4.1,4.2,3.7,2.7,2.1,1.8,2.0,2.2,3.2,3.5,3.9,3.9,3.6,2.3,0.9,1.0,2.2,2.7,3.5,3.6,2.8,3.3,3.7,3.8,3.8,3.9,3.6,3.3,2.7,1.6,1.5,1.7,1.7,1.6,1.5,1.3,1.1,1.2,1.6,2.2,2.6,3.2,3.7,3.7,3.8,3.6,3.5,3.4,3.3,2.7,2.2,1.3,0.9,0.3,0.3,0.4,2.0,2.1,2.3,2.2,2.0,2.2,1.6,1.1,1.2,1.1,1.1,1.1,1.0,1.3,2.5,2.8,4.2,3.8,3.6,2.7,2.6,2.6,2.5,2.5,2.2,2.4,3.1,3.5,3.5,3.6,3.7,4.1,3.8,3.3,2.9,2.8,2.9,2.8,3.0,3.3,3.2,2.6,2.5,2.7,2.8,2.8,3.2,3.2,3.3,3.1,3.4,3.7,3.7,3.7,3.6,4.2,4.1,4.2,4.4,4.2,3.6,3.4,3.5,3.2,3.0,2.1,1.4,2.2,3.3,2.8,2.6,2.5,2.4,1.8,1.9,2.0,2.1,2.3,3.1,3.1,3.1,3.1,3.0,3.0,3.0,3.7,3.9,4.0,4.1,4.0,3.4,4.8,4.8,5.7,5.2,4.8,2.4,2.4,2.3,2.3,2.3,1.8,1.5,1.3,1.5,1.5,1.8,2.8,4.4,4.5,3.9,3.7,3.6,3.0,3.0,2.8,2.8,2.6,2.6,2.6,4.1,5.1,6.2,4.9,5.0,5.6,5.7,5.7,5.8,4.5,4.1,3.8,3.8,3.6,3.5,3.1,2.6,2.5,2.0,1.9,1.8,2.0,1.9,2.2,2.4,3.1,3.1,3.1,2.9,2.6,1.8,1.8,1.8,1.8,2.0,2.2,2.8,2.9,2.7,2.4,2.3,2.0,3.1,3.8,4.2,3.9,4.0,2.2,2.4,2.7,2.6,2.6,3.0,2.6,2.4,2.8,3.4,3.6,2.6,2.3,2.0,2.2,2.3,3.2,3.6,3.6,3.6,4.8,5.3,3.5,3.4,3.0,2.2,2.1,1.7,1.6,1.8,2.4,2.6,3.3,3.0,3.0,2.9,2.9,2.6,2.6,2.4,2.6,2.7,2.7,2.9,3.1,3.2,3.4,3.4,3.5,3.3,3.2,3.1,3.1,3.1,3.0,3.0,3.0,3.1,3.2,3.2,3.6,4.8,3.4,1.9,1.5,1.4,0.7,0.8,2.3,2.7,3.6,3.8,4.0,4.0,4.0,4.2,4.4,6.2,6.7,7.4,7.4,7.7,8.4,8.5,8.0,7.7,7.7,7.3,7.6,7.5,7.3,6.4,6.2,5.2,5.0,4.9,4.6,4.0,3.4,2.9,2.1,1.6,1.7,2.3,2.8,2.3,1.6,1.4,1.4,1.4,1.3,1.6,2.4,2.5,2.5,1.9,1.7,1.7,1.7,1.9,2.2,2.0,1.9,2.0,2.1,2.2,2.1,2.2,2.1,2.1,1.8,1.8,1.8,2.1,2.3,2.2,2.6,2.5,2.6,2.6,2.6,2.4,1.6,1.6,1.9,1.8,1.7,1.8,1.8,2.2,2.0,1.4,0.9,0.2,0.2,0.2,0.6,0.1,0.1,0.1,0.1,0.2,0.2,0.3,0.4,0.4,3.3,3.4,3.4,3.6,2.7,2.0,1.6,0.8,1.4,1.3,1.4,1.5,1.5,1.8,2.6,4.3,5.3,6.1,6.6,6.6,5.7,5.3,5.2,6.4,6.5,6.6,7.0,7.3,6.6,6.7,6.3,5.9,5.4,4.7,4.1,3.8,3.2,2.4,2.0,1.9,2.7,2.9,3.2,3.7,4.9,4.9,8.4,9.0,9.1,7.8,5.7,5.0,4.3,4.2,3.9,3.8,3.7,3.5,3.8,4.0,4.1,4.7,5.2,5.4,5.8,6.1,6.1,6.0,6.1,5.8,6.0,5.6,5.3,4.8,4.6,4.0,4.1,4.2,4.1,3.9,3.8,3.7,3.3,2.9,2.6,2.9,2.6,2.9,3.5,4.3,4.5,5.3,5.4,5.5,5.2,5.0,4.4,4.2,4.0,4.0,4.0,4.3,4.8,5.2,5.6,5.8,5.7,5.2,4.6,4.0,3.5,3.3,3.6,3.6,3.5,3.7,3.8,3.4,3.6,3.6,3.5,3.0,3.1,2.8,2.6,2.5,2.5,2.2,2.4,2.6,2.6,2.6,3.0,3.2,3.2,3.5,4.0,4.0,3.9,4.1,4.3,4.4,4.5,4.5,4.4,4.7,4.8,4.7,4.7,4.2,3.4,2.7,2.2,1.7,1.6,1.7,2.0,2.8,3.2,2.9,2.9,2.3,0.7,0.3,0.3,1.8,3.1,5.1,5.3,5.5,5.6,5.7,7.0,7.0,6.9,6.9,6.8,6.6,6.3,6.0,5.1,4.4,3.5,3.1,3.5,4.1,4.3,4.3,4.2,3.3,2.6,2.4,2.6,3.0,3.7,4.3,4.3,4.4,4.5,4.0,3.7,3.5,3.2,3.2,3.2,3.3,3.9,4.5,4.3,4.9,6.9,6.8,6.5,6.5,6.1,3.2,2.8,2.6,2.6,2.5,1.9,1.9,1.9,1.8,1.8,1.7,1.7,1.4,1.6,1.5,1.5,1.7,1.7,1.5,1.7,1.7,1.5,2.0,2.5,2.6,2.1,1.4,1.4,1.4,1.5,1.5,1.5,1.3,1.2,1.2,1.7,1.8,1.8,1.7,1.7,1.4,1.2,1.2,1.2,1.3,1.2,1.4,1.6,1.6,1.6,1.7,1.8,1.7,2.0,2.0,2.2,2.2,2.2,2.3,2.2,1.9,1.7,1.6,1.4,1.4,0.9,1.0,1.1,1.2,1.2,1.2,1.4,1.2,1.2,1.0,1.0,0.6,0.7,0.8,1.1,1.3,1.4,1.5,1.5,1.5,1.5,1.4,1.8,1.8,2.0,2.3,2.5,2.2,2.0,1.9,1.1,1.1,1.1,1.1,1.2,1.7,2.3,2.6,2.8,2.4,2.5,2.5,2.3,2.0,1.9,1.9,0.8,0.8,1.3,1.3,1.3,1.3,2.5,2.8,3.0,3.0,2.7,2.1,2.3,2.4,2.5,2.3,2.3,2.3,2.4,2.3,2.2,1.8,0.7,0.3,0.3,0.3,0.4,2.6,2.5,2.8,3.0,3.3,3.8,3.8,7.1,7.6,7.8,8.2,8.4,9.1,8.0,7.8,7.6,6.4,6.3,5.4,4.9,4.3,4.4,4.4,4.2,4.4,4.4,3.9,3.8,3.7,3.3,3.0,2.7,2.5,2.3,2.3,2.7,3.1,3.3,3.6,3.5,3.3,3.0,2.7,2.7,3.8,3.9,3.9,3.8,3.3,3.2,3.1,3.2,3.5,3.7,3.9,3.6,3.6,3.2,2.9,2.7,2.8,2.0,2.0,1.9,1.9,1.7,1.8,2.1,2.3,2.3,2.2,2.0,1.8,1.8,2.0,2.1,1.9,1.8,1.7,1.3,1.2,1.2,1.2,1.2,1.3,1.3,1.5,1.5,1.6,1.6,1.5,1.5,1.8,1.8,2.0,2.1,1.8,1.8,1.7,1.6,1.2,1.4,1.4,1.4,1.4,1.8,2.0,2.1,2.2,2.2,2.4,2.4,2.4,2.2,2.3,2.5,2.3,2.2,2.1,1.6,1.6,1.5,1.6,1.9,1.9,1.8,1.5,1.6,1.5,1.4,1.5,1.7,1.5,1.7,1.9,1.9,1.8,1.6,1.5,1.4,1.6,2.2,2.3,2.1,2.1,2.2,1.8,1.9,1.9,1.9,2.1,2.4,2.3,2.6,2.5,2.6,2.5,2.4,2.7,2.9,2.7,2.5,2.5,2.0,1.8,2.0,2.1,2.0,2.2,2.2,2.1,2.1,2.2,2.1,1.8,1.6,1.3,1.5,1.4,1.4,1.5,1.2,1.2,1.3,1.3,2.9,3.2,3.1,3.0,3.3,3.6,3.5,3.7,2.9,2.5,2.4,2.4,2.6,3.0,2.9,2.8,2.9,2.8,2.6,2.5,2.5,2.5,2.4,2.4,2.5,2.6,2.5,2.3,2.2,2.1,2.1,2.2,2.8,3.0,2.9,2.9,3.0,3.0,2.8,2.4,2.1,2.1,2.3,2.4,2.4,2.5,2.6,2.8,3.6,3.5,3.7,3.8,3.7,3.6,3.7,3.2,3.1,3.2,3.5,4.0,3.9,2.6,2.5,2.5,2.4,2.3,1.3,1.2,1.2,1.1,1.1,1.6,2.0,2.3,2.2,2.3,3.4,3.3,3.1,3.0,3.0,2.9,2.9,3.1,3.1,3.0,2.9,2.7,2.6,2.7,2.6,2.6,2.5,2.6,2.9,3.0,2.4,2.1,2.1,2.7,3.0,3.6,3.5,3.4,3.4,2.2,1.3,0.7,0.8,1.2,1.5,2.2,2.7,3.0,2.9,2.9,2.9,2.7,2.6,1.6,0.8,1.1,2.1,2.9,3.3,3.5,3.6,3.5,4.5,4.3,4.3,3.9,4.0,3.2,3.6,4.0,4.0,3.8,4.8,5.5,5.9,5.3,5.2,5.2,5.4,6.1,7.0,6.9,7.1,6.3,6.1,5.8,5.5,5.1,4.9,4.9,5.0,5.1,4.9,5.3,5.2,5.2,5.5,5.4,5.2,5.1,5.0,4.3,3.7,3.3,1.9,1.8,0.7,0.8,1.0,2.5,2.3,1.9,2.3,1.9,1.9,1.6,1.6,1.7,2.0,1.4,1.3,1.2,1.2,1.1,1.2,1.0,1.0,1.1,1.0,1.1,1.4,1.4,1.7,2.1,2.1,2.3,2.0,1.9,1.0,1.1,1.1,1.2,1.2,1.7,2.2,2.3,2.1,2.0,1.9,1.9,1.7,1.9,1.9,2.0,2.4,2.5,1.8,1.5,1.3,1.3,1.3,1.3,2.6,2.8,2.9,3.0,3.0,3.5,2.7,1.6,1.4,1.3,1.4,1.3,1.3,1.2,1.9,2.6,2.7,2.8,2.6,2.6,2.6,2.6,2.3,1.9,1.9,2.2,2.3,2.5,2.6,2.9,3.0,2.9,3.2,3.1,3.3,2.9,2.1,1.7,1.3,1.3,1.1,1.2,1.2,1.3,1.2,1.3,1.3,1.3,1.3,1.4,1.4,1.4,1.4,1.6,2.2,3.0,2.9,2.8,2.9,3.0,3.1,2.9,2.7,2.4,2.3,2.1,2.0,2.0,2.0,2.0,2.0,2.1,1.6,1.3,1.6,2.2,2.2,2.2,2.3,2.2,1.8,2.2,2.5,2.5,2.5,2.5,1.9,1.8,2.0,2.1,2.1,2.1,2.5,1.9,1.6,1.9,2.2,2.2,2.1,2.0,1.6,1.8,1.9,1.9,1.9,2.6,2.9,2.8,2.6,2.4,2.3,1.6,1.4,1.4,1.5,1.5,1.8,3.2,3.2,3.2,3.2,3.1,2.8,3.0,3.3,3.5,3.3,3.1,3.3,3.2,3.2,3.1,2.9,3.4,3.4,3.3,3.1,3.0,3.1,2.4,1.9,2.0,2.0,2.1,2.4,2.5,2.0,0.2,0.1,0.2,0.2,1.7,1.4,1.4,1.3,1.8,1.8,1.7,1.7,1.7,1.7,2.3,2.5,2.4,2.3,2.2,2.5,3.1,3.0,3.0,3.0,3.1,3.2,3.4,2.7,2.6,2.5,2.2,2.2,2.4,3.2,3.2,3.1,3.2,3.2,3.0,2.6,1.6,1.5,1.5,1.5,1.6,1.6,2.7,3.4,4.1,3.8,3.8,3.6,3.9,4.2,4.9,5.9,5.7,5.8,5.7,4.1,4.5,4.0,2.9,3.3,3.5,3.8,3.8,3.7,3.7,3.6,3.3,3.4,4.9,5.5,5.1,4.2,4.1,4.7,4.7,4.7,5.4,5.2,4.6,4.7,4.9,4.9,5.7,5.9,6.1,6.6,4.8,5.4,6.4,7.2,7.4,9.2,9.1,8.9,9.1,8.9,8.9,8.5,8.8,8.4,9.0,9.7,10.1,10.1,9.8,8.8,7.7,6.7,5.6,2.3,2.6,5.1,5.3,5.2,4.5,4.4,4.4,4.7,4.8,4.6,4.5,4.3,3.9,3.9,3.5,3.3,3.4,3.3,3.3,3.0,2.9,2.9,2.8,2.9,3.9,4.6,4.4,4.4,4.3,4.4,4.3,4.8,5.1,5.4,5.6,5.8,5.9,5.9,5.7,6.9,7.7,7.4,7.0,6.8,6.0,5.7,5.6,5.6,5.6,5.3,5.7,6.2,6.3,6.7,7.1,8.3,8.8,8.9,8.9,9.0,9.0,8.9,8.6,8.4,8.9,9.4,8.2,6.4,5.3,4.0,1.7,3.1,3.5,5.5,5.8,6.5,8.2,9.5,9.2,8.6,5.8,4.4,2.5,1.0,0.8,1.0,1.1,0.7,0.5,1.1,1.6,1.9,3.2,3.3,4.1,4.8,5.1,5.8,5.3,4.7,3.0,4.0,4.3,3.4,2.8,3.7,5.2,6.3,6.8,7.0,6.9,7.7,5.3,5.0,4.8,5.3,5.4,6.1,6.6,7.4,7.5,7.6,7.9,8.3,7.8,7.1,6.8,6.3,5.7,6.2,6.5,6.9,6.6,5.3,4.7,3.5,3.4,4.1,4.8,5.2,5.3,4.4,3.8,3.8,3.9,4.2,4.3,4.1,4.0,3.8,3.5,3.7,3.8,3.5,3.3,3.3,3.2,3.0,2.8,2.3,2.2,2.1,2.5,3.3,3.1,2.9,2.9,2.9,3.0,3.1,3.3,3.8,3.9,4.2,4.9,4.7,4.7,4.6,3.6,3.4,3.0,2.8,2.7,2.6,3.1,3.4,3.6,3.4,3.2,2.5,2.5,2.6,2.5,2.4,2.0,1.9,2.2,2.1,2.4,2.5,2.5,2.9,3.2,3.2,3.0,2.4,2.5,2.4,2.2,1.9,1.8,1.7,2.3,2.3,2.9,2.0,1.9,1.9,1.9,2.3,4.4,4.3,3.5,3.0,3.1,3.1,3.0,3.0,2.7,3.4,4.9,4.2,3.4,2.7,2.5,2.3,2.2,1.2,1.0,1.4,1.9,3.4,4.0,4.8,4.9,3.2,2.2,2.6,3.5,3.8,4.8,5.8,5.7,5.3,5.2,5.0,4.9,5.8,5.8,5.4,4.8,4.1,2.2,2.2,0.1,0.1,0.2,0.2,0.2,0.2,0.2,6.5,6.0,5.5,3.7,4.1,5.6,5.6,5.4,5.3,5.2,4.8,4.7,5.0,5.0,5.0,4.9,4.8,3.9,3.7,3.9,3.8,3.7,3.0,3.5,3.6,4.0,3.9,3.5,3.5,3.7,3.7,3.8,4.2,4.1,3.8,3.8,3.7,3.8,3.8,3.5,3.1,2.8,2.5,2.9,2.8,2.8,3.1,3.1,3.0,3.2,3.1,3.0,2.9,2.2,2.2,2.3,2.4,2.7,3.6,4.8,5.2,5.5,5.8,5.4,4.7,4.6,4.4,2.4,2.5,2.4,2.6,2.9,3.9,3.0,2.8,2.2,2.1,2.1,1.9,1.7,1.8,2.0,2.0,2.0,1.3,1.3,1.5,2.5,2.6,2.6,2.7,2.7,3.1,3.3,3.3,3.3,3.4,3.4,3.5,3.6,3.9,3.7,3.6,3.5,3.5,3.4,3.9,4.2,4.7,4.8,4.8,4.9,4.7,4.3,3.5,3.3,3.0,2.9,2.9,2.6,2.5,2.5,2.7,2.8,3.1,3.2,3.5,4.0,4.6,4.3,3.8,3.0,3.1,3.2,3.5,3.5,3.2,3.1,3.1,3.1,3.1,3.5,3.5,3.5,3.1,1.8,1.7,1.3,0.1,0.1,0.1,0.9,0.8,0.8,1.1,1.2,1.6,2.4,3.0,3.4,3.5,3.6,4.1,3.0,3.1,4.2,4.4,4.6,6.0,6.1,6.2,6.0,5.8,5.9,5.8,5.9,6.2,7.1,7.5,8.0,8.2,8.7,8.2,7.8,7.7,8.1,8.4,8.7,9.1,9.4,9.1,9.0,8.4,7.5,6.9,5.2,4.1,3.2,2.4,0.3,0.4,2.9,2.9,4.1,4.2,4.6,4.5,4.5,4.2,4.2,4.2,4.1,3.8,3.7,3.2,3.5,3.7,3.6,3.5,3.4,3.3,3.7,4.1,4.3,4.3,4.4,4.1,2.2,1.8]}'
  end

  def self.test_efforts()
    # curl http://app.strava.com/api/v1/rides/77563/efforts
    '{"ride":{"id":77563,"name":"02/28/10 San Francisco, CA"},"efforts":[{"id":5819602,"elapsed_time":307,"segment":{"id":640366,"name":"The Wiggle Mile"}},{"id":76670607,"elapsed_time":214,"segment":{"id":988610,"name":"Wiggle, Duboce to Panhandle"}},{"id":99160876,"elapsed_time":63,"segment":{"id":1078486,"name":"Pre Panhandle Warm-Up Sprint"}},{"id":160373427,"elapsed_time":35,"segment":{"id":1387266,"name":"Pre-Panhandle Hill Sprint"}},{"id":2231990,"elapsed_time":209,"segment":{"id":623323,"name":"Panhandle to GGP"}},{"id":454864926,"elapsed_time":60,"segment":{"id":2598932,"name":"Baker to Masonic Sprint"}},{"id":47752526,"elapsed_time":636,"segment":{"id":800849,"name":"Panhandle to Arguello Gate"}},{"id":454845856,"elapsed_time":68,"segment":{"id":2598929,"name":"Masonic to Cole Sprint"}},{"id":400864309,"elapsed_time":529,"segment":{"id":2412626,"name":"Haight to the Gate"}},{"id":2543643,"elapsed_time":63,"segment":{"id":626358,"name":"Conservatory of Flowers Hill"}},{"id":911893919,"elapsed_time":604,"segment":{"id":3946001,"name":"Geary to Golden Gate via Presidio"}},{"id":460672345,"elapsed_time":91,"segment":{"id":2618317,"name":"Arguello ramp"}},{"id":587546069,"elapsed_time":2137,"segment":{"id":3208931,"name":"Arguello Gate to Susalito"}},{"id":8199041,"elapsed_time":38,"segment":{"id":652196,"name":"Arguello Bump"}},{"id":138422110,"elapsed_time":21,"segment":{"id":1284313,"name":"Arguello bump one block only"}},{"id":4845184,"elapsed_time":484,"segment":{"id":636231,"name":"Presidio TT"}},{"id":47734865,"elapsed_time":481,"segment":{"id":800852,"name":"Arguello Gate to the Bridge"}},{"id":8205547,"elapsed_time":469,"segment":{"id":652201,"name":"Presidio Pass to the Bridge"}},{"id":11763052,"elapsed_time":285,"segment":{"id":669422,"name":"Washington Blvd. from Arguello to Harrison"}},{"id":136032928,"elapsed_time":93,"segment":{"id":1263235,"name":"Northbound Presidio Sprint"}},{"id":1523485,"elapsed_time":409,"segment":{"id":616515,"name":"GGB Northbound"}},{"id":152385740,"elapsed_time":336,"segment":{"id":1329810,"name":"GGB Northbound "}},{"id":17474449,"elapsed_time":218,"segment":{"id":706491,"name":"Golden Gate Bridge"}},{"id":143068244,"elapsed_time":10,"segment":{"id":1297015,"name":"Walk Your Bike Apr 2012"}},{"id":29311726,"elapsed_time":32,"segment":{"id":773502,"name":"Pimple Popper"}},{"id":75784853,"elapsed_time":165,"segment":{"id":985414,"name":"Alexander Ave - Conzelman to E Road"}},{"id":345249123,"elapsed_time":42,"segment":{"id":2172014,"name":"Sausalito Sprint 1"}},{"id":846891608,"elapsed_time":8985,"segment":{"id":3809525,"name":"5:45AM Club Loop"}},{"id":342181918,"elapsed_time":115,"segment":{"id":2159003,"name":"Sausalito shoot from GGB off-ramp"}},{"id":14780671,"elapsed_time":172,"segment":{"id":688554,"name":"Sausalito Descent"}},{"id":144612840,"elapsed_time":224,"segment":{"id":1305117,"name":"ggb2justpastScomas"}},{"id":144609138,"elapsed_time":224,"segment":{"id":1305116,"name":""}},{"id":2922221,"elapsed_time":223,"segment":{"id":627947,"name":"GGB to Sausalito"}},{"id":2915766,"elapsed_time":108,"segment":{"id":627946,"name":"Alexander Descent"}},{"id":144734247,"elapsed_time":42,"segment":{"id":1305252,"name":"Alexander False Flat Sprint"}},{"id":68716525,"elapsed_time":76,"segment":{"id":956537,"name":"Alexander Sprint "}},{"id":145428301,"elapsed_time":31,"segment":{"id":1307651,"name":"Alexander False Flat Sprint"}},{"id":345276692,"elapsed_time":46,"segment":{"id":2172057,"name":"Sausalito Sprint 2"}},{"id":800011747,"elapsed_time":80,"segment":{"id":3699748,"name":"Slingshot"}},{"id":153291294,"elapsed_time":478,"segment":{"id":1335431,"name":"Bridgeway Northbound"}},{"id":45403871,"elapsed_time":49,"segment":{"id":849668,"name":"Marinship Sprint"}},{"id":118546774,"elapsed_time":94,"segment":{"id":1173361,"name":"This one always hurts!"}},{"id":3903583,"elapsed_time":108,"segment":{"id":632567,"name":"7-11 to Mollie Stone"}},{"id":452347955,"elapsed_time":126,"segment":{"id":2592116,"name":"Mike\'s Bikes Sprint"}},{"id":186190517,"elapsed_time":7239,"segment":{"id":1524004,"name":"Col du Pantoll - Complete Loop MB"}},{"id":53717775,"elapsed_time":95,"segment":{"id":892147,"name":"Mike\'s Bikes to Seaport"}},{"id":319094909,"elapsed_time":122,"segment":{"id":2040161,"name":"The Camino Alto Warmup Sprint"}},{"id":354566890,"elapsed_time":32,"segment":{"id":2215691,"name":"Rosemont Climb - Almonte to Julia"}},{"id":1324431,"elapsed_time":317,"segment":{"id":613995,"name":"Miller Ave TT"}},{"id":489894694,"elapsed_time":96,"segment":{"id":2708814,"name":"Miller Ave Sprint"}},{"id":12227741,"elapsed_time":96,"segment":{"id":671707,"name":"Miller Ave Sprint"}},{"id":37829253,"elapsed_time":102,"segment":{"id":818130,"name":"Tam High to Tam Bikes"}},{"id":197666384,"elapsed_time":3529,"segment":{"id":1603525,"name":"2am Club to Hwy 1 Stinson via Pantoll."}},{"id":219479817,"elapsed_time":852,"segment":{"id":1696422,"name":"La Coppa to Edgewood"}},{"id":315797493,"elapsed_time":793,"segment":{"id":1173255,"name":"Mill Valley to Four Corners"}},{"id":159783992,"elapsed_time":356,"segment":{"id":1382984,"name":"Marion Ave."}},{"id":2078609,"elapsed_time":2148,"segment":{"id":622149,"name":"Mill Valley to Pantoll"}},{"id":688443,"elapsed_time":1185,"segment":{"id":718,"name":"Mill Valley to Panoramic via Marion Ave"}},{"id":6999041,"elapsed_time":2168,"segment":{"id":646057,"name":"Marion to Pan Toll"}},{"id":447472861,"elapsed_time":347,"segment":{"id":2576157,"name":"Climb to edgewood"}},{"id":273051445,"elapsed_time":751,"segment":{"id":1831219,"name":"Marion to 4 Corners"}},{"id":40087273,"elapsed_time":604,"segment":{"id":826835,"name":"Temporary segment - construction stoppage"}},{"id":17528132,"elapsed_time":670,"segment":{"id":706992,"name":"Old Mill Park to Four Corners"}},{"id":366254442,"elapsed_time":2054,"segment":{"id":2268829,"name":"marion to pantoll via walsh and dirt"}},{"id":52593526,"elapsed_time":96,"segment":{"id":886000,"name":"290 Marion to Edgewood"}},{"id":194691382,"elapsed_time":174,"segment":{"id":1587724,"name":"Dipsea Trail Climb"}},{"id":5940297,"elapsed_time":389,"segment":{"id":640981,"name":"Marion to Four Corners"}},{"id":23323047,"elapsed_time":275,"segment":{"id":742888,"name":"Sequoia Climb"}},{"id":808938726,"elapsed_time":198,"segment":{"id":3721623,"name":"Sequoia Sprint "}},{"id":808931205,"elapsed_time":198,"segment":{"id":3721636,"name":"OLD VERSION - Sequoia Sprint "}},{"id":840745,"elapsed_time":1268,"segment":{"id":609323,"name":"4 Corners to Bootjack"}},{"id":2419895,"elapsed_time":1498,"segment":{"id":625065,"name":"4 Corners to Pantoll Station"}},{"id":39939454,"elapsed_time":1405,"segment":{"id":825819,"name":"Four Corners to Pantoll"}},{"id":470354082,"elapsed_time":1384,"segment":{"id":2648474,"name":"4 corners to pan toll parking lot"}},{"id":85588534,"elapsed_time":2035,"segment":{"id":1022689,"name":"4 Corners to Stinson via Pan Toll"}},{"id":376235713,"elapsed_time":259,"segment":{"id":2313209,"name":"4 Corners to Mountain Home In"}},{"id":483705993,"elapsed_time":373,"segment":{"id":2689489,"name":"4 Corners to Mountain Home In Climb"}},{"id":345427271,"elapsed_time":189,"segment":{"id":2173139,"name":"Panoramic Hwy Steeps"}},{"id":866182619,"elapsed_time":141,"segment":{"id":3855026,"name":"Steep Shit"}},{"id":643682699,"elapsed_time":959,"segment":{"id":3357570,"name":"Panoramic \u0026 Marin View to Pantoll Smash"}},{"id":4286379,"elapsed_time":874,"segment":{"id":634101,"name":"Mt Home Inn to Pantoll"}},{"id":643682697,"elapsed_time":874,"segment":{"id":3357587,"name":"Mt Home Inn crosswalk to Pantoll"}},{"id":190010261,"elapsed_time":288,"segment":{"id":1560833,"name":"Panoramic Hwy Climb"}},{"id":365062341,"elapsed_time":529,"segment":{"id":2263381,"name":"pantol final push"}},{"id":688432,"elapsed_time":598,"segment":{"id":156,"name":"Panoramic to Pan Toll"}},{"id":389011668,"elapsed_time":458,"segment":{"id":2367346,"name":"bootjack fiver"}},{"id":68546344,"elapsed_time":309,"segment":{"id":955827,"name":"Pan Toll to Stinson (short)"}},{"id":1594150,"elapsed_time":547,"segment":{"id":617195,"name":"Stinson Beach Descent Panoramic from Pan Toll"}},{"id":151416029,"elapsed_time":288,"segment":{"id":1321373,"name":"Stinson Descent (woods)"}},{"id":194204214,"elapsed_time":443,"segment":{"id":1582691,"name":"Stinson descent to the bumper at the bottom"}},{"id":65921969,"elapsed_time":522,"segment":{"id":947318,"name":"Pan Toll to Stinson Descent "}},{"id":749114569,"elapsed_time":1571,"segment":{"id":3595822,"name":"Beach to Beach"}},{"id":5328175,"elapsed_time":654,"segment":{"id":638066,"name":"Stinson Southbound to Hairpin Right Turn"}},{"id":688433,"elapsed_time":471,"segment":{"id":157,"name":"Stinson Climb 1, south "}},{"id":709387237,"elapsed_time":2374,"segment":{"id":3504215,"name":"Stinson to Panoramic "}},{"id":65984260,"elapsed_time":1573,"segment":{"id":947552,"name":"Stinson to Muir "}},{"id":3417182,"elapsed_time":1562,"segment":{"id":630377,"name":"Stinson to Muir Woods cut off"}},{"id":1469576,"elapsed_time":1582,"segment":{"id":615929,"name":"Stinson Beach to Muir Beach"}},{"id":3417948,"elapsed_time":1412,"segment":{"id":630378,"name":"Stinson to Muir Beach Lookout"}},{"id":1670144,"elapsed_time":1237,"segment":{"id":618085,"name":"Steep Ravine to Pelican Inn"}},{"id":66021197,"elapsed_time":95,"segment":{"id":947759,"name":"First Down"}},{"id":688439,"elapsed_time":369,"segment":{"id":719,"name":"Slide Ranch Kicker"}},{"id":324631699,"elapsed_time":57,"segment":{"id":2066483,"name":"Highway 1 Kicker "}},{"id":5334073,"elapsed_time":315,"segment":{"id":638096,"name":"Highway One Cold Stream to Muir Woods Road"}},{"id":890078325,"elapsed_time":83,"segment":{"id":3904773,"name":"Muir Plunge "}},{"id":621521947,"elapsed_time":132,"segment":{"id":3305098,"name":"Muir Descent"}},{"id":25804260,"elapsed_time":683,"segment":{"id":751663,"name":"Muir Beach Shoreline Climb"}},{"id":688434,"elapsed_time":656,"segment":{"id":158,"name":"Muir Beach Climb East"}},{"id":881448677,"elapsed_time":714,"segment":{"id":3884706,"name":"Muir Beach to Panoramic "}},{"id":774214531,"elapsed_time":114,"segment":{"id":3643582,"name":"Beginning of shoreline climb"}},{"id":447606475,"elapsed_time":51,"segment":{"id":2576775,"name":"Shoreline Climb Final Sprint at the Top"}},{"id":324664677,"elapsed_time":47,"segment":{"id":2066595,"name":"Shoreline Kicker "}},{"id":447623683,"elapsed_time":48,"segment":{"id":2576865,"name":"Shoreline Flat Top Sprint Northbound"}},{"id":9975868,"elapsed_time":296,"segment":{"id":661113,"name":"Panoramic/Hwy 1 to 7Eleven Tam Valley"}},{"id":5407011,"elapsed_time":119,"segment":{"id":638412,"name":"Hwy 1 Panoramic to W. California DH"}},{"id":60449672,"elapsed_time":331,"segment":{"id":924047,"name":"Shoreline descent"}},{"id":3926610,"elapsed_time":196,"segment":{"id":632630,"name":"Panoramic to Loring Descent"}},{"id":1011931,"elapsed_time":240,"segment":{"id":611080,"name":"Panoramic to Mill Valley descent"}},{"id":92560888,"elapsed_time":78,"segment":{"id":1055451,"name":"TEMP - Panoramic to road stoppage"}},{"id":42941677,"elapsed_time":354,"segment":{"id":835331,"name":"Four Corners Descent"}},{"id":73382757,"elapsed_time":366,"segment":{"id":977765,"name":"Panoramic to Tam Junction"}},{"id":3500610,"elapsed_time":244,"segment":{"id":630727,"name":"Shoreline Descent Tam Valley"}},{"id":174195695,"elapsed_time":135,"segment":{"id":1437584,"name":"Alta to Dolan"}},{"id":61431770,"elapsed_time":117,"segment":{"id":927298,"name":"Tam Junction Sprint"}},{"id":606213454,"elapsed_time":87,"segment":{"id":3269682,"name":"Shoreline Kicker"}},{"id":3175841,"elapsed_time":104,"segment":{"id":629195,"name":"Shoreline Sprint"}},{"id":467115987,"elapsed_time":80,"segment":{"id":2639078,"name":"Maple to Ross Sprint"}},{"id":293526947,"elapsed_time":1307,"segment":{"id":1925765,"name":"shoreline cruise"}},{"id":927676201,"elapsed_time":210,"segment":{"id":3979647,"name":"101-Mike\'s"}},{"id":11502470,"elapsed_time":151,"segment":{"id":668213,"name":"Seaplane Tour to Fountain Jam"}},{"id":153354386,"elapsed_time":558,"segment":{"id":1335420,"name":"Bridgeway Southbound"}},{"id":118590274,"elapsed_time":93,"segment":{"id":1173365,"name":"Every Inch Counts!"}},{"id":492852519,"elapsed_time":57,"segment":{"id":2715944,"name":"Bridgeway Southbound - Nevada to Spring St."}},{"id":492951219,"elapsed_time":116,"segment":{"id":2716057,"name":"Bridgeway Southbound - Spring to Johnson St."}},{"id":182389573,"elapsed_time":60,"segment":{"id":1496501,"name":"Bridgeway Merg Sprint "}},{"id":10520803,"elapsed_time":113,"segment":{"id":663521,"name":"Dunphy Park Sausalito Sprint"}},{"id":478166118,"elapsed_time":648,"segment":{"id":2672961,"name":"Dumphy Park to Bunker Rd"}},{"id":902326715,"elapsed_time":180,"segment":{"id":3927545,"name":"Sausalito Sprint up "}},{"id":1214916,"elapsed_time":512,"segment":{"id":612804,"name":"Sausalito to GGB Climb"}},{"id":14954442,"elapsed_time":525,"segment":{"id":689304,"name":"Sausalito Climb"}},{"id":688436,"elapsed_time":407,"segment":{"id":132513,"name":"Sausalito to GGB"}},{"id":18908987,"elapsed_time":151,"segment":{"id":716274,"name":"Sausalito Kicker"}},{"id":158643653,"elapsed_time":379,"segment":{"id":1371460,"name":"Proper Sausalito to GGB climb"}},{"id":79574829,"elapsed_time":210,"segment":{"id":998934,"name":"Sausalito Step 1"}},{"id":9095040,"elapsed_time":335,"segment":{"id":656577,"name":"J Lokk\'s Commute (Alexander Hill)"}},{"id":888157146,"elapsed_time":154,"segment":{"id":3900284,"name":"sausalito pt 2"}},{"id":79576111,"elapsed_time":91,"segment":{"id":998939,"name":"Sausalito Step 2"}},{"id":771451,"elapsed_time":399,"segment":{"id":597755,"name":"GGB Southbound"}},{"id":421952847,"elapsed_time":97,"segment":{"id":2487125,"name":"Bum Rush North Tower"}},{"id":819402,"elapsed_time":342,"segment":{"id":609096,"name":"Presidio Wiggle"}},{"id":8286989,"elapsed_time":72,"segment":{"id":652592,"name":"Post-Bridge Uphill Headwind Sprint"}},{"id":631793238,"elapsed_time":562,"segment":{"id":3326972,"name":"Merchant to Arguello Gate"}},{"id":92306526,"elapsed_time":313,"segment":{"id":1054069,"name":"Post-Bridge Bump"}},{"id":412719589,"elapsed_time":400,"segment":{"id":2456732,"name":"Home Stretch Sprint"}},{"id":162188238,"elapsed_time":336,"segment":{"id":1397684,"name":"Back across the top of the Presidio"}},{"id":2259387,"elapsed_time":283,"segment":{"id":623484,"name":"Extended Presidio Sprint "}},{"id":688440,"elapsed_time":164,"segment":{"id":318917,"name":"Presidio Sprint"}},{"id":28107624,"elapsed_time":62,"segment":{"id":639933,"name":"Short Presidio Sprint"}},{"id":3526733,"elapsed_time":38,"segment":{"id":630817,"name":"Arguello Vista Point Sprint"}},{"id":451912845,"elapsed_time":55,"segment":{"id":2590542,"name":"Arguello Blvd. to 15 yds before stop sign at Arguello Gate"}},{"id":18208586,"elapsed_time":34,"segment":{"id":711109,"name":"Arguello Sprint (without running stop signs)"}},{"id":437053589,"elapsed_time":219,"segment":{"id":2542029,"name":"CA to Fulton"}},{"id":28044778,"elapsed_time":120,"segment":{"id":764163,"name":"Velo Rouge Sprint"}},{"id":40790955,"elapsed_time":122,"segment":{"id":828221,"name":"Into the park"}},{"id":39141413,"elapsed_time":125,"segment":{"id":822439,"name":"Into Park"}},{"id":53807588,"elapsed_time":122,"segment":{"id":892578,"name":"Into GGP"}},{"id":451411363,"elapsed_time":88,"segment":{"id":2588888,"name":"Double-Trouble"}},{"id":187176760,"elapsed_time":64,"segment":{"id":1536363,"name":"Arguello Bump Southern Edition"}},{"id":4442978,"elapsed_time":64,"segment":{"id":634703,"name":"Conservatory of Flowers SE"}},{"id":60471810,"elapsed_time":146,"segment":{"id":924155,"name":"Oak St. sprint"}},{"id":1032310,"elapsed_time":86,"segment":{"id":611238,"name":"Oak Street (Schrader to Baker)"}}]}'
  end

  def self.test_v2_efforts()
    # curl http://www.strava.com/api/v2/rides/448459/efforts
    '{"id":"448459","efforts":[{"effort":{"id":45665444,"start_date_local":"2011-04-19T08:23:59Z","elapsed_time":634,"moving_time":634,"distance":5342.8,"average_speed":8.427129337539432},"segment":{"id":852034,"name":"The Park Going West","climb_category":1,"avg_grade":-0.997671,"start_latlng":[37.771132132038474,-122.45532101020217],"end_latlng":[37.77060532942414,-122.5106082111597],"elev_difference":60.0}},{"effort":{"id":897543391,"start_date_local":"2011-04-19T08:27:04Z","elapsed_time":112,"moving_time":112,"distance":817.94,"average_speed":7.3030357142857145},"segment":{"id":3918461,"name":"Stow Lake Bump","climb_category":0,"avg_grade":0.322097,"start_latlng":[37.7714017778635,-122.47069249860942],"end_latlng":[37.770817559212446,-122.47915260493755],"elev_difference":6.400000000000006}},{"effort":{"id":569943928,"start_date_local":"2011-04-19T08:29:06Z","elapsed_time":328,"moving_time":328,"distance":3052.61,"average_speed":9.306737804878049},"segment":{"id":3098873,"name":"GGP West 2nd Half","climb_category":0,"avg_grade":-1.92957,"start_latlng":[37.77061488479376,-122.47998769395053],"end_latlng":[37.77044339105487,-122.5106467679143],"elev_difference":59.85477000000001}},{"effort":{"id":835910878,"start_date_local":"2011-04-19T08:29:11Z","elapsed_time":129,"moving_time":129,"distance":1255.66,"average_speed":9.733798449612404},"segment":{"id":3784897,"name":"Lloyd to Spreckles JamJam.Maybe Polo","climb_category":0,"avg_grade":-2.05468,"start_latlng":[37.770477,-122.48041],"end_latlng":[37.770244,-122.493977],"elev_difference":26.5405}},{"effort":{"id":678502889,"start_date_local":"2011-04-19T08:36:20Z","elapsed_time":159,"moving_time":159,"distance":1177.24,"average_speed":7.404025157232704},"segment":{"id":3433494,"name":"Lincoln to Noriega TT","climb_category":0,"avg_grade":-0.0489972,"start_latlng":[37.76384364813566,-122.51047359779477],"end_latlng":[37.752923369407654,-122.5090441480279],"elev_difference":2.5999999999999996}},{"effort":{"id":6926836,"start_date_local":"2011-04-19T08:36:20Z","elapsed_time":416,"moving_time":416,"distance":3145.93,"average_speed":7.56233173076923},"segment":{"id":612106,"name":"Great Hwy Sprint South","climb_category":0,"avg_grade":0.154199,"start_latlng":[37.763839,-122.510401],"end_latlng":[37.735499,-122.506806],"elev_difference":8.0}},{"effort":{"id":544770289,"start_date_local":"2011-04-19T08:36:30Z","elapsed_time":365,"moving_time":365,"distance":2758.99,"average_speed":7.558876712328766},"segment":{"id":2967637,"name":"Great Hwy South to Vicente","climb_category":0,"avg_grade":-0.0146922,"start_latlng":[37.76300702710424,-122.51034847531562],"end_latlng":[37.73838885396451,-122.50707699099817],"elev_difference":0.8993900000000004}},{"effort":{"id":6926835,"start_date_local":"2011-04-19T08:47:53Z","elapsed_time":345,"moving_time":345,"distance":1941.42,"average_speed":5.627304347826088},"segment":{"id":609125,"name":"Fort Funston Bump","climb_category":0,"avg_grade":2.64606,"start_latlng":[37.7189464028925,-122.500419085845],"end_latlng":[37.7020145393908,-122.496896423399],"elev_difference":55.8}},{"effort":{"id":15833554,"start_date_local":"2011-04-19T08:55:50Z","elapsed_time":92,"moving_time":92,"distance":833.09,"average_speed":9.055326086956523},"segment":{"id":695924,"name":"John Daly downhill jam-jam!","climb_category":0,"avg_grade":-3.82986,"start_latlng":[37.69860972650349,-122.49412704259157],"end_latlng":[37.701226472854614,-122.4852579832077],"elev_difference":33.0}},{"effort":{"id":184038334,"start_date_local":"2011-04-19T08:58:51Z","elapsed_time":209,"moving_time":209,"distance":999.76,"average_speed":4.7835406698564595},"segment":{"id":1513152,"name":"Park Plaza Dr. to Juniperos Serra Blvd. ver.mucky","climb_category":0,"avg_grade":4.24876,"start_latlng":[37.701947107014895,-122.48186188761376],"end_latlng":[37.70490960687185,-122.47119583200893],"elev_difference":42.7749}},{"effort":{"id":22426365,"start_date_local":"2011-04-19T09:02:52Z","elapsed_time":141,"moving_time":141,"distance":632.18,"average_speed":4.48354609929078},"segment":{"id":738456,"name":"Bart to Mission Jam Jam","climb_category":0,"avg_grade":7.19752,"start_latlng":[37.70495147444308,-122.469687089324],"end_latlng":[37.704894142225385,-122.46254143305123],"elev_difference":45.8}},{"effort":{"id":136724468,"start_date_local":"2011-04-19T09:07:52Z","elapsed_time":150,"moving_time":150,"distance":1352.73,"average_speed":9.0182},"segment":{"id":1266691,"name":"Acton to Geneva via Alemany","climb_category":0,"avg_grade":-2.18072,"start_latlng":[37.71049807317342,-122.45450763043245],"end_latlng":[37.717806212639175,-122.44225597020466],"elev_difference":29.704299999999996}}],"version":"9041a5d928d672cbdb222b105d6ad079"}'
  end

  def self.test_v1_segment_efforts()
    # curl http://app.strava.com/api/v1/segments/229781/efforts?best=true
    '{"efforts":[{"id":801006623,"activityId":46320211,"startDate":"2013-03-29T13:49:35Z","startDateLocal":"2013-03-29T06:49:35Z","timeZoneOffset":-28800,"elapsedTime":360,"athlete":{"id":123529,"name":"Jim Whimpey","username":"jimwhimpey"}},{"id":83383918,"activityId":4431903,"startDate":"2012-02-23T14:50:16Z","startDateLocal":"2012-02-23T06:50:16Z","timeZoneOffset":-28800,"elapsedTime":374,"athlete":{"id":11673,"name":"Chris Zappal\u00e0","username":"czappala"}},{"id":500150283,"activityId":27827221,"startDate":"2012-11-10T19:24:32Z","startDateLocal":"2012-11-10T11:24:32Z","timeZoneOffset":-28800,"elapsedTime":384,"athlete":{"id":8676,"name":"Jesse M.","username":"jmillersmith"}},{"id":396467199,"activityId":22195577,"startDate":"2012-09-16T17:37:27Z","startDateLocal":"2012-09-16T10:37:27Z","timeZoneOffset":-28800,"elapsedTime":388,"athlete":{"id":7109,"name":"Chris Phipps","username":"cphipps"}},{"id":83376550,"activityId":4431059,"startDate":"2012-02-23T14:50:18Z","startDateLocal":"2012-02-23T06:50:18Z","timeZoneOffset":-28800,"elapsedTime":391,"athlete":{"id":10529,"name":"Brian Schuster","username":"bschuster"}},{"id":710575818,"activityId":42335724,"startDate":"2013-02-26T14:47:14Z","startDateLocal":"2013-02-26T06:47:14Z","timeZoneOffset":-28800,"elapsedTime":392,"athlete":{"id":6124,"name":"Will R.","username":"will_riffelmacher"}},{"id":710623364,"activityId":42339788,"startDate":"2013-02-26T14:47:17Z","startDateLocal":"2013-02-26T06:47:17Z","timeZoneOffset":-28800,"elapsedTime":392,"athlete":{"id":64986,"name":"Mario Nicholas","username":"mario_nicholas"}},{"id":32188682,"activityId":1961587,"startDate":"2011-10-13T13:47:49Z","startDateLocal":"2011-10-13T06:47:49Z","timeZoneOffset":-28800,"elapsedTime":396,"athlete":{"id":813,"name":"Noah Bloom","username":"noah"}},{"id":777814746,"activityId":45300007,"startDate":"2013-03-21T16:34:04Z","startDateLocal":"2013-03-21T09:34:04Z","timeZoneOffset":-28800,"elapsedTime":396,"athlete":{"id":10584,"name":"Thomas Gross","username":"tgross"}},{"id":425048484,"activityId":23789674,"startDate":"2012-10-02T13:48:29Z","startDateLocal":"2012-10-02T06:48:29Z","timeZoneOffset":-28800,"elapsedTime":406,"athlete":{"id":8719,"name":"Chris Furgiuele","username":"cfurgiuele"}},{"id":74063676,"activityId":4015689,"startDate":"2012-02-09T14:47:05Z","startDateLocal":"2012-02-09T06:47:05Z","timeZoneOffset":-28800,"elapsedTime":408,"athlete":{"id":1487,"name":"Joe Mulvaney","username":"joemulvaney"}},{"id":167563253,"activityId":9236348,"startDate":"2012-05-24T13:46:45Z","startDateLocal":"2012-05-24T06:46:45Z","timeZoneOffset":-28800,"elapsedTime":411,"athlete":{"id":240590,"name":"Matt Sieving","username":"msieving"}},{"id":83371069,"activityId":4430827,"startDate":"2012-02-23T14:50:18Z","startDateLocal":"2012-02-23T06:50:18Z","timeZoneOffset":-28800,"elapsedTime":412,"athlete":{"id":1215,"name":"Jared H.","username":""}},{"id":32439113,"activityId":1975627,"startDate":"2011-10-13T13:47:48Z","startDateLocal":"2011-10-13T06:47:48Z","timeZoneOffset":-28800,"elapsedTime":415,"athlete":{"id":1377,"name":"Jay Simons","username":"jsimons"}},{"id":931596557,"activityId":51919556,"startDate":"2013-05-02T13:47:31Z","startDateLocal":"2013-05-02T06:47:31Z","timeZoneOffset":-28800,"elapsedTime":417,"athlete":{"id":104267,"name":"Ryan Jones","username":"polyrhythm"}},{"id":314307795,"activityId":17058287,"startDate":"2012-08-07T13:48:57Z","startDateLocal":"2012-08-07T06:48:57Z","timeZoneOffset":-28800,"elapsedTime":418,"athlete":{"id":6887,"name":"Brooks Sizemore","username":"brooks"}},{"id":78331231,"activityId":4203503,"startDate":"2012-02-16T14:48:04Z","startDateLocal":"2012-02-16T06:48:04Z","timeZoneOffset":-28800,"elapsedTime":419,"athlete":{"id":32482,"name":"Rob Manchester","username":"rdm"}},{"id":78331857,"activityId":4203512,"startDate":"2012-02-16T14:48:10Z","startDateLocal":"2012-02-16T06:48:10Z","timeZoneOffset":-28800,"elapsedTime":419,"athlete":{"id":1163,"name":"Michael Watts","username":"mikwat"}},{"id":453771807,"activityId":25380760,"startDate":"2012-10-18T13:47:14Z","startDateLocal":"2012-10-18T06:47:14Z","timeZoneOffset":-28800,"elapsedTime":421,"athlete":{"id":5050,"name":"Nick Kreeger","username":"nkreeger"}},{"id":579153609,"activityId":35560135,"startDate":"2013-01-03T14:48:16Z","startDateLocal":"2013-01-03T06:48:16Z","timeZoneOffset":-28800,"elapsedTime":422,"athlete":{"id":3005,"name":"jacob berkman","username":"jberkman"}},{"id":151104630,"activityId":8242683,"startDate":"2012-05-10T13:33:14Z","startDateLocal":"2012-05-10T06:33:14Z","timeZoneOffset":-28800,"elapsedTime":423,"athlete":{"id":181051,"name":"Kurt Wolfgang","username":"kwolfgang"}},{"id":681724057,"activityId":41025325,"startDate":"2013-02-16T00:29:54Z","startDateLocal":"2013-02-15T16:29:54Z","timeZoneOffset":-28800,"elapsedTime":423,"athlete":{"id":9351,"name":"Steven Garza","username":"sgarza"}},{"id":211377946,"activityId":12380167,"startDate":"2012-07-03T13:46:58Z","startDateLocal":"2012-07-03T06:46:58Z","timeZoneOffset":-28800,"elapsedTime":424,"athlete":{"id":4721,"name":"Chris H.","username":"chrishanrath"}},{"id":715602378,"activityId":42563956,"startDate":"2013-02-28T14:46:14Z","startDateLocal":"2013-02-28T06:46:14Z","timeZoneOffset":-28800,"elapsedTime":424,"athlete":{"id":299261,"name":"Trevor Gilmore","username":"trevor_gilmore"}},{"id":824604232,"activityId":47339678,"startDate":"2013-04-05T14:23:49Z","startDateLocal":"2013-04-05T07:23:49Z","timeZoneOffset":-28800,"elapsedTime":425,"athlete":{"id":66740,"name":"Alejandro V.","username":"avillarreal"}},{"id":824608547,"activityId":47340066,"startDate":"2013-04-05T14:23:49Z","startDateLocal":"2013-04-05T07:23:49Z","timeZoneOffset":-28800,"elapsedTime":426,"athlete":{"id":337699,"name":"Adriano Castro","username":"adrianocastro"}},{"id":931559825,"activityId":51918059,"startDate":"2013-05-02T13:40:15Z","startDateLocal":"2013-05-02T06:40:15Z","timeZoneOffset":-28800,"elapsedTime":426,"athlete":{"id":1113122,"name":"Justin Lawrance","username":"jlawrance"}},{"id":931579484,"activityId":51919193,"startDate":"2013-05-02T13:47:35Z","startDateLocal":"2013-05-02T06:47:35Z","timeZoneOffset":-28800,"elapsedTime":426,"athlete":{"id":7966,"name":"Ryan Bennett","username":"rbennett"}},{"id":450497572,"activityId":25201956,"startDate":"2012-10-16T13:46:47Z","startDateLocal":"2012-10-16T06:46:47Z","timeZoneOffset":-28800,"elapsedTime":428,"athlete":{"id":482846,"name":"Todd Giedt","username":"tgiedt"}},{"id":78334142,"activityId":4203647,"startDate":"2012-02-16T14:48:04Z","startDateLocal":"2012-02-16T06:48:04Z","timeZoneOffset":-28800,"elapsedTime":429,"athlete":{"id":55,"name":"Stephen Donahue","username":"sdonahue"}},{"id":167575628,"activityId":9237006,"startDate":"2012-05-24T13:46:46Z","startDateLocal":"2012-05-24T06:46:46Z","timeZoneOffset":-28800,"elapsedTime":429,"athlete":{"id":151849,"name":"Z Gingnar","username":"zgingnar"}},{"id":521519467,"activityId":29840225,"startDate":"2012-11-27T14:47:56Z","startDateLocal":"2012-11-27T06:47:56Z","timeZoneOffset":-28800,"elapsedTime":430,"athlete":{"id":1633,"name":"Gerardo F.","username":"gferrando"}},{"id":67164176,"activityId":3691172,"startDate":"2012-01-29T00:45:04Z","startDateLocal":"2012-01-28T16:45:04Z","timeZoneOffset":-28800,"elapsedTime":431,"athlete":{"id":131621,"name":"Joe Cackler","username":"jcackler"}},{"id":425020612,"activityId":23788104,"startDate":"2012-10-02T13:48:42Z","startDateLocal":"2012-10-02T06:48:42Z","timeZoneOffset":-28800,"elapsedTime":431,"athlete":{"id":315802,"name":"Brendan Harney","username":"brendan_h"}},{"id":471951063,"activityId":26351241,"startDate":"2012-10-28T17:45:43Z","startDateLocal":"2012-10-28T10:45:43Z","timeZoneOffset":-28800,"elapsedTime":431,"athlete":{"id":298096,"name":"Caleb Bushner","username":"caleb"}},{"id":358906407,"activityId":19920040,"startDate":"2012-08-27T14:31:20Z","startDateLocal":"2012-08-27T07:31:20Z","timeZoneOffset":-28800,"elapsedTime":432,"athlete":{"id":209960,"name":"Andrio Abero","username":"andrioabero"}},{"id":553726703,"activityId":33105313,"startDate":"2012-12-19T17:33:35Z","startDateLocal":"2012-12-19T09:33:35Z","timeZoneOffset":-28800,"elapsedTime":432,"athlete":{"id":283662,"name":"Peter Cracknell","username":"pcracknell"}},{"id":68748371,"activityId":3767422,"startDate":"2012-01-31T14:48:16Z","startDateLocal":"2012-01-31T06:48:16Z","timeZoneOffset":-28800,"elapsedTime":433,"athlete":{"id":5968,"name":"griff behncke","username":"gbehncke"}},{"id":93340683,"activityId":4914683,"startDate":"2012-03-07T21:52:16Z","startDateLocal":"2012-03-07T13:52:16Z","timeZoneOffset":-28800,"elapsedTime":433,"athlete":{"id":72408,"name":"Mike Scanlon","username":"mscanlon"}},{"id":931567148,"activityId":51918473,"startDate":"2013-05-02T13:47:36Z","startDateLocal":"2013-05-02T06:47:36Z","timeZoneOffset":-28800,"elapsedTime":433,"athlete":{"id":4568,"name":"Joe Lambe","username":"joelambe"}},{"id":211320363,"activityId":12375508,"startDate":"2012-07-03T13:46:55Z","startDateLocal":"2012-07-03T06:46:55Z","timeZoneOffset":-28800,"elapsedTime":434,"athlete":{"id":787,"name":"A. Valko","username":"valko"}},{"id":801240813,"activityId":46330250,"startDate":"2013-03-29T15:07:11Z","startDateLocal":"2013-03-29T08:07:11Z","timeZoneOffset":-28800,"elapsedTime":434,"athlete":{"id":1697041,"name":"Thomas Bliska","username":"tbliska"}},{"id":585915,"activityId":68625,"startDate":"2010-02-01T19:42:59Z","startDateLocal":"2010-02-01T11:42:59Z","timeZoneOffset":0,"elapsedTime":435,"athlete":{"id":1781,"name":"Derek Haynes","username":"dhaynes"}},{"id":654283733,"activityId":39825008,"startDate":"2013-02-05T04:37:47Z","startDateLocal":"2013-02-04T20:37:47Z","timeZoneOffset":-28800,"elapsedTime":435,"athlete":{"id":472865,"name":"Dan Riazanov","username":"driazanov"}},{"id":261279,"activityId":1644,"startDate":"2009-03-26T17:19:48Z","startDateLocal":"2009-03-26T10:19:48Z","timeZoneOffset":-28800,"elapsedTime":437,"athlete":{"id":30,"name":"Jordan Kobert","username":"jordan"}},{"id":35906230,"activityId":2160157,"startDate":"2011-10-30T17:55:52Z","startDateLocal":"2011-10-30T10:55:52Z","timeZoneOffset":-28800,"elapsedTime":437,"athlete":{"id":6500,"name":"Daniel Connelly","username":"djconnel"}},{"id":94211684,"activityId":4955226,"startDate":"2012-03-09T00:56:23Z","startDateLocal":"2012-03-08T16:56:23Z","timeZoneOffset":-28800,"elapsedTime":438,"athlete":{"id":10792,"name":"Mike Hone","username":"mikehone"}},{"id":151124738,"activityId":8244047,"startDate":"2012-05-10T13:49:30Z","startDateLocal":"2012-05-10T06:49:30Z","timeZoneOffset":-28800,"elapsedTime":438,"athlete":{"id":8,"name":"David Belden","username":"davidbelden"}},{"id":478402196,"activityId":26718352,"startDate":"2012-11-02T13:59:36Z","startDateLocal":"2012-11-02T06:59:36Z","timeZoneOffset":-28800,"elapsedTime":438,"athlete":{"id":14778,"name":"Harrison Shih","username":"hshih"}},{"id":571897252,"activityId":34830577,"startDate":"2012-12-30T20:47:10Z","startDateLocal":"2012-12-30T12:47:10Z","timeZoneOffset":-28800,"elapsedTime":439,"athlete":{"id":99597,"name":"Kevin Lochner","username":"klochner"}}],"segment":{"id":229781,"name":"Hawk Hill"}}'
  end

  def self.test_v2_segment_efforts()
    # curl http://www.strava.com/api/v2/rides/448459/efforts
    '{"id":"448459","efforts":[{"effort":{"id":45665444,"start_date_local":"2011-04-19T08:23:59Z","elapsed_time":634,"moving_time":634,"distance":5342.8,"average_speed":8.427129337539432},"segment":{"id":852034,"name":"The Park Going West","climb_category":0,"avg_grade":-0.997671,"start_latlng":[37.771132132038474,-122.45532101020217],"end_latlng":[37.77060532942414,-122.5106082111597],"elev_difference":60.0}},{"effort":{"id":897543391,"start_date_local":"2011-04-19T08:27:04Z","elapsed_time":112,"moving_time":112,"distance":817.94,"average_speed":7.3030357142857145},"segment":{"id":3918461,"name":"Stow Lake Bump","climb_category":0,"avg_grade":0.322097,"start_latlng":[37.7714017778635,-122.47069249860942],"end_latlng":[37.770817559212446,-122.47915260493755],"elev_difference":6.400000000000006}},{"effort":{"id":569943928,"start_date_local":"2011-04-19T08:29:06Z","elapsed_time":328,"moving_time":328,"distance":3052.61,"average_speed":9.306737804878049},"segment":{"id":3098873,"name":"GGP West 2nd Half","climb_category":0,"avg_grade":-1.92957,"start_latlng":[37.77061488479376,-122.47998769395053],"end_latlng":[37.77044339105487,-122.5106467679143],"elev_difference":59.85477000000001}},{"effort":{"id":835910878,"start_date_local":"2011-04-19T08:29:11Z","elapsed_time":129,"moving_time":129,"distance":1255.66,"average_speed":9.733798449612404},"segment":{"id":3784897,"name":"Lloyd to Spreckles JamJam.Maybe Polo","climb_category":0,"avg_grade":-2.05468,"start_latlng":[37.770477,-122.48041],"end_latlng":[37.770244,-122.493977],"elev_difference":26.5405}},{"effort":{"id":678502889,"start_date_local":"2011-04-19T08:36:20Z","elapsed_time":159,"moving_time":159,"distance":1177.24,"average_speed":7.404025157232704},"segment":{"id":3433494,"name":"Lincoln to Noriega TT","climb_category":0,"avg_grade":-0.0489972,"start_latlng":[37.76384364813566,-122.51047359779477],"end_latlng":[37.752923369407654,-122.5090441480279],"elev_difference":2.5999999999999996}},{"effort":{"id":6926836,"start_date_local":"2011-04-19T08:36:20Z","elapsed_time":416,"moving_time":416,"distance":3145.93,"average_speed":7.56233173076923},"segment":{"id":612106,"name":"Great Hwy Sprint South","climb_category":0,"avg_grade":0.154199,"start_latlng":[37.763839,-122.510401],"end_latlng":[37.735499,-122.506806],"elev_difference":8.0}},{"effort":{"id":544770289,"start_date_local":"2011-04-19T08:36:30Z","elapsed_time":365,"moving_time":365,"distance":2758.99,"average_speed":7.558876712328766},"segment":{"id":2967637,"name":"Great Hwy South to Vicente","climb_category":0,"avg_grade":-0.0146922,"start_latlng":[37.76300702710424,-122.51034847531562],"end_latlng":[37.73838885396451,-122.50707699099817],"elev_difference":0.8993900000000004}},{"effort":{"id":6926835,"start_date_local":"2011-04-19T08:47:53Z","elapsed_time":345,"moving_time":345,"distance":1941.42,"average_speed":5.627304347826088},"segment":{"id":609125,"name":"Fort Funston Bump","climb_category":0,"avg_grade":2.64606,"start_latlng":[37.7189464028925,-122.500419085845],"end_latlng":[37.7020145393908,-122.496896423399],"elev_difference":55.8}},{"effort":{"id":15833554,"start_date_local":"2011-04-19T08:55:50Z","elapsed_time":92,"moving_time":92,"distance":833.09,"average_speed":9.055326086956523},"segment":{"id":695924,"name":"John Daly downhill jam-jam!","climb_category":0,"avg_grade":-3.82986,"start_latlng":[37.69860972650349,-122.49412704259157],"end_latlng":[37.701226472854614,-122.4852579832077],"elev_difference":33.0}},{"effort":{"id":184038334,"start_date_local":"2011-04-19T08:58:51Z","elapsed_time":209,"moving_time":209,"distance":999.76,"average_speed":4.7835406698564595},"segment":{"id":1513152,"name":"Park Plaza Dr. to Juniperos Serra Blvd. ver.mucky","climb_category":0,"avg_grade":4.24876,"start_latlng":[37.701947107014895,-122.48186188761376],"end_latlng":[37.70490960687185,-122.47119583200893],"elev_difference":42.7749}},{"effort":{"id":22426365,"start_date_local":"2011-04-19T09:02:52Z","elapsed_time":141,"moving_time":141,"distance":632.18,"average_speed":4.48354609929078},"segment":{"id":738456,"name":"Bart to Mission Jam Jam","climb_category":0,"avg_grade":7.19752,"start_latlng":[37.70495147444308,-122.469687089324],"end_latlng":[37.704894142225385,-122.46254143305123],"elev_difference":45.8}},{"effort":{"id":136724468,"start_date_local":"2011-04-19T09:07:52Z","elapsed_time":150,"moving_time":150,"distance":1352.73,"average_speed":9.0182},"segment":{"id":1266691,"name":"Acton to Geneva via Alemany","climb_category":0,"avg_grade":-2.18072,"start_latlng":[37.71049807317342,-122.45450763043245],"end_latlng":[37.717806212639175,-122.44225597020466],"elev_difference":29.704299999999996}}],"version":"1902d4916afe98c586ca8cd0e7bf9082"}'
  end

  def self.test_clubs()
    # curl http://app.strava.com/api/v1/clubs?name=mission
    '{"clubs":[{"id":15,"name":"Mission Cycling"},{"id":921,"name":"Mission Berry Farms Cycling Team"},{"id":4746,"name":"Mission Peak Striders"},{"id":12877,"name":"Team Mission-SourceNGCA"},{"id":14057,"name":"Mission San Jose HS Cycling Club"},{"id":17095,"name":"Mission Beach Cyclones"},{"id":20839,"name":"Federal Cyclist Commission"},{"id":23046,"name":"Marine and Industrial Transmissions"},{"id":23615,"name":"Missione Velo"},{"id":24931,"name":"The Mission"},{"id":25524,"name":"Team Zero Emissions"}]}'
  end
end